import { Prop, Component, Watch, Vue, Inject, Model } from 'vue-property-decorator';
import { GlobalSettings, warn, getLanguage, getWindow, IsFocusVisibleClassName, memoizeFunction, Customizations, merge, css, Async, EventGroup, KeyCodes, isIE11, classNamesFunction, findScrollableParent, getParent, findIndex, getRTL, getScrollbarWidth, Rectangle as Rectangle$1, assign, toMatrix, getInitials, getDocument, on, doesElementContainFocus, RectangleEdge as RectangleEdge$1, precisionRound, calculatePrecision, getId, elementContains } from '@uifabric-vue/utilities';
export * from '@uifabric-vue/utilities';
import { mergeStyles, Stylesheet, fontFace, keyframes, concatStyleSetsWithProps, mergeStyleSets, concatStyleSets } from '@uifabric/merge-styles';
import { loadTheme as loadTheme$2 } from '@microsoft/load-themed-styles';
import vue from 'vue';
import _mergeJSXProps from '@vue/babel-helper-vue-jsx-merge-props';
import { MountingPortal } from 'portal-vue';
import { ResizeObserver } from 'resize-observer';
export { initializeIcons } from '@uifabric/icons';

/**
 * Helper Component to render Vue-VNodes, e.g. generated from render functions.
 */
var VNodes = {
  functional: true,
  render: function render(h, ctx) {
    return ctx.props.vnodes;
  }
};

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  if (superClass) _setPrototypeOf(subClass, superClass);
}

function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  };
  return _getPrototypeOf(o);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return self;
}

function _possibleConstructorReturn(self, call) {
  if (call && (typeof call === "object" || typeof call === "function")) {
    return call;
  }

  return _assertThisInitialized(self);
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}

function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter);
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _createForOfIteratorHelper(o) {
  if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) {
    if (Array.isArray(o) || (o = _unsupportedIterableToArray(o))) {
      var i = 0;

      var F = function () {};

      return {
        s: F,
        n: function () {
          if (i >= o.length) return {
            done: true
          };
          return {
            done: false,
            value: o[i++]
          };
        },
        e: function (e) {
          throw e;
        },
        f: F
      };
    }

    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var it,
      normalCompletion = true,
      didErr = false,
      err;
  return {
    s: function () {
      it = o[Symbol.iterator]();
    },
    n: function () {
      var step = it.next();
      normalCompletion = step.done;
      return step;
    },
    e: function (e) {
      didErr = true;
      err = e;
    },
    f: function () {
      try {
        if (!normalCompletion && it.return != null) it.return();
      } finally {
        if (didErr) throw err;
      }
    }
  };
}

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

function __metadata(metadataKey, metadataValue) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
}

/**
 * Builds a class names object from a given map.
 *
 * @param styles - Map of unprocessed styles.
 * @returns Map of property name to class name.
 */
function buildClassMap(styles) {
    var classes = {};
    var _loop_1 = function (styleName) {
        if (styles.hasOwnProperty(styleName)) {
            var className_1;
            Object.defineProperty(classes, styleName, {
                get: function () {
                    if (className_1 === undefined) {
                        // eslint-disable-next-line @typescript-eslint/no-explicit-any
                        className_1 = mergeStyles(styles[styleName]).toString();
                    }
                    return className_1;
                },
                enumerable: true,
                configurable: true,
            });
        }
    };
    for (var styleName in styles) {
        _loop_1(styleName);
    }
    return classes;
}

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

var ICON_SETTING_NAME = 'icons';
var _iconSettings = GlobalSettings.getValue(ICON_SETTING_NAME, {
    __options: {
        disableWarnings: false,
        warnOnMissingIcons: true,
    },
    __remapped: {},
});
// Reset icon registration on stylesheet resets.
var stylesheet = Stylesheet.getInstance();
if (stylesheet && stylesheet.onReset) {
    stylesheet.onReset(function () {
        for (var name_1 in _iconSettings) {
            if (_iconSettings.hasOwnProperty(name_1) && !!_iconSettings[name_1].subset) {
                _iconSettings[name_1].subset.className = undefined;
            }
        }
    });
}
/**
 * Normalizes an icon name for consistent mapping.
 * Current implementation is to convert the icon name to lower case.
 *
 * @param name - Icon name to normalize.
 * @returns {string} Normalized icon name to use for indexing and mapping.
 */
var normalizeIconName = function (name) { return name.toLowerCase(); };
/**
 * Registers a given subset of icons.
 *
 * @param iconSubset - the icon subset definition.
 */
function registerIcons(iconSubset, options) {
    var subset = __assign(__assign({}, iconSubset), { isRegistered: false, className: undefined });
    var icons = iconSubset.icons;
    // Grab options, optionally mix user provided ones on top.
    options = options ? __assign(__assign({}, _iconSettings.__options), options) : _iconSettings.__options;
    for (var iconName in icons) {
        if (icons.hasOwnProperty(iconName)) {
            var code = icons[iconName];
            var normalizedIconName = normalizeIconName(iconName);
            if (_iconSettings[normalizedIconName]) {
                _warnDuplicateIcon(iconName);
            }
            else {
                _iconSettings[normalizedIconName] = {
                    code: code,
                    subset: subset,
                };
            }
        }
    }
}
/**
 * Gets an icon definition. If an icon is requested but the subset has yet to be registered,
 * it will get registered immediately.
 *
 * @public
 * @param name - Name of icon.
 */
function getIcon(name) {
    var icon = undefined;
    var options = _iconSettings.__options;
    name = name ? normalizeIconName(name) : '';
    name = _iconSettings.__remapped[name] || name;
    if (name) {
        icon = _iconSettings[name];
        if (icon) {
            var subset = icon.subset;
            if (subset && subset.fontFace) {
                if (!subset.isRegistered) {
                    fontFace(subset.fontFace);
                    subset.isRegistered = true;
                }
                if (!subset.className) {
                    subset.className = mergeStyles(subset.style, {
                        fontFamily: subset.fontFace.fontFamily,
                        fontWeight: subset.fontFace.fontWeight || 'normal',
                        fontStyle: subset.fontFace.fontStyle || 'normal',
                    });
                }
            }
        }
        else {
            // eslint-disable-next-line deprecation/deprecation
            if (!options.disableWarnings && options.warnOnMissingIcons) {
                warn("The icon \"" + name + "\" was used but not registered. See https://github.com/microsoft/fluentui/wiki/Using-icons for more information.");
            }
        }
    }
    return icon;
}
var _missingIcons = [];
var _missingIconsTimer = undefined;
function _warnDuplicateIcon(iconName) {
    var options = _iconSettings.__options;
    var warningDelay = 2000;
    var maxIconsInMessage = 10;
    if (!options.disableWarnings) {
        _missingIcons.push(iconName);
        if (_missingIconsTimer === undefined) {
            _missingIconsTimer = setTimeout(function () {
                warn("Some icons were re-registered. Applications should only call registerIcons for any given " +
                    "icon once. Redefining what an icon is may have unintended consequences. Duplicates " +
                    "include: \n" +
                    _missingIcons.slice(0, maxIconsInMessage).join(', ') +
                    (_missingIcons.length > maxIconsInMessage ? " (+ " + (_missingIcons.length - maxIconsInMessage) + " more)" : ''));
                _missingIconsTimer = undefined;
                _missingIcons = [];
            }, warningDelay);
        }
    }
}

/* Register the keyframes */
var EASING_FUNCTION_1 = 'cubic-bezier(.1,.9,.2,1)';
var EASING_FUNCTION_2 = 'cubic-bezier(.1,.25,.75,.9)';
var DURATION_1 = '0.167s';
var DURATION_2 = '0.267s';
var DURATION_3 = '0.367s';
var DURATION_4 = '0.467s';
var FADE_IN = keyframes({
    from: { opacity: 0 },
    to: { opacity: 1 },
});
var FADE_OUT = keyframes({
    from: { opacity: 1 },
    to: { opacity: 0, visibility: 'hidden' },
});
var SLIDE_RIGHT_IN10 = _createSlideInX(-10);
var SLIDE_RIGHT_IN20 = _createSlideInX(-20);
var SLIDE_RIGHT_IN40 = _createSlideInX(-40);
var SLIDE_RIGHT_IN400 = _createSlideInX(-400);
var SLIDE_LEFT_IN10 = _createSlideInX(10);
var SLIDE_LEFT_IN20 = _createSlideInX(20);
var SLIDE_LEFT_IN40 = _createSlideInX(40);
var SLIDE_LEFT_IN400 = _createSlideInX(400);
var SLIDE_UP_IN10 = _createSlideInY(10);
var SLIDE_UP_IN20 = _createSlideInY(20);
var SLIDE_DOWN_IN10 = _createSlideInY(-10);
var SLIDE_DOWN_IN20 = _createSlideInY(-20);
var SLIDE_RIGHT_OUT10 = _createSlideOutX(10);
var SLIDE_RIGHT_OUT20 = _createSlideOutX(20);
var SLIDE_RIGHT_OUT40 = _createSlideOutX(40);
var SLIDE_RIGHT_OUT400 = _createSlideOutX(400);
var SLIDE_LEFT_OUT10 = _createSlideOutX(-10);
var SLIDE_LEFT_OUT20 = _createSlideOutX(-20);
var SLIDE_LEFT_OUT40 = _createSlideOutX(-40);
var SLIDE_LEFT_OUT400 = _createSlideOutX(-400);
var SLIDE_UP_OUT10 = _createSlideOutY(-10);
var SLIDE_UP_OUT20 = _createSlideOutY(-20);
var SLIDE_DOWN_OUT10 = _createSlideOutY(10);
var SLIDE_DOWN_OUT20 = _createSlideOutY(20);
var SCALE_UP100 = keyframes({
    from: { transform: 'scale3d(.98,.98,1)' },
    to: { transform: 'scale3d(1,1,1)' },
});
var SCALE_DOWN98 = keyframes({
    from: { transform: 'scale3d(1,1,1)' },
    to: { transform: 'scale3d(.98,.98,1)' },
});
var SCALE_DOWN100 = keyframes({
    from: { transform: 'scale3d(1.03,1.03,1)' },
    to: { transform: 'scale3d(1,1,1)' },
});
var SCALE_UP103 = keyframes({
    from: { transform: 'scale3d(1,1,1)' },
    to: { transform: 'scale3d(1.03,1.03,1)' },
});
var ROTATE90 = keyframes({
    from: { transform: 'rotateZ(0deg)' },
    to: { transform: 'rotateZ(90deg)' },
});
var ROTATE_N90 = keyframes({
    from: { transform: 'rotateZ(0deg)' },
    to: { transform: 'rotateZ(-90deg)' },
});
/**
 * Exporting raw duraction values and easing functions to be used in custom animations
 */
var AnimationVariables = {
    easeFunction1: EASING_FUNCTION_1,
    easeFunction2: EASING_FUNCTION_2,
    durationValue1: DURATION_1,
    durationValue2: DURATION_2,
    durationValue3: DURATION_3,
    durationValue4: DURATION_4,
};
/**
 * All Fabric standard animations, exposed as json objects referencing predefined
 * keyframes. These objects can be mixed in with other class definitions.
 */
var AnimationStyles = {
    slideRightIn10: _createAnimation(FADE_IN + "," + SLIDE_RIGHT_IN10, DURATION_3, EASING_FUNCTION_1),
    slideRightIn20: _createAnimation(FADE_IN + "," + SLIDE_RIGHT_IN20, DURATION_3, EASING_FUNCTION_1),
    slideRightIn40: _createAnimation(FADE_IN + "," + SLIDE_RIGHT_IN40, DURATION_3, EASING_FUNCTION_1),
    slideRightIn400: _createAnimation(FADE_IN + "," + SLIDE_RIGHT_IN400, DURATION_3, EASING_FUNCTION_1),
    slideLeftIn10: _createAnimation(FADE_IN + "," + SLIDE_LEFT_IN10, DURATION_3, EASING_FUNCTION_1),
    slideLeftIn20: _createAnimation(FADE_IN + "," + SLIDE_LEFT_IN20, DURATION_3, EASING_FUNCTION_1),
    slideLeftIn40: _createAnimation(FADE_IN + "," + SLIDE_LEFT_IN40, DURATION_3, EASING_FUNCTION_1),
    slideLeftIn400: _createAnimation(FADE_IN + "," + SLIDE_LEFT_IN400, DURATION_3, EASING_FUNCTION_1),
    slideUpIn10: _createAnimation(FADE_IN + "," + SLIDE_UP_IN10, DURATION_3, EASING_FUNCTION_1),
    slideUpIn20: _createAnimation(FADE_IN + "," + SLIDE_UP_IN20, DURATION_3, EASING_FUNCTION_1),
    slideDownIn10: _createAnimation(FADE_IN + "," + SLIDE_DOWN_IN10, DURATION_3, EASING_FUNCTION_1),
    slideDownIn20: _createAnimation(FADE_IN + "," + SLIDE_DOWN_IN20, DURATION_3, EASING_FUNCTION_1),
    slideRightOut10: _createAnimation(FADE_OUT + "," + SLIDE_RIGHT_OUT10, DURATION_3, EASING_FUNCTION_1),
    slideRightOut20: _createAnimation(FADE_OUT + "," + SLIDE_RIGHT_OUT20, DURATION_3, EASING_FUNCTION_1),
    slideRightOut40: _createAnimation(FADE_OUT + "," + SLIDE_RIGHT_OUT40, DURATION_3, EASING_FUNCTION_1),
    slideRightOut400: _createAnimation(FADE_OUT + "," + SLIDE_RIGHT_OUT400, DURATION_3, EASING_FUNCTION_1),
    slideLeftOut10: _createAnimation(FADE_OUT + "," + SLIDE_LEFT_OUT10, DURATION_3, EASING_FUNCTION_1),
    slideLeftOut20: _createAnimation(FADE_OUT + "," + SLIDE_LEFT_OUT20, DURATION_3, EASING_FUNCTION_1),
    slideLeftOut40: _createAnimation(FADE_OUT + "," + SLIDE_LEFT_OUT40, DURATION_3, EASING_FUNCTION_1),
    slideLeftOut400: _createAnimation(FADE_OUT + "," + SLIDE_LEFT_OUT400, DURATION_3, EASING_FUNCTION_1),
    slideUpOut10: _createAnimation(FADE_OUT + "," + SLIDE_UP_OUT10, DURATION_3, EASING_FUNCTION_1),
    slideUpOut20: _createAnimation(FADE_OUT + "," + SLIDE_UP_OUT20, DURATION_3, EASING_FUNCTION_1),
    slideDownOut10: _createAnimation(FADE_OUT + "," + SLIDE_DOWN_OUT10, DURATION_3, EASING_FUNCTION_1),
    slideDownOut20: _createAnimation(FADE_OUT + "," + SLIDE_DOWN_OUT20, DURATION_3, EASING_FUNCTION_1),
    scaleUpIn100: _createAnimation(FADE_IN + "," + SCALE_UP100, DURATION_3, EASING_FUNCTION_1),
    scaleDownIn100: _createAnimation(FADE_IN + "," + SCALE_DOWN100, DURATION_3, EASING_FUNCTION_1),
    scaleUpOut103: _createAnimation(FADE_OUT + "," + SCALE_UP103, DURATION_1, EASING_FUNCTION_2),
    scaleDownOut98: _createAnimation(FADE_OUT + "," + SCALE_DOWN98, DURATION_1, EASING_FUNCTION_2),
    fadeIn100: _createAnimation(FADE_IN, DURATION_1, EASING_FUNCTION_2),
    fadeIn200: _createAnimation(FADE_IN, DURATION_2, EASING_FUNCTION_2),
    fadeIn400: _createAnimation(FADE_IN, DURATION_3, EASING_FUNCTION_2),
    fadeIn500: _createAnimation(FADE_IN, DURATION_4, EASING_FUNCTION_2),
    fadeOut100: _createAnimation(FADE_OUT, DURATION_1, EASING_FUNCTION_2),
    fadeOut200: _createAnimation(FADE_OUT, DURATION_2, EASING_FUNCTION_2),
    fadeOut400: _createAnimation(FADE_OUT, DURATION_3, EASING_FUNCTION_2),
    fadeOut500: _createAnimation(FADE_OUT, DURATION_4, EASING_FUNCTION_2),
    rotate90deg: _createAnimation(ROTATE90, '0.1s', EASING_FUNCTION_2),
    rotateN90deg: _createAnimation(ROTATE_N90, '0.1s', EASING_FUNCTION_2),
};
function _createAnimation(animationName, animationDuration, animationTimingFunction) {
    return {
        animationName: animationName,
        animationDuration: animationDuration,
        animationTimingFunction: animationTimingFunction,
        animationFillMode: 'both',
    };
}
function _createSlideInX(fromX) {
    return keyframes({
        from: { transform: "translate3d(" + fromX + "px,0,0)" },
        to: { transform: "translate3d(0,0,0)" },
    });
}
function _createSlideInY(fromY) {
    return keyframes({
        from: { transform: "translate3d(0," + fromY + "px,0)" },
        to: { transform: "translate3d(0,0,0)" },
    });
}
function _createSlideOutX(toX) {
    return keyframes({
        from: { transform: "translate3d(0,0,0)" },
        to: { transform: "translate3d(" + toX + "px,0,0)" },
    });
}
function _createSlideOutY(toY) {
    return keyframes({
        from: { transform: "translate3d(0,0,0)" },
        to: { transform: "translate3d(0," + toY + "px,0)" },
    });
}

// When adding or removing a color, make sure you keep this consistent with IColorClassNames
// by adding the color variants.
var DefaultPalette = {
    themeDarker: '#004578',
    themeDark: '#005a9e',
    themeDarkAlt: '#106ebe',
    themePrimary: '#0078d4',
    themeSecondary: '#2b88d8',
    themeTertiary: '#71afe5',
    themeLight: '#c7e0f4',
    themeLighter: '#deecf9',
    themeLighterAlt: '#eff6fc',
    black: '#000000',
    blackTranslucent40: 'rgba(0,0,0,.4)',
    neutralDark: '#201f1e',
    neutralPrimary: '#323130',
    neutralPrimaryAlt: '#3b3a39',
    neutralSecondary: '#605e5c',
    neutralSecondaryAlt: '#8a8886',
    neutralTertiary: '#a19f9d',
    neutralTertiaryAlt: '#c8c6c4',
    neutralQuaternary: '#d2d0ce',
    neutralQuaternaryAlt: '#e1dfdd',
    neutralLight: '#edebe9',
    neutralLighter: '#f3f2f1',
    neutralLighterAlt: '#faf9f8',
    accent: '#0078d4',
    white: '#ffffff',
    whiteTranslucent40: 'rgba(255,255,255,.4)',
    yellowDark: '#d29200',
    yellow: '#ffb900',
    yellowLight: '#fff100',
    orange: '#d83b01',
    orangeLight: '#ea4300',
    orangeLighter: '#ff8c00',
    redDark: '#a4262c',
    red: '#e81123',
    magentaDark: '#5c005c',
    magenta: '#b4009e',
    magentaLight: '#e3008c',
    purpleDark: '#32145a',
    purple: '#5c2d91',
    purpleLight: '#b4a0ff',
    blueDark: '#002050',
    blueMid: '#00188f',
    blue: '#0078d4',
    blueLight: '#00bcf2',
    tealDark: '#004b50',
    teal: '#008272',
    tealLight: '#00b294',
    greenDark: '#004b1c',
    green: '#107c10',
    greenLight: '#bad80a',
};

var DefaultEffects = {
    elevation4: '0 1.6px 3.6px 0 rgba(0, 0, 0, 0.132), 0 0.3px 0.9px 0 rgba(0, 0, 0, 0.108)',
    elevation8: '0 3.2px 7.2px 0 rgba(0, 0, 0, 0.132), 0 0.6px 1.8px 0 rgba(0, 0, 0, 0.108)',
    elevation16: '0 6.4px 14.4px 0 rgba(0, 0, 0, 0.132), 0 1.2px 3.6px 0 rgba(0, 0, 0, 0.108)',
    elevation64: '0 25.6px 57.6px 0 rgba(0, 0, 0, 0.22), 0 4.8px 14.4px 0 rgba(0, 0, 0, 0.18)',
    roundedCorner2: '2px',
    roundedCorner4: '4px',
    roundedCorner6: '6px',
};

// Fallback fonts, if specified system or web fonts are unavailable.
var FontFamilyFallbacks = "'Segoe UI', -apple-system, BlinkMacSystemFont, 'Roboto', 'Helvetica Neue', sans-serif";
// Font face names to be registered.
var LocalizedFontNames;
(function (LocalizedFontNames) {
    LocalizedFontNames.Arabic = 'Segoe UI Web (Arabic)';
    LocalizedFontNames.Cyrillic = 'Segoe UI Web (Cyrillic)';
    LocalizedFontNames.EastEuropean = 'Segoe UI Web (East European)';
    LocalizedFontNames.Greek = 'Segoe UI Web (Greek)';
    LocalizedFontNames.Hebrew = 'Segoe UI Web (Hebrew)';
    LocalizedFontNames.Thai = 'Leelawadee UI Web';
    LocalizedFontNames.Vietnamese = 'Segoe UI Web (Vietnamese)';
    LocalizedFontNames.WestEuropean = 'Segoe UI Web (West European)';
    LocalizedFontNames.Selawik = 'Selawik Web';
    LocalizedFontNames.Armenian = 'Segoe UI Web (Armenian)';
    LocalizedFontNames.Georgian = 'Segoe UI Web (Georgian)';
})(LocalizedFontNames || (LocalizedFontNames = {}));
// Font families with fallbacks, for the general regions.
var LocalizedFontFamilies;
(function (LocalizedFontFamilies) {
    LocalizedFontFamilies.Arabic = "'" + LocalizedFontNames.Arabic + "'";
    LocalizedFontFamilies.ChineseSimplified = "'Microsoft Yahei UI', Verdana, Simsun";
    LocalizedFontFamilies.ChineseTraditional = "'Microsoft Jhenghei UI', Pmingliu";
    LocalizedFontFamilies.Cyrillic = "'" + LocalizedFontNames.Cyrillic + "'";
    LocalizedFontFamilies.EastEuropean = "'" + LocalizedFontNames.EastEuropean + "'";
    LocalizedFontFamilies.Greek = "'" + LocalizedFontNames.Greek + "'";
    LocalizedFontFamilies.Hebrew = "'" + LocalizedFontNames.Hebrew + "'";
    LocalizedFontFamilies.Hindi = "'Nirmala UI'";
    LocalizedFontFamilies.Japanese = "'Yu Gothic UI', 'Meiryo UI', Meiryo, 'MS Pgothic', Osaka";
    LocalizedFontFamilies.Korean = "'Malgun Gothic', Gulim";
    LocalizedFontFamilies.Selawik = "'" + LocalizedFontNames.Selawik + "'";
    LocalizedFontFamilies.Thai = "'Leelawadee UI Web', 'Kmer UI'";
    LocalizedFontFamilies.Vietnamese = "'" + LocalizedFontNames.Vietnamese + "'";
    LocalizedFontFamilies.WestEuropean = "'" + LocalizedFontNames.WestEuropean + "'";
    LocalizedFontFamilies.Armenian = "'" + LocalizedFontNames.Armenian + "'";
    LocalizedFontFamilies.Georgian = "'" + LocalizedFontNames.Georgian + "'";
})(LocalizedFontFamilies || (LocalizedFontFamilies = {}));
// By default, we favor system fonts for the default.
// All localized fonts use a web font and never use the system font.
var defaultFontFamily = "'Segoe UI', '" + LocalizedFontNames.WestEuropean + "'";
// Mapping of language prefix to to font family.
var LanguageToFontMap = {
    ar: LocalizedFontFamilies.Arabic,
    bg: LocalizedFontFamilies.Cyrillic,
    cs: LocalizedFontFamilies.EastEuropean,
    el: LocalizedFontFamilies.Greek,
    et: LocalizedFontFamilies.EastEuropean,
    he: LocalizedFontFamilies.Hebrew,
    hi: LocalizedFontFamilies.Hindi,
    hr: LocalizedFontFamilies.EastEuropean,
    hu: LocalizedFontFamilies.EastEuropean,
    ja: LocalizedFontFamilies.Japanese,
    kk: LocalizedFontFamilies.EastEuropean,
    ko: LocalizedFontFamilies.Korean,
    lt: LocalizedFontFamilies.EastEuropean,
    lv: LocalizedFontFamilies.EastEuropean,
    pl: LocalizedFontFamilies.EastEuropean,
    ru: LocalizedFontFamilies.Cyrillic,
    sk: LocalizedFontFamilies.EastEuropean,
    'sr-latn': LocalizedFontFamilies.EastEuropean,
    th: LocalizedFontFamilies.Thai,
    tr: LocalizedFontFamilies.EastEuropean,
    uk: LocalizedFontFamilies.Cyrillic,
    vi: LocalizedFontFamilies.Vietnamese,
    'zh-hans': LocalizedFontFamilies.ChineseSimplified,
    'zh-hant': LocalizedFontFamilies.ChineseTraditional,
    hy: LocalizedFontFamilies.Armenian,
    ka: LocalizedFontFamilies.Georgian,
};
// Standard font sizes.
var FontSizes;
(function (FontSizes) {
    FontSizes.mini = '10px';
    FontSizes.xSmall = '10px';
    FontSizes.small = '12px';
    FontSizes.smallPlus = '12px';
    FontSizes.medium = '14px';
    FontSizes.mediumPlus = '16px';
    FontSizes.icon = '16px';
    FontSizes.large = '18px';
    FontSizes.xLarge = '20px';
    FontSizes.xLargePlus = '24px';
    FontSizes.xxLarge = '28px';
    FontSizes.xxLargePlus = '32px';
    FontSizes.superLarge = '42px';
    FontSizes.mega = '68px';
})(FontSizes || (FontSizes = {}));
// Standard font weights.
var FontWeights;
(function (FontWeights) {
    FontWeights.light = 100;
    FontWeights.semilight = 300;
    FontWeights.regular = 400;
    FontWeights.semibold = 600;
    FontWeights.bold = 700;
})(FontWeights || (FontWeights = {}));
// Standard Icon Sizes.
var IconFontSizes;
(function (IconFontSizes) {
    IconFontSizes.xSmall = '10px';
    IconFontSizes.small = '12px';
    IconFontSizes.medium = '16px';
    IconFontSizes.large = '20px';
})(IconFontSizes || (IconFontSizes = {}));
function _fontFamilyWithFallbacks(fontFamily) {
    return fontFamily + ", " + FontFamilyFallbacks;
}
function createFontStyles(localeCode) {
    var localizedFont = _getLocalizedFontFamily(localeCode);
    var fontFamilyWithFallback = _fontFamilyWithFallbacks(localizedFont);
    var fontStyles = {
        tiny: _createFont(FontSizes.mini, FontWeights.regular, fontFamilyWithFallback),
        xSmall: _createFont(FontSizes.xSmall, FontWeights.regular, fontFamilyWithFallback),
        small: _createFont(FontSizes.small, FontWeights.regular, fontFamilyWithFallback),
        smallPlus: _createFont(FontSizes.smallPlus, FontWeights.regular, fontFamilyWithFallback),
        medium: _createFont(FontSizes.medium, FontWeights.regular, fontFamilyWithFallback),
        mediumPlus: _createFont(FontSizes.mediumPlus, FontWeights.regular, fontFamilyWithFallback),
        large: _createFont(FontSizes.large, FontWeights.regular, fontFamilyWithFallback),
        xLarge: _createFont(FontSizes.xLarge, FontWeights.semibold, fontFamilyWithFallback),
        xLargePlus: _createFont(FontSizes.xLargePlus, FontWeights.semibold, fontFamilyWithFallback),
        xxLarge: _createFont(FontSizes.xxLarge, FontWeights.semibold, fontFamilyWithFallback),
        xxLargePlus: _createFont(FontSizes.xxLargePlus, FontWeights.semibold, fontFamilyWithFallback),
        superLarge: _createFont(FontSizes.superLarge, FontWeights.semibold, fontFamilyWithFallback),
        mega: _createFont(FontSizes.mega, FontWeights.semibold, fontFamilyWithFallback),
    };
    return fontStyles;
}
/**
 * If there is a localized font for this language, return that.
 * Returns undefined if there is no localized font for that language.
 */
function _getLocalizedFontFamily(language) {
    for (var lang in LanguageToFontMap) {
        if (LanguageToFontMap.hasOwnProperty(lang) && language && lang.indexOf(language) === 0) {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            return LanguageToFontMap[lang];
        }
    }
    return defaultFontFamily;
}
function _createFont(size, weight, fontFamily) {
    return {
        fontFamily: fontFamily,
        MozOsxFontSmoothing: 'grayscale',
        WebkitFontSmoothing: 'antialiased',
        fontSize: size,
        fontWeight: weight,
    };
}

// Default urls.
var DefaultBaseUrl = 'https://static2.sharepointonline.com/files/fabric/assets';
// Standard font styling.
var DefaultFontStyles = createFontStyles(getLanguage());
function _registerFontFace(fontFamily, url, fontWeight, localFontName) {
    fontFamily = "'" + fontFamily + "'";
    var localFontSrc = localFontName !== undefined ? "local('" + localFontName + "')," : '';
    fontFace({
        fontFamily: fontFamily,
        src: localFontSrc + ("url('" + url + ".woff2') format('woff2'),") + ("url('" + url + ".woff') format('woff')"),
        fontWeight: fontWeight,
        fontStyle: 'normal',
        fontDisplay: 'swap',
    });
}
function _registerFontFaceSet(baseUrl, fontFamily, cdnFolder, cdnFontName, localFontName) {
    if (cdnFontName === void 0) { cdnFontName = 'segoeui'; }
    var urlBase = baseUrl + "/" + cdnFolder + "/" + cdnFontName;
    _registerFontFace(fontFamily, urlBase + '-light', FontWeights.light, localFontName && localFontName + ' Light');
    _registerFontFace(fontFamily, urlBase + '-semilight', FontWeights.semilight, localFontName && localFontName + ' SemiLight');
    _registerFontFace(fontFamily, urlBase + '-regular', FontWeights.regular, localFontName);
    _registerFontFace(fontFamily, urlBase + '-semibold', FontWeights.semibold, localFontName && localFontName + ' SemiBold');
    _registerFontFace(fontFamily, urlBase + '-bold', FontWeights.bold, localFontName && localFontName + ' Bold');
}
function registerDefaultFontFaces(baseUrl) {
    if (baseUrl) {
        var fontUrl = baseUrl + "/fonts";
        // Produce @font-face definitions for all supported web fonts.
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Thai, 'leelawadeeui-thai', 'leelawadeeui');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Arabic, 'segoeui-arabic');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Cyrillic, 'segoeui-cyrillic');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.EastEuropean, 'segoeui-easteuropean');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Greek, 'segoeui-greek');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Hebrew, 'segoeui-hebrew');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Vietnamese, 'segoeui-vietnamese');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.WestEuropean, 'segoeui-westeuropean', 'segoeui', 'Segoe UI');
        _registerFontFaceSet(fontUrl, LocalizedFontFamilies.Selawik, 'selawik', 'selawik');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Armenian, 'segoeui-armenian');
        _registerFontFaceSet(fontUrl, LocalizedFontNames.Georgian, 'segoeui-georgian');
        // Leelawadee UI (Thai) does not have a 'light' weight, so we override
        // the font-face generated above to use the 'semilight' weight instead.
        _registerFontFace('Leelawadee UI Web', fontUrl + "/leelawadeeui-thai/leelawadeeui-semilight", FontWeights.light);
        // Leelawadee UI (Thai) does not have a 'semibold' weight, so we override
        // the font-face generated above to use the 'bold' weight instead.
        _registerFontFace('Leelawadee UI Web', fontUrl + "/leelawadeeui-thai/leelawadeeui-bold", FontWeights.semibold);
    }
}
/**
 * Reads the fontBaseUrl from window.FabricConfig.fontBaseUrl or falls back to a default.
 */
function _getFontBaseUrl() {
    var _a, _b, _c;
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    var fabricConfig = (_a = getWindow()) === null || _a === void 0 ? void 0 : _a.FabricConfig;
    return _c = (_b = fabricConfig) === null || _b === void 0 ? void 0 : _b.fontBaseUrl, (_c !== null && _c !== void 0 ? _c : DefaultBaseUrl);
}
/**
 * Register the font faces.
 */
registerDefaultFontFaces(_getFontBaseUrl());

var HighContrastSelector = '@media screen and (-ms-high-contrast: active)';
var HighContrastSelectorWhite = '@media screen and (-ms-high-contrast: black-on-white)';
var HighContrastSelectorBlack = '@media screen and (-ms-high-contrast: white-on-black)';
var ScreenWidthMinSmall = 320;
var ScreenWidthMinMedium = 480;
var ScreenWidthMinLarge = 640;
var ScreenWidthMinXLarge = 1024;
var ScreenWidthMinXXLarge = 1366;
var ScreenWidthMaxSmall = ScreenWidthMinMedium - 1;
var ScreenWidthMaxMedium = ScreenWidthMinLarge - 1;
var ScreenWidthMinUhfMobile = 768;
function getScreenSelector(min, max) {
    return "@media only screen and (min-width: " + min + "px) and (max-width: " + max + "px)";
}

var ZIndexes;
(function (ZIndexes) {
    ZIndexes.Nav = 1;
    /**
     * @deprecated ScrollablePane
     */
    ZIndexes.ScrollablePane = 1;
    ZIndexes.FocusStyle = 1;
    ZIndexes.Coachmark = 1000;
    ZIndexes.Layer = 1000000;
    ZIndexes.KeytipLayer = 1000001;
})(ZIndexes || (ZIndexes = {}));

function getFocusStyle(theme, insetOrOptions, position, highContrastStyle, borderColor, outlineColor, isFocusedOnly) {
    if (typeof insetOrOptions === 'number' || !insetOrOptions) {
        return _getFocusStyleInternal(theme, {
            inset: insetOrOptions,
            position: position,
            highContrastStyle: highContrastStyle,
            borderColor: borderColor,
            outlineColor: outlineColor,
            isFocusedOnly: isFocusedOnly,
        });
    }
    else {
        return _getFocusStyleInternal(theme, insetOrOptions);
    }
}
function _getFocusStyleInternal(theme, options) {
    var _a, _b;
    if (options === void 0) { options = {}; }
    var _c = options.inset, inset = _c === void 0 ? 0 : _c, _d = options.width, width = _d === void 0 ? 1 : _d, _e = options.position, position = _e === void 0 ? 'relative' : _e, highContrastStyle = options.highContrastStyle, _f = options.borderColor, borderColor = _f === void 0 ? theme.palette.white : _f, _g = options.outlineColor, outlineColor = _g === void 0 ? theme.palette.neutralSecondary : _g, _h = options.isFocusedOnly, isFocusedOnly = _h === void 0 ? true : _h;
    return {
        // Clear browser-specific focus styles and use 'transparent' as placeholder for focus style.
        outline: 'transparent',
        // Requirement because pseudo-element is absolutely positioned.
        position: position,
        selectors: (_a = {
                // Clear the focus border in Firefox.
                // Reference: http://stackoverflow.com/a/199319/1436671
                '::-moz-focus-inner': {
                    border: '0',
                }
            },
            // When the element that uses this mixin is in a :focus state, add a pseudo-element to
            // create a border.
            _a["." + IsFocusVisibleClassName + " &" + (isFocusedOnly ? ':focus' : '') + ":after"] = {
                content: '""',
                position: 'absolute',
                left: inset + 1,
                top: inset + 1,
                bottom: inset + 1,
                right: inset + 1,
                border: width + "px solid " + borderColor,
                outline: width + "px solid " + outlineColor,
                zIndex: ZIndexes.FocusStyle,
                selectors: (_b = {},
                    _b[HighContrastSelector] = highContrastStyle,
                    _b),
            },
            _a),
    };
}
/**
 * Generates style to clear browser specific focus styles.
 */
function focusClear() {
    return {
        selectors: {
            '&::-moz-focus-inner': {
                // Clear the focus border in Firefox. Reference: http://stackoverflow.com/a/199319/1436671
                border: 0,
            },
            '&': {
                // Clear browser specific focus styles and use transparent as placeholder for focus style
                outline: 'transparent',
            },
        },
    };
}
/**
 * Generates text input border styles on focus.
 *
 * @param borderColor - Color of the border.
 * @param borderRadius - Radius of the border.
 * @param borderType - Type of the border.
 * @param borderPosition - Position of the border relative to the input element (default to -1
 * as it's the most common border width of the input element)
 * @returns The style object.
 */
var getInputFocusStyle = function (borderColor, borderRadius, borderType, borderPosition) {
    var _a, _b, _c;
    if (borderType === void 0) { borderType = 'border'; }
    if (borderPosition === void 0) { borderPosition = -1; }
    var isBorderBottom = borderType === 'borderBottom';
    return {
        borderColor: borderColor,
        selectors: {
            ':after': (_a = {
                    pointerEvents: 'none',
                    content: "''",
                    position: 'absolute',
                    left: isBorderBottom ? 0 : borderPosition,
                    top: borderPosition,
                    bottom: borderPosition,
                    right: isBorderBottom ? 0 : borderPosition
                },
                _a[borderType] = "2px solid " + borderColor,
                _a.borderRadius = borderRadius,
                _a.width = borderType === 'borderBottom' ? '100%' : undefined,
                _a.selectors = (_b = {},
                    _b[HighContrastSelector] = (_c = {},
                        _c[borderType === 'border' ? 'borderColor' : 'borderBottomColor'] = 'Highlight',
                        _c),
                    _b),
                _a),
        },
    };
};

var hiddenContentStyle = {
    position: 'absolute',
    width: 1,
    height: 1,
    margin: -1,
    padding: 0,
    border: 0,
    overflow: 'hidden',
};

var DEFAULT_DURATION = '14s';
var DEFAULT_DELAY = '2s';
var DEFAULT_ITERATION_COUNT = '1';
function _continuousPulseStepOne(beaconColorOne, innerDimension) {
    return {
        borderColor: beaconColorOne,
        borderWidth: '0px',
        width: innerDimension,
        height: innerDimension,
    };
}
function _continuousPulseStepTwo(borderWidth) {
    return {
        opacity: 1,
        borderWidth: borderWidth,
    };
}
function _continuousPulseStepThree() {
    return {
        opacity: 1,
    };
}
function _continuousPulseStepFour(beaconColorTwo, outerDimension) {
    return {
        borderWidth: '0',
        width: outerDimension,
        height: outerDimension,
        opacity: 0,
        borderColor: beaconColorTwo,
    };
}
function _continuousPulseStepFive(beaconColorOne, innerDimension) {
    return __assign(__assign({}, _continuousPulseStepOne(beaconColorOne, innerDimension)), {
        opacity: 0,
    });
}
function _continuousPulseAnimationDouble(beaconColorOne, beaconColorTwo, innerDimension, outerDimension, borderWidth) {
    return keyframes({
        '0%': _continuousPulseStepOne(beaconColorOne, innerDimension),
        '1.42%': _continuousPulseStepTwo(borderWidth),
        '3.57%': _continuousPulseStepThree(),
        '7.14%': _continuousPulseStepFour(beaconColorTwo, outerDimension),
        '8%': _continuousPulseStepFive(beaconColorOne, innerDimension),
        '29.99%': _continuousPulseStepFive(beaconColorOne, innerDimension),
        '30%': _continuousPulseStepOne(beaconColorOne, innerDimension),
        '31.42%': _continuousPulseStepTwo(borderWidth),
        '33.57%': _continuousPulseStepThree(),
        '37.14%': _continuousPulseStepFour(beaconColorTwo, outerDimension),
        '38%': _continuousPulseStepFive(beaconColorOne, innerDimension),
        '79.42%': _continuousPulseStepFive(beaconColorOne, innerDimension),
        '79.43': _continuousPulseStepOne(beaconColorOne, innerDimension),
        '81.85': _continuousPulseStepTwo(borderWidth),
        '83.42': _continuousPulseStepThree(),
        '87%': _continuousPulseStepFour(beaconColorTwo, outerDimension),
        '100%': {},
    });
}
function _continuousPulseAnimationSingle(beaconColorOne, beaconColorTwo, innerDimension, outerDimension, borderWidth) {
    return keyframes({
        '0%': _continuousPulseStepOne(beaconColorOne, innerDimension),
        '14.2%': _continuousPulseStepTwo(borderWidth),
        '35.7%': _continuousPulseStepThree(),
        '71.4%': _continuousPulseStepFour(beaconColorTwo, outerDimension),
        '100%': {},
    });
}
function _createDefaultAnimation(animationName, delayLength) {
    return {
        animationName: animationName,
        animationIterationCount: DEFAULT_ITERATION_COUNT,
        animationDuration: DEFAULT_DURATION,
        animationDelay: delayLength || DEFAULT_DELAY,
    };
}
var PulsingBeaconAnimationStyles = {
    continuousPulseAnimationDouble: _continuousPulseAnimationDouble,
    continuousPulseAnimationSingle: _continuousPulseAnimationSingle,
    createDefaultAnimation: _createDefaultAnimation,
};

/**
 * Internal memoized function which simply takes in the class map and the
 * disable boolean. These immutable values can be memoized.
 */
var _getGlobalClassNames = memoizeFunction(function (classNames, disableGlobalClassNames) {
    var styleSheet = Stylesheet.getInstance();
    if (disableGlobalClassNames) {
        // disable global classnames
        return Object.keys(classNames).reduce(function (acc, className) {
            acc[className] = styleSheet.getClassName(classNames[className]);
            return acc;
        }, {});
    }
    // use global classnames
    return classNames;
});
/**
 * Checks for the `disableGlobalClassNames` property on the `theme` to determine if it should return `classNames`
 * Note that calls to this function are memoized.
 *
 * @param classNames - The collection of global class names that apply when the flag is false. Make sure to pass in
 * the same instance on each call to benefit from memoization.
 * @param theme - The theme to check the flag on
 * @param disableGlobalClassNames - Optional. Explicitly opt in/out of disabling global classnames. Defaults to false.
 */
function getGlobalClassNames(classNames, theme, disableGlobalClassNames) {
    return _getGlobalClassNames(classNames, disableGlobalClassNames !== undefined ? disableGlobalClassNames : theme.disableGlobalClassNames);
}

var DefaultSpacing = {
    s2: '4px',
    s1: '8px',
    m: '16px',
    l1: '20px',
    l2: '32px',
};

var _theme = createTheme({
    palette: DefaultPalette,
    semanticColors: _makeSemanticColors(DefaultPalette, DefaultEffects, undefined, false, false),
    fonts: DefaultFontStyles,
    isInverted: false,
    disableGlobalClassNames: false,
});
var _onThemeChangeCallbacks = [];
var ThemeSettingName = 'theme';
function initializeThemeInCustomizations() {
    var _a;
    var _b, _c;
    if (!Customizations.getSettings([ThemeSettingName]).theme) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        var win = getWindow();
        if ((_c = (_b = win) === null || _b === void 0 ? void 0 : _b.FabricConfig) === null || _c === void 0 ? void 0 : _c.theme) {
            _theme = createTheme(win.FabricConfig.theme);
        }
        // Set the default theme.
        Customizations.applySettings((_a = {}, _a[ThemeSettingName] = _theme, _a));
    }
}
initializeThemeInCustomizations();
/**
 * Gets the theme object
 * @param depComments - Whether to include deprecated tags as comments for deprecated slots.
 */
function getTheme(depComments) {
    if (depComments === void 0) { depComments = false; }
    if (depComments === true) {
        _theme = createTheme({}, depComments);
    }
    return _theme;
}
/**
 * Applies the theme, while filling in missing slots.
 * @param theme - Partial theme object.
 * @param depComments - Whether to include deprecated tags as comments for deprecated slots.
 */
function loadTheme(theme, depComments) {
    var _a;
    if (depComments === void 0) { depComments = false; }
    _theme = createTheme(theme, depComments);
    // Invoke the legacy method of theming the page as well.
    loadTheme$2(__assign(__assign(__assign(__assign({}, _theme.palette), _theme.semanticColors), _theme.effects), _loadFonts(_theme)));
    Customizations.applySettings((_a = {}, _a[ThemeSettingName] = _theme, _a));
    _onThemeChangeCallbacks.forEach(function (callback) {
        try {
            callback(_theme);
        }
        catch (e) {
            // don't let a bad callback break everything else
        }
    });
    return _theme;
}
/**
 * Loads font variables into a JSON object.
 * @param theme - The theme object
 */
function _loadFonts(theme) {
    var lines = {};
    for (var _i = 0, _a = Object.keys(theme.fonts); _i < _a.length; _i++) {
        var fontName = _a[_i];
        var font = theme.fonts[fontName];
        for (var _b = 0, _c = Object.keys(font); _b < _c.length; _b++) {
            var propName = _c[_b];
            var name_1 = fontName + propName.charAt(0).toUpperCase() + propName.slice(1);
            var value = font[propName];
            if (propName === 'fontSize' && typeof value === 'number') {
                // if it's a number, convert it to px by default like our theming system does
                value = value + 'px';
            }
            lines[name_1] = value;
        }
    }
    return lines;
}
/**
 * Creates a custom theme definition which can be used with the Customizer.
 * @param theme - Partial theme object.
 * @param depComments - Whether to include deprecated tags as comments for deprecated slots.
 */
function createTheme(theme, depComments) {
    if (depComments === void 0) { depComments = false; }
    var newPalette = __assign(__assign({}, DefaultPalette), theme.palette);
    var newEffects = __assign(__assign({}, DefaultEffects), theme.effects);
    if (!theme.palette || !theme.palette.accent) {
        newPalette.accent = newPalette.themePrimary;
    }
    // mix in custom overrides with good slots first, since custom overrides might be used in fixing deprecated slots
    var newSemanticColors = __assign(__assign({}, _makeSemanticColors(newPalette, newEffects, theme.semanticColors, !!theme.isInverted, depComments)), theme.semanticColors);
    var defaultFontStyles = __assign({}, DefaultFontStyles);
    if (theme.defaultFontStyle) {
        for (var _i = 0, _a = Object.keys(defaultFontStyles); _i < _a.length; _i++) {
            var fontStyle = _a[_i];
            defaultFontStyles[fontStyle] = merge({}, defaultFontStyles[fontStyle], theme.defaultFontStyle);
        }
    }
    if (theme.fonts) {
        for (var _b = 0, _c = Object.keys(theme.fonts); _b < _c.length; _b++) {
            var fontStyle = _c[_b];
            defaultFontStyles[fontStyle] = merge({}, defaultFontStyles[fontStyle], theme.fonts[fontStyle]);
        }
    }
    return {
        palette: newPalette,
        fonts: __assign({}, defaultFontStyles),
        rtl: theme.rtl,
        semanticColors: newSemanticColors,
        isInverted: !!theme.isInverted,
        disableGlobalClassNames: !!theme.disableGlobalClassNames,
        spacing: __assign(__assign({}, DefaultSpacing), theme.spacing),
        effects: newEffects,
    };
}
/** Generates all the semantic slot colors based on the theme so far
 * We'll use these as fallbacks for semantic slots that the passed in theme did not define.
 * The caller must still mix in the customized semantic slots at the end.
 */
function _makeSemanticColors(p, e, s, isInverted, depComments) {
    var toReturn = __assign({ 
        // DEFAULTS
        bodyBackground: p.white, bodyBackgroundHovered: p.neutralLighter, bodyBackgroundChecked: p.neutralLight, bodyStandoutBackground: p.neutralLighterAlt, bodyFrameBackground: p.white, bodyFrameDivider: p.neutralLight, bodyText: p.neutralPrimary, bodyTextChecked: p.black, bodySubtext: p.neutralSecondary, bodyDivider: p.neutralLight, disabledBodyText: p.neutralTertiary, disabledBodySubtext: p.neutralTertiaryAlt, disabledBorder: p.neutralTertiaryAlt, focusBorder: p.neutralSecondary, cardStandoutBackground: p.white, cardShadow: e.elevation4, cardShadowHovered: '', variantBorder: p.neutralLight, variantBorderHovered: p.neutralTertiary, defaultStateBackground: p.neutralLighterAlt, 
        // LINKS
        actionLink: p.neutralPrimary, actionLinkHovered: p.neutralDark, link: p.themePrimary, linkHovered: p.themeDarker, 
        // BUTTONS
        buttonBackground: p.white, buttonBackgroundChecked: p.neutralTertiaryAlt, buttonBackgroundHovered: p.neutralLighter, buttonBackgroundCheckedHovered: p.neutralLight, buttonBackgroundPressed: p.neutralLight, buttonBackgroundDisabled: p.neutralLighter, buttonBorder: p.neutralSecondaryAlt, buttonText: p.neutralPrimary, buttonTextHovered: p.neutralDark, buttonTextChecked: p.neutralDark, buttonTextCheckedHovered: p.black, buttonTextPressed: p.neutralDark, buttonTextDisabled: p.neutralTertiary, buttonBorderDisabled: p.neutralLighter, primaryButtonBackground: p.themePrimary, primaryButtonBackgroundHovered: p.themeDarkAlt, primaryButtonBackgroundPressed: p.themeDark, primaryButtonBackgroundDisabled: p.neutralLighter, primaryButtonBorder: 'transparent', primaryButtonText: p.white, primaryButtonTextHovered: p.white, primaryButtonTextPressed: p.white, primaryButtonTextDisabled: p.neutralQuaternary, accentButtonBackground: p.accent, accentButtonText: p.white, 
        // INPUTS
        inputBorder: p.neutralSecondary, inputBorderHovered: p.neutralPrimary, inputBackground: p.white, inputBackgroundChecked: p.themePrimary, inputBackgroundCheckedHovered: p.themeDark, inputPlaceholderBackgroundChecked: p.themeLighter, inputForegroundChecked: p.white, inputIcon: p.themePrimary, inputIconHovered: p.themeDark, inputIconDisabled: p.neutralTertiary, inputFocusBorderAlt: p.themePrimary, smallInputBorder: p.neutralSecondary, inputText: p.neutralPrimary, inputTextHovered: p.neutralDark, inputPlaceholderText: p.neutralSecondary, disabledBackground: p.neutralLighter, disabledText: p.neutralTertiary, disabledSubtext: p.neutralQuaternary, 
        // LISTS
        listBackground: p.white, listText: p.neutralPrimary, listItemBackgroundHovered: p.neutralLighter, listItemBackgroundChecked: p.neutralLight, listItemBackgroundCheckedHovered: p.neutralQuaternaryAlt, listHeaderBackgroundHovered: p.neutralLighter, listHeaderBackgroundPressed: p.neutralLight, 
        // MENUS
        menuBackground: p.white, menuDivider: p.neutralTertiaryAlt, menuIcon: p.themePrimary, menuHeader: p.themePrimary, menuItemBackgroundHovered: p.neutralLighter, menuItemBackgroundPressed: p.neutralLight, menuItemText: p.neutralPrimary, menuItemTextHovered: p.neutralDark, errorText: !isInverted ? '#a4262c' : '#F1707B', messageText: !isInverted ? '#323130' : '#F3F2F1', messageLink: !isInverted ? '#005A9E' : '#6CB8F6', messageLinkHovered: !isInverted ? '#004578' : '#82C7FF', infoIcon: !isInverted ? '#605e5c' : '#C8C6C4', errorIcon: !isInverted ? '#A80000' : '#F1707B', blockingIcon: !isInverted ? '#FDE7E9' : '#442726', warningIcon: !isInverted ? '#797775' : '#C8C6C4', severeWarningIcon: !isInverted ? '#D83B01' : '#FCE100', successIcon: !isInverted ? '#107C10' : '#92C353', infoBackground: !isInverted ? '#f3f2f1' : '#323130', errorBackground: !isInverted ? '#FDE7E9' : '#442726', blockingBackground: !isInverted ? '#FDE7E9' : '#442726', warningBackground: !isInverted ? '#FFF4CE' : '#433519', severeWarningBackground: !isInverted ? '#FED9CC' : '#4F2A0F', successBackground: !isInverted ? '#DFF6DD' : '#393D1B', 
        // Deprecated slots, later pass by _fixDeprecatedSlots() for self-referential slots
        warningHighlight: !isInverted ? '#ffb900' : '#fff100', warningText: '', successText: !isInverted ? '#107C10' : '#92c353', listTextColor: '', menuItemBackgroundChecked: p.neutralLight }, s);
    // second pass for self-referential slots
    toReturn = __assign(__assign({}, toReturn), { cardShadowHovered: !isInverted ? e.elevation8 : '0 0 1px ' + toReturn.variantBorderHovered });
    return _fixDeprecatedSlots(toReturn, depComments);
}
function _fixDeprecatedSlots(s, depComments) {
    // Add @deprecated tag as comment if enabled
    var dep = '';
    if (depComments === true) {
        dep = ' /* @deprecated */';
    }
    /* eslint-disable deprecation/deprecation */
    s.listTextColor = s.listText + dep;
    s.menuItemBackgroundChecked += dep;
    s.warningHighlight += dep;
    s.warningText = s.messageText + dep;
    s.successText += dep;
    /* eslint-enable deprecation/deprecation */
    return s;
}

// This file mimics styles and mixins from _General.Mixins.scss
var normalize = {
    boxShadow: 'none',
    margin: 0,
    padding: 0,
    boxSizing: 'border-box',
};
var noWrap = {
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap',
};

/**
 * Generates placeholder style for each of the browsers supported by office-ui-fabric-react.
 * @param styles - The style to use.
 * @returns The placeholder style object for each browser depending on the placeholder directive it uses.
 */
function getPlaceholderStyles(styles) {
    return {
        selectors: {
            '::placeholder': styles,
            ':-ms-input-placeholder': styles,
            '::-ms-input-placeholder': styles,
        },
    };
}

/**
 * {@docCategory AnimationClassNames}
 */
var AnimationClassNames = buildClassMap(AnimationStyles);

// A packages cache that makes sure that we don't inject the same packageName twice in the same bundle -
// this cache is local to the module closure inside this bundle
var packagesCache = {};
// Cache access to window to avoid IE11 memory leak.
var _win = undefined;
try {
    _win = window;
}
catch (e) {
    /* no-op */
}
function setVersion(packageName, packageVersion) {
    if (typeof _win !== 'undefined') {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        var packages = (_win.__packages__ = _win.__packages__ || {});
        // We allow either the global packages or local packages caches to invalidate so testing can
        // just clear the global to set this state
        if (!packages[packageName] || !packagesCache[packageName]) {
            packagesCache[packageName] = packageVersion;
            var versions = (packages[packageName] = packages[packageName] || []);
            versions.push(packageVersion);
        }
    }
}

setVersion('@uifabric/set-version', '6.0.0');

// Do not modify this file; it is generated as part of publish.
setVersion('@uifabric/styling', '7.14.5');

initializeThemeInCustomizations();

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

function createCommonjsModule(fn, basedir, module) {
	return module = {
	  path: basedir,
	  exports: {},
	  require: function (path, base) {
      return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
    }
	}, fn(module, module.exports), module.exports;
}

function commonjsRequire () {
	throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
}

var api = createCommonjsModule(function (module, exports) {
var __extends = (commonjsGlobal && commonjsGlobal.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (commonjsGlobal && commonjsGlobal.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (commonjsGlobal && commonjsGlobal.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_1 = __importDefault(vue);
var Component = /** @class */ (function (_super) {
    __extends(Component, _super);
    function Component() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return Component;
}(vue_1.default));
exports.Component = Component;
/**
 * Create component from component options (Compatible with Vue.extend)
 */
function createComponent(opts) {
    return vue_1.default.extend(opts);
}
exports.createComponent = createComponent;
var factoryImpl = {
    convert: function (c) { return c; },
    extendFrom: function (c) { return c; }
};
/**
 * Specify Props and Event types of component
 *
 * Usage:
 *  // Get TSX-supported component with props(`name`, `value`) and event(`onInput`)
 *  const NewComponent = tsx.ofType<{ name: string, value: string }, { onInput: string }>.convert(Component);
 */
function ofType() {
    return factoryImpl;
}
exports.ofType = ofType;
function withNativeOn(componentType) {
    return componentType;
}
exports.withNativeOn = withNativeOn;
function withHtmlAttrs(componentType) {
    return componentType;
}
exports.withHtmlAttrs = withHtmlAttrs;
function withUnknownProps(componentType) {
    return componentType;
}
exports.withUnknownProps = withUnknownProps;
function createComponentFactory(base, mixins) {
    return {
        create: function (options) {
            var mergedMixins = options.mixins
                ? options.mixins.concat(mixins) : mixins;
            return base.extend(__assign({}, options, { mixins: mergedMixins }));
        },
        mixin: function (mixinObject) {
            return createComponentFactory(base, mixins.concat([mixinObject]));
        }
    };
}
function createExtendableComponentFactory() {
    return {
        create: function (options) {
            return vue_1.default.extend(options);
        },
        extendFrom: function (base) {
            return createComponentFactory(base, []);
        },
        mixin: function (mixinObject) {
            return createComponentFactory(vue_1.default, [mixinObject]);
        }
    };
}
exports.componentFactory = createExtendableComponentFactory();
function componentFactoryOf() {
    return exports.componentFactory;
}
exports.componentFactoryOf = componentFactoryOf;
/**
 * Shorthand of `componentFactory.create`
 */
exports.component = exports.componentFactory.create;
exports.extendFrom = exports.componentFactory.extendFrom;

});

var modifiers = createCommonjsModule(function (module, exports) {
var __assign = (commonjsGlobal && commonjsGlobal.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
function handleEvent(event, filters, handler) {
    for (var _i = 0, filters_1 = filters; _i < filters_1.length; _i++) {
        var filter = filters_1[_i];
        if (!filter(event)) {
            return;
        }
    }
    if (handler) {
        handler(event);
    }
}
var keyCodes = {
    esc: 27,
    tab: 9,
    enter: 13,
    space: 32,
    up: 38,
    down: 40,
    del: [8, 46],
    left: 37,
    right: 39
};
function createKeyFilter(keys) {
    var codes = [];
    for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
        var key = keys_1[_i];
        if (typeof key === "number") {
            codes.push(key);
        }
        else {
            var code = keyCodes[key];
            if (typeof code === "number") {
                codes.push(code);
            }
            else {
                codes.push.apply(codes, code);
            }
        }
    }
    switch (codes.length) {
        case 0:
            return function (_) { return false; };
        case 1:
            var code_1 = codes[0];
            return function (e) { return e.keyCode === code_1; };
        default:
            return function (e) { return codes.indexOf(e.keyCode) >= 0; };
    }
}
function defineChildModifier(target, currentFilters, name, filter, children) {
    Object.defineProperty(target, name, {
        get: function () {
            // call this getter at most once.
            // reuse created instance after next time.
            var ret = createModifier(currentFilters.concat([filter]), children);
            Object.defineProperty(target, name, {
                value: ret,
                enumerable: true
            });
            return ret;
        },
        enumerable: true,
        configurable: true
    });
}
function defineKeyCodeModifiers(target, filters, children) {
    var _loop_1 = function (name_1) {
        var keyName = name_1;
        if (keyName === "left" || keyName === "right") {
            return "continue";
        }
        var code = keyCodes[keyName];
        if (typeof code === "number") {
            defineChildModifier(target, filters, keyName, function (e) { return e.keyCode === code; }, children);
        }
        else {
            var c1_1 = code[0], c2_1 = code[1];
            defineChildModifier(target, filters, keyName, function (e) { return e.keyCode === c1_1 || e.keyCode === c2_1; }, children);
        }
    };
    for (var name_1 in keyCodes) {
        _loop_1(name_1);
    }
}
function defineKeys(target, filters, children) {
    Object.defineProperty(target, "keys", {
        get: function () {
            var _this = this;
            var keysFunction = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                var propName = "keys:" + args.toString();
                var modifier = _this[propName];
                if (modifier !== undefined) {
                    return modifier;
                }
                var filter = createKeyFilter(args);
                defineChildModifier(_this, filters, propName, filter, children);
                return _this[propName];
            };
            Object.defineProperty(this, "keys", {
                value: keysFunction,
                enumerable: true
            });
            return keysFunction;
        },
        enumerable: true,
        configurable: true
    });
}
function defineExact(target, filters, children) {
    Object.defineProperty(target, "exact", {
        get: function () {
            var _this = this;
            var exactFunction = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                var propName = "exact:" + args.toString();
                var modifier = _this[propName];
                if (modifier !== undefined) {
                    return modifier;
                }
                var expected = {
                    ctrl: false,
                    shift: false,
                    alt: false,
                    meta: false
                };
                args.forEach(function (arg) { return (expected[arg] = true); });
                var filter = function (e) {
                    return !!e.ctrlKey === expected.ctrl &&
                        !!e.shiftKey === expected.shift &&
                        !!e.altKey === expected.alt &&
                        !!e.metaKey === expected.meta;
                };
                defineChildModifier(_this, filters, propName, filter, children);
                return _this[propName];
            };
            Object.defineProperty(this, "exact", {
                value: exactFunction,
                enumerable: true
            });
            return exactFunction;
        },
        enumerable: true,
        configurable: true
    });
}
function createModifier(filters, children) {
    function m(arg) {
        if (arg instanceof Function) {
            // EventHandler => EventHandler
            return function (event) { return handleEvent(event, filters, arg); };
        }
        else {
            // Event => void
            handleEvent(arg, filters);
            return;
        }
    }
    if (children.keyboard || children.mouse) {
        var nextChildren = __assign({}, children, { keyboard: false, mouse: false });
        if (children.keyboard) {
            defineKeyCodeModifiers(m, filters, nextChildren);
            defineKeys(m, filters, nextChildren);
        }
        if (children.mouse) {
            defineChildModifier(m, filters, "middle", function (e) { return e.button === 1; }, nextChildren);
        }
        defineChildModifier(m, filters, "left", function (e) { return e.keyCode === 37 || e.button === 0; }, nextChildren);
        defineChildModifier(m, filters, "right", function (e) { return e.keyCode === 39 || e.button === 2; }, nextChildren);
    }
    if (children.exact) {
        var nextChildren = __assign({}, children, { exact: false, modkey: false });
        defineExact(m, filters, nextChildren);
    }
    if (children.modkey) {
        var nextChildren = __assign({}, children, { exact: false });
        defineChildModifier(m, filters, "ctrl", function (e) { return e.ctrlKey; }, nextChildren);
        defineChildModifier(m, filters, "shift", function (e) { return e.shiftKey; }, nextChildren);
        defineChildModifier(m, filters, "alt", function (e) { return e.altKey; }, nextChildren);
        defineChildModifier(m, filters, "meta", function (e) { return e.metaKey; }, nextChildren);
        defineChildModifier(m, filters, "noctrl", function (e) { return !e.ctrlKey; }, nextChildren);
        defineChildModifier(m, filters, "noshift", function (e) { return !e.shiftKey; }, nextChildren);
        defineChildModifier(m, filters, "noalt", function (e) { return !e.altKey; }, nextChildren);
        defineChildModifier(m, filters, "nometa", function (e) { return !e.metaKey; }, nextChildren);
    }
    defineChildModifier(m, filters, "stop", function (e) {
        e.stopPropagation();
        return true;
    }, children);
    defineChildModifier(m, filters, "prevent", function (e) {
        e.preventDefault();
        return true;
    }, children);
    defineChildModifier(m, filters, "self", function (e) { return e.target === e.currentTarget; }, children);
    return m;
}
exports.modifiers = createModifier([], {
    keyboard: true,
    mouse: true,
    modkey: true,
    exact: true
});

});

var lib = createCommonjsModule(function (module, exports) {
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(api);

exports.modifiers = modifiers.modifiers;

});

var BaseComponent = /*#__PURE__*/function (_tsx$Component) {
  _inherits(BaseComponent, _tsx$Component);

  var _super = _createSuper(BaseComponent);

  function BaseComponent() {
    var _this;

    _classCallCheck(this, BaseComponent);

    _this = _super.apply(this, arguments);
    _this.componentRef = null;
    _this.css = css;
    _this.__async = null;
    _this.__events = null;
    _this.__disposables = null;
    _this.state = {};
    _this.props = {};
    return _this;
  } // created () {
  //   for (const key in this.$props) {
  //     if (this.$props.hasOwnProperty(key)) {
  //       this.$set(this.props as any, key, this.$props[key])
  //     }
  //   }
  // }

  /**
   * When the component has mounted, update the componentRef.
   */


  _createClass(BaseComponent, [{
    key: "mounted",
    value: function mounted() {
      this.componentRef = this.$el;
    }
    /**
     * If we have disposables, dispose them automatically on unmount.
     */

  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      if (this.__disposables) {
        for (var i = 0, len = this._disposables.length; i < len; i++) {
          var disposable = this.__disposables[i];

          if (disposable.dispose) {
            disposable.dispose();
          }
        }

        this.__disposables = null;
      }
    }
  }, {
    key: "setState",

    /**
     * Updates the component's current state.
     *
     * @returns The updated state object.
     */
    value: function setState(newState) {
      for (var key in newState) {
        this.$set(this.state, key, newState[key]);
      }

      return this.state;
    }
  }, {
    key: "uid",
    get: function get() {
      // @ts-ignore
      return this._uid;
    }
  }, {
    key: "classNames",
    get: function get() {
      return {};
    }
    /**
     * Allows subclasses to push things to this._disposables to be auto disposed.
     */

  }, {
    key: "_disposables",
    get: function get() {
      if (!this.__disposables) {
        this.__disposables = [];
      }

      return this.__disposables;
    }
    /**
     * Gets the async instance associated with the component, created on demand. The async instance gives
     * subclasses a way to execute setTimeout/setInterval async calls safely, where the callbacks
     * will be cleared/ignored automatically after unmounting. The helpers within the async object also
     * preserve the this pointer so that you don't need to "bind" the callbacks.
     */

  }, {
    key: "_async",
    get: function get() {
      if (!this.__async) {
        this.__async = new Async(this);

        this._disposables.push(this.__async);
      }

      return this.__async;
    }
    /**
     * Gets the event group instance assocaited with the component, created on demand. The event instance
     * provides on/off methods for listening to DOM (or regular javascript object) events. The event callbacks
     * will be automatically disconnected after unmounting. The helpers within the events object also
     * preserve the this reference so that you don't need to "bind" the callbacks.
     */

  }, {
    key: "events",
    get: function get() {
      if (!this.__events) {
        this.__events = new EventGroup(this);

        this._disposables.push(this.__events);
      }

      return this.__events;
    }
  }]);

  return BaseComponent;
}(lib.Component);

__decorate([Prop({
  type: [String, Array],
  default: ''
}), __metadata("design:type", String)], BaseComponent.prototype, "className", void 0);

__decorate([Prop({
  type: [Object, Function],
  default: function _default() {}
}), __metadata("design:type", Object)], BaseComponent.prototype, "styles", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {
    return getTheme();
  }
}), __metadata("design:type", Object)], BaseComponent.prototype, "theme", void 0);

BaseComponent = __decorate([Component], BaseComponent);
var BaseComponent$1 = BaseComponent;

var SELECTION_FORWARD = 'forward';

var Autofill = /*#__PURE__*/function (_BaseComponent) {
  _inherits(Autofill, _BaseComponent);

  var _super = _createSuper(Autofill);

  function Autofill() {
    var _this;

    _classCallCheck(this, Autofill);

    _this = _super.apply(this, arguments);
    _this.autoFillEnabled = false;
    _this.isComposing = false;
    _this.internalValue = _this.defaultVisibleValue || '';
    _this.displayValue = _this.defaultVisibleValue || '';
    return _this;
  }

  _createClass(Autofill, [{
    key: "focus",
    value: function focus() {
      this.$refs.inputElement && this.$refs.inputElement.focus();
    }
  }, {
    key: "clear",
    value: function clear() {
      this.autoFillEnabled = true;
      this.updateValue('', false);
      this.$refs.inputElement && this.$refs.inputElement.setSelectionRange(0, 0);
    }
  }, {
    key: "onKeyDown",
    value: function onKeyDown(ev) {
      this.$emit('keydown', ev); // If the event is actively being composed, then don't alert autofill.
      // Right now typing does not have isComposing, once that has been fixed any should be removed.

      if (!ev.isComposing) {
        switch (ev.which) {
          case KeyCodes.backspace:
            this.autoFillEnabled = false;
            break;

          case KeyCodes.left:
          case KeyCodes.right:
            if (this.autoFillEnabled) {
              this.internalValue = this.displayValue;
              this.autoFillEnabled = false;
            }

            break;

          default:
            if (!this.autoFillEnabled) {
              if (this.enableAutofillOnKeyPress.indexOf(ev.which) !== -1) {
                this.autoFillEnabled = true;
              }
            }

            break;
        }
      }
    }
  }, {
    key: "onInputChanged",
    value: function onInputChanged(ev) {
      var value = this.getCurrentInputValue(ev);

      if (!this.isComposing) {
        this.tryEnableAutofill(value, this.value, ev.isComposing);
      } // If it is not IE11 and currently composing, update the value


      if (!(isIE11() && this.isComposing)) {
        var nativeEventComposing = ev.composed;
        var isComposing = nativeEventComposing === undefined ? this.isComposing : nativeEventComposing;
        this.updateValue(value, isComposing);
      }
    }
  }, {
    key: "getCurrentInputValue",
    value: function getCurrentInputValue(ev) {
      if (ev && ev.target && ev.target.value) {
        return ev.target.value;
      } else if (this.$refs.inputElement && this.$refs.inputElement.value) {
        return this.$refs.inputElement.value;
      } else {
        return '';
      }
    }
    /**
     * Updates the current input value as well as getting a new display value.
     * @param newValue - The new value from the input
     */

  }, {
    key: "updateValue",
    value: function updateValue(newValue, composing) {
      // Only proceed if the value is nonempty and is different from the old value
      // This is to work around the fact that, in IE 11, inputs with a placeholder fire an onInput event on focus
      if (!newValue && newValue === this.value) {
        return;
      }

      this.internalValue = this.onInputChange ? this.onInputChange(newValue, composing) : newValue;
      this.displayValue = this.getDisplayValue(this.value, this.suggestedDisplayValue);
    }
  }, {
    key: "getDisplayValue",
    value: function getDisplayValue(inputValue, suggestedDisplayValue) {
      var displayValue = inputValue;

      if (suggestedDisplayValue && inputValue && this.doesTextStartWith(suggestedDisplayValue, displayValue) && this.autoFillEnabled) {
        displayValue = suggestedDisplayValue;
      }

      return displayValue;
    }
  }, {
    key: "doesTextStartWith",
    value: function doesTextStartWith(text, startWith) {
      if (!text || !startWith) {
        return false;
      }

      return text.toLocaleLowerCase().indexOf(startWith.toLocaleLowerCase()) === 0;
    }
    /**
     * Attempts to enable autofill. Whether or not autofill is enabled depends on the input value,
     * whether or not any text is selected, and only if the new input value is longer than the old input value.
     * Autofill should never be set to true if the value is composing. Once compositionEnd is called, then
     * it should be completed.
     * See https://developer.mozilla.org/en-US/docs/Web/API/CompositionEvent for more information on composition.
     * @param newValue - new input value
     * @param oldValue - old input value
     * @param isComposing - if true then the text is actively being composed and it has not completed.
     * @param isComposed - if the text is a composed text value.
     */

  }, {
    key: "tryEnableAutofill",
    value: function tryEnableAutofill(newValue, oldValue, isComposing, isComposed) {
      if (!isComposing && newValue && this.$refs.inputElement && this.$refs.inputElement.selectionStart === newValue.length && !this.autoFillEnabled && (newValue.length > oldValue.length || isComposed)) {
        this.autoFillEnabled = true;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var displayValue = this.displayValue;
      return h("input", {
        "ref": "inputElement",
        "attrs": {
          "autoCapitalize": "off",
          "autoComplete": "off",
          "aria-autocomplete": 'both',
          "data-lpignore": true
        },
        "domProps": {
          "value": displayValue
        },
        "on": {
          "input": this.onInputChanged,
          "keydown": this.onKeyDown,
          "click": function click(ev) {
            return _this2.$emit('click', ev);
          }
        }
      });
    }
  }, {
    key: "cursorLocation",
    get: function get() {
      if (this.$refs.inputElement) {
        var inputElement = this.$refs.inputElement;

        if (inputElement.selectionDirection !== SELECTION_FORWARD) {
          return inputElement.selectionEnd;
        } else {
          return inputElement.selectionStart;
        }
      } else {
        return -1;
      }
    }
  }, {
    key: "value",
    get: function get() {
      return this.internalValue;
    }
  }, {
    key: "isValueSelected",
    get: function get() {
      return Boolean(this.$refs.inputElement && this.$refs.inputElement.selectionStart !== this.$refs.inputElement.selectionEnd);
    }
  }, {
    key: "selectionStart",
    get: function get() {
      return this.$refs.inputElement ? this.$refs.inputElement.selectionStart : -1;
    }
  }, {
    key: "selectionEnd",
    get: function get() {
      return this.$refs.inputElement ? this.$refs.inputElement.selectionEnd : -1;
    }
  }]);

  return Autofill;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Autofill.prototype, "defaultVisibleValue", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Autofill.prototype, "suggestedDisplayValue", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Autofill.prototype, "preventValueSelection", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [KeyCodes.down, KeyCodes.up];
  }
}), __metadata("design:type", Array)], Autofill.prototype, "enableAutofillOnKeyPress", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], Autofill.prototype, "onInputChange", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], Autofill.prototype, "onInputValueChange", void 0);

Autofill = __decorate([Component], Autofill);

var DefaultFields = ['theme', 'styles'];
function styled(Component, baseStyles, getProps, customizable, pure) {
  customizable = customizable || {
    scope: '',
    fields: undefined
  };
  var _customizable = customizable,
      scope = _customizable.scope,
      _customizable$fields = _customizable.fields,
      fields = _customizable$fields === void 0 ? DefaultFields : _customizable$fields;

  var _styles;

  var styledComponent = lib.componentFactory.create({
    name: "Styled".concat(Component.displayName || Component.name),
    functional: true,
    render: function render(h, context) {
      var settings = Customizations.getSettings(fields, scope);

      var customizedStyles = settings.styles,
          dir = settings.dir,
          rest = _objectWithoutProperties(settings, ["styles", "dir"]);

      var additionalProps = getProps ? getProps(this) : undefined;

      if (!_styles || customizedStyles !== _styles.__cachedInputs__[1] || !!context.props.styles) {
        _styles = function _styles(styleProps) {
          return concatStyleSetsWithProps(styleProps, baseStyles, context.props.styles);
        };

        _styles.__cachedInputs__ = [baseStyles, context.props.styles];
      }

      return h(Component, _objectSpread2(_objectSpread2({}, context.data), {}, {
        props: _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, rest), additionalProps), context.props), {}, {
          className: context.props.className || context.data.class,
          styles: _styles
        })
      }), context.children);
    }
  }); // styledComponent.prototype.BaseComponent = Component

  return styledComponent;
}

var StatelessComponent = /*#__PURE__*/function (_TsxComponent) {
  _inherits(StatelessComponent, _TsxComponent);

  var _super = _createSuper(StatelessComponent);

  function StatelessComponent() {
    _classCallCheck(this, StatelessComponent);

    return _super.apply(this, arguments);
  }

  _createClass(StatelessComponent, [{
    key: "css",
    value: function css$1() {
      return css.apply(void 0, arguments);
    }
  }]);

  return StatelessComponent;
}(lib.Component);

__decorate([Prop({
  type: [String, Array],
  default: ''
}), __metadata("design:type", String)], StatelessComponent.prototype, "className", void 0);

__decorate([Prop({
  type: [Object, Function],
  default: function _default() {}
}), __metadata("design:type", Object)], StatelessComponent.prototype, "styles", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {
    return getTheme();
  }
}), __metadata("design:type", Object)], StatelessComponent.prototype, "theme", void 0);

StatelessComponent = __decorate([Component({
  // @ts-ignore
  functional: true,
  provide: {}
})], StatelessComponent);
var StatelessComponent$1 = StatelessComponent;

var getClassNames = classNamesFunction();
var VerticalDividerBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(VerticalDividerBase, _StatelessComponent);

  var _super = _createSuper(VerticalDividerBase);

  function VerticalDividerBase() {
    _classCallCheck(this, VerticalDividerBase);

    return _super.apply(this, arguments);
  }

  _createClass(VerticalDividerBase, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          styles = _ctx$props.styles,
          theme = _ctx$props.theme,
          className = _ctx$props.className;
      var classNames = getClassNames(styles, {
        theme: theme,
        className: className
      });
      return h("span", {
        "class": classNames.wrapper
      }, [h("span", {
        "class": classNames.divider
      })]);
    }
  }]);

  return VerticalDividerBase;
}(StatelessComponent$1);

var getStyles = function getStyles(props) {
  var theme = props.theme,
      className = props.className;

  if (!theme) {
    throw new Error('Theme is undefined or null.');
  }

  return {
    wrapper: [{
      display: 'inline-flex',
      height: '100%',
      alignItems: 'center'
    }, className],
    divider: [{
      width: 1,
      height: '100%',
      backgroundColor: theme.palette.neutralTertiaryAlt
    }]
  };
};

var VerticalDivider = styled(VerticalDividerBase, getStyles, undefined, {
  scope: 'VerticalDivider'
});

/**
 * {@docCategory List}
 */
var ScrollToMode = {
  /**
   * Does not make any consideration to where in the viewport the item should align to.
   */
  auto: 0,

  /**
   * Attempts to scroll the list so the top of the desired item is aligned with the top of the viewport.
   */
  top: 1,

  /**
   * Attempts to scroll the list so the bottom of the desired item is aligned with the bottom of the viewport.
   */
  bottom: 2,

  /**
   * Attempts to scroll the list so the desired item is in the exact center of the viewport.
   */
  center: 3
};

var MIN_SCROLL_UPDATE_DELAY = 100;
var MAX_SCROLL_UPDATE_DELAY = 500;
var IDLE_DEBOUNCE_DELAY = 200; // The amount of time to wait before declaring that the list isn't scrolling

var DONE_SCROLLING_WAIT = 500;
var DEFAULT_ITEMS_PER_PAGE = 10;
var DEFAULT_PAGE_HEIGHT = 30;
var DEFAULT_RENDERED_WINDOWS_BEHIND = 2;
var DEFAULT_RENDERED_WINDOWS_AHEAD = 2;
var PAGE_KEY_PREFIX = 'page-';
var SPACER_KEY_PREFIX = 'spacer-';
var EMPTY_RECT = {
  top: -1,
  bottom: -1,
  left: -1,
  right: -1,
  width: 0,
  height: 0
}; // Naming expensive measures so that they're named in profiles.

var measurePageRect = function measurePageRect(element) {
  return element.getBoundingClientRect();
};

var _measureSurfaceRect = measurePageRect;
/**
 * The List renders virtualized pages of items. Each page's item count is determined by the getItemCountForPage callback if
 * provided by the caller, or 10 as default. Each page's height is determined by the getPageHeight callback if provided by
 * the caller, or by cached measurements if available, or by a running average, or a default fallback.
 *
 * The algorithm for rendering pages works like this:
 *
 * 1. Predict visible pages based on "current measure data" (page heights, surface position, visible window)
 * 2. If changes are necessary, apply changes (add/remove pages)
 * 3. For pages that are added, measure the page heights if we need to using getBoundingClientRect
 * 4. If measurements don't match predictions, update measure data and goto step 1 asynchronously
 *
 * Measuring too frequently can pull performance down significantly. To compensate, we cache measured values so that
 * we can avoid re-measuring during operations that should not alter heights, like scrolling.
 *
 * To optimize glass rendering performance, onShouldVirtualize can be set. When onShouldVirtualize return false,
 * List will run in fast mode (not virtualized) to render all items without any measurements to improve page load time. And we
 * start doing measurements and rendering in virtualized mode when items grows larger than this threshold.
 *
 * However, certain operations can make measure data stale. For example, resizing the list, or passing in new props,
 * or forcing an update change cause pages to shrink/grow. When these operations occur, we increment a measureVersion
 * number, which we associate with cached measurements and use to determine if a remeasure should occur.
 */

var List = /*#__PURE__*/function (_BaseComponent) {
  _inherits(List, _BaseComponent);

  var _super = _createSuper(List);

  function List() {
    var _this;

    _classCallCheck(this, List);

    _this = _super.apply(this, arguments);
    _this.pages = [];
    _this.isScrolling = false;
    _this.measureVersion = 0;
    _this.requiredRect = null;
    _this.materializedRect = null;
    _this.scrollHeight = 0;
    _this.scrollTop = 0;
    _this.requiredWindowsAhead = 0;
    _this.requiredWindowsBehind = 0;
    _this.role = 'list';
    _this.focusedIndex = -1;
    _this.totalEstimates = 0;
    _this.hasCompletedFirstRender = false;
    _this.pageCache = {};
    _this.cachedPageHeights = {};
    _this.estimatedPageHeight = 0;
    return _this;
  }

  _createClass(List, [{
    key: "render",
    value: function render(h) {
      var _this2 = this;

      var pages = this.pages,
          className = this.className,
          css = this.css,
          role = this.role;
      return h("div", {
        "ref": "root",
        "attrs": {
          "role": pages.length > 0 ? role : undefined
        },
        "class": css('ms-List', className)
      }, [h("div", {
        "ref": "surface",
        "class": "ms-List-surface",
        "attrs": {
          "role": "presentation"
        }
      }, [pages.map(function (page) {
        return h("div", {
          "key": page.key,
          "ref": page.key,
          "refInFor": true,
          "class": "ms-List-page",
          "style": _this2.getPageStyle(page)
        }, [page.items && page.items.map(function (item, index) {
          return h("div", {
            "key": index,
            "class": "ms-List-cell"
          }, [_this2.$scopedSlots.item ? _this2.$scopedSlots.item({
            item: item,
            index: page.startIndex + index
          }) : item ? item.name : '']);
        })]);
      })])]);
    }
  }, {
    key: "created",
    value: function created() {
      this._onScrollingDone = this._async.debounce(this._onScrollingDone, DONE_SCROLLING_WAIT, {
        leading: false
      });
      this._onAsyncScroll = this._async.debounce(this._onAsyncScroll, MIN_SCROLL_UPDATE_DELAY, {
        leading: false,
        maxWait: MAX_SCROLL_UPDATE_DELAY
      });
      this._onAsyncIdle = this._async.debounce(this._onAsyncIdle, IDLE_DEBOUNCE_DELAY, {
        leading: false
      });
    }
  }, {
    key: "itemsChanged",
    value: function itemsChanged(newVal, oldVal) {
      if (newVal !== oldVal) this.updatePages();
    }
  }, {
    key: "shouldUpdate",
    value: function shouldUpdate(newVal, oldVal) {
      if (!newVal && oldVal) this.updatePages();
    }
  }, {
    key: "mounted",
    value: function mounted() {
      this.updatePages();
      this.measureVersion++;
      this.scrollElement = findScrollableParent(this.$refs.root);

      if (this.$refs.root) {
        this.events.on(this.$refs.root, 'focus', this._onFocus, true);
      }

      if (this.scrollElement) {
        this.events.on(this.scrollElement, 'scroll', this._onScroll);
        this.events.on(this.scrollElement, 'scroll', this._onAsyncScroll);
      }
    }
    /**
     * Debounced method to asynchronously update the visible region on a scroll event.
     */

  }, {
    key: "_onAsyncScroll",
    value: function _onAsyncScroll() {
      this.updateRenderRects(); // Only update pages when the visible rect falls outside of the materialized rect.

      if (!this.materializedRect || !_isContainedWithin(this.requiredRect, this.materializedRect)) {
        this.updatePages();
      }
    }
    /**
     * This is an async debounced method that will try and increment the windows we render. If we can increment
     * either, we increase the amount we render and re-evaluate.
     */

  }, {
    key: "_onAsyncIdle",
    value: function _onAsyncIdle() {
      var renderedWindowsAhead = this.renderedWindowsAhead,
          renderedWindowsBehind = this.renderedWindowsBehind;
      var requiredWindowsAhead = this.requiredWindowsAhead,
          requiredWindowsBehind = this.requiredWindowsBehind;
      var windowsAhead = Math.min(renderedWindowsAhead, requiredWindowsAhead + 1);
      var windowsBehind = Math.min(renderedWindowsBehind, requiredWindowsBehind + 1);

      if (windowsAhead !== requiredWindowsAhead || windowsBehind !== requiredWindowsBehind) {
        this.requiredWindowsAhead = windowsAhead;
        this.requiredWindowsBehind = windowsBehind;
        this.updateRenderRects();
        this.updatePages();
      }

      if (renderedWindowsAhead > windowsAhead || renderedWindowsBehind > windowsBehind) {
        // Async increment on next tick.
        this._onAsyncIdle();
      }
    }
    /** Track the last item index focused so that we ensure we keep it rendered. */

  }, {
    key: "_onFocus",
    value: function _onFocus(ev) {
      var target = ev.target;

      while (target !== this.$refs.surface) {
        var indexString = target.getAttribute('data-list-index');

        if (indexString) {
          this.focusedIndex = Number(indexString);
          break;
        }

        target = getParent(target);
      }
    }
    /**
     * Called synchronously to reset the required render range to 0 on scrolling. After async scroll has executed,
     * we will call onAsyncIdle which will reset it back to it's correct value.
     */

  }, {
    key: "_onScroll",
    value: function _onScroll() {
      if (!this.isScrolling && !this.ignoreScrollingState) {
        this.isScrolling = true;
      }

      this.resetRequiredWindows(); // @ts-ignore

      this._onScrollingDone();
    }
  }, {
    key: "resetRequiredWindows",
    value: function resetRequiredWindows() {
      this.requiredWindowsAhead = 0;
      this.requiredWindowsBehind = 0;
    }
    /**
     * Function to call when the list is done scrolling.
     * This function is debounced.
     */

  }, {
    key: "_onScrollingDone",
    value: function _onScrollingDone() {
      if (!this.ignoreScrollingState) {
        this.isScrolling = false;
      }
    }
    /** Generate the style object for the page. */

  }, {
    key: "getPageStyle",
    value: function getPageStyle(page) {
      var getPageStyle = this.$props.getPageStyle;
      return _objectSpread2(_objectSpread2({}, getPageStyle ? getPageStyle(page) : {}), !page.items ? {
        height: page.height + 'px'
      } : {});
    }
  }, {
    key: "_buildPages",
    value: function _buildPages(props) {
      var _this3 = this;

      var renderCount = props.renderCount;
      var items = props.items,
          startIndex = props.startIndex,
          getPageHeight = props.getPageHeight;
      renderCount = this._getRenderCount(props);

      var materializedRect = _objectSpread2({}, EMPTY_RECT);

      var pages = [];
      var itemsPerPage = 1;
      var pageTop = 0;
      var currentSpacer = null;
      var focusedIndex = this.focusedIndex;
      var endIndex = startIndex + renderCount;
      var shouldVirtualize = this.shouldVirtualize(props); // First render is very important to track; when we render cells, we have no idea of estimated page height.
      // So we should default to rendering only the first page so that we can get information.
      // However if the user provides a measure function, let's just assume they know the right heights.

      var isFirstRender = this.estimatedPageHeight === 0 && !getPageHeight;
      var allowedRect = this.allowedRect;

      var _loop = function _loop(itemIndex) {
        var pageSpecification = _this3._getPageSpecification(itemIndex, allowedRect);

        var pageHeight = pageSpecification.height;
        var pageData = pageSpecification.data;
        var key = pageSpecification.key;
        itemsPerPage = pageSpecification.itemCount;
        var pageBottom = pageTop + pageHeight - 1;
        var isPageRendered = findIndex(_this3.pages, function (page) {
          return !!page.items && page.startIndex === itemIndex;
        }) > -1;
        var isPageInAllowedRange = !allowedRect || pageBottom >= allowedRect.top && pageTop <= allowedRect.bottom;
        var isPageInRequiredRange = !_this3.requiredRect || pageBottom >= _this3.requiredRect.top && pageTop <= _this3.requiredRect.bottom;
        var isPageVisible = !isFirstRender && (isPageInRequiredRange || isPageInAllowedRange && isPageRendered) || !shouldVirtualize;
        var isPageFocused = focusedIndex >= itemIndex && focusedIndex < itemIndex + itemsPerPage;
        var isFirstPage = itemIndex === startIndex; // console.log('building page', itemIndex, 'pageTop: ' + pageTop, 'inAllowed: ' +
        // isPageInAllowedRange, 'inRequired: ' + isPageInRequiredRange)
        // Only render whats visible, focused, or first page,
        // or when running in fast rendering mode (not in virtualized mode), we render all current items in pages

        if (isPageVisible || isPageFocused || isFirstPage) {
          if (currentSpacer) {
            pages.push(currentSpacer);
            currentSpacer = null;
          }

          var itemsInPage = Math.min(itemsPerPage, endIndex - itemIndex);

          var newPage = _this3._createPage(key, items.slice(itemIndex, itemIndex + itemsInPage), itemIndex, undefined, undefined, pageData);

          newPage.top = pageTop;
          newPage.height = pageHeight;

          if (_this3.visibleRect && _this3.visibleRect.bottom) {
            newPage.isVisible = pageBottom >= _this3.visibleRect.top && pageTop <= _this3.visibleRect.bottom;
          }

          pages.push(newPage);

          if (isPageInRequiredRange && _this3.allowedRect) {
            _mergeRect(materializedRect, {
              top: pageTop,
              bottom: pageBottom,
              height: pageHeight,
              left: allowedRect.left,
              right: allowedRect.right,
              width: allowedRect.width
            });
          }
        } else {
          if (!currentSpacer) {
            currentSpacer = _this3._createPage(SPACER_KEY_PREFIX + itemIndex, undefined, itemIndex, 0, undefined, pageData, true
            /* isSpacer */
            );
          }

          currentSpacer.height = (currentSpacer.height || 0) + (pageBottom - pageTop) + 1;
          currentSpacer.itemCount += itemsPerPage;
        }

        pageTop += pageBottom - pageTop + 1; // in virtualized mode, we render need to render first page then break and measure,
        // otherwise, we render all items without measurement to make rendering fast

        if (isFirstRender && shouldVirtualize) {
          return "break";
        }
      };

      for (var itemIndex = startIndex; itemIndex < endIndex; itemIndex += itemsPerPage) {
        var _ret = _loop(itemIndex);

        if (_ret === "break") break;
      }

      if (currentSpacer) {
        currentSpacer.key = SPACER_KEY_PREFIX + 'end';
        pages.push(currentSpacer);
      }

      this.materializedRect = materializedRect; // console.log('materialized: ', materializedRect)

      return {
        pages: pages,
        measureVersion: this.measureVersion
      };
    }
  }, {
    key: "_getPageSpecification",
    value: function _getPageSpecification(itemIndex, visibleRect) {
      var getPageSpecification = this.$props.getPageSpecification;

      if (getPageSpecification) {
        var pageData = getPageSpecification(itemIndex, visibleRect);
        var _pageData$itemCount = pageData.itemCount,
            itemCount = _pageData$itemCount === void 0 ? this._getItemCountForPage(itemIndex, visibleRect) : _pageData$itemCount;
        var _pageData$height = pageData.height,
            height = _pageData$height === void 0 ? this._getPageHeight(itemIndex, visibleRect, itemCount) : _pageData$height;
        return {
          itemCount: itemCount,
          height: height,
          data: pageData.data,
          key: pageData.key
        };
      } else {
        var _itemCount = this._getItemCountForPage(itemIndex, visibleRect);

        return {
          itemCount: _itemCount,
          height: this._getPageHeight(itemIndex, visibleRect, _itemCount)
        };
      }
    }
    /**
     * Get the pixel height of a give page. Will use the props getPageHeight first, and if not provided, fallback to
     * cached height, or estimated page height, or default page height.
     */

  }, {
    key: "_getPageHeight",
    value: function _getPageHeight(itemIndex, visibleRect, itemsPerPage) {
      if (this.getPageHeight) {
        return this.getPageHeight(itemIndex, visibleRect, itemsPerPage);
      } else {
        var cachedHeight = this.cachedPageHeights[itemIndex];
        return cachedHeight ? cachedHeight.height : this.estimatedPageHeight || DEFAULT_PAGE_HEIGHT;
      }
    }
  }, {
    key: "_getItemCountForPage",
    value: function _getItemCountForPage(itemIndex, visibileRect) {
      var itemsPerPage = this.getItemCountForPage ? this.getItemCountForPage(itemIndex, visibileRect) : DEFAULT_ITEMS_PER_PAGE;
      return itemsPerPage || DEFAULT_ITEMS_PER_PAGE;
    }
    /** Called when a page has been added to the DOM. */

  }, {
    key: "_onPageAdded",
    value: function _onPageAdded(page) {
      var onPageAdded = this.$props.onPageAdded; // console.log('page added', page.startIndex, this.state.pages.map(page => page.key).join(', '));

      if (onPageAdded) {
        onPageAdded(page);
      }
    }
    /** Called when a page has been removed from the DOM. */

  }, {
    key: "_onPageRemoved",
    value: function _onPageRemoved(page) {
      var onPageRemoved = this.$props.onPageRemoved; // console.log('  --- page removed', page.startIndex, this.state.pages.map(page => page.key).join(', '));

      if (onPageRemoved) {
        onPageRemoved(page);
      }
    }
    /**
     * Notify consumers that the rendered pages have changed
     * @param oldPages - The old pages
     * @param newPages - The new pages
     * @param props - The props to use
     */

  }, {
    key: "notifyPageChanges",
    value: function notifyPageChanges(oldPages, newPages) {
      var props = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : this.$props;
      var onPageAdded = props.onPageAdded,
          onPageRemoved = props.onPageRemoved;

      if (onPageAdded || onPageRemoved) {
        var renderedIndexes = {};

        var _iterator = _createForOfIteratorHelper(oldPages),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var page = _step.value;

            if (page.items) {
              renderedIndexes[page.startIndex] = page;
            }
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }

        var _iterator2 = _createForOfIteratorHelper(newPages),
            _step2;

        try {
          for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
            var _page = _step2.value;

            if (_page.items) {
              if (!renderedIndexes[_page.startIndex]) {
                this._onPageAdded(_page);
              } else {
                delete renderedIndexes[_page.startIndex];
              }
            }
          }
        } catch (err) {
          _iterator2.e(err);
        } finally {
          _iterator2.f();
        }

        for (var index in renderedIndexes) {
          if (renderedIndexes.hasOwnProperty(index)) {
            this._onPageRemoved(renderedIndexes[index]);
          }
        }
      }
    }
  }, {
    key: "updatePages",
    value: function updatePages() {
      var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.$props;

      // console.log('updating pages')
      if (!this.requiredRect) {
        this.updateRenderRects(props);
      }

      var newListState = this._buildPages(props);

      var oldListPages = this.pages;
      this.notifyPageChanges(oldListPages, newListState.pages);
      this.measureVersion = newListState.measureVersion;
      this.pages = newListState.pages; // Multiple updates may have been queued, so the callback will reflect all of them.
      // Re-fetch the current props and states to avoid using a stale props or state captured in the closure.

      var finalProps = this.$props;
      var finalState = this; // If we weren't provided with the page height, measure the pages

      if (!finalProps.getPageHeight) {
        // If measured version is invalid since we've updated the DOM
        var heightsChanged = this.updatePageMeasurements(finalState.pages); // On first render, we should re-measure so that we don't get a visual glitch.

        if (heightsChanged) {
          this.materializedRect = null;

          if (!this.hasCompletedFirstRender) {
            this.hasCompletedFirstRender = true;
            this.updatePages(finalProps);
          } else {
            this._onAsyncScroll();
          }
        } else {
          // Enqueue an idle bump.
          this._onAsyncIdle();
        }
      } else {
        // Enqueue an idle bump
        this._onAsyncIdle();
      } // Notify the caller that rendering the new pages has completed


      if (finalProps.onPagesUpdated) {
        finalProps.onPagesUpdated(finalState.pages);
      }
    }
  }, {
    key: "updatePageMeasurements",
    value: function updatePageMeasurements(pages) {
      var heightChanged = false; // when not in virtualize mode, we render all the items without page measurement

      if (!this.shouldVirtualize()) {
        return heightChanged;
      }

      for (var i = 0; i < pages.length; i++) {
        var page = pages[i];

        if (page.items) {
          heightChanged = this.measurePage(page) || heightChanged;
        }
      }

      return heightChanged;
    }
    /**
     * Given a page, measure its dimensions, update cache.
     * @returns True if the height has changed.
     */

  }, {
    key: "measurePage",
    value: function measurePage(page) {
      var hasChangedHeight = false; // @ts-ignore

      var pageElement = this.$refs[page.key] ? this.$refs[page.key][0] : null;
      var cachedHeight = this.cachedPageHeights[page.startIndex]; // console.log('   * measure attempt', page.startIndex, cachedHeight)

      if (pageElement && this.shouldVirtualize() && (!cachedHeight || cachedHeight.measureVersion !== this.measureVersion)) {
        var newClientRect = {
          width: pageElement.clientWidth,
          height: pageElement.clientHeight
        };

        if (newClientRect.height || newClientRect.width) {
          hasChangedHeight = page.height !== newClientRect.height; // console.warn(' *** expensive page measure', page.startIndex, page.height, newClientRect.height);

          page.height = newClientRect.height;
          this.cachedPageHeights[page.startIndex] = {
            height: newClientRect.height,
            measureVersion: this.measureVersion
          };
          this.estimatedPageHeight = Math.round((this.estimatedPageHeight * this.totalEstimates + newClientRect.height) / (this.totalEstimates + 1));
          this.totalEstimates++;
        }
      }

      return hasChangedHeight;
    }
  }, {
    key: "_createPage",
    value: function _createPage(pageKey, items) {
      var startIndex = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : -1;
      var count = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : items ? items.length : 0;
      var style = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : {};
      var data = arguments.length > 5 ? arguments[5] : undefined;
      var isSpacer = arguments.length > 6 ? arguments[6] : undefined;
      pageKey = pageKey || PAGE_KEY_PREFIX + startIndex;
      var cachedPage = this.pageCache[pageKey];

      if (cachedPage && cachedPage.page) {
        return cachedPage.page;
      }

      return {
        key: pageKey,
        startIndex: startIndex,
        itemCount: count,
        items: items,
        style: style,
        top: 0,
        height: 0,
        data: data,
        isSpacer: isSpacer || false
      };
    }
  }, {
    key: "_getRenderCount",
    value: function _getRenderCount(props) {
      var _ref = props || this.$props,
          items = _ref.items,
          startIndex = _ref.startIndex,
          renderCount = _ref.renderCount;

      return renderCount === undefined ? items ? items.length - startIndex : 0 : renderCount;
    }
  }, {
    key: "shouldVirtualize",
    value: function shouldVirtualize() {
      var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.$props;
      var onShouldVirtualize = this.$props.onShouldVirtualize;
      return !onShouldVirtualize || onShouldVirtualize(props);
    }
    /** Calculate the visible rect within the list where top: 0 and left: 0 is the top/left of the list. */

  }, {
    key: "updateRenderRects",
    value: function updateRenderRects(props, forceUpdate) {
      props = props || this.$props;
      var _props = props,
          renderedWindowsAhead = _props.renderedWindowsAhead,
          renderedWindowsBehind = _props.renderedWindowsBehind;
      var pages = this.pages; // when not in virtualize mode, we render all items without measurement to optimize page rendering perf

      if (!this.shouldVirtualize(props)) {
        return;
      }

      var surfaceRect = this.surfaceRect || _objectSpread2({}, EMPTY_RECT);

      var scrollHeight = this.scrollElement && this.scrollElement.scrollHeight;
      var scrollTop = this.scrollElement ? this.scrollElement.scrollTop : 0; // WARNING: EXPENSIVE CALL! We need to know the surface top relative to the window.
      // This needs to be called to recalculate when new pages should be loaded.
      // We check to see how far we've scrolled and if it's further than a third of a page we run it again.

      if (this.$refs.surface && (forceUpdate || !pages || !this.surfaceRect || !scrollHeight || scrollHeight !== this.scrollHeight || Math.abs(this.scrollTop - scrollTop) > this.estimatedPageHeight / 3)) {
        surfaceRect = this.surfaceRect = _measureSurfaceRect(this.$refs.surface);
        this.scrollTop = scrollTop;
      } // If the scroll height has changed, something in the container likely resized and
      // we should redo the page heights incase their content resized.


      if (forceUpdate || !scrollHeight || scrollHeight !== this.scrollHeight) {
        this.measureVersion++;
      }

      this.scrollHeight = scrollHeight; // If the surface is above the container top or below the container bottom, or if this is not the first
      // render return empty rect.
      // The first time the list gets rendered we need to calculate the rectangle. The width of the list is
      // used to calculate the width of the list items.

      var visibleTop = Math.max(0, -surfaceRect.top);
      var win = getWindow(this.$refs.root);
      var visibleRect = {
        top: visibleTop,
        left: surfaceRect.left,
        bottom: visibleTop + win.innerHeight,
        right: surfaceRect.right,
        width: surfaceRect.width,
        height: win.innerHeight
      }; // The required/allowed rects are adjusted versions of the visible rect.

      this.requiredRect = _expandRect(visibleRect, this.requiredWindowsBehind, this.requiredWindowsAhead);
      this.allowedRect = _expandRect(visibleRect, renderedWindowsBehind, renderedWindowsAhead); // store the visible rect for later use.

      this.visibleRect = visibleRect;
    }
  }]);

  return List;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Object)], List.prototype, "items", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], List.prototype, "getItemCountForPage", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], List.prototype, "getPageHeight", void 0);

__decorate([Prop({
  type: Number,
  default: DEFAULT_RENDERED_WINDOWS_AHEAD
}), __metadata("design:type", Number)], List.prototype, "renderedWindowsAhead", void 0);

__decorate([Prop({
  type: Number,
  default: DEFAULT_RENDERED_WINDOWS_BEHIND
}), __metadata("design:type", Number)], List.prototype, "renderedWindowsBehind", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], List.prototype, "startIndex", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], List.prototype, "ignoreScrollingState", void 0);

__decorate([Watch('items'), __metadata("design:type", Function), __metadata("design:paramtypes", [Object, Object]), __metadata("design:returntype", void 0)], List.prototype, "itemsChanged", null);

__decorate([Watch('isScrolling'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", void 0)], List.prototype, "shouldUpdate", null);

List = __decorate([Component({
  components: {}
})], List);

function _expandRect(rect, pagesBefore, pagesAfter) {
  var top = rect.top - pagesBefore * rect.height;
  var height = rect.height + (pagesBefore + pagesAfter) * rect.height;
  return {
    top: top,
    bottom: top + height,
    height: height,
    left: rect.left,
    right: rect.right,
    width: rect.width
  };
}

function _isContainedWithin(innerRect, outerRect) {
  return innerRect.top >= outerRect.top && innerRect.left >= outerRect.left && innerRect.bottom <= outerRect.bottom && innerRect.right <= outerRect.right;
}

function _mergeRect(targetRect, newRect) {
  targetRect.top = newRect.top < targetRect.top || targetRect.top === -1 ? newRect.top : targetRect.top;
  targetRect.left = newRect.left < targetRect.left || targetRect.left === -1 ? newRect.left : targetRect.left;
  targetRect.bottom = newRect.bottom > targetRect.bottom || targetRect.bottom === -1 ? newRect.bottom : targetRect.bottom;
  targetRect.right = newRect.right > targetRect.right || targetRect.right === -1 ? newRect.right : targetRect.right;
  targetRect.width = targetRect.right - targetRect.left + 1;
  targetRect.height = targetRect.bottom - targetRect.top + 1;
  return targetRect;
}

var GlobalClassNames = {
  root: 'ms-DetailsList',
  compact: 'ms-DetailsList--Compact',
  contentWrapper: 'ms-DetailsList-contentWrapper',
  headerWrapper: 'ms-DetailsList-headerWrapper',
  isFixed: 'is-fixed',
  isHorizontalConstrained: 'is-horizontalConstrained',
  listCell: 'ms-List-cell'
};
var getStyles$1 = function getStyles(props) {
  var theme = props.theme,
      className = props.className,
      isHorizontalConstrained = props.isHorizontalConstrained,
      compact = props.compact,
      isFixed = props.isFixed;
  var semanticColors = theme.semanticColors;
  var classNames = getGlobalClassNames(GlobalClassNames, theme);
  return {
    root: [classNames.root, theme.fonts.small, {
      position: 'relative',
      background: semanticColors.listBackground,
      color: semanticColors.listText,
      selectors: _defineProperty({}, "& .".concat(classNames.listCell), {
        minHeight: 38,
        wordBreak: 'break-word'
      })
    }, isFixed && classNames.isFixed, compact && [classNames.compact, {
      selectors: _defineProperty({}, ".".concat(classNames.listCell), {
        minHeight: 32
      })
    }], isHorizontalConstrained && [classNames.isHorizontalConstrained, {
      overflowX: 'auto',
      overflowY: 'visible',
      WebkitOverflowScrolling: 'touch'
    }], className],
    focusZone: [{
      display: 'inline-block',
      minWidth: '100%',
      minHeight: 1
    }],
    headerWrapper: classNames.headerWrapper,
    contentWrapper: classNames.contentWrapper
  };
};

var DetailsRowGlobalClassNames = {
  root: 'ms-DetailsRow',
  compact: 'ms-DetailsList--Compact',
  cell: 'ms-DetailsRow-cell',
  cellAnimation: 'ms-DetailsRow-cellAnimation',
  cellCheck: 'ms-DetailsRow-cellCheck',
  check: 'ms-DetailsRow-check',
  cellMeasurer: 'ms-DetailsRow-cellMeasurer',
  listCellFirstChild: 'ms-List-cell:first-child',
  isContentUnselectable: 'is-contentUnselectable',
  isSelected: 'is-selected',
  isCheckVisible: 'is-check-visible',
  isRowHeader: 'is-row-header',
  fields: 'ms-DetailsRow-fields'
};
var IsFocusableSelector = "[data-is-focusable='true']";
var DEFAULT_CELL_STYLE_PROPS = {
  cellLeftPadding: 12,
  cellRightPadding: 8,
  cellExtraRightPadding: 24
}; // Source of default row heights to share.

var DEFAULT_ROW_HEIGHTS = {
  rowHeight: 42,
  compactRowHeight: 32
}; // Constant values

var values = _objectSpread2(_objectSpread2({}, DEFAULT_ROW_HEIGHTS), {}, {
  rowVerticalPadding: 11,
  compactRowVerticalPadding: 6
});

var getStyles$2 = function getStyles(props) {
  var _selectors2, _selectors5, _selectors6, _selectors10;

  var theme = props.theme,
      isSelected = props.isSelected,
      canSelect = props.canSelect,
      droppingClassName = props.droppingClassName,
      anySelected = props.anySelected,
      isCheckVisible = props.isCheckVisible,
      checkboxCellClassName = props.checkboxCellClassName,
      compact = props.compact,
      className = props.className,
      _props$cellStyleProps = props.cellStyleProps,
      cellStyleProps = _props$cellStyleProps === void 0 ? DEFAULT_CELL_STYLE_PROPS : _props$cellStyleProps,
      enableUpdateAnimations = props.enableUpdateAnimations;
  var palette = theme.palette,
      fonts = theme.fonts;
  var neutralPrimary = palette.neutralPrimary,
      white = palette.white,
      neutralSecondary = palette.neutralSecondary,
      neutralLighter = palette.neutralLighter,
      neutralLight = palette.neutralLight,
      neutralDark = palette.neutralDark,
      neutralQuaternaryAlt = palette.neutralQuaternaryAlt;
  var focusBorder = theme.semanticColors.focusBorder;
  var classNames = getGlobalClassNames(DetailsRowGlobalClassNames, theme);
  var colors = {
    // Default
    defaultHeaderText: neutralPrimary,
    defaultMetaText: neutralSecondary,
    defaultBackground: white,
    // Default Hover
    defaultHoverHeaderText: neutralDark,
    defaultHoverMetaText: neutralPrimary,
    defaultHoverBackground: neutralLighter,
    // Selected
    selectedHeaderText: neutralDark,
    selectedMetaText: neutralPrimary,
    selectedBackground: neutralLight,
    // Selected Hover
    selectedHoverHeaderText: neutralDark,
    selectedHoverMetaText: neutralPrimary,
    selectedHoverBackground: neutralQuaternaryAlt,
    // Focus
    focusHeaderText: neutralDark,
    focusMetaText: neutralPrimary,
    focusBackground: neutralLight,
    focusHoverBackground: neutralQuaternaryAlt
  }; // Selected row styles

  var selectedStyles = [getFocusStyle(theme, {
    inset: -1,
    borderColor: focusBorder,
    outlineColor: white
  }), classNames.isSelected, {
    color: colors.selectedMetaText,
    background: colors.selectedBackground,
    borderBottom: "1px solid ".concat(white),
    selectors: (_selectors6 = {
      '&:before': {
        position: 'absolute',
        display: 'block',
        top: -1,
        height: 1,
        bottom: 0,
        left: 0,
        right: 0,
        content: '',
        borderTop: "1px solid ".concat(white)
      },
      // Selected State hover
      '&:hover': {
        background: colors.selectedHoverBackground,
        color: colors.selectedHoverMetaText,
        selectors: (_selectors2 = {}, _defineProperty(_selectors2, ".".concat(classNames.cell, " ").concat(HighContrastSelector), {
          color: 'HighlightText',
          selectors: {
            '> a': {
              color: 'HighlightText'
            }
          }
        }), _defineProperty(_selectors2, ".".concat(classNames.isRowHeader), {
          color: colors.selectedHoverHeaderText,
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'HighlightText'
          })
        }), _defineProperty(_selectors2, HighContrastSelector, {
          background: 'Highlight'
        }), _selectors2)
      },
      // Focus state
      '&:focus': {
        background: colors.focusBackground,
        selectors: (_selectors5 = {}, _defineProperty(_selectors5, ".".concat(classNames.cell), {
          color: colors.focusMetaText,
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'HighlightText',
            selectors: {
              '> a': {
                color: 'HighlightText'
              }
            }
          })
        }), _defineProperty(_selectors5, ".".concat(classNames.isRowHeader), {
          color: colors.focusHeaderText,
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'HighlightText'
          })
        }), _defineProperty(_selectors5, HighContrastSelector, {
          background: 'Highlight'
        }), _selectors5)
      }
    }, _defineProperty(_selectors6, HighContrastSelector, {
      background: 'Highlight',
      color: 'HighlightText',
      MsHighContrastAdjust: 'none',
      selectors: {
        a: {
          color: 'HighlightText'
        }
      }
    }), _defineProperty(_selectors6, '&:focus:hover', {
      background: colors.focusHoverBackground
    }), _selectors6)
  }];
  var cannotSelectStyles = [classNames.isContentUnselectable, {
    userSelect: 'none',
    cursor: 'default'
  }];
  var rootCompactStyles = {
    minHeight: values.compactRowHeight,
    border: 0
  };
  var cellCompactStyles = {
    minHeight: values.compactRowHeight,
    paddingTop: values.compactRowVerticalPadding,
    paddingBottom: values.compactRowVerticalPadding,
    paddingLeft: "".concat(cellStyleProps.cellLeftPadding, "px")
  };
  var defaultCellStyles = [getFocusStyle(theme, {
    inset: -1
  }), classNames.cell, {
    display: 'inline-block',
    position: 'relative',
    boxSizing: 'border-box',
    minHeight: values.rowHeight,
    verticalAlign: 'top',
    whiteSpace: 'nowrap',
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    paddingTop: values.rowVerticalPadding,
    paddingBottom: values.rowVerticalPadding,
    paddingLeft: "".concat(cellStyleProps.cellLeftPadding, "px"),
    selectors: _defineProperty({
      '& > button': {
        maxWidth: '100%'
      }
    }, IsFocusableSelector, getFocusStyle(theme, {
      inset: -1,
      borderColor: neutralSecondary,
      outlineColor: white
    }))
  }, isSelected && {
    selectors: _defineProperty({}, HighContrastSelector, {
      background: 'Highlight',
      color: 'HighlightText',
      MsHighContrastAdjust: 'none',
      selectors: {
        a: {
          color: 'HighlightText'
        }
      }
    })
  }, compact && cellCompactStyles];
  return {
    root: [classNames.root, AnimationClassNames.fadeIn400, droppingClassName, theme.fonts.small, isCheckVisible && classNames.isCheckVisible, getFocusStyle(theme, {
      borderColor: focusBorder,
      outlineColor: white
    }), {
      borderBottom: "1px solid ".concat(neutralLighter),
      background: colors.defaultBackground,
      color: colors.defaultMetaText,
      display: 'inline-flex',
      minWidth: '100%',
      minHeight: values.rowHeight,
      whiteSpace: 'nowrap',
      padding: 0,
      boxSizing: 'border-box',
      verticalAlign: 'top',
      textAlign: 'left',
      selectors: (_selectors10 = {}, _defineProperty(_selectors10, ".".concat(classNames.listCellFirstChild, " &:before"), {
        display: 'none'
      }), _defineProperty(_selectors10, '&:hover', {
        background: colors.defaultHoverBackground,
        color: colors.defaultHoverMetaText,
        selectors: _defineProperty({}, ".".concat(classNames.isRowHeader), {
          color: colors.defaultHoverHeaderText
        })
      }), _defineProperty(_selectors10, "&:hover .".concat(classNames.check), {
        opacity: 1
      }), _defineProperty(_selectors10, ".".concat(IsFocusVisibleClassName, " &:focus .").concat(classNames.check), {
        opacity: 1
      }), _selectors10)
    }, isSelected && selectedStyles, !canSelect && cannotSelectStyles, compact && rootCompactStyles, className],
    cellUnpadded: {
      paddingRight: "".concat(cellStyleProps.cellRightPadding, "px")
    },
    cellPadded: {
      paddingRight: "".concat(cellStyleProps.cellExtraRightPadding + cellStyleProps.cellRightPadding, "px"),
      selectors: _defineProperty({}, "&.".concat(classNames.cellCheck), {
        paddingRight: 0
      })
    },
    cell: defaultCellStyles,
    cellAnimation: enableUpdateAnimations && AnimationStyles.slideLeftIn40,
    cellMeasurer: [classNames.cellMeasurer, {
      overflow: 'visible',
      whiteSpace: 'nowrap'
    }],
    checkCell: [defaultCellStyles, classNames.cellCheck, checkboxCellClassName, {
      padding: 0,
      // Ensure that the check cell covers the top border of the cell.
      // This ensures the click target does not leave a spot which would
      // cause other items to be deselected.
      paddingTop: 1,
      marginTop: -1,
      flexShrink: 0
    }],
    checkCover: {
      position: 'absolute',
      top: -1,
      left: 0,
      bottom: 0,
      right: 0,
      display: anySelected ? 'block' : 'none'
    },
    fields: [classNames.fields, {
      display: 'flex',
      alignItems: 'stretch'
    }],
    isRowHeader: [classNames.isRowHeader, {
      color: colors.defaultHeaderText,
      fontSize: fonts.medium.fontSize
    }, isSelected && {
      color: colors.selectedHeaderText,
      fontWeight: FontWeights.semibold,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'HighlightText'
      })
    }],
    isMultiline: [defaultCellStyles, {
      whiteSpace: 'normal',
      wordBreak: 'break-word',
      textOverflow: 'clip'
    }],
    check: [classNames.check]
  };
};

// For every group level there is a GroupSpacer added. Importing this const to have the source value in one place.
// import { SPACER_WIDTH as GROUP_EXPANDER_WIDTH } from '../GroupedList/GroupSpacer'

var GlobalClassNames$1 = {
  tooltipHost: 'ms-TooltipHost',
  root: 'ms-DetailsHeader',
  cell: 'ms-DetailsHeader-cell',
  cellIsCheck: 'ms-DetailsHeader-cellIsCheck',
  collapseButton: 'ms-DetailsHeader-collapseButton',
  isCollapsed: 'is-collapsed',
  isAllSelected: 'is-allSelected',
  isSelectAllHidden: 'is-selectAllHidden',
  isResizingColumn: 'is-resizingColumn',
  cellSizer: 'ms-DetailsHeader-cellSizer',
  isResizing: 'is-resizing',
  dropHintCircleStyle: 'ms-DetailsHeader-dropHintCircleStyle',
  dropHintCaretStyle: 'ms-DetailsHeader-dropHintCaretStyle',
  dropHintLineStyle: 'ms-DetailsHeader-dropHintLineStyle',
  cellTitle: 'ms-DetailsHeader-cellTitle',
  cellName: 'ms-DetailsHeader-cellName',
  filterChevron: 'ms-DetailsHeader-filterChevron',
  gripperBarVertical: 'ms-DetailsColumn-gripperBarVertical',
  checkTooltip: 'ms-DetailsHeader-checkTooltip',
  check: 'ms-DetailsHeader-check'
};
var HEADER_HEIGHT = 42;
var getCellStyles = function getCellStyles(props) {
  var theme = props.theme,
      _props$cellStyleProps = props.cellStyleProps,
      cellStyleProps = _props$cellStyleProps === void 0 ? DEFAULT_CELL_STYLE_PROPS : _props$cellStyleProps;
  var semanticColors = theme.semanticColors;
  var classNames = getGlobalClassNames(GlobalClassNames$1, theme);
  return [classNames.cell, getFocusStyle(theme), {
    color: semanticColors.bodyText,
    position: 'relative',
    display: 'inline-block',
    boxSizing: 'border-box',
    padding: "0 ".concat(cellStyleProps.cellRightPadding, "px 0 ").concat(cellStyleProps.cellLeftPadding, "px"),
    lineHeight: 'inherit',
    margin: '0',
    height: HEADER_HEIGHT,
    verticalAlign: 'top',
    whiteSpace: 'nowrap',
    textOverflow: 'ellipsis',
    textAlign: 'left'
  }];
};
var getStyles$3 = function getStyles(props) {
  var _selectors;

  var theme = props.theme,
      className = props.className,
      isAllSelected = props.isAllSelected,
      isResizingColumn = props.isResizingColumn,
      isSizing = props.isSizing,
      isAllCollapsed = props.isAllCollapsed,
      _props$cellStyleProps2 = props.cellStyleProps,
      cellStyleProps = _props$cellStyleProps2 === void 0 ? DEFAULT_CELL_STYLE_PROPS : _props$cellStyleProps2;
  var semanticColors = theme.semanticColors,
      palette = theme.palette,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$1, theme);
  var colors = {
    iconForegroundColor: semanticColors.bodySubtext,
    headerForegroundColor: semanticColors.bodyText,
    headerBackgroundColor: semanticColors.bodyBackground,
    dropdownChevronForegroundColor: palette.neutralTertiary,
    resizerColor: palette.neutralTertiaryAlt
  };
  var cellSizerFadeInStyles = {
    opacity: 1,
    transition: 'opacity 0.3s linear'
  };
  var cellStyles = getCellStyles(props);
  return {
    root: [classNames.root, fonts.small, {
      display: 'inline-block',
      background: colors.headerBackgroundColor,
      position: 'relative',
      minWidth: '100%',
      verticalAlign: 'top',
      height: HEADER_HEIGHT,
      lineHeight: HEADER_HEIGHT,
      whiteSpace: 'nowrap',
      boxSizing: 'content-box',
      paddingBottom: '1px',
      paddingTop: '16px',
      borderBottom: "1px solid ".concat(semanticColors.bodyDivider),
      cursor: 'default',
      userSelect: 'none',
      selectors: (_selectors = {}, _defineProperty(_selectors, "&:hover .".concat(classNames.check), {
        opacity: 1
      }), _defineProperty(_selectors, "& .".concat(classNames.tooltipHost, " .").concat(classNames.checkTooltip), {
        display: 'block'
      }), _selectors)
    }, isAllSelected && classNames.isAllSelected, isResizingColumn && classNames.isResizingColumn, className],
    check: [classNames.check, {
      height: HEADER_HEIGHT
    }, {
      selectors: _defineProperty({}, ".".concat(IsFocusVisibleClassName, " &:focus"), {
        opacity: 1
      })
    }],
    cellWrapperPadded: {
      paddingRight: cellStyleProps.cellExtraRightPadding + cellStyleProps.cellRightPadding
    },
    cellIsCheck: [cellStyles, classNames.cellIsCheck, {
      position: 'relative',
      padding: 0,
      margin: 0,
      display: 'inline-flex',
      alignItems: 'center',
      border: 'none'
    }, isAllSelected && {
      opacity: 1
    }],
    cellIsGroupExpander: [cellStyles, {
      display: 'inline-flex',
      alignItems: 'center',
      justifyContent: 'center',
      fontSize: fonts.small.fontSize,
      padding: 0,
      border: 'none',
      width: 10,
      color: palette.neutralSecondary,
      selectors: {
        ':hover': {
          backgroundColor: palette.neutralLighter
        },
        ':active': {
          backgroundColor: palette.neutralLight
        }
      }
    }],
    cellIsActionable: {
      selectors: {
        ':hover': {
          color: semanticColors.bodyText,
          background: semanticColors.listHeaderBackgroundHovered
        },
        ':active': {
          background: semanticColors.listHeaderBackgroundPressed
        }
      }
    },
    cellIsEmpty: {
      textOverflow: 'clip'
    },
    cellSizer: [classNames.cellSizer, focusClear(), {
      display: 'inline-block',
      position: 'relative',
      cursor: 'ew-resize',
      bottom: 0,
      top: 0,
      overflow: 'hidden',
      height: 'inherit',
      background: 'transparent',
      zIndex: 1,
      width: 16,
      selectors: _defineProperty({
        ':after': {
          content: '""',
          position: 'absolute',
          top: 0,
          bottom: 0,
          width: 1,
          background: colors.resizerColor,
          opacity: 0,
          left: '50%'
        },
        ':focus:after': cellSizerFadeInStyles,
        ':hover:after': cellSizerFadeInStyles
      }, "&.".concat(classNames.isResizing, ":after"), [cellSizerFadeInStyles, {
        boxShadow: '0 0 5px 0 rgba(0, 0, 0, 0.4)'
      }])
    }],
    cellIsResizing: classNames.isResizing,
    cellSizerStart: {
      margin: '0 -8px'
    },
    cellSizerEnd: {
      margin: 0,
      marginLeft: -16
    },
    collapseButton: [classNames.collapseButton, {
      transformOrigin: '50% 50%',
      transition: 'transform .1s linear'
    }, isAllCollapsed ? [classNames.isCollapsed, {
      transform: 'rotate(0deg)'
    }] : {
      transform: 'rotate(90deg)'
    }],
    checkTooltip: classNames.checkTooltip,
    sizingOverlay: isSizing && {
      position: 'absolute',
      left: 0,
      top: 0,
      right: 0,
      bottom: 0,
      cursor: 'ew-resize',
      background: 'rgba(255, 255, 255, 0)',
      selectors: _defineProperty({}, HighContrastSelector, {
        background: 'transparent',
        MsHighContrastAdjust: 'none'
      })
    },
    accessibleLabel: hiddenContentStyle,
    dropHintCircleStyle: [classNames.dropHintCircleStyle, {
      display: 'inline-block',
      visibility: 'hidden',
      position: 'absolute',
      bottom: 0,
      height: 9,
      width: 9,
      borderRadius: '50%',
      marginLeft: -5,
      top: 34,
      overflow: 'visible',
      zIndex: 10,
      border: "1px solid ".concat(palette.themePrimary),
      background: palette.white
    }],
    dropHintCaretStyle: [classNames.dropHintCaretStyle, {
      display: 'none',
      position: 'absolute',
      top: -28,
      left: -6.5,
      fontSize: fonts.medium.fontSize,
      color: palette.themePrimary,
      overflow: 'visible',
      zIndex: 10
    }],
    dropHintLineStyle: [classNames.dropHintLineStyle, {
      display: 'none',
      position: 'absolute',
      bottom: 0,
      top: 0,
      overflow: 'hidden',
      height: 42,
      width: 1,
      background: palette.themePrimary,
      zIndex: 10
    }],
    dropHintStyle: {
      display: 'inline-block',
      position: 'absolute'
    }
  };
};

var GlobalClassNames$2 = {
  isActionable: 'is-actionable',
  cellIsCheck: 'ms-DetailsHeader-cellIsCheck',
  collapseButton: 'ms-DetailsHeader-collapseButton',
  isCollapsed: 'is-collapsed',
  isAllSelected: 'is-allSelected',
  isSelectAllHidden: 'is-selectAllHidden',
  isResizingColumn: 'is-resizingColumn',
  isEmpty: 'is-empty',
  isIconVisible: 'is-icon-visible',
  cellSizer: 'ms-DetailsHeader-cellSizer',
  isResizing: 'is-resizing',
  dropHintCircleStyle: 'ms-DetailsHeader-dropHintCircleStyle',
  dropHintLineStyle: 'ms-DetailsHeader-dropHintLineStyle',
  cellTitle: 'ms-DetailsHeader-cellTitle',
  cellName: 'ms-DetailsHeader-cellName',
  filterChevron: 'ms-DetailsHeader-filterChevron',
  gripperBarVerticalStyle: 'ms-DetailsColumn-gripperBar',
  nearIcon: 'ms-DetailsColumn-nearIcon'
};
var getStyles$4 = function getStyles(props) {
  var theme = props.theme,
      headerClassName = props.headerClassName,
      iconClassName = props.iconClassName,
      isActionable = props.isActionable,
      isEmpty = props.isEmpty,
      isIconVisible = props.isIconVisible,
      isPadded = props.isPadded,
      isIconOnly = props.isIconOnly,
      _props$cellStyleProps = props.cellStyleProps,
      cellStyleProps = _props$cellStyleProps === void 0 ? DEFAULT_CELL_STYLE_PROPS : _props$cellStyleProps,
      transitionDurationDrag = props.transitionDurationDrag,
      transitionDurationDrop = props.transitionDurationDrop;
  var semanticColors = theme.semanticColors,
      palette = theme.palette,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$2, theme);
  var colors = {
    iconForegroundColor: semanticColors.bodySubtext,
    headerForegroundColor: semanticColors.bodyText,
    headerBackgroundColor: semanticColors.bodyBackground,
    dropdownChevronForegroundColor: palette.neutralTertiary,
    resizerColor: palette.neutralTertiaryAlt
  };
  var nearIconStyle = {
    color: colors.iconForegroundColor,
    opacity: 1,
    paddingLeft: 8
  };
  var borderWhileDragging = {
    outline: "1px solid ".concat(palette.themePrimary)
  };
  var borderAfterDragOrDrop = {
    outlineColor: 'transparent'
  };
  return {
    root: [getCellStyles(props), fonts.small, isActionable && [classNames.isActionable, {
      selectors: {
        ':hover': {
          color: semanticColors.bodyText,
          background: semanticColors.listHeaderBackgroundHovered
        },
        ':active': {
          background: semanticColors.listHeaderBackgroundPressed
        }
      }
    }], isEmpty && [classNames.isEmpty, {
      textOverflow: 'clip'
    }], isIconVisible && classNames.isIconVisible, isPadded && {
      paddingRight: cellStyleProps.cellExtraRightPadding + cellStyleProps.cellRightPadding
    }, {
      selectors: {
        ':hover i[data-icon-name="GripperBarVertical"]': {
          display: 'block'
        }
      }
    }, headerClassName],
    gripperBarVerticalStyle: {
      display: 'none',
      position: 'absolute',
      textAlign: 'left',
      color: palette.neutralTertiary,
      left: 1
    },
    nearIcon: [classNames.nearIcon, nearIconStyle],
    sortIcon: [nearIconStyle, {
      paddingLeft: 4,
      position: 'relative',
      top: 1
    }],
    iconClassName: [{
      color: colors.iconForegroundColor,
      opacity: 1
    }, iconClassName],
    filterChevron: [classNames.filterChevron, {
      color: colors.dropdownChevronForegroundColor,
      paddingLeft: 6,
      verticalAlign: 'middle',
      fontSize: fonts.small.fontSize
    }],
    cellTitle: [classNames.cellTitle, getFocusStyle(theme), _objectSpread2({
      display: 'flex',
      flexDirection: 'row',
      justifyContent: 'flex-start',
      alignItems: 'stretch',
      boxSizing: 'border-box',
      overflow: 'hidden',
      padding: "0 ".concat(cellStyleProps.cellRightPadding, "px 0 ").concat(cellStyleProps.cellLeftPadding, "px")
    }, isIconOnly ? {
      alignContent: 'flex-end',
      maxHeight: '100%',
      flexWrap: 'wrap-reverse'
    } : {})],
    cellName: [classNames.cellName, {
      flex: '0 1 auto',
      overflow: 'hidden',
      textOverflow: 'ellipsis',
      fontWeight: FontWeights.semibold,
      fontSize: fonts.medium.fontSize
    }, isIconOnly && {
      selectors: _defineProperty({}, ".".concat(classNames.nearIcon), {
        paddingLeft: 0
      })
    }],
    cellTooltip: {
      display: 'block',
      position: 'absolute',
      top: 0,
      left: 0,
      bottom: 0,
      right: 0
    },
    accessibleLabel: hiddenContentStyle,
    borderWhileDragging: borderWhileDragging,
    noBorderWhileDragging: [borderAfterDragOrDrop, {
      transition: "outline ".concat(transitionDurationDrag, "ms ease")
    }],
    borderAfterDropping: borderWhileDragging,
    noBorderAfterDropping: [borderAfterDragOrDrop, {
      transition: "outline  ".concat(transitionDurationDrop, "ms ease")
    }]
  };
};

/** Class names used in themeable and non-themeable Icon components */

var classNames = mergeStyleSets({
  root: {
    display: 'inline-block'
  },
  placeholder: ['ms-Icon-placeHolder', {
    width: '1em'
  }],
  image: ['ms-Icon-imageContainer', {
    overflow: 'hidden'
  }]
});
/** Class name used only in non-themeable Icon components */

var MS_ICON = 'ms-Icon';
var getStyles$5 = function getStyles(props) {
  var className = props.className,
      iconClassName = props.iconClassName,
      isPlaceholder = props.isPlaceholder,
      isImage = props.isImage,
      styles = props.styles;
  return {
    root: [isPlaceholder && classNames.placeholder, classNames.root, isImage && classNames.image, iconClassName, className, styles && styles.root, styles && styles.imageContainer]
  };
};

var getIconContent = memoizeFunction(function (iconName) {
  var _ref = getIcon(iconName) || {
    subset: {},
    code: undefined
  },
      code = _ref.code,
      subset = _ref.subset;

  if (!code) {
    return null;
  }

  return {
    children: code,
    iconClassName: subset.className,
    fontFamily: subset.fontFace && subset.fontFace.fontFamily
  };
}, undefined, // @ts-ignore
true);

var FontIcon = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(FontIcon, _StatelessComponent);

  var _super = _createSuper(FontIcon);

  function FontIcon() {
    _classCallCheck(this, FontIcon);

    return _super.apply(this, arguments);
  }

  _createClass(FontIcon, [{
    key: "render",
    value: function render(h, ctx) {
      var className = ctx.props.className || ctx.data.class;
      var _ctx$props = ctx.props,
          iconName = _ctx$props.iconName,
          _ctx$props$style = _ctx$props.style,
          style = _ctx$props$style === void 0 ? {} : _ctx$props$style;
      var iconContent = getIconContent(iconName) || {};
      var children = iconContent.children;
      var iconClassName = iconContent.iconClassName,
          fontFamily = iconContent.fontFamily;
      return h("i", {
        "class": css(MS_ICON, classNames.root, iconClassName, !iconName && classNames.placeholder, className),
        "style": _objectSpread2({
          fontFamily: fontFamily
        }, style)
      }, [typeof children === 'function' ? children(h) : children]);
    }
  }]);

  return FontIcon;
}(StatelessComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], FontIcon.prototype, "iconName", void 0);

FontIcon = __decorate([Component], FontIcon);

var getClassNames$1 = classNamesFunction({
  disableCaching: true
});

var Icon = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Icon, _StatelessComponent);

  var _super = _createSuper(Icon);

  function Icon() {
    _classCallCheck(this, Icon);

    return _super.apply(this, arguments);
  }

  _createClass(Icon, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          className = _context$props.className,
          iconName = _context$props.iconName,
          theme = _context$props.theme,
          styles = _context$props.styles;
      var isPlaceholder = typeof iconName === 'string' && iconName.length === 0;
      var isImage = !!context.props.imageProps;
      var iconContent = getIconContent(iconName) || {};
      var children = iconContent.children;
      var iconClassName = iconContent.iconClassName;
      var classNames = getClassNames$1(styles, {
        theme: theme,
        className: className,
        iconClassName: iconClassName,
        isImage: isImage,
        isPlaceholder: isPlaceholder
      });
      var RootType = isImage ? 'span' : 'i';
      return h(RootType, _objectSpread2(_objectSpread2({}, context.data), {}, {
        class: classNames.root,
        attrs: {
          'aria-hidden': 'true',
          'data-icon-name': iconName
        }
      }), typeof children === 'function' ? [children(h)] : children);
    }
  }]);

  return Icon;
}(StatelessComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Icon.prototype, "iconName", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], Icon.prototype, "imageProps", void 0);

Icon = __decorate([Component], Icon);
var Icon$1 = Icon;

var Icon$2 = styled(Icon$1, getStyles$5, undefined, {
  scope: 'Icon'
});

/**
 * Enum to describe how a particular column header behaves.... This enum is used to
 * to specify the property IColumn:columnActionsMode.
 * If IColumn:columnActionsMode is undefined, then it's equivalent to ColumnActionsMode.clickable
 * {@docCategory DetailsList}
 */
var ColumnActionsMode;

(function (ColumnActionsMode) {
  /**
   * Renders the column header as disabled.
   */
  ColumnActionsMode[ColumnActionsMode["disabled"] = 0] = "disabled";
  /**
   * Renders the column header is clickable.
   */

  ColumnActionsMode[ColumnActionsMode["clickable"] = 1] = "clickable";
  /**
   * Renders the column header ias clickable and displays the dropdown cheveron.
   */

  ColumnActionsMode[ColumnActionsMode["hasDropdown"] = 2] = "hasDropdown";
})(ColumnActionsMode || (ColumnActionsMode = {}));
/**
 * {@docCategory DetailsList}
 */


var ConstrainMode;

(function (ConstrainMode) {
  /** If specified, lets the content grow which allows the page to manage scrolling. */
  ConstrainMode[ConstrainMode["unconstrained"] = 0] = "unconstrained";
  /**
   * If specified, constrains the list to the given layout space.
   */

  ConstrainMode[ConstrainMode["horizontalConstrained"] = 1] = "horizontalConstrained";
})(ConstrainMode || (ConstrainMode = {}));
/**
 * Enum to describe where the column has been dropped, after starting the drag
 * {@docCategory DetailsList}
 */


var ColumnDragEndLocation;

(function (ColumnDragEndLocation) {
  /**
   * Drag ended outside of current list
   */
  ColumnDragEndLocation[ColumnDragEndLocation["outside"] = 0] = "outside";
  /**
   * Drag ended on current List
   */

  ColumnDragEndLocation[ColumnDragEndLocation["surface"] = 1] = "surface";
  /**
   * Drag ended on Header
   */

  ColumnDragEndLocation[ColumnDragEndLocation["header"] = 2] = "header";
})(ColumnDragEndLocation || (ColumnDragEndLocation = {}));
/**
 * {@docCategory DetailsList}
 */


var DetailsListLayoutMode;

(function (DetailsListLayoutMode) {
  /**
   * Lets the user resize columns and makes not attempt to fit them.
   */
  DetailsListLayoutMode[DetailsListLayoutMode["fixedColumns"] = 0] = "fixedColumns";
  /**
   * Manages which columns are visible, tries to size them according to their min/max rules and drops
   * off columns that can't fit and have isCollapsible set.
   */

  DetailsListLayoutMode[DetailsListLayoutMode["justified"] = 1] = "justified";
})(DetailsListLayoutMode || (DetailsListLayoutMode = {}));
/**
 * {@docCategory DetailsList}
 */


var CheckboxVisibility;

(function (CheckboxVisibility) {
  /**
   * Visible on hover.
   */
  CheckboxVisibility[CheckboxVisibility["onHover"] = 0] = "onHover";
  /**
   * Visible always.
   */

  CheckboxVisibility[CheckboxVisibility["always"] = 1] = "always";
  /**
   * Hide checkboxes.
   */

  CheckboxVisibility[CheckboxVisibility["hidden"] = 2] = "hidden";
})(CheckboxVisibility || (CheckboxVisibility = {}));

var MOUSEDOWN_PRIMARY_BUTTON = 0; // for mouse down event we are using ev.button property, 0 means left button

var getClassNames$2 = classNamesFunction();
var TRANSITION_DURATION_DRAG = 200; // ms

var TRANSITION_DURATION_DROP = 1500; // ms

var CLASSNAME_ADD_INTERVAL = 20; // ms

var DetailsColumnBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DetailsColumnBase, _BaseComponent);

  var _super = _createSuper(DetailsColumnBase);

  function DetailsColumnBase() {
    var _this;

    _classCallCheck(this, DetailsColumnBase);

    _this = _super.apply(this, arguments);
    _this.ColumnActionsMode = ColumnActionsMode;
    return _this;
  }

  _createClass(DetailsColumnBase, [{
    key: "mounted",
    value: function mounted() {
      var _this2 = this;

      if (this.dragDropHelper && this.isDraggable) {
        this._addDragDropHandling();
      }

      var classNames = this.classNames;

      if (this.isDropped) {
        if (this.$refs.root) {
          this.$refs.root.classList.add(classNames.borderAfterDropping);

          this._async.setTimeout(function () {
            if (_this2.$refs.root) {
              _this2.$refs.root.classList.add(classNames.noBorderAfterDropping);
            }
          }, CLASSNAME_ADD_INTERVAL);
        }

        this._async.setTimeout(function () {
          if (_this2.$refs.root) {
            _this2.$refs.root.classList.remove(classNames.borderAfterDropping);

            _this2.$refs.root.classList.remove(classNames.noBorderAfterDropping);
          }
        }, TRANSITION_DURATION_DROP + CLASSNAME_ADD_INTERVAL);
      }
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      if (this._dragDropSubscription) {
        this._dragDropSubscription.dispose();

        delete this._dragDropSubscription;
      }

      this._async.dispose();

      this.events.dispose();
    }
  }, {
    key: "updated",
    value: function updated() {
      if (!this._dragDropSubscription && this.dragDropHelper && this.isDraggable) {
        this._addDragDropHandling();
      }

      if (this._dragDropSubscription && !this.isDraggable) {
        this._dragDropSubscription.dispose();

        this.events.off(this.$refs.root, 'mousedown');
        delete this._dragDropSubscription;
      }
    }
  }, {
    key: "_onColumnClick",
    value: function _onColumnClick(ev) {
      var onColumnClick = this.onColumnClick,
          column = this.column;

      if (column.columnActionsMode === ColumnActionsMode.disabled) {
        return;
      }

      if (column.onColumnClick) {
        column.onColumnClick(ev, column);
      }

      if (onColumnClick) {
        onColumnClick(ev, column);
      }
    }
  }, {
    key: "_getColumnDragDropOptions",
    value: function _getColumnDragDropOptions() {
      var _this3 = this;

      var columnIndex = this.columnIndex;
      var options = {
        selectionIndex: columnIndex,
        context: {
          data: columnIndex,
          index: columnIndex
        },
        canDrag: function canDrag() {
          return _this3.isDraggable;
        },
        canDrop: function canDrop() {
          return false;
        },
        onDragStart: this._onDragStart,
        updateDropState: function updateDropState() {
          return undefined;
        },
        onDrop: function onDrop() {
          return undefined;
        },
        onDragEnd: this._onDragEnd
      };
      return options;
    }
  }, {
    key: "_onDragStart",
    value: function _onDragStart(item, itemIndex, selectedItems, event) {
      var _this4 = this;

      var classNames = this.classNames;

      if (itemIndex) {
        this._updateHeaderDragInfo(itemIndex);

        this.$refs.root.classList.add(classNames.borderWhileDragging);

        this._async.setTimeout(function () {
          if (_this4.$refs.root) {
            _this4.$refs.root.classList.add(classNames.noBorderWhileDragging);
          }
        }, CLASSNAME_ADD_INTERVAL);
      }
    }
  }, {
    key: "_onDragEnd",
    value: function _onDragEnd(item, event) {
      var classNames = this.classNames;

      if (event) {
        this._updateHeaderDragInfo(-1, event);
      }

      this.$refs.root.classList.remove(classNames.borderWhileDragging);
      this.$refs.root.classList.remove(classNames.noBorderWhileDragging);
    }
  }, {
    key: "_updateHeaderDragInfo",
    value: function _updateHeaderDragInfo(itemIndex, event) {
      if (this.updateDragInfo) {
        this.updateDragInfo({
          itemIndex: itemIndex
        }, event);
      }
    }
  }, {
    key: "_onRootMouseDown",
    value: function _onRootMouseDown(ev) {
      var isDraggable = this.isDraggable; // Ignore anything except the primary button.

      if (isDraggable && ev.button === MOUSEDOWN_PRIMARY_BUTTON) {
        ev.stopPropagation();
      }
    }
  }, {
    key: "_onColumnContextMenu",
    value: function _onColumnContextMenu(ev) {
      var onColumnContextMenu = this.onColumnContextMenu,
          column = this.column;

      if (column.onColumnContextMenu) {
        column.onColumnContextMenu(column, ev);
        ev.preventDefault();
      }

      if (onColumnContextMenu) {
        onColumnContextMenu(column, ev);
        ev.preventDefault();
      }
    }
  }, {
    key: "_addDragDropHandling",
    value: function _addDragDropHandling() {
      this._dragDropSubscription = this.dragDropHelper.subscribe(this.$refs.root, this.events, this._getColumnDragDropOptions()); // We need to use native on this to prevent MarqueeSelection from handling the event before us.

      this.events.on(this.$refs.root, 'mousedown', this._onRootMouseDown);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          column = this.column,
          columnIndex = this.columnIndex,
          columnWidth = this.columnWidth,
          IconComponent = this.IconComponent,
          isDraggable = this.isDraggable,
          parentId = this.parentId;
      return h("div", {
        "ref": "root",
        "key": column.key,
        "class": classNames.root,
        "attrs": {
          "aria-sort": column.isSorted ? column.isSortedDescending ? 'descending' : 'ascending' : 'none',
          "aria-colindex": columnIndex,
          "role": "columnheader"
        },
        "style": {
          width: columnWidth
        }
      }, [isDraggable && h(IconComponent, {
        "attrs": {
          "icon-name": "GripperBarVertical"
        },
        "class": classNames.gripperBarVerticalStyle
      }), h("span", {
        "class": classNames.cellTooltip
      }, [h("span", {
        "attrs": {
          "id": "".concat(parentId, "-").concat(column.key),
          "aria-label": column.isIconOnly ? column.name : undefined,
          "aria-labelledby": column.isIconOnly ? undefined : "".concat(parentId, "-").concat(column.key, "-name")
        },
        "class": classNames.cellTitle,
        "on": {
          "contextmenu": this._onColumnContextMenu,
          "click": this._onColumnClick
        }
      }, [h("span", {
        "attrs": {
          "id": "".concat(parentId, "-").concat(column.key, "-name")
        },
        "class": classNames.cellName
      }, [(column.iconName || column.iconClassName) && h(IconComponent, {
        "class": classNames.iconClassName,
        "attrs": {
          "icon-name": column.iconName
        }
      }), column.isIconOnly ? h("span", {
        "class": classNames.accessibleLabel
      }, [column.name]) : column.name]), column.isFiltered && h(IconComponent, {
        "class": classNames.nearIcon,
        "attrs": {
          "icon-name": "Filter"
        }
      }), column.isSorted && h(IconComponent, {
        "class": classNames.sortIcon,
        "attrs": {
          "icon-name": column.isSortedDescending ? 'SortDown' : 'SortUp'
        }
      }), column.isGrouped && h(IconComponent, {
        "class": classNames.nearIcon,
        "attrs": {
          "icon-name": "GroupedDescending"
        }
      }), column.columnActionsMode === ColumnActionsMode.hasDropdown && !column.isIconOnly && h(IconComponent, {
        "attrs": {
          "icon-name": "ChevronDown"
        }
      })])])]);
    }
  }, {
    key: "IconComponent",
    get: function get() {
      return this.useFastIcons ? FontIcon : Icon$2;
    }
  }, {
    key: "classNames",
    get: function get() {
      var column = this.column,
          columnIndex = this.columnIndex,
          styles = this.styles,
          theme = this.theme,
          _this$cellStyleProps = this.cellStyleProps,
          cellStyleProps = _this$cellStyleProps === void 0 ? DEFAULT_CELL_STYLE_PROPS : _this$cellStyleProps;
      return getClassNames$2(styles, {
        theme: theme,
        headerClassName: column.headerClassName,
        iconClassName: column.iconClassName,
        isActionable: column.columnActionsMode !== ColumnActionsMode.disabled,
        isEmpty: !column.name,
        isIconVisible: column.isSorted || column.isGrouped || column.isFiltered,
        isPadded: column.isPadded,
        isIconOnly: column.isIconOnly,
        cellStyleProps: cellStyleProps,
        transitionDurationDrag: TRANSITION_DURATION_DRAG,
        transitionDurationDrop: TRANSITION_DURATION_DROP
      });
    }
  }, {
    key: "columnWidth",
    get: function get() {
      var column = this.column,
          cellStyleProps = this.cellStyleProps;
      return column.calculatedWidth + cellStyleProps.cellLeftPadding + cellStyleProps.cellRightPadding + (column.isPadded ? cellStyleProps.cellExtraRightPadding : 0) + 'px';
    }
  }]);

  return DetailsColumnBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Object,
  required: true
}), __metadata("design:type", Object)], DetailsColumnBase.prototype, "column", void 0);

__decorate([Prop({
  type: Number,
  required: true
}), __metadata("design:type", Number)], DetailsColumnBase.prototype, "columnIndex", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], DetailsColumnBase.prototype, "parentId", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], DetailsColumnBase.prototype, "onColumnClick", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], DetailsColumnBase.prototype, "onColumnContextMenu", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], DetailsColumnBase.prototype, "dragDropHelper", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DetailsColumnBase.prototype, "isDraggable", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], DetailsColumnBase.prototype, "updateDragInfo", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DetailsColumnBase.prototype, "isDropped", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {
    return DEFAULT_CELL_STYLE_PROPS;
  }
}), __metadata("design:type", Object)], DetailsColumnBase.prototype, "cellStyleProps", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], DetailsColumnBase.prototype, "useFastIcons", void 0);

DetailsColumnBase = __decorate([Component({
  components: {}
})], DetailsColumnBase);

var DetailsColumn = styled(DetailsColumnBase, getStyles$4, undefined, {
  scope: 'DetailsColumn'
});

var getClassNames$3 = classNamesFunction();

var DetailsHeaderBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DetailsHeaderBase, _BaseComponent);

  var _super = _createSuper(DetailsHeaderBase);

  function DetailsHeaderBase() {
    _classCallCheck(this, DetailsHeaderBase);

    return _super.apply(this, arguments);
  }

  _createClass(DetailsHeaderBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          columns = this.columns;
      return h("div", {
        "class": classNames.root,
        "attrs": {
          "role": "row"
        }
      }, [columns.map(function (column, index) {
        return h(DetailsColumn, {
          "key": column.key,
          "attrs": {
            "column": column,
            "columnIndex": index,
            "parentId": _this.uid
          }
        });
      })]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className;
      return getClassNames$3(styles, {
        theme: theme,
        isAllSelected: false,
        isSelectAllHidden: false,
        isResizingColumn: false,
        isSizing: false,
        isAllCollapsed: false,
        isCheckboxHidden: false,
        className: className
      });
    }
  }]);

  return DetailsHeaderBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DetailsHeaderBase.prototype, "columns", void 0);

DetailsHeaderBase = __decorate([Component({
  components: {
    DetailsColumn: DetailsColumn
  }
})], DetailsHeaderBase);

var DetailsHeader = styled(DetailsHeaderBase, getStyles$3, undefined, {
  scope: 'DetailsHeader'
});

/**
 * {@docCategory DetailsList}
 */
var SelectAllVisibility;

(function (SelectAllVisibility) {
  SelectAllVisibility[SelectAllVisibility["none"] = 0] = "none";
  SelectAllVisibility[SelectAllVisibility["hidden"] = 1] = "hidden";
  SelectAllVisibility[SelectAllVisibility["visible"] = 2] = "visible";
})(SelectAllVisibility || (SelectAllVisibility = {}));

var getCellText = function getCellText(item, column) {
  var value = item && column && column.fieldName ? item[column.fieldName] : '';

  if (value === null || value === undefined) {
    value = '';
  }

  if (typeof value === 'boolean') {
    return value.toString();
  }

  return value;
};

var DetailsRowFields = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DetailsRowFields, _BaseComponent);

  var _super = _createSuper(DetailsRowFields);

  function DetailsRowFields() {
    var _this;

    _classCallCheck(this, DetailsRowFields);

    _this = _super.apply(this, arguments);
    _this.showAnimation = true;
    return _this;
  }

  _createClass(DetailsRowFields, [{
    key: "calcWidth",
    value: function calcWidth(column) {
      var cellStyleProps = this.cellStyleProps;
      var width = typeof column.calculatedWidth === 'undefined' ? 'auto' : column.calculatedWidth + cellStyleProps.cellLeftPadding + cellStyleProps.cellRightPadding + (column.isPadded ? cellStyleProps.cellExtraRightPadding : 0) + 'px';
      return width;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var rowClassNames = this.rowClassNames,
          columns = this.columns,
          showAnimation = this.showAnimation,
          item = this.item;
      return h("div", {
        "class": rowClassNames.fields,
        "attrs": {
          "role": "presentation"
        }
      }, [columns.map(function (column, columnIndex) {
        return h("div", {
          "key": columnIndex,
          "attrs": {
            "role": column.isRowHeader ? 'rowheader' : 'gridcell',
            "aria-readonly": true
          },
          "style": {
            width: _this2.calcWidth(column)
          },
          "class": css(column.className, column.isMultiline && rowClassNames.isMultiline, column.isRowHeader && rowClassNames.isRowHeader, rowClassNames.cell, column.isPadded ? rowClassNames.cellPadded : rowClassNames.cellUnpadded, showAnimation && rowClassNames.cellAnimation)
        }, [_this2.$scopedSlots["cell.".concat(column.key)] ? _this2.$scopedSlots["cell.".concat(column.key)]({
          item: item,
          column: column
        }) : getCellText(item, column)]);
      })]);
    }
  }]);

  return DetailsRowFields;
}(BaseComponent$1);

__decorate([Prop({
  type: Object,
  required: true
}), __metadata("design:type", Object)], DetailsRowFields.prototype, "rowClassNames", void 0);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DetailsRowFields.prototype, "columns", void 0);

__decorate([Prop({
  type: Object,
  required: true
}), __metadata("design:type", Object)], DetailsRowFields.prototype, "item", void 0);

__decorate([Prop({
  type: Number,
  required: true
}), __metadata("design:type", Number)], DetailsRowFields.prototype, "itemIndex", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {
    return DEFAULT_CELL_STYLE_PROPS;
  }
}), __metadata("design:type", Object)], DetailsRowFields.prototype, "cellStyleProps", void 0);

DetailsRowFields = __decorate([Component], DetailsRowFields);

var getClassNames$4 = classNamesFunction();
var NO_COLUMNS = [];

var DetailsRowBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DetailsRowBase, _BaseComponent);

  var _super = _createSuper(DetailsRowBase);

  function DetailsRowBase() {
    var _this;

    _classCallCheck(this, DetailsRowBase);

    _this = _super.apply(this, arguments);
    _this.showCheckbox = false;
    return _this;
  }

  _createClass(DetailsRowBase, [{
    key: "measureCell",

    /**
     * measure cell at index. and call the call back with the measured cell width when finish measure
     *
     * @param index - The cell index
     * @param onMeasureDone - The call back function when finish measure
     */
    value: function measureCell(index, onMeasureDone) {
      var _this$columns = this.columns,
          columns = _this$columns === void 0 ? NO_COLUMNS : _this$columns;

      var column = _objectSpread2({}, columns[index]);

      column.minWidth = 0;
      column.maxWidth = 999999;
      delete column.calculatedWidth; // this.setState({
      //   columnMeasureInfo: {
      //     index,
      //     column,
      //     onMeasureDone,
      //   },
      // })
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          rowClassNames = this.rowClassNames,
          item = this.item,
          columns = this.columns,
          showCheckbox = this.showCheckbox;
      return h("div", {
        "class": classNames.root
      }, [h(DetailsRowFields, _mergeJSXProps([{
        "attrs": {
          "row-class-names": rowClassNames,
          "columns": columns,
          "item": item,
          "item-index": 0,
          "column-start-index": showCheckbox ? 1 : 0
        }
      }, {
        scopedSlots: this.$scopedSlots
      }]))]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className,
          compact = this.compact;
      return _objectSpread2({}, getClassNames$4(styles, {
        theme: theme,
        isSelected: false,
        canSelect: false,
        anySelected: false,
        checkboxCellClassName: '',
        droppingClassName: '',
        className: className,
        compact: compact,
        enableUpdateAnimations: false
      }));
    }
  }, {
    key: "rowClassNames",
    get: function get() {
      return {
        isMultiline: this.classNames.isMultiline,
        isRowHeader: this.classNames.isRowHeader,
        cell: this.classNames.cell,
        cellAnimation: this.classNames.cellAnimation,
        cellPadded: this.classNames.cellPadded,
        cellUnpadded: this.classNames.cellUnpadded,
        fields: this.classNames.fields
      };
    }
  }]);

  return DetailsRowBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DetailsRowBase.prototype, "columns", void 0);

__decorate([Prop({
  type: Object,
  required: true
}), __metadata("design:type", Object)], DetailsRowBase.prototype, "item", void 0);

__decorate([Prop({
  type: Boolean,
  required: true
}), __metadata("design:type", Boolean)], DetailsRowBase.prototype, "compact", void 0);

DetailsRowBase = __decorate([Component], DetailsRowBase);

var DetailsRow = styled(DetailsRowBase, getStyles$2, undefined, {
  scope: 'DetailsRow'
});

var getClassNames$5 = classNamesFunction();

var DetailsListBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DetailsListBase, _BaseComponent);

  var _super = _createSuper(DetailsListBase);

  function DetailsListBase() {
    var _this;

    _classCallCheck(this, DetailsListBase);

    _this = _super.apply(this, arguments);
    _this.lastWidth = -1;
    _this.lastSelectionMode = undefined;
    _this.columnOverrides = {};
    _this.lastSortedColumnKey = '';
    return _this;
  }

  _createClass(DetailsListBase, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var classNames = this.classNames,
          items = this.items,
          adjustedColumns = this.adjustedColumns,
          compact = this.compact;
      return h("div", {
        "class": classNames.root,
        "attrs": {
          "data-is-scrollable": "false"
        }
      }, [h("div", {
        "attrs": {
          "role": "grid"
        }
      }, [h("div", {
        "class": classNames.headerWrapper
      }, [this.$scopedSlots.DetailsHeader ? this.$scopedSlots.DetailsHeader({
        defaultRender: this.onRenderDetailsHeader
      }) : this.onRenderDetailsHeader()]), h("div", {
        "class": classNames.contentWrapper
      }, [h(List, _mergeJSXProps([{
        "ref": "list",
        "attrs": {
          "items": items,
          "role": "presentation"
        }
      }, {
        scopedSlots: {
          item: function item(_ref) {
            var _item = _ref.item;
            return h(DetailsRow, _mergeJSXProps([{
              "attrs": {
                "item": _item,
                "columns": adjustedColumns,
                "compact": compact
              }
            }, {
              scopedSlots: _this2.$scopedSlots
            }]));
          }
        }
      }]))])])]);
    }
  }, {
    key: "onRenderDetailsHeader",
    value: function onRenderDetailsHeader() {
      var h = this.$createElement;
      return h(DetailsHeader, {
        "attrs": {
          "columns": this.adjustedColumns
        }
      });
    }
  }, {
    key: "created",
    value: function created() {
      var _this3 = this;

      var DEFAULT_COLUMN = {
        key: '',
        name: '',
        fieldName: '',
        className: '',
        styles: null,
        minWidth: 0,
        ariaLabel: '',
        isRowHeader: false,
        maxWidth: 0,
        columnActionsMode: 1,
        iconName: '',
        isIconOnly: false,
        iconClassName: '',
        isCollapsible: false,
        isSorted: false,
        isSortedDescending: false,
        isResizable: false,
        isMultiline: false,
        onRender: null,
        getValueKey: null,
        isFiltered: false,
        onColumnClick: null,
        onColumnContextMenu: null,
        onColumnResize: null,
        isGrouped: false,
        data: {},
        calculatedWidth: 0,
        currentWidth: 0,
        headerClassName: '',
        isPadded: false,
        sortAscendingAriaLabel: '',
        sortDescendingAriaLabel: '',
        groupAriaLabel: '',
        filterAriaLabel: '',
        isMenuOpen: false
      };

      var _loop = function _loop(key) {
        if (Object.prototype.hasOwnProperty.call(DEFAULT_COLUMN, key)) {
          // @ts-ignore
          var value = DEFAULT_COLUMN[key];

          _this3.columns.forEach(function (col) {
            // @ts-ignore
            _this3.$set(col, key, col[key] !== undefined ? col[key] : value);
          });
        }
      };

      for (var key in DEFAULT_COLUMN) {
        _loop(key);
      }
    }
  }, {
    key: "_rememberCalculatedWidth",
    value: function _rememberCalculatedWidth(column, newCalculatedWidth) {
      var overrides = this._getColumnOverride(column.key);

      overrides.calculatedWidth = newCalculatedWidth;
      overrides.currentWidth = newCalculatedWidth;
    }
  }, {
    key: "_getColumnOverride",
    value: function _getColumnOverride(key) {
      return this.columnOverrides[key] = this.columnOverrides[key] || {};
    }
  }, {
    key: "_adjustColumns",
    value: function _adjustColumns(newProps, forceUpdate, resizingColumnIndex) {
      var adjustedColumns = this._getAdjustedColumns(newProps, forceUpdate, resizingColumnIndex); // const { viewport } = this


      var viewportWidth = 1000;

      if (adjustedColumns) {
        // this.adjustedColumns = adjustedColumns
        this.lastWidth = viewportWidth;
      }

      return adjustedColumns;
    }
    /** Returns adjusted columns, given the viewport size and layout mode. */

  }, {
    key: "_getAdjustedColumns",
    value: function _getAdjustedColumns(newProps, forceUpdate, resizingColumnIndex) {
      var _this4 = this;

      var newItems = newProps.items,
          layoutMode = newProps.layoutMode,
          selectionMode = newProps.selectionMode,
          viewport = newProps.viewport;
      var viewportWidth = viewport && viewport.width ? viewport.width : 0;
      var newColumns = newProps.columns;
      var columns = this ? this.columns : [];
      var lastWidth = this ? this.lastWidth : -1;
      var lastSelectionMode = this ? this.lastSelectionMode : undefined;

      if (!forceUpdate && lastWidth === viewportWidth && lastSelectionMode === selectionMode && (!columns || newColumns === columns)) {
        return [];
      }

      newColumns = newColumns || buildColumns(newItems, true);
      var adjustedColumns;

      if (layoutMode !== 0) {
        adjustedColumns = this._getFixedColumns(newColumns); // Preserve adjusted column calculated widths.

        adjustedColumns.forEach(function (column) {
          _this4._rememberCalculatedWidth(column, column.calculatedWidth);
        });
      } else {
        if (resizingColumnIndex !== undefined) {
          adjustedColumns = this._getJustifiedColumnsAfterResize(newColumns, viewportWidth, newProps, resizingColumnIndex);
        } else {
          adjustedColumns = this._getJustifiedColumns(newColumns, viewportWidth, newProps, 0);
        }

        adjustedColumns.forEach(function (column) {
          _this4._getColumnOverride(column.key).currentWidth = column.calculatedWidth;
        });
      }

      return adjustedColumns;
    }
    /** Builds a set of columns based on the given columns mixed with the current overrides. */

  }, {
    key: "_getFixedColumns",
    value: function _getFixedColumns(newColumns) {
      var _this5 = this;

      return newColumns.map(function (column) {
        var newColumn = _objectSpread2(_objectSpread2({}, column), _this5.columnOverrides[column.key]);

        if (!newColumn.calculatedWidth) {
          newColumn.calculatedWidth = newColumn.maxWidth || newColumn.minWidth || MIN_COLUMN_WIDTH;
        }

        return newColumn;
      });
    }
  }, {
    key: "_getJustifiedColumnsAfterResize",
    value: function _getJustifiedColumnsAfterResize(newColumns, viewportWidth, props, resizingColumnIndex) {
      var _this6 = this;

      var fixedColumns = newColumns.slice(0, resizingColumnIndex);
      fixedColumns.forEach(function (column) {
        return column.calculatedWidth = _this6._getColumnOverride(column.key).currentWidth;
      });
      var fixedWidth = fixedColumns.reduce(function (total, column, i) {
        return total + getPaddedWidth(column, i === 0, props);
      }, 0);
      var remainingColumns = newColumns.slice(resizingColumnIndex);
      var remainingWidth = viewportWidth - fixedWidth;
      return [].concat(_toConsumableArray(fixedColumns), _toConsumableArray(this._getJustifiedColumns(remainingColumns, remainingWidth, props, resizingColumnIndex)));
    }
    /** Builds a set of columns to fix within the viewport width. */

  }, {
    key: "_getJustifiedColumns",
    value: function _getJustifiedColumns(newColumns, viewportWidth, props, firstIndex) {
      var _this7 = this;

      var _props$selectionMode = props.selectionMode,
          selectionMode = _props$selectionMode === void 0 ? 0 : _props$selectionMode,
          checkboxVisibility = props.checkboxVisibility;
      var rowCheckWidth = selectionMode !== 0 && checkboxVisibility !== checkboxVisibility.hidden ? 10 : 0;
      var groupExpandWidth = 1 * 10;
      var totalWidth = 0; // offset because we have one less inner padding.

      var availableWidth = viewportWidth - (rowCheckWidth + groupExpandWidth);
      var adjustedColumns = newColumns.map(function (column, i) {
        var newColumn = _objectSpread2(_objectSpread2({}, column), {}, {
          calculatedWidth: column.minWidth || MIN_COLUMN_WIDTH
        }, _this7.columnOverrides[column.key]);

        var isFirst = i + firstIndex === 0;
        totalWidth += getPaddedWidth(newColumn, isFirst, props);
        return newColumn;
      });
      var lastIndex = adjustedColumns.length - 1; // Shrink or remove collapsable columns.

      while (lastIndex > 0 && totalWidth > availableWidth) {
        var column = adjustedColumns[lastIndex];
        var minWidth = column.minWidth || MIN_COLUMN_WIDTH;
        var overflowWidth = totalWidth - availableWidth; // tslint:disable-next-line:deprecation

        if (column.calculatedWidth - minWidth >= overflowWidth || !(column.isCollapsible || column.isCollapsable)) {
          var originalWidth = column.calculatedWidth;
          column.calculatedWidth = Math.max(column.calculatedWidth - overflowWidth, minWidth);
          totalWidth -= originalWidth - column.calculatedWidth;
        } else {
          totalWidth -= getPaddedWidth(column, false, props);
          adjustedColumns.splice(lastIndex, 1);
        }

        lastIndex--;
      } // Then expand columns starting at the beginning, until we've filled the width.


      for (var i = 0; i < adjustedColumns.length && totalWidth < availableWidth; i++) {
        var _column = adjustedColumns[i];
        var isLast = i === adjustedColumns.length - 1;
        var overrides = this.columnOverrides[_column.key];

        if (overrides && overrides.calculatedWidth && !isLast) {
          continue;
        }

        var spaceLeft = availableWidth - totalWidth;
        var increment = void 0;

        if (isLast) {
          increment = spaceLeft;
        } else {
          var maxWidth = _column.maxWidth;

          var _minWidth = _column.minWidth || maxWidth || MIN_COLUMN_WIDTH;

          increment = maxWidth ? Math.min(spaceLeft, maxWidth - _minWidth) : spaceLeft;
        }

        _column.calculatedWidth = _column.calculatedWidth + increment;
        totalWidth += increment;
      }

      return adjustedColumns;
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className,
          compact = this.compact;
      return getClassNames$5(styles, {
        theme: theme,
        compact: compact,
        isFixed: false,
        isHorizontalConstrained: false,
        className: className
      });
    }
  }, {
    key: "adjustedColumns",
    get: function get() {
      return this._adjustColumns(this.$props);
    }
  }]);

  return DetailsListBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DetailsListBase.prototype, "columns", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], DetailsListBase.prototype, "items", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DetailsListBase.prototype, "compact", void 0);

DetailsListBase = __decorate([Component], DetailsListBase);
var MIN_COLUMN_WIDTH = 100; // this is the global min width

function buildColumns(items, canResizeColumns, onColumnClick, sortedColumnKey, isSortedDescending, groupedColumnKey, isMultiline) {
  var columns = [];

  if (items && items.length) {
    var firstItem = items[0];

    for (var propName in firstItem) {
      if (Object.prototype.hasOwnProperty.call(firstItem, propName)) {
        columns.push({
          key: propName,
          name: propName,
          fieldName: propName,
          minWidth: MIN_COLUMN_WIDTH,
          maxWidth: 300,
          isCollapsable: !!columns.length,
          isCollapsible: !!columns.length,
          isMultiline: isMultiline === undefined ? false : isMultiline,
          isSorted: sortedColumnKey === propName,
          isSortedDescending: !!isSortedDescending,
          isRowHeader: false,
          columnActionsMode: 0,
          isResizable: canResizeColumns,
          onColumnClick: onColumnClick,
          isGrouped: groupedColumnKey === propName
        });
      }
    }
  }

  return columns;
}

function getPaddedWidth(column, isFirst, props) {
  var _props$cellStyleProps = props.cellStyleProps,
      cellStyleProps = _props$cellStyleProps === void 0 ? DEFAULT_CELL_STYLE_PROPS : _props$cellStyleProps;
  return column.calculatedWidth + cellStyleProps.cellLeftPadding + cellStyleProps.cellRightPadding + (column.isPadded ? cellStyleProps.cellExtraRightPadding : 0);
}

var DetailsList = styled(DetailsListBase, getStyles$1, undefined, {
  scope: 'DetailsList'
});

var DetailsRowCheckBase = /*#__PURE__*/function (_Vue) {
  _inherits(DetailsRowCheckBase, _Vue);

  var _super = _createSuper(DetailsRowCheckBase);

  function DetailsRowCheckBase() {
    _classCallCheck(this, DetailsRowCheckBase);

    return _super.apply(this, arguments);
  }

  _createClass(DetailsRowCheckBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      return h("div", ["DetailsRowCheck"]);
    }
  }]);

  return DetailsRowCheckBase;
}(Vue);

DetailsRowCheckBase = __decorate([Component({
  components: {}
})], DetailsRowCheckBase);

var CheckGlobalClassNames = {
  root: 'ms-Check',
  circle: 'ms-Check-circle',
  check: 'ms-Check-check',

  /** Must be manually applied to the parent element of the check. */
  checkHost: 'ms-Check-checkHost'
};

var GlobalClassNames$3 = {
  root: 'ms-DetailsRow-check',
  isDisabled: 'ms-DetailsRow-check--isDisabled',
  isHeader: 'ms-DetailsRow-check--isHeader'
};
var CHECK_CELL_WIDTH = 48;
var getStyles$6 = function getStyles(props) {
  var theme = props.theme,
      className = props.className,
      isHeader = props.isHeader,
      selected = props.selected,
      anySelected = props.anySelected,
      canSelect = props.canSelect,
      compact = props.compact,
      isVisible = props.isVisible;
  var classNames = getGlobalClassNames(GlobalClassNames$3, theme);
  var rowHeight = DEFAULT_ROW_HEIGHTS.rowHeight,
      compactRowHeight = DEFAULT_ROW_HEIGHTS.compactRowHeight;
  var height = isHeader ? HEADER_HEIGHT : compact ? compactRowHeight : rowHeight;
  var isCheckVisible = isVisible || selected || anySelected;
  return {
    root: [classNames.root, className],
    check: [!canSelect && classNames.isDisabled, isHeader && classNames.isHeader, getFocusStyle(theme), theme.fonts.small, CheckGlobalClassNames.checkHost, {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      cursor: 'default',
      boxSizing: 'border-box',
      verticalAlign: 'top',
      background: 'none',
      backgroundColor: 'transparent',
      border: 'none',
      opacity: isCheckVisible ? 1 : 0,
      height: height,
      width: CHECK_CELL_WIDTH,
      padding: 0,
      margin: 0
    }],
    isDisabled: []
  };
};

var DetailsRowCheck = styled(DetailsRowCheckBase, getStyles$6, undefined, {
  scope: 'DetailsRowCheck'
});

/**
 * {@docCategory ScrollablePane}
 */
var ScrollbarVisibility = {
  auto: 'auto',
  always: 'always'
};

var getClassNames$6 = classNamesFunction();

var ScrollablePaneBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ScrollablePaneBase, _BaseComponent);

  var _super = _createSuper(ScrollablePaneBase);

  function ScrollablePaneBase() {
    var _this;

    _classCallCheck(this, ScrollablePaneBase);

    _this = _super.apply(this, arguments);
    _this.stickyTopHeight = 0;
    _this.stickyBottomHeight = 0;
    _this.scrollbarWidth = 0;
    _this.scrollbarHeight = 0;
    _this.subscribers = new Set();
    _this.stickies = new Set();
    _this.mutationObserver = null;
    return _this;
  }

  _createClass(ScrollablePaneBase, [{
    key: "created",
    value: function created() {
      this.notifyThrottled = this._async.throttle(this.notifySubscribers, 50);
    }
  }, {
    key: "mounted",
    value: function mounted() {
      var _this2 = this;

      this.events.on(this.$refs.contentContainer, 'scroll', this._onScroll);
      this.events.on(window, 'resize', this._onWindowResize);
      var initialScrollPosition = this.initialScrollPosition;

      if (this.$refs.contentContainer && initialScrollPosition) {
        this.$refs.contentContainer.scrollTop = initialScrollPosition;
      } // Set sticky distances from top property, then sort in correct order and notify subscribers


      this.setStickiesDistanceFromTop();
      this.stickies.forEach(function (sticky) {
        _this2.sortSticky(sticky);
      });
      this.notifySubscribers();

      if ('MutationObserver' in window) {
        this.mutationObserver = new MutationObserver(function (mutation) {
          // Function to check if mutation is occuring in stickyAbove or stickyBelow
          function checkIfMutationIsSticky(mutationRecord) {
            if (this.$refs.stickyAbove !== null && this.$refs.stickyBelow !== null) {
              return this.$refs.stickyAbove.contains(mutationRecord.target) || this.$refs.stickyBelow.contains(mutationRecord.target);
            }

            return false;
          } // Compute the scrollbar height, which might have changed if the content's width changed and caused overflow


          var scrollbarHeight = _this2._getScrollbarHeight(); // If the scrollbar height changed, update state so it's postioned correctly below sticky footer


          if (scrollbarHeight !== _this2.scrollbarHeight) {
            _this2.scrollbarHeight = scrollbarHeight;
          } // Notify subscribers again to re-check whether Sticky should be Sticky'd or not


          _this2.notifySubscribers(); // If mutation occurs in sticky header or footer, then update sticky top/bottom heights


          if (mutation.some(checkIfMutationIsSticky.bind(_this2))) {
            _this2.updateStickyRefHeights();
          } else {
            // If mutation occurs in scrollable region, then find Sticky it belongs to and force update
            var stickyList = [];

            _this2.stickies.forEach(function (sticky) {
              if (sticky.$refs.root && sticky.$refs.root.contains(mutation[0].target)) {
                stickyList.push(sticky);
              }
            });

            if (stickyList.length) {
              stickyList.forEach(function (sticky) {
                sticky.$forceUpdate();
              });
            }
          }
        });

        if (this.$refs.root) {
          this.mutationObserver.observe(this.$refs.root, {
            childList: true,
            attributes: true,
            subtree: true,
            characterData: true
          });
        }
      }
    }
  }, {
    key: "setStickiesDistanceFromTop",
    value: function setStickiesDistanceFromTop() {
      var _this3 = this;

      if (this.$refs.contentContainer) {
        this.stickies.forEach(function (sticky) {
          sticky.setDistanceFromTop(_this3.$refs.contentContainer);
        });
      }
    }
  }, {
    key: "forceLayoutUpdate",
    value: function forceLayoutUpdate() {
      this._onWindowResize();
    }
  }, {
    key: "subscribe",
    value: function subscribe(handler) {
      this.subscribers.add(handler);
    }
  }, {
    key: "unsubscribe",
    value: function unsubscribe(handler) {
      this.subscribers.delete(handler);
    }
  }, {
    key: "addSticky",
    value: function addSticky(sticky) {
      this.stickies.add(sticky); // If ScrollablePane is mounted, then sort sticky in correct place

      if (this.$refs.contentContainer) {
        sticky.setDistanceFromTop(this.$refs.contentContainer);
        this.sortSticky(sticky);
      }
    }
  }, {
    key: "removeSticky",
    value: function removeSticky(sticky) {
      this.stickies.delete(sticky);

      this._removeStickyFromContainers(sticky);

      this.notifySubscribers();
    }
  }, {
    key: "sortSticky",
    value: function sortSticky(sticky, sortAgain) {
      if (this.$refs.stickyAbove && this.$refs.stickyBelow) {
        if (sortAgain) {
          this._removeStickyFromContainers(sticky);
        }

        if (sticky.canStickyTop && sticky.$refs.stickyContentTop) {
          this._addToStickyContainer(sticky, this.$refs.stickyAbove, sticky.$refs.stickyContentTop);
        }

        if (sticky.canStickyBottom && sticky.$refs.stickyContentBottom) {
          this._addToStickyContainer(sticky, this.$refs.stickyBelow, sticky.$refs.stickyContentBottom);
        }
      }
    }
  }, {
    key: "updateStickyRefHeights",
    value: function updateStickyRefHeights() {
      var _this4 = this;

      var stickyItems = this.stickies;
      var stickyTopHeight = 0;
      var stickyBottomHeight = 0;
      stickyItems.forEach(function (sticky) {
        var isStickyTop = sticky.isStickyTop,
            isStickyBottom = sticky.isStickyBottom;

        if (sticky.$refs.nonStickyContent) {
          if (isStickyTop) {
            stickyTopHeight += sticky.$refs.nonStickyContent.offsetHeight;
          }

          if (isStickyBottom) {
            stickyBottomHeight += sticky.$refs.nonStickyContent.offsetHeight;
          }

          _this4._checkStickyStatus(sticky);
        }
      });
      this.stickyTopHeight = stickyTopHeight;
      this.stickyBottomHeight = stickyBottomHeight;
    }
  }, {
    key: "notifySubscribers",
    value: function notifySubscribers() {
      var _this5 = this;

      if (this.$refs.contentContainer) {
        this.subscribers.forEach(function (handle) {
          // this.$refs.stickyBelow is passed in for calculating distance to determine Sticky status
          handle(_this5.$refs.contentContainer, _this5.$refs.stickyBelow);
        });
      }
    }
  }, {
    key: "getScrollPosition",
    value: function getScrollPosition() {
      if (this.$refs.contentContainer) {
        return this.$refs.contentContainer.scrollTop;
      }

      return 0;
    }
  }, {
    key: "syncScrollSticky",
    value: function syncScrollSticky(sticky) {
      if (sticky && this.$refs.contentContainer) {
        sticky.syncScroll(this.$refs.contentContainer);
      }
    }
  }, {
    key: "_checkStickyStatus",
    value: function _checkStickyStatus(sticky) {
      if (this.$refs.stickyAbove && this.$refs.stickyBelow && this.$refs.contentContainer && sticky.$refs.nonStickyContent) {
        // If sticky is sticky, then append content to appropriate container
        if (sticky.isStickyTop || sticky.isStickyBottom) {
          if (sticky.isStickyTop && !this.$refs.stickyAbove.contains(sticky.$refs.nonStickyContent) && sticky.$refs.stickyContentTop) {
            sticky.addSticky(sticky.$refs.stickyContentTop);
          }

          if (sticky.isStickyBottom && !this.$refs.stickyBelow.contains(sticky.$refs.nonStickyContent) && sticky.$refs.stickyContentBottom) {
            sticky.addSticky(sticky.$refs.stickyContentBottom);
          }
        } else if (!this.$refs.contentContainer.contains(sticky.$refs.nonStickyContent)) {
          // Reset sticky if it's not sticky and not in the contentContainer element
          sticky.resetSticky();
        }
      }
    }
  }, {
    key: "_addToStickyContainer",
    value: function _addToStickyContainer(sticky, stickyContainer, stickyContentToAdd) {
      var _this6 = this;

      // If there's no children, append child to list, otherwise, sort though array and append at correct position
      if (!stickyContainer.children.length) {
        stickyContainer.appendChild(stickyContentToAdd);
      } else {
        // If stickyContentToAdd isn't a child element of target container, then append
        if (!stickyContainer.contains(stickyContentToAdd)) {
          var stickyChildrenElements = [].slice.call(stickyContainer.children);
          var stickyList = []; // Get stickies.  Filter by canStickyTop/Bottom, then sort by distance from top, and then
          // filter by elements that are in the stickyContainer already.

          this.stickies.forEach(function (stickyItem) {
            if (stickyContainer === _this6.$refs.stickyAbove && sticky.canStickyTop) {
              stickyList.push(stickyItem);
            } else if (sticky.canStickyBottom) {
              stickyList.push(stickyItem);
            }
          });
          var stickyListSorted = stickyList.sort(function (a, b) {
            return (a.distanceFromTop || 0) - (b.distanceFromTop || 0);
          }).filter(function (item) {
            var stickyContent = stickyContainer === _this6.$refs.stickyAbove ? item.stickyContentTop : item.stickyContentBottom;

            if (stickyContent) {
              return stickyChildrenElements.indexOf(stickyContent) > -1;
            }
          }); // Get first element that has a distance from top that is further than our sticky that is being added

          var targetStickyToAppendBefore;

          var _iterator = _createForOfIteratorHelper(stickyListSorted),
              _step;

          try {
            for (_iterator.s(); !(_step = _iterator.n()).done;) {
              var stickyListItem = _step.value;

              if ((stickyListItem.distanceFromTop || 0) >= (sticky.distanceFromTop || 0)) {
                targetStickyToAppendBefore = stickyListItem;
                break;
              }
            } // If target element to append before is known, then grab respective stickyContentTop/Bottom element and insert before

          } catch (err) {
            _iterator.e(err);
          } finally {
            _iterator.f();
          }

          var targetContainer = null;

          if (targetStickyToAppendBefore) {
            targetContainer = stickyContainer === this.$refs.stickyAbove ? targetStickyToAppendBefore.stickyContentTop : targetStickyToAppendBefore.stickyContentBottom;
          }

          stickyContainer.insertBefore(stickyContentToAdd, targetContainer);
        }
      }
    }
  }, {
    key: "_removeStickyFromContainers",
    value: function _removeStickyFromContainers(sticky) {
      if (this.$refs.stickyAbove && sticky.stickyContentTop && this.$refs.stickyAbove.contains(sticky.stickyContentTop)) {
        this.$refs.stickyAbove.removeChild(sticky.stickyContentTop);
      }

      if (this.$refs.stickyBelow && sticky.stickyContentBottom && this.$refs.stickyBelow.contains(sticky.stickyContentBottom)) {
        this.$refs.stickyBelow.removeChild(sticky.stickyContentBottom);
      }
    }
  }, {
    key: "_onWindowResize",
    value: function _onWindowResize() {
      var scrollbarWidth = this._getScrollbarWidth();

      var scrollbarHeight = this._getScrollbarHeight();

      this.scrollbarWidth = scrollbarWidth;
      this.scrollbarHeight = scrollbarHeight;
      this.notifySubscribers();
    }
  }, {
    key: "getStickyContainerStyle",
    value: function getStickyContainerStyle(height, isTop) {
      return _objectSpread2(_objectSpread2({
        height: height
      }, getRTL(this.theme) ? {
        right: '0',
        left: "".concat(this.scrollbarWidth || this._getScrollbarWidth() || 0, "px")
      } : {
        left: '0',
        right: "".concat(this.scrollbarWidth || this._getScrollbarWidth() || 0, "px")
      }), isTop ? {
        top: '0'
      } : {
        bottom: "".concat(this.scrollbarHeight || this._getScrollbarHeight() || 0, "px")
      });
    }
  }, {
    key: "_getScrollbarWidth",
    value: function _getScrollbarWidth() {
      var contentContainer = this.$refs.contentContainer;
      return contentContainer ? contentContainer.offsetWidth - contentContainer.clientWidth : 0;
    }
  }, {
    key: "_getScrollbarHeight",
    value: function _getScrollbarHeight() {
      var contentContainer = this.$refs.contentContainer;
      return contentContainer ? contentContainer.offsetHeight - contentContainer.clientHeight : 0;
    }
  }, {
    key: "_onScroll",
    value: function _onScroll() {
      var contentContainer = this.$refs.contentContainer;

      if (contentContainer) {
        this.stickies.forEach(function (sticky) {
          // @ts-ignore
          sticky.syncScroll(contentContainer);
        });
      }

      this.notifyThrottled();
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          stickyBottomHeight = this.stickyBottomHeight,
          stickyTopHeight = this.stickyTopHeight;
      return h("div", {
        "ref": "root",
        "class": classNames.root
      }, [h("div", {
        "ref": "stickyAbove",
        "attrs": {
          "aria-hidden": "true"
        },
        "class": classNames.stickyAbove,
        "style": this.getStickyContainerStyle(stickyTopHeight, true)
      }), h("div", {
        "ref": "contentContainer",
        "class": classNames.contentContainer,
        "attrs": {
          "data-is-scrollable": "true"
        }
      }, [this.$slots.default]), h("div", {
        "attrs": {
          "aria-hidden": "true"
        },
        "class": classNames.stickyBelow,
        "style": this.getStickyContainerStyle(stickyBottomHeight, false)
      }, [h("div", {
        "ref": "stickyBelow",
        "class": classNames.stickyBelowItems
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var className = this.className,
          theme = this.theme,
          styles = this.styles;
      return getClassNames$6(styles, {
        theme: theme,
        className: className,
        scrollbarVisibility: this.scrollbarVisibility
      });
    }
  }]);

  return ScrollablePaneBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], ScrollablePaneBase.prototype, "initialScrollPosition", void 0);

__decorate([Prop({
  type: String,
  default: ScrollbarVisibility.auto
}), __metadata("design:type", String)], ScrollablePaneBase.prototype, "scrollbarVisibility", void 0);

ScrollablePaneBase = __decorate([Component({
  components: {},
  provide: function provide() {
    return {
      context: {
        scrollablePane: {
          subscribe: this.subscribe,
          unsubscribe: this.unsubscribe,
          addSticky: this.addSticky,
          removeSticky: this.removeSticky,
          updateStickyRefHeights: this.updateStickyRefHeights,
          sortSticky: this.sortSticky,
          notifySubscribers: this.notifySubscribers,
          syncScrollSticky: this.syncScrollSticky
        }
      }
    };
  }
})], ScrollablePaneBase);

var GlobalClassNames$4 = {
  root: 'ms-ScrollablePane',
  contentContainer: 'ms-ScrollablePane--contentContainer'
};
var getStyles$7 = function getStyles(props) {
  var className = props.className,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$4, theme);
  var AboveAndBelowStyles = {
    position: 'absolute',
    pointerEvents: 'auto'
  };
  var positioningStyle = {
    position: 'absolute',
    top: 0,
    right: 0,
    bottom: 0,
    left: 0,
    WebkitOverflowScrolling: 'touch'
  };
  return {
    root: [classNames.root, theme.fonts.medium, positioningStyle, className],
    contentContainer: [classNames.contentContainer, {
      overflowY: props.scrollbarVisibility === 'always' ? 'scroll' : 'auto'
    }, positioningStyle],
    stickyAbove: [{
      top: 0,
      zIndex: 1,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderBottom: '1px solid WindowText'
      })
    }, AboveAndBelowStyles],
    stickyBelow: [{
      bottom: 0,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderTop: '1px solid WindowText'
      })
    }, AboveAndBelowStyles],
    stickyBelowItems: [{
      bottom: 0
    }, AboveAndBelowStyles, {
      width: '100%'
    }]
  };
};

var ScrollablePane = styled(ScrollablePaneBase, getStyles$7, undefined, {
  scope: 'ScrollablePane'
});

var StickyPositionType;

(function (StickyPositionType) {
  StickyPositionType[StickyPositionType["Both"] = 0] = "Both";
  StickyPositionType[StickyPositionType["Header"] = 1] = "Header";
  StickyPositionType[StickyPositionType["Footer"] = 2] = "Footer";
})(StickyPositionType || (StickyPositionType = {}));

var Sticky = /*#__PURE__*/function (_BaseComponent) {
  _inherits(Sticky, _BaseComponent);

  var _super = _createSuper(Sticky);

  function Sticky() {
    var _this;

    _classCallCheck(this, Sticky);

    _this = _super.apply(this, arguments);
    _this.hiddenContentStyle = hiddenContentStyle;
    _this.isStickyTop = false;
    _this.isStickyBottom = false;
    _this.distanceFromTop = 0;
    _this.activeElement = null;
    return _this;
  }

  _createClass(Sticky, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var canStickyTop = this.canStickyTop,
          canStickyBottom = this.canStickyBottom,
          isStickyTop = this.isStickyTop,
          isStickyBottom = this.isStickyBottom,
          stickyClassName = this.stickyClassName;
      return h("div", {
        "ref": "root"
      }, [canStickyTop && h("div", {
        "ref": "stickyContentTop",
        "attrs": {
          "aria-hidden": !isStickyTop
        },
        "style": {
          pointerEvents: isStickyTop ? 'auto' : 'none'
        }
      }, [h("div", {
        "style": this.getStickyPlaceholderHeight(isStickyTop)
      })]), canStickyBottom && h("div", {
        "ref": "stickyContentBottom",
        "attrs": {
          "aria-hidden": !isStickyBottom
        },
        "style": {
          pointerEvents: isStickyBottom ? 'auto' : 'none'
        }
      }, [h("div", {
        "style": this.getStickyPlaceholderHeight(isStickyBottom)
      })]), h("div", {
        "ref": "placeHolder",
        "style": this.getNonStickyPlaceholderHeightAndWidth()
      }, [(isStickyTop || isStickyBottom) && h("span", {
        "style": hiddenContentStyle
      }, [this.$slots.default]), h("div", {
        "ref": "nonStickyContent",
        "attrs": {
          "aria-hidden": isStickyTop || isStickyBottom
        },
        "class": isStickyTop || isStickyBottom ? stickyClassName : undefined,
        "style": this.getContentStyles(isStickyTop || isStickyBottom)
      }, [this.$slots.default])])]);
    }
  }, {
    key: "root",
    value: function root() {
      return this.$refs.root;
    }
  }, {
    key: "syncScroll",
    value: function syncScroll(container) {
      var nonStickyContent = this.$refs.nonStickyContent;

      if (nonStickyContent && this.isScrollSynced) {
        nonStickyContent.scrollLeft = container.scrollLeft;
      }
    }
  }, {
    key: "mounted",
    value: function mounted() {
      var scrollablePane = this.context.scrollablePane;

      if (!scrollablePane) {
        return;
      }

      scrollablePane.subscribe(this._onScrollEvent);
      scrollablePane.addSticky(this);
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      var scrollablePane = this.context.scrollablePane;

      if (!scrollablePane) {
        return;
      }

      scrollablePane.unsubscribe(this._onScrollEvent);
      scrollablePane.removeSticky(this);
    }
  }, {
    key: "onDistanceFromTopChanged",
    value: function onDistanceFromTopChanged(newVal, oldVal) {
      var scrollablePane = this.context.scrollablePane;

      if (!scrollablePane) {
        return;
      }

      if (newVal !== oldVal) {
        scrollablePane.sortSticky(this, true
        /* sortAgain */
        ); // Sync Sticky scroll position with content container on each update

        scrollablePane.syncScrollSticky(this);
      }
    }
  }, {
    key: "onIsStickyTopChanged",
    value: function onIsStickyTopChanged(newVal, oldVal) {
      var scrollablePane = this.context.scrollablePane;

      if (!scrollablePane) {
        return;
      }

      if (newVal !== oldVal) {
        if (this.activeElement) {
          this.activeElement.focus();
        }

        scrollablePane.updateStickyRefHeights(); // Sync Sticky scroll position with content container on each update

        scrollablePane.syncScrollSticky(this);
      }
    }
  }, {
    key: "onIsStickyBottomChanged",
    value: function onIsStickyBottomChanged(newVal, oldVal) {
      var scrollablePane = this.context.scrollablePane;

      if (!scrollablePane) {
        return;
      }

      if (newVal !== oldVal) {
        if (this.activeElement) {
          this.activeElement.focus();
        }

        scrollablePane.updateStickyRefHeights(); // Sync Sticky scroll position with content container on each update

        scrollablePane.syncScrollSticky(this);
      }
    }
  }, {
    key: "addSticky",
    value: function addSticky(stickyContent) {
      if (this.$refs.nonStickyContent) {
        stickyContent.appendChild(this.$refs.nonStickyContent);
      }
    }
  }, {
    key: "resetSticky",
    value: function resetSticky() {
      if (this.$refs.nonStickyContent && this.$refs.placeHolder) {
        this.$refs.placeHolder.appendChild(this.$refs.nonStickyContent);
      }
    }
  }, {
    key: "setDistanceFromTop",
    value: function setDistanceFromTop(container) {
      var distanceFromTop = this._getNonStickyDistanceFromTop(container);

      this.distanceFromTop = distanceFromTop;
    }
  }, {
    key: "getContentStyles",
    value: function getContentStyles(isSticky) {
      return {
        backgroundColor: this.stickyBackgroundColor || this._getBackground(),
        overflow: isSticky ? 'hidden' : ''
      };
    }
  }, {
    key: "getStickyPlaceholderHeight",
    value: function getStickyPlaceholderHeight(isSticky) {
      var height = this.$refs.nonStickyContent ? this.$refs.nonStickyContent.offsetHeight : 0;
      return {
        visibility: isSticky ? 'hidden' : 'visible',
        height: isSticky ? 0 : height
      };
    }
  }, {
    key: "getNonStickyPlaceholderHeightAndWidth",
    value: function getNonStickyPlaceholderHeightAndWidth() {
      var isStickyTop = this.isStickyTop,
          isStickyBottom = this.isStickyBottom;

      if (isStickyTop || isStickyBottom) {
        var height = 0;
        var width = 0; // Why is placeHolder width needed?
        // ScrollablePane content--container is reponsible for providing scrollbars depending on content overflow.
        // If the overflow is caused by content of sticky component when it is in non-sticky state,
        // ScrollablePane content--conatiner will provide horizontal scrollbar.
        // If the component becomes sticky, i.e., when state.isStickyTop || state.isStickyBottom becomes true,
        // it's actual content is no more inside ScrollablePane content--container.
        // ScrollablePane content--conatiner will see no need for horizontal scrollbar. (Assuming no other content is causing overflow)
        // The complete content of sticky component will not be viewable.
        // It is necessary to provide a placeHolder of a certain width (height is already being set) in the content--container,
        // to get a horizontal scrollbar & be able to view the complete content of sticky component.

        if (this.$refs.nonStickyContent && this.$refs.nonStickyContent.firstElementChild) {
          height = this.$refs.nonStickyContent.offsetHeight; // What value should be substituted for placeHolder width?
          // Assumption:
          //    1. Content inside <Sticky> should always be wrapped in a single div.
          //        <Sticky><div id={'firstElementChild'}>{intended_content}</div><Sticky/>
          //    2. -ve padding, margin, etc. are not be used.
          //    3. scrollWidth of a parent is greater than or equal to max of scrollWidths of it's children and same holds for children.
          // placeHolder width should be computed in the best possible way to prevent overscroll/underscroll.

          width = this.$refs.nonStickyContent.firstElementChild.scrollWidth + (this.$refs.nonStickyContent.firstElementChild.offsetWidth - this.$refs.nonStickyContent.firstElementChild.clientWidth);
        }

        return {
          height: height,
          width: width
        };
      } else {
        return {};
      }
    }
  }, {
    key: "_onScrollEvent",
    value: function _onScrollEvent(container, footerStickyContainer) {
      if (this.$refs.root && this.$refs.nonStickyContent) {
        var distanceFromTop = this._getNonStickyDistanceFromTop(container);

        var isStickyTop = false;
        var isStickyBottom = false;

        if (this.canStickyTop) {
          var distanceToStickTop = distanceFromTop - this._getStickyDistanceFromTop();

          isStickyTop = distanceToStickTop < container.scrollTop;
        } // Can sticky bottom if the scrollablePane - total sticky footer height is smaller than the sticky's distance from the top of the pane


        if (this.canStickyBottom && container.clientHeight - footerStickyContainer.offsetHeight <= distanceFromTop) {
          isStickyBottom = distanceFromTop - Math.floor(container.scrollTop) >= this._getStickyDistanceFromTopForFooter(container, footerStickyContainer);
        }

        if (document.activeElement && this.$refs.nonStickyContent.contains(document.activeElement) && (this.isStickyTop !== isStickyTop || this.isStickyBottom !== isStickyBottom)) {
          this.activeElement = document.activeElement;
        } else {
          this.activeElement = undefined;
        }

        this.isStickyTop = this.canStickyTop && isStickyTop;
        this.isStickyBottom = isStickyBottom;
        this.distanceFromTop = distanceFromTop;
      }
    }
  }, {
    key: "_getStickyDistanceFromTop",
    value: function _getStickyDistanceFromTop() {
      var distance = 0;

      if (this.$refs.stickyContentTop) {
        distance = this.$refs.stickyContentTop.offsetTop;
      }

      return distance;
    }
  }, {
    key: "_getStickyDistanceFromTopForFooter",
    value: function _getStickyDistanceFromTopForFooter(container, footerStickyVisibleContainer) {
      var distance = 0;

      if (this.$refs.stickyContentBottom) {
        distance = container.clientHeight - footerStickyVisibleContainer.offsetHeight + this.$refs.stickyContentBottom.offsetTop;
      }

      return distance;
    }
  }, {
    key: "_getNonStickyDistanceFromTop",
    value: function _getNonStickyDistanceFromTop(container) {
      var distance = 0;
      var currElem = this.$refs.root;

      if (currElem) {
        while (currElem && currElem.offsetParent !== container) {
          distance += currElem.offsetTop;
          currElem = currElem.offsetParent;
        }

        if (currElem && currElem.offsetParent === container) {
          distance += currElem.offsetTop;
        }
      }

      return distance;
    }
  }, {
    key: "_getBackground",
    // Gets background of nearest parent element that has a declared background-color attribute
    value: function _getBackground() {
      if (!this.$refs.root) {
        return undefined;
      }

      var curr = this.$refs.root;

      while (window.getComputedStyle(curr).getPropertyValue('background-color') === 'rgba(0, 0, 0, 0)' || window.getComputedStyle(curr).getPropertyValue('background-color') === 'transparent') {
        if (curr.tagName === 'HTML') {
          // Fallback color if no element has a declared background-color attribute
          return undefined;
        }

        if (curr.parentElement) {
          curr = curr.parentElement;
        }
      }

      return window.getComputedStyle(curr).getPropertyValue('background-color');
    }
  }, {
    key: "canStickyTop",
    get: function get() {
      return this.stickyPosition === StickyPositionType.Both || this.stickyPosition === StickyPositionType.Header;
    }
  }, {
    key: "canStickyBottom",
    get: function get() {
      return this.stickyPosition === StickyPositionType.Both || this.stickyPosition === StickyPositionType.Footer;
    }
  }]);

  return Sticky;
}(BaseComponent$1);

__decorate([Inject({
  from: 'context',
  default: undefined
}), __metadata("design:type", Object)], Sticky.prototype, "context", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], Sticky.prototype, "stickyClassName", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], Sticky.prototype, "stickyBackgroundColor", void 0);

__decorate([Prop({
  type: Number,
  default: StickyPositionType.Both
}), __metadata("design:type", Number)], Sticky.prototype, "stickyPosition", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], Sticky.prototype, "isScrollSynced", void 0);

__decorate([Watch('distanceFromTop'), __metadata("design:type", Function), __metadata("design:paramtypes", [Number, Number]), __metadata("design:returntype", void 0)], Sticky.prototype, "onDistanceFromTopChanged", null);

__decorate([Watch('isStickyTop'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", void 0)], Sticky.prototype, "onIsStickyTopChanged", null);

__decorate([Watch('isStickyBottom'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", void 0)], Sticky.prototype, "onIsStickyBottomChanged", null);

Sticky = __decorate([Component({})], Sticky);

var DelayedRender = /*#__PURE__*/function (_Vue) {
  _inherits(DelayedRender, _Vue);

  var _super = _createSuper(DelayedRender);

  function DelayedRender() {
    var _this;

    _classCallCheck(this, DelayedRender);

    _this = _super.apply(this, arguments);
    _this.isRendered = false;
    return _this;
  }

  _createClass(DelayedRender, [{
    key: "mounted",
    value: function mounted() {
      var _this2 = this;

      this.timeoutId = setTimeout(function () {
        _this2.isRendered = true;
      }, this.delay);
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      if (this.timeoutId) clearTimeout(this.timeoutId);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      return this.isRendered ? h("div", [this.$slots.default]) : null;
    }
  }]);

  return DelayedRender;
}(vue);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], DelayedRender.prototype, "delay", void 0);

DelayedRender = __decorate([Component], DelayedRender);

var CONTEXTUAL_MENU_ITEM_HEIGHT = 36;
var MediumScreenSelector = getScreenSelector(0, ScreenWidthMaxMedium);
var getItemHighContrastStyles = memoizeFunction(function () {
  return {
    selectors: _defineProperty({}, HighContrastSelector, {
      backgroundColor: 'Highlight',
      borderColor: 'Highlight',
      color: 'HighlightText',
      MsHighContrastAdjust: 'none'
    })
  };
});
var getMenuItemStyles = memoizeFunction(function (theme) {
  var _selectors6;

  var semanticColors = theme.semanticColors,
      fonts = theme.fonts,
      palette = theme.palette;
  var ContextualMenuItemBackgroundHoverColor = semanticColors.menuItemBackgroundHovered;
  var ContextualMenuItemTextHoverColor = semanticColors.menuItemTextHovered;
  var ContextualMenuItemBackgroundSelectedColor = semanticColors.menuItemBackgroundPressed;
  var ContextualMenuItemDividerColor = semanticColors.bodyDivider;
  var menuItemStyles = {
    item: [fonts.medium, {
      color: semanticColors.bodyText,
      position: 'relative',
      boxSizing: 'border-box'
    }],
    divider: {
      display: 'block',
      height: '1px',
      backgroundColor: ContextualMenuItemDividerColor,
      position: 'relative'
    },
    root: [getFocusStyle(theme), fonts.medium, {
      color: semanticColors.bodyText,
      backgroundColor: 'transparent',
      border: 'none',
      width: '100%',
      height: CONTEXTUAL_MENU_ITEM_HEIGHT,
      lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
      display: 'block',
      cursor: 'pointer',
      padding: '0px 8px 0 4px',
      textAlign: 'left'
    }],
    rootDisabled: {
      color: semanticColors.disabledBodyText,
      cursor: 'default',
      pointerEvents: 'none',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText',
        opacity: 1
      })
    },
    rootHovered: _objectSpread2({
      backgroundColor: ContextualMenuItemBackgroundHoverColor,
      color: ContextualMenuItemTextHoverColor,
      selectors: {
        '.ms-ContextualMenu-icon': {
          color: palette.themeDarkAlt
        },
        '.ms-ContextualMenu-submenuIcon': {
          color: palette.neutralPrimary
        }
      }
    }, getItemHighContrastStyles()),
    rootFocused: _objectSpread2({
      backgroundColor: palette.white
    }, getItemHighContrastStyles()),
    rootChecked: _objectSpread2({
      selectors: {
        '.ms-ContextualMenu-checkmarkIcon': {
          color: palette.neutralPrimary
        }
      }
    }, getItemHighContrastStyles()),
    rootPressed: _objectSpread2({
      backgroundColor: ContextualMenuItemBackgroundSelectedColor,
      selectors: {
        '.ms-ContextualMenu-icon': {
          color: palette.themeDark
        },
        '.ms-ContextualMenu-submenuIcon': {
          color: palette.neutralPrimary
        }
      }
    }, getItemHighContrastStyles()),
    rootExpanded: _objectSpread2({
      backgroundColor: ContextualMenuItemBackgroundSelectedColor,
      color: semanticColors.bodyTextChecked
    }, getItemHighContrastStyles()),
    linkContent: {
      whiteSpace: 'nowrap',
      height: 'inherit',
      display: 'flex',
      alignItems: 'center',
      maxWidth: '100%'
    },
    anchorLink: {
      padding: '0px 8px 0 4px',
      textRendering: 'auto',
      color: 'inherit',
      letterSpacing: 'normal',
      wordSpacing: 'normal',
      textTransform: 'none',
      textIndent: '0px',
      textShadow: 'none',
      textDecoration: 'none',
      boxSizing: 'border-box'
    },
    label: {
      margin: '0 4px',
      verticalAlign: 'middle',
      display: 'inline-block',
      flexGrow: '1',
      textOverflow: 'ellipsis',
      overflow: 'hidden',
      whiteSpace: 'nowrap'
    },
    secondaryText: {
      color: theme.palette.neutralSecondary,
      paddingLeft: '20px',
      textAlign: 'right'
    },
    icon: {
      display: 'inline-block',
      minHeight: '1px',
      maxHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
      fontSize: IconFontSizes.medium,
      width: IconFontSizes.medium,
      margin: '0 4px',
      verticalAlign: 'middle',
      flexShrink: '0',
      selectors: _defineProperty({}, MediumScreenSelector, {
        fontSize: IconFontSizes.large,
        width: IconFontSizes.large
      })
    },
    iconColor: {
      color: semanticColors.menuIcon,
      selectors: (_selectors6 = {}, _defineProperty(_selectors6, HighContrastSelector, {
        color: 'inherit'
      }), _defineProperty(_selectors6, '$root:hover &', {
        selectors: _defineProperty({}, HighContrastSelector, {
          color: 'HighlightText'
        })
      }), _defineProperty(_selectors6, '$root:focus &', {
        selectors: _defineProperty({}, HighContrastSelector, {
          color: 'HighlightText'
        })
      }), _selectors6)
    },
    iconDisabled: {
      color: semanticColors.disabledBodyText
    },
    checkmarkIcon: {
      color: semanticColors.bodySubtext,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'HighlightText'
      })
    },
    subMenuIcon: {
      height: CONTEXTUAL_MENU_ITEM_HEIGHT,
      lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
      color: palette.neutralSecondary,
      textAlign: 'center',
      display: 'inline-block',
      verticalAlign: 'middle',
      flexShrink: '0',
      fontSize: IconFontSizes.small,
      selectors: _defineProperty({
        ':hover': {
          color: palette.neutralPrimary
        },
        ':active': {
          color: palette.neutralPrimary
        }
      }, MediumScreenSelector, {
        fontSize: IconFontSizes.medium
      })
    },
    splitButtonFlexContainer: [getFocusStyle(theme), {
      display: 'flex',
      height: CONTEXTUAL_MENU_ITEM_HEIGHT,
      flexWrap: 'nowrap',
      justifyContent: 'center',
      alignItems: 'flex-start'
    }]
  };
  return concatStyleSets(menuItemStyles);
});

var GlobalClassNames$5 = {
  root: 'ms-ContextualMenu',
  container: 'ms-ContextualMenu-container',
  list: 'ms-ContextualMenu-list',
  header: 'ms-ContextualMenu-header',
  title: 'ms-ContextualMenu-title',
  isopen: 'is-open'
};
var getStyles$8 = function getStyles(props) {
  var className = props.className,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$5, theme);
  var fonts = theme.fonts,
      semanticColors = theme.semanticColors,
      effects = theme.effects;
  return {
    root: [theme.fonts.medium, classNames.root, classNames.isopen, {
      backgroundColor: semanticColors.menuBackground,
      minWidth: '180px'
    }, className],
    container: [classNames.container, {
      selectors: {
        ':focus': {
          outline: 0
        }
      }
    }],
    list: [classNames.list, classNames.isopen, {
      listStyleType: 'none',
      margin: '0',
      padding: '0'
    }],
    header: [classNames.header, fonts.small, {
      fontWeight: FontWeights.semibold,
      color: semanticColors.menuHeader,
      background: 'none',
      backgroundColor: 'transparent',
      border: 'none',
      height: CONTEXTUAL_MENU_ITEM_HEIGHT,
      lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
      cursor: 'default',
      padding: '0px 6px',
      userSelect: 'none',
      textAlign: 'left'
    }],
    title: [classNames.title, {
      fontSize: fonts.mediumPlus.fontSize,
      paddingRight: '14px',
      paddingLeft: '14px',
      paddingBottom: '5px',
      paddingTop: '5px',
      backgroundColor: semanticColors.menuItemBackgroundPressed
    }],
    subComponentStyles: {
      callout: {
        root: {
          boxShadow: effects.elevation8
        }
      },
      menuItem: {}
    }
  };
};

var _layersByHostId = {};

var _defaultHostSelector;
/**
 * Register a layer for a given host id
 * @param hostId Id of the layer host
 * @param layer Layer instance
 */


function registerLayer(hostId, callback) {
  if (!_layersByHostId[hostId]) {
    _layersByHostId[hostId] = [];
  }

  _layersByHostId[hostId].push(callback);
}
/**
 * Unregister a layer for a given host id
 * @param hostId Id of the layer host
 * @param layer Layer instance
 */

function unregisterLayer(hostId, callback) {
  if (_layersByHostId[hostId]) {
    var idx = _layersByHostId[hostId].indexOf(callback);

    if (idx >= 0) {
      _layersByHostId[hostId].splice(idx, 1);

      if (_layersByHostId[hostId].length === 0) {
        delete _layersByHostId[hostId];
      }
    }
  }
}
/**
 * Used for notifying applicable Layers that a host is available/unavailable and to re-evaluate Layers that
 * care about the specific host.
 */

function notifyHostChanged(id) {
  if (_layersByHostId[id]) {
    _layersByHostId[id].forEach(function (callback) {
      return callback();
    });
  }
}
/**
 * Get the default target selector when determining a host
 */

function getDefaultTarget() {
  return _defaultHostSelector;
}

var GlobalClassNames$6 = {
  root: 'ms-Layer',
  rootNoHost: 'ms-Layer--fixed',
  content: 'ms-Layer-content'
};
var getStyles$9 = function getStyles(props) {
  var className = props.className,
      isNotHost = props.isNotHost,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$6, theme);
  return {
    root: [classNames.root, theme.fonts.medium, isNotHost && [classNames.rootNoHost, {
      position: 'fixed',
      zIndex: ZIndexes.Layer,
      top: 0,
      left: 0,
      bottom: 0,
      right: 0,
      visibility: 'hidden'
    }], className],
    content: [classNames.content, {
      visibility: 'visible'
    }]
  };
};

var getClassNames$7 = classNamesFunction();
var TypedMountingPortal = lib.ofType().convert(MountingPortal);

var LayerBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(LayerBase, _BaseComponent);

  var _super = _createSuper(LayerBase);

  function LayerBase() {
    var _this;

    _classCallCheck(this, LayerBase);

    _this = _super.apply(this, arguments);
    _this.hasTarget = false;
    return _this;
  }

  _createClass(LayerBase, [{
    key: "mounted",
    value: function mounted() {
      this.createElement();

      if (this.hostId) {
        registerLayer(this.hostId, this.createElement);
      }
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      var hostId = this.hostId;

      if (this.hostId) {
        unregisterLayer(this.hostId, this.createElement);
      }
    }
  }, {
    key: "createElement",
    value: function createElement() {
      var doc = this.$el.ownerDocument;
      var host = this.getHost();

      if (!doc || !host) {
        this.hasTarget = false;
        return;
      }

      this.hasTarget = true;
    }
  }, {
    key: "getHost",
    value: function getHost() {
      var doc = this.$el.ownerDocument;

      if (!doc) {
        return undefined;
      }

      if (this.hostId) {
        return doc.getElementById(this.hostId);
      } else {
        var defaultHostSelector = getDefaultTarget();
        return defaultHostSelector ? doc.querySelector(defaultHostSelector) : doc.body;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      if (!this.hasTarget) return;
      var classNames = this.classNames,
          hostId = this.hostId,
          append = this.append;
      return h(TypedMountingPortal, {
        "attrs": {
          "mount-to": hostId ? "#".concat(hostId) : 'body',
          "append": append
        }
      }, [h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.content
      }, [this.$slots.default])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var className = this.className,
          theme = this.theme;
      return getClassNames$7(getStyles$9, {
        theme: theme,
        className: className,
        isNotHost: !this.hostId
      });
    }
  }]);

  return LayerBase;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], LayerBase.prototype, "hostId", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], LayerBase.prototype, "append", void 0);

LayerBase = __decorate([Component], LayerBase);

var Layer = styled(LayerBase, getStyles$9, undefined, {
  scope: 'Layer',
  fields: ['hostId', 'theme', 'styles']
});

var LayerHost = /*#__PURE__*/function (_BaseComponent) {
  _inherits(LayerHost, _BaseComponent);

  var _super = _createSuper(LayerHost);

  function LayerHost() {
    _classCallCheck(this, LayerHost);

    return _super.apply(this, arguments);
  }

  _createClass(LayerHost, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      return h("div", {
        "attrs": {
          "id": this.hostId
        },
        "class": "LayerHost"
      });
    }
  }, {
    key: "mounted",
    value: function mounted() {
      notifyHostChanged(this.hostId);
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      notifyHostChanged(this.hostId);
    }
  }]);

  return LayerHost;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], LayerHost.prototype, "hostId", void 0);

LayerHost = __decorate([Component({
  components: {}
})], LayerHost);

function getBeakStyle(beakWidth) {
  return {
    height: beakWidth,
    width: beakWidth
  };
}

var GlobalClassNames$7 = {
  container: 'ms-Callout-container',
  root: 'ms-Callout',
  beak: 'ms-Callout-beak',
  beakCurtain: 'ms-Callout-beakCurtain',
  calloutMain: 'ms-Callout-main'
};
var getStyles$a = function getStyles(props) {
  var theme = props.theme,
      className = props.className,
      overflowYHidden = props.overflowYHidden,
      calloutWidth = props.calloutWidth,
      beakWidth = props.beakWidth,
      backgroundColor = props.backgroundColor,
      calloutMaxWidth = props.calloutMaxWidth;
  var classNames = getGlobalClassNames(GlobalClassNames$7, theme);
  var semanticColors = theme.semanticColors,
      effects = theme.effects;
  return {
    container: [classNames.container, {
      position: 'relative'
    }],
    root: [classNames.root, theme.fonts.medium, {
      position: 'absolute',
      boxSizing: 'border-box',
      borderRadius: effects.roundedCorner2,
      boxShadow: effects.elevation16,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderWidth: 1,
        borderStyle: 'solid',
        borderColor: 'WindowText'
      })
    }, focusClear(), className, !!calloutWidth && {
      width: calloutWidth
    }, !!calloutMaxWidth && {
      maxWidth: calloutMaxWidth
    }],
    beak: [classNames.beak, {
      position: 'absolute',
      backgroundColor: semanticColors.menuBackground,
      boxShadow: 'inherit',
      border: 'inherit',
      boxSizing: 'border-box',
      transform: 'rotate(45deg)'
    }, getBeakStyle(beakWidth), backgroundColor && {
      backgroundColor: backgroundColor
    }],
    beakCurtain: [classNames.beakCurtain, {
      position: 'absolute',
      top: 0,
      right: 0,
      bottom: 0,
      left: 0,
      backgroundColor: semanticColors.menuBackground,
      borderRadius: effects.roundedCorner2
    }],
    calloutMain: [classNames.calloutMain, {
      backgroundColor: semanticColors.menuBackground,
      overflowX: 'hidden',
      overflowY: 'auto',
      position: 'relative',
      borderRadius: effects.roundedCorner2
    }, overflowYHidden && {
      overflowY: 'hidden'
    }, backgroundColor && {
      backgroundColor: backgroundColor
    }]
  };
};

function clickedOutside(e, src) {
  return !src.contains(e.target);
}

var DirectionalHint = {
  /**
   * Appear above the target element, with the left edges of the callout and target aligning.
   */
  topLeftEdge: 0,

  /**
   * Appear above the target element, with the centers of the callout and target aligning.
   */
  topCenter: 1,

  /**
   * Appear above the target element, with the right edges of the callout and target aligning.
   */
  topRightEdge: 2,

  /**
   * Appear above the target element, aligning with the target element such that the callout tends toward the center of the screen.
   */
  topAutoEdge: 3,

  /**
   * Appear below the target element, with the left edges of the callout and target aligning.
   */
  bottomLeftEdge: 4,

  /**
   * Appear below the target element, with the centers of the callout and target aligning.
   */
  bottomCenter: 5,

  /**
   * Appear below the target element, with the right edges of the callout and target aligning.
   */
  bottomRightEdge: 6,

  /**
   * Appear below the target element, aligning with the target element such that the callout tends toward the center of the screen.
   */
  bottomAutoEdge: 7,

  /**
   * Appear to the left of the target element, with the top edges of the callout and target aligning.
   */
  leftTopEdge: 8,

  /**
   * Appear to the left of the target element, with the centers of the callout and target aligning.
   */
  leftCenter: 9,

  /**
   * Appear to the left of the target element, with the bottom edges of the callout and target aligning.
   */
  leftBottomEdge: 10,

  /**
   * Appear to the right of the target element, with the top edges of the callout and target aligning.
   */
  rightTopEdge: 11,

  /**
   * Appear to the right of the target element, with the centers of the callout and target aligning.
   */
  rightCenter: 12,

  /**
   * Appear to the right of the target element, with the bottom edges of the callout and target aligning.
   */
  rightBottomEdge: 13
};

var RectangleEdge;

(function (RectangleEdge) {
  RectangleEdge[RectangleEdge["top"] = 1] = "top";
  RectangleEdge[RectangleEdge["bottom"] = -1] = "bottom";
  RectangleEdge[RectangleEdge["left"] = 2] = "left";
  RectangleEdge[RectangleEdge["right"] = -2] = "right";
})(RectangleEdge || (RectangleEdge = {}));

var Position;

(function (Position) {
  Position[Position["top"] = 0] = "top";
  Position[Position["bottom"] = 1] = "bottom";
  Position[Position["start"] = 2] = "start";
  Position[Position["end"] = 3] = "end";
})(Position || (Position = {}));

var _DirectionalDictionar;
var Rectangle = /*#__PURE__*/function (_FullRectangle) {
  _inherits(Rectangle, _FullRectangle);

  var _super = _createSuper(Rectangle);

  function Rectangle() {
    _classCallCheck(this, Rectangle);

    return _super.apply(this, arguments);
  }

  return Rectangle;
}(Rectangle$1);

function _createPositionData(targetEdge, alignmentEdge, isAuto) {
  return {
    targetEdge: targetEdge,
    alignmentEdge: alignmentEdge,
    isAuto: isAuto
  };
} // Currently the beakPercent is set to 50 for all positions meaning that it should tend to the center of the target


var DirectionalDictionary = (_DirectionalDictionar = {}, _defineProperty(_DirectionalDictionar, DirectionalHint.topLeftEdge, _createPositionData(RectangleEdge.top, RectangleEdge.left)), _defineProperty(_DirectionalDictionar, DirectionalHint.topCenter, _createPositionData(RectangleEdge.top)), _defineProperty(_DirectionalDictionar, DirectionalHint.topRightEdge, _createPositionData(RectangleEdge.top, RectangleEdge.right)), _defineProperty(_DirectionalDictionar, DirectionalHint.topAutoEdge, _createPositionData(RectangleEdge.top, undefined, true)), _defineProperty(_DirectionalDictionar, DirectionalHint.bottomLeftEdge, _createPositionData(RectangleEdge.bottom, RectangleEdge.left)), _defineProperty(_DirectionalDictionar, DirectionalHint.bottomCenter, _createPositionData(RectangleEdge.bottom)), _defineProperty(_DirectionalDictionar, DirectionalHint.bottomRightEdge, _createPositionData(RectangleEdge.bottom, RectangleEdge.right)), _defineProperty(_DirectionalDictionar, DirectionalHint.bottomAutoEdge, _createPositionData(RectangleEdge.bottom, undefined, true)), _defineProperty(_DirectionalDictionar, DirectionalHint.leftTopEdge, _createPositionData(RectangleEdge.left, RectangleEdge.top)), _defineProperty(_DirectionalDictionar, DirectionalHint.leftCenter, _createPositionData(RectangleEdge.left)), _defineProperty(_DirectionalDictionar, DirectionalHint.leftBottomEdge, _createPositionData(RectangleEdge.left, RectangleEdge.bottom)), _defineProperty(_DirectionalDictionar, DirectionalHint.rightTopEdge, _createPositionData(RectangleEdge.right, RectangleEdge.top)), _defineProperty(_DirectionalDictionar, DirectionalHint.rightCenter, _createPositionData(RectangleEdge.right)), _defineProperty(_DirectionalDictionar, DirectionalHint.rightBottomEdge, _createPositionData(RectangleEdge.right, RectangleEdge.bottom)), _DirectionalDictionar);

function _isRectangleWithinBounds(rect, boundingRect) {
  if (rect.top < boundingRect.top) {
    return false;
  }

  if (rect.bottom > boundingRect.bottom) {
    return false;
  }

  if (rect.left < boundingRect.left) {
    return false;
  }

  if (rect.right > boundingRect.right) {
    return false;
  }

  return true;
}
/**
 * Gets all of the edges of a rectangle that are outside of the given bounds.
 * If there are no out of bounds edges it returns an empty array.
 */


function _getOutOfBoundsEdges(rect, boundingRect) {
  var outOfBounds = [];

  if (rect.top < boundingRect.top) {
    outOfBounds.push(RectangleEdge.top);
  }

  if (rect.bottom > boundingRect.bottom) {
    outOfBounds.push(RectangleEdge.bottom);
  }

  if (rect.left < boundingRect.left) {
    outOfBounds.push(RectangleEdge.left);
  }

  if (rect.right > boundingRect.right) {
    outOfBounds.push(RectangleEdge.right);
  }

  return outOfBounds;
}

function _getEdgeValue(rect, edge) {
  return rect[RectangleEdge[edge]];
}

function _setEdgeValue(rect, edge, value) {
  rect[RectangleEdge[edge]] = value;
  return rect;
}
/**
 * Returns the middle value of an edge. Only returns 1 value rather than xy coordinates as
 * the itself already contains the other coordinate.
 * For instance, a bottom edge's current value is it's y coordinate, so the number returned is the x.
 *
 * @param {Rectangle} rect
 * @param {RectangleEdge} edge
 * @returns {number}
 */


function _getCenterValue(rect, edge) {
  var edges = _getFlankingEdges(edge);

  return (_getEdgeValue(rect, edges.positiveEdge) + _getEdgeValue(rect, edges.negativeEdge)) / 2;
}
/**
 * Flips the value depending on the edge.
 * If the edge is a "positive" edge, Top or Left, then the value should stay as it is.
 * If the edge is a "negative" edge, Bottom or Right, then the value should be flipped.
 * This is to account for the fact that the coordinates are effectively reveserved in certain cases for the "negative" edges.
 * For example, when testing to see if a bottom edge 1 is within the bounds of another bottom edge 2.
 * If edge 1 is greater than edge 2 then it is out of bounds. This is reversed for top edge 1 and top edge 2.
 * If top edge 1 is less than edge 2 then it is out of bounds.
 *
 *
 * @param {RectangleEdge} edge
 * @param {number} value
 * @returns {number}
 */


function _getRelativeEdgeValue(edge, value) {
  if (edge > 0) {
    return value;
  } else {
    return value * -1;
  }
}

function _getRelativeRectEdgeValue(edge, rect) {
  return _getRelativeEdgeValue(edge, _getEdgeValue(rect, edge));
}

function _getRelativeEdgeDifference(rect, hostRect, edge) {
  var edgeDifference = _getEdgeValue(rect, edge) - _getEdgeValue(hostRect, edge);

  return _getRelativeEdgeValue(edge, edgeDifference);
}
/**
 * Moves the edge of a rectangle to the value given. It only moves the edge in a linear direction based on that edge.
 * For example, if it's a bottom edge it will only change y coordinates.
 *
 * @param {Rectangle} rect
 * @param {RectangleEdge} edge
 * @param {number} newValue
 * @returns {Rectangle}
 */


function _moveEdge(rect, edge, newValue) {
  var difference = _getEdgeValue(rect, edge) - newValue;
  rect = _setEdgeValue(rect, edge, newValue);
  rect = _setEdgeValue(rect, edge * -1, _getEdgeValue(rect, edge * -1) - difference);
  return rect;
}
/**
 * Aligns the edge on the passed in rect to the target. If there is a gap then it will have that space between the two.
 *
 * @param {Rectangle} rect
 * @param {Rectangle} target
 * @param {RectangleEdge} edge
 * @param {number} [gap=0]
 * @returns {Rectangle}
 */


function _alignEdges(rect, target, edge) {
  var gap = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
  return _moveEdge(rect, edge, _getEdgeValue(target, edge) + _getRelativeEdgeValue(edge, gap));
}
/**
 * Aligns the targetEdge on the passed in target to the rects corresponding opposite edge.
 * For instance if targetEdge is bottom, then the rects top will be moved to match it.
 *
 * @param {Rectangle} rect
 * @param {Rectangle} target
 * @param {RectangleEdge} targetEdge
 * @param {number} [gap=0]
 * @returns {Rectangle}
 */


function _alignOppositeEdges(rect, target, targetEdge) {
  var gap = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
  var oppositeEdge = targetEdge * -1;

  var adjustedGap = _getRelativeEdgeValue(oppositeEdge, gap);

  return _moveEdge(rect, targetEdge * -1, _getEdgeValue(target, targetEdge) + adjustedGap);
}
/**
 * Tests to see if the given edge is within the bounds of the given rectangle.
 *
 * @param {Rectangle} rect
 * @param {Rectangle} bounds
 * @param {RectangleEdge} edge
 * @returns {boolean}
 */


function _isEdgeInBounds(rect, bounds, edge) {
  var adjustedRectValue = _getRelativeRectEdgeValue(edge, rect);

  return adjustedRectValue > _getRelativeRectEdgeValue(edge, bounds);
}
/**
 * Attempts to move the rectangle through various sides of the target to find a place to fit.
 * If no fit is found, the original position should be returned.
 *
 * @param {Rectangle} rect
 * @param {Rectangle} target
 * @param {Rectangle} bounding
 * @param {IPositionDirectionalHintData} positionData
 * @param {number} [gap=0]
 * @returns {IElementPosition}
 */


function _flipToFit(rect, target, bounding, positionData) {
  var gap = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;
  var directions = [RectangleEdge.left, RectangleEdge.right, RectangleEdge.bottom, RectangleEdge.top]; // In RTL page, RectangleEdge.right has a higher priority than RectangleEdge.left, therefore the order should be updated.

  if (getRTL()) {
    directions[0] *= -1;
    directions[1] *= -1;
  }

  var currentEstimate = rect;
  var currentEdge = positionData.targetEdge;
  var currentAlignment = positionData.alignmentEdge; // Keep switching sides until one is found with enough space. If all sides don't fit then return the unmodified element.

  for (var i = 0; i < 4; i++) {
    if (!_isEdgeInBounds(currentEstimate, bounding, currentEdge)) {
      directions.splice(directions.indexOf(currentEdge), 1);

      if (directions.length > 0) {
        if (directions.indexOf(currentEdge * -1) > -1) {
          currentEdge = currentEdge * -1;
        } else {
          currentAlignment = currentEdge;
          currentEdge = directions.slice(-1)[0];
        }

        currentEstimate = _estimatePosition(rect, target, {
          targetEdge: currentEdge,
          alignmentEdge: currentAlignment
        }, gap);
      }
    } else {
      return {
        elementRectangle: currentEstimate,
        targetEdge: currentEdge,
        alignmentEdge: currentAlignment
      };
    }
  }

  return {
    elementRectangle: rect,
    targetEdge: positionData.targetEdge,
    alignmentEdge: currentAlignment
  };
}
/**
 * Flips only the alignment edge of an element rectangle. This is used instead of nudging the alignment edges into position,
 * when alignTargetEdge is specified.
 * @param elementEstimate
 * @param target
 * @param bounding
 * @param gap
 */


function _flipAlignmentEdge(elementEstimate, target, gap, coverTarget) {
  var alignmentEdge = elementEstimate.alignmentEdge,
      targetEdge = elementEstimate.targetEdge,
      elementRectangle = elementEstimate.elementRectangle;
  var oppositeEdge = alignmentEdge * -1;

  var newEstimate = _estimatePosition(elementRectangle, target, {
    targetEdge: targetEdge,
    alignmentEdge: oppositeEdge
  }, gap, coverTarget);

  return {
    elementRectangle: newEstimate,
    targetEdge: targetEdge,
    alignmentEdge: oppositeEdge
  };
}
/**
 * Adjusts a element rectangle to fit within the bounds given. If directionalHintFixed or covertarget is passed in
 * then the element will not flip sides on the target. They will, however, be nudged to fit within the bounds given.
 *
 * @param {Rectangle} element
 * @param {Rectangle} target
 * @param {Rectangle} bounding
 * @param {IPositionDirectionalHintData} positionData
 * @param {number} [gap=0]
 * @param {boolean} [directionalHintFixed]
 * @param {boolean} [coverTarget]
 * @returns {IElementPosition}
 */


function _adjustFitWithinBounds(element, target, bounding, positionData) {
  var gap = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;
  var directionalHintFixed = arguments.length > 5 ? arguments[5] : undefined;
  var coverTarget = arguments.length > 6 ? arguments[6] : undefined;
  var alignmentEdge = positionData.alignmentEdge,
      alignTargetEdge = positionData.alignTargetEdge;
  var elementEstimate = {
    elementRectangle: element,
    targetEdge: positionData.targetEdge,
    alignmentEdge: alignmentEdge
  };

  if (!directionalHintFixed && !coverTarget) {
    elementEstimate = _flipToFit(element, target, bounding, positionData, gap);
  }

  var outOfBounds = _getOutOfBoundsEdges(element, bounding);

  if (alignTargetEdge) {
    // The edge opposite to the alignment edge might be out of bounds. Flip alignment to see if we can get it within bounds.
    if (elementEstimate.alignmentEdge && outOfBounds.indexOf(elementEstimate.alignmentEdge * -1) > -1) {
      var flippedElementEstimate = _flipAlignmentEdge(elementEstimate, target, gap, coverTarget);

      if (_isRectangleWithinBounds(flippedElementEstimate.elementRectangle, bounding)) {
        return flippedElementEstimate;
      } else {
        // If the flipped elements edges are still out of bounds, try nudging it.
        elementEstimate = _alignOutOfBoundsEdges(_getOutOfBoundsEdges(flippedElementEstimate.elementRectangle, bounding), elementEstimate, bounding);
      }
    }
  } else {
    elementEstimate = _alignOutOfBoundsEdges(outOfBounds, elementEstimate, bounding);
  }

  return elementEstimate;
}
/**
 * Iterates through a list of out of bounds edges and tries to nudge and align them.
 * @param outOfBoundsEdges Array of edges that are out of bounds
 * @param elementEstimate The current element positioning estimate
 * @param bounding The current bounds
 */


function _alignOutOfBoundsEdges(outOfBoundsEdges, elementEstimate, bounding) {
  var _iterator = _createForOfIteratorHelper(outOfBoundsEdges),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var direction = _step.value;
      elementEstimate.elementRectangle = _alignEdges(elementEstimate.elementRectangle, bounding, direction);
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  return elementEstimate;
}
/**
 * Moves the middle point on an edge to the point given.
 * Only moves in one direction. For instance if a bottom edge is passed in, then
 * the bottom edge will be moved in the x axis to match the point.
 *
 * @param {Rectangle} rect
 * @param {RectangleEdge} edge
 * @param {number} point
 * @returns {Rectangle}
 */


function _centerEdgeToPoint(rect, edge, point) {
  var _getFlankingEdges2 = _getFlankingEdges(edge),
      positiveEdge = _getFlankingEdges2.positiveEdge;

  var elementMiddle = _getCenterValue(rect, edge);

  var distanceToMiddle = elementMiddle - _getEdgeValue(rect, positiveEdge);

  return _moveEdge(rect, positiveEdge, point - distanceToMiddle);
}
/**
 * Moves the element rectangle to be appropriately positioned relative to a given target.
 * Does not flip or adjust the element.
 *
 * @param {Rectangle} elementToPosition
 * @param {Rectangle} target
 * @param {IPositionDirectionalHintData} positionData
 * @param {number} [gap=0]
 * @param {boolean} [coverTarget]
 * @returns {Rectangle}
 */


function _estimatePosition(elementToPosition, target, positionData) {
  var gap = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;
  var coverTarget = arguments.length > 4 ? arguments[4] : undefined;
  var estimatedElementPosition;
  var alignmentEdge = positionData.alignmentEdge,
      targetEdge = positionData.targetEdge;
  var elementEdge = coverTarget ? targetEdge : targetEdge * -1;
  estimatedElementPosition = coverTarget ? _alignEdges(elementToPosition, target, targetEdge, gap) : _alignOppositeEdges(elementToPosition, target, targetEdge, gap); // if no alignment edge is provided it's supposed to be centered.

  if (!alignmentEdge) {
    var targetMiddlePoint = _getCenterValue(target, targetEdge);

    estimatedElementPosition = _centerEdgeToPoint(estimatedElementPosition, elementEdge, targetMiddlePoint);
  } else {
    estimatedElementPosition = _alignEdges(estimatedElementPosition, target, alignmentEdge);
  }

  return estimatedElementPosition;
}
/**
 * Returns the non-opposite edges of the target edge.
 * For instance if bottom is passed in then left and right will be returned.
 *
 * @param {RectangleEdge} edge
 * @returns {{ firstEdge: RectangleEdge, secondEdge: RectangleEdge }}
 */


function _getFlankingEdges(edge) {
  if (edge === RectangleEdge.top || edge === RectangleEdge.bottom) {
    return {
      positiveEdge: RectangleEdge.left,
      negativeEdge: RectangleEdge.right
    };
  } else {
    return {
      positiveEdge: RectangleEdge.top,
      negativeEdge: RectangleEdge.bottom
    };
  }
}
/**
 * Retrieve the final value for the return edge of elementRectangle.
 * If the elementRectangle is closer to one side of the bounds versus the other, the return edge is flipped to grow inward.
 *
 * @param elementRectangle
 * @param targetEdge
 * @param bounds
 */


function _finalizeReturnEdge(elementRectangle, returnEdge, bounds) {
  if (bounds && Math.abs(_getRelativeEdgeDifference(elementRectangle, bounds, returnEdge)) > Math.abs(_getRelativeEdgeDifference(elementRectangle, bounds, returnEdge * -1))) {
    return returnEdge * -1;
  }

  return returnEdge;
}
/**
 * Finalizes the element positon based on the hostElement. Only returns the
 * rectangle values to position such that they are anchored to the target.
 * This helps prevent resizing from looking very strange.
 * For instance, if the target edge is top and aligned with the left side then
 * the bottom and left values are returned so as the callou shrinks it shrinks towards that corner.
 *
 * @param {Rectangle} elementRectangle
 * @param {HTMLElement} hostElement
 * @param {RectangleEdge} targetEdge
 * @param {RectangleEdge} bounds
 * @param {RectangleEdge} [alignmentEdge]
 * @param {boolean} coverTarget
 * @param {boolean} doNotFinalizeReturnEdge
 * @returns {IPartialIRectangle}
 */


function _finalizeElementPosition(elementRectangle, hostElement, targetEdge, bounds, alignmentEdge, coverTarget, doNotFinalizeReturnEdge) {
  var returnValue = {};

  var hostRect = _getRectangleFromElement(hostElement);

  var elementEdge = coverTarget ? targetEdge : targetEdge * -1;
  var elementEdgeString = RectangleEdge[elementEdge];

  var returnEdge = alignmentEdge || _getFlankingEdges(targetEdge).positiveEdge;

  if (!doNotFinalizeReturnEdge) {
    returnEdge = _finalizeReturnEdge(elementRectangle, returnEdge, bounds);
  }

  returnValue[elementEdgeString] = _getRelativeEdgeDifference(elementRectangle, hostRect, elementEdge);
  returnValue[RectangleEdge[returnEdge]] = _getRelativeEdgeDifference(elementRectangle, hostRect, returnEdge);
  return returnValue;
} // Since the beak is rotated 45 degrees the actual height/width is the length of the diagonal.
// We still want to position the beak based on it's midpoint which does not change. It will
// be at (beakwidth / 2, beakwidth / 2)


function _calculateActualBeakWidthInPixels(beakWidth) {
  return Math.sqrt(beakWidth * beakWidth * 2);
}
/**
 * Returns the appropriate IPositionData based on the props altered for RTL.
 * If directionalHintForRTL is passed in that is used if the page is RTL.
 * If a directionalHint is specified and no directionalHintForRTL is available and the page is RTL the hint will be flipped.
 * For instance bottomLeftEdge would become bottomRightEdge.
 * If there is no directionalHint passed in bottomAutoEdge is chosen automatically.
 *
 * @param {IPositionProps} props
 * @returns {IPositionDirectionalHintData}
 */


function _getPositionData() {
  var directionalHint = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : DirectionalHint.bottomAutoEdge;
  var directionalHintForRTL = arguments.length > 1 ? arguments[1] : undefined;
  var previousPositions = arguments.length > 2 ? arguments[2] : undefined;

  if (previousPositions) {
    return {
      alignmentEdge: previousPositions.alignmentEdge,
      isAuto: previousPositions.isAuto,
      targetEdge: previousPositions.targetEdge
    };
  }

  var positionInformation = _objectSpread2({}, DirectionalDictionary[directionalHint]);

  if (getRTL()) {
    // If alignment edge exists and that alignment edge is -2 or 2, right or left, then flip it.
    if (positionInformation.alignmentEdge && positionInformation.alignmentEdge % 2 === 0) {
      positionInformation.alignmentEdge = positionInformation.alignmentEdge * -1;
    }

    return directionalHintForRTL !== undefined ? DirectionalDictionary[directionalHintForRTL] : positionInformation;
  }

  return positionInformation;
}
/**
 * Get's the alignment data for the given information. This only really matters if the positioning is Auto.
 * If it is auto then the alignmentEdge should be chosen based on the target edge's position relative to
 * the center of the page.
 *
 * @param {IPositionDirectionalHintData} positionData
 * @param {Rectangle} target
 * @param {Rectangle} boundingRect
 * @param {boolean} [coverTarget]
 * @returns {IPositionDirectionalHintData}
 */


function _getAlignmentData(positionData, target, boundingRect, coverTarget, alignTargetEdge) {
  if (positionData.isAuto) {
    positionData.alignmentEdge = getClosestEdge(positionData.targetEdge, target, boundingRect);
  }

  positionData.alignTargetEdge = alignTargetEdge;
  return positionData;
}

function getClosestEdge(targetEdge, target, boundingRect) {
  var targetCenter = _getCenterValue(target, targetEdge);

  var boundingCenter = _getCenterValue(boundingRect, targetEdge);

  var _getFlankingEdges3 = _getFlankingEdges(targetEdge),
      positiveEdge = _getFlankingEdges3.positiveEdge,
      negativeEdge = _getFlankingEdges3.negativeEdge;

  if (targetCenter <= boundingCenter) {
    return positiveEdge;
  } else {
    return negativeEdge;
  }
}

function _positionElementWithinBounds(elementToPosition, target, bounding, positionData, gap, directionalHintFixed, coverTarget) {
  var estimatedElementPosition = _estimatePosition(elementToPosition, target, positionData, gap, coverTarget);

  if (_isRectangleWithinBounds(estimatedElementPosition, bounding)) {
    return {
      elementRectangle: estimatedElementPosition,
      targetEdge: positionData.targetEdge,
      alignmentEdge: positionData.alignmentEdge
    };
  } else {
    return _adjustFitWithinBounds(elementToPosition, target, bounding, positionData, gap, directionalHintFixed, coverTarget);
  }
}

function _finalizeBeakPosition(elementPosition, positionedBeak, bounds) {
  var targetEdge = elementPosition.targetEdge * -1; // The "host" element that we will use to help position the beak.

  var actualElement = new Rectangle(0, elementPosition.elementRectangle.width, 0, elementPosition.elementRectangle.height);
  var returnValue = {};

  var returnEdge = _finalizeReturnEdge(elementPosition.elementRectangle, elementPosition.alignmentEdge ? elementPosition.alignmentEdge : _getFlankingEdges(targetEdge).positiveEdge, bounds);

  returnValue[RectangleEdge[targetEdge]] = _getEdgeValue(positionedBeak, targetEdge);
  returnValue[RectangleEdge[returnEdge]] = _getRelativeEdgeDifference(positionedBeak, actualElement, returnEdge);
  return {
    elementPosition: _objectSpread2({}, returnValue),
    closestEdge: getClosestEdge(elementPosition.targetEdge, positionedBeak, actualElement),
    targetEdge: targetEdge
  };
}

function _positionBeak(beakWidth, elementPosition) {
  var target = elementPosition.targetRectangle;
  /**
   * Note about beak positioning: The actual beak width only matters for getting the gap between the callout and
   * target, it does not impact the beak placement within the callout. For example example, if the beakWidth is 8,
   * then the actual beakWidth is sqrroot(8^2 + 8^2) = 11.31x11.31. So the callout will need to be an extra 3 pixels
   * away from its target. While the beak is being positioned in the callout it still acts as though it were 8x8.
   * */

  var _getFlankingEdges4 = _getFlankingEdges(elementPosition.targetEdge),
      positiveEdge = _getFlankingEdges4.positiveEdge,
      negativeEdge = _getFlankingEdges4.negativeEdge;

  var beakTargetPoint = _getCenterValue(target, elementPosition.targetEdge);

  var elementBounds = new Rectangle(beakWidth / 2, elementPosition.elementRectangle.width - beakWidth / 2, beakWidth / 2, elementPosition.elementRectangle.height - beakWidth / 2);
  var beakPosition = new Rectangle(0, beakWidth, 0, beakWidth);
  beakPosition = _moveEdge(beakPosition, elementPosition.targetEdge * -1, -beakWidth / 2);
  beakPosition = _centerEdgeToPoint(beakPosition, elementPosition.targetEdge * -1, beakTargetPoint - _getRelativeRectEdgeValue(positiveEdge, elementPosition.elementRectangle));

  if (!_isEdgeInBounds(beakPosition, elementBounds, positiveEdge)) {
    beakPosition = _alignEdges(beakPosition, elementBounds, positiveEdge);
  } else if (!_isEdgeInBounds(beakPosition, elementBounds, negativeEdge)) {
    beakPosition = _alignEdges(beakPosition, elementBounds, negativeEdge);
  }

  return beakPosition;
}

function _getRectangleFromElement(element) {
  var clientRect = element.getBoundingClientRect();
  return new Rectangle(clientRect.left, clientRect.right, clientRect.top, clientRect.bottom);
}

function _getRectangleFromIRect(rect) {
  return new Rectangle(rect.left, rect.right, rect.top, rect.bottom);
}

function _getTargetRect(bounds, target) {
  var targetRectangle;

  if (target) {
    // @ts-ignore
    if (target.preventDefault) {
      var ev = target;
      targetRectangle = new Rectangle(ev.clientX, ev.clientX, ev.clientY, ev.clientY); // @ts-ignore
    } else if (target.getBoundingClientRect) {
      targetRectangle = _getRectangleFromElement(target); // HTMLImgElements can have x and y values. The check for it being a point must go last.
    } else {
      var point = target;
      targetRectangle = new Rectangle(point.x, point.x, point.y, point.y);
    }

    if (!_isRectangleWithinBounds(targetRectangle, bounds)) {
      var outOfBounds = _getOutOfBoundsEdges(targetRectangle, bounds);

      var _iterator2 = _createForOfIteratorHelper(outOfBounds),
          _step2;

      try {
        for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
          var direction = _step2.value;
          targetRectangle[RectangleEdge[direction]] = bounds[RectangleEdge[direction]];
        }
      } catch (err) {
        _iterator2.e(err);
      } finally {
        _iterator2.f();
      }
    }
  } else {
    targetRectangle = new Rectangle(0, 0, 0, 0);
  }

  return targetRectangle;
}
/**
 * If max height is less than zero it returns the bounds height instead.
 */


function _getMaxHeightFromTargetRectangle(targetRectangle, targetEdge, gapSpace, bounds, coverTarget) {
  var maxHeight = 0;
  var directionalHint = DirectionalDictionary[targetEdge]; // If cover target is set, then the max height should be calculated using the opposite of the target edge since
  // that's the direction that the callout will expand in.
  // For instance, if the directionalhint is bottomLeftEdge then the callout will position so it's bottom edge
  // is aligned with the bottom of the target and expand up towards the top of the screen and the calculated max height
  // is (bottom of target) - (top of screen) - gapSpace.

  var target = coverTarget ? directionalHint.targetEdge * -1 : directionalHint.targetEdge;

  if (target === RectangleEdge.top) {
    maxHeight = _getEdgeValue(targetRectangle, directionalHint.targetEdge) - bounds.top - gapSpace;
  } else if (target === RectangleEdge.bottom) {
    maxHeight = bounds.bottom - _getEdgeValue(targetRectangle, directionalHint.targetEdge) - gapSpace;
  } else {
    maxHeight = bounds.bottom - targetRectangle.top - gapSpace;
  }

  return maxHeight > 0 ? maxHeight : bounds.height;
}

function _positionElementRelative(props, elementToPosition, boundingRect, previousPositions) {
  var gap = props.gapSpace ? props.gapSpace : 0;

  var targetRect = _getTargetRect(boundingRect, props.target);

  var positionData = _getAlignmentData(_getPositionData(props.directionalHint, props.directionalHintForRTL, previousPositions), targetRect, boundingRect, props.coverTarget, props.alignTargetEdge);

  var positionedElement = _positionElementWithinBounds(_getRectangleFromElement(elementToPosition), targetRect, boundingRect, positionData, gap, props.directionalHintFixed, props.coverTarget);

  return _objectSpread2(_objectSpread2({}, positionedElement), {}, {
    targetRectangle: targetRect
  });
}

function _finalizePositionData(positionedElement, hostElement, bounds, coverTarget, doNotFinalizeReturnEdge) {
  var finalizedElement = _finalizeElementPosition(positionedElement.elementRectangle, hostElement, positionedElement.targetEdge, bounds, positionedElement.alignmentEdge, coverTarget, doNotFinalizeReturnEdge);

  return {
    elementPosition: finalizedElement,
    targetEdge: positionedElement.targetEdge,
    alignmentEdge: positionedElement.alignmentEdge
  };
}

function _positionElement(props, hostElement, elementToPosition, previousPositions) {
  var boundingRect = props.bounds ? _getRectangleFromIRect(props.bounds) : new Rectangle(0, window.innerWidth - getScrollbarWidth(), 0, window.innerHeight);

  var positionedElement = _positionElementRelative(props, elementToPosition, boundingRect, previousPositions);

  return _finalizePositionData(positionedElement, hostElement, boundingRect, props.coverTarget);
}

function _positionCallout(props, hostElement, callout, previousPositions, doNotFinalizeReturnEdge) {
  var beakWidth = props.isBeakVisible ? props.beakWidth || 0 : 0;
  var gap = _calculateActualBeakWidthInPixels(beakWidth) / 2 + (props.gapSpace ? props.gapSpace : 0);
  var positionProps = props;
  positionProps.gapSpace = gap;
  var boundingRect = props.bounds ? _getRectangleFromIRect(props.bounds) : new Rectangle(0, window.innerWidth - getScrollbarWidth(), 0, window.innerHeight);

  var positionedElement = _positionElementRelative(positionProps, callout, boundingRect, previousPositions);

  var beakPositioned = _positionBeak(beakWidth, positionedElement);

  var finalizedBeakPosition = _finalizeBeakPosition(positionedElement, beakPositioned, boundingRect);

  return _objectSpread2(_objectSpread2({}, _finalizePositionData(positionedElement, hostElement, boundingRect, props.coverTarget, doNotFinalizeReturnEdge)), {}, {
    beakPosition: finalizedBeakPosition
  });
}

function _positionCard(props, hostElement, callout, previousPositions) {
  return _positionCallout(props, hostElement, callout, previousPositions, true);
} // END PRIVATE FUNCTIONS

/* tslint:disable:variable-name */


var __positioningTestPackage = {
  _finalizePositionData: _finalizePositionData,
  _finalizeBeakPosition: _finalizeBeakPosition,
  _calculateActualBeakWidthInPixels: _calculateActualBeakWidthInPixels,
  _positionElementWithinBounds: _positionElementWithinBounds,
  _positionBeak: _positionBeak,
  _getPositionData: _getPositionData,
  _getMaxHeightFromTargetRectangle: _getMaxHeightFromTargetRectangle
};
/* tslint:enable:variable-name */

/**
 * Used to position an element relative to the given positioning props.
 * If positioning has been completed before, previousPositioningData
 * can be passed to ensure that the positioning element repositions based on
 * its previous targets rather than starting with directionalhint.
 *
 * @export
 * @param {IPositionProps} props
 * @param {HTMLElement} hostElement
 * @param {HTMLElement} elementToPosition
 * @param {IPositionedData} previousPositions
 * @returns
 */

function positionElement(props, hostElement, elementToPosition, previousPositions) {
  return _positionElement(props, hostElement, elementToPosition, previousPositions);
}
function positionCallout(props, hostElement, elementToPosition, previousPositions) {
  return _positionCallout(props, hostElement, elementToPosition, previousPositions);
}
function positionCard(props, hostElement, elementToPosition, previousPositions) {
  return _positionCard(props, hostElement, elementToPosition, previousPositions);
}
/**
 * Get's the maximum height that a rectangle can have in order to fit below or above a target.
 * If the directional hint specifies a left or right edge (i.e. leftCenter) it will limit the height to the topBorder
 * of the target given.
 * If no bounds are provided then the window is treated as the bounds.
 */

function getMaxHeight(target, targetEdge) {
  var gapSpace = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
  var bounds = arguments.length > 3 ? arguments[3] : undefined;
  var coverTarget = arguments.length > 4 ? arguments[4] : undefined;
  var mouseTarget = target;
  var elementTarget = target;
  var pointTarget = target;
  var targetRect;
  var boundingRectangle = bounds ? _getRectangleFromIRect(bounds) : new Rectangle(0, window.innerWidth - getScrollbarWidth(), 0, window.innerHeight); // @ts-ignore

  if (mouseTarget.stopPropagation) {
    targetRect = new Rectangle(mouseTarget.clientX, mouseTarget.clientX, mouseTarget.clientY, mouseTarget.clientY);
  } else if (pointTarget.x !== undefined && pointTarget.y !== undefined) {
    targetRect = new Rectangle(pointTarget.x, pointTarget.x, pointTarget.y, pointTarget.y);
  } else {
    targetRect = _getRectangleFromElement(elementTarget);
  }

  return _getMaxHeightFromTargetRectangle(targetRect, targetEdge, gapSpace, boundingRectangle, coverTarget);
}
/**
 * Returns the opposite edge of the given RectangleEdge.
 */

function getOppositeEdge(edge) {
  return edge * -1;
}

var getClassNames$8 = classNamesFunction();

var CalloutContentBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(CalloutContentBase, _BaseComponent);

  var _super = _createSuper(CalloutContentBase);

  function CalloutContentBase() {
    var _this;

    _classCallCheck(this, CalloutContentBase);

    _this = _super.apply(this, arguments);
    _this.internalKey = new Date();
    _this.positions = null;
    _this.positionAttempts = 0;
    return _this;
  }

  _createClass(CalloutContentBase, [{
    key: "created",
    value: function created() {
      window.addEventListener('click', this.onGlobalClick, true);
      window.addEventListener('scroll', this.onGlobalScroll, true);
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      window.removeEventListener('click', this.onGlobalClick, true);
      window.removeEventListener('scroll', this.onGlobalScroll, true);
    }
  }, {
    key: "updated",
    value: function updated() {
      this.internalKey = new Date();
    }
  }, {
    key: "mounted",
    value: function mounted() {
      this.updatePosition();
    }
  }, {
    key: "updatePosition",
    value: function updatePosition() {
      var positions = this.positions;
      var currentProps;
      currentProps = assign(currentProps, this.$props);
      currentProps.bounds = this.bounds;
      currentProps.target = this.target;
      var newPositions = positionCallout(currentProps, this.$refs.hostElement, this.$refs.calloutElement, this.positions);

      if (!positions && newPositions || positions && newPositions && !this._arePositionsEqual(positions, newPositions) && this.positionAttempts < 5) {
        this.positionAttempts++;
        this.positions = newPositions;
      } else if (this.positionAttempts > 0) {
        this.positionAttempts = 0;
        this.$emit('positioned', this.positions);
      }
    }
  }, {
    key: "onGlobalClick",
    value: function onGlobalClick(e) {
      var outside = clickedOutside(e, this.$refs.calloutElement);
      if (outside) this.$emit('dismiss', true);
    }
  }, {
    key: "onGlobalScroll",
    value: function onGlobalScroll(e) {
      this.$emit('dismiss', true);
    }
  }, {
    key: "_arePositionsEqual",
    value: function _arePositionsEqual(positions, newPosition) {
      return this._comparePositions(positions.elementPosition, newPosition.elementPosition) && this._comparePositions(positions.beakPosition.elementPosition, newPosition.beakPosition.elementPosition);
    }
  }, {
    key: "_comparePositions",
    value: function _comparePositions(oldPositions, newPositions) {
      for (var key in newPositions) {
        // This needs to be checked here and below because there is a linting error if for in does not immediately have an if statement
        if (newPositions.hasOwnProperty(key)) {
          var oldPositionEdge = oldPositions[key];
          var newPositionEdge = newPositions[key];

          if (oldPositionEdge !== undefined && newPositionEdge !== undefined) {
            if (oldPositionEdge.toFixed(2) !== newPositionEdge.toFixed(2)) {
              return false;
            }
          } else {
            return false;
          }
        }
      }

      return true;
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          positionCss = this.positionCss,
          isBeakVisible = this.isBeakVisible;
      return h("div", {
        "ref": "hostElement",
        "class": classNames.container
      }, [h("div", {
        "ref": "calloutElement",
        "class": classNames.root,
        "style": positionCss ? positionCss.elementPosition : null
      }, [isBeakVisible && h("div", {
        "class": classNames.beak,
        "style": positionCss && positionCss.beakPosition ? positionCss.beakPosition.elementPosition : null
      }), isBeakVisible && h("div", {
        "class": classNames.beakCurtain
      }), h("div", {
        "class": classNames.calloutMain
      }, [this.$slots.default])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          positions = this.positions,
          styles = this.styles,
          calloutWidth = this.calloutWidth,
          beakWidth = this.beakWidth;
      return getClassNames$8(concatStyleSetsWithProps({
        theme: theme,
        className: className,
        overflowYHidden: false,
        calloutWidth: calloutWidth,
        beakWidth: beakWidth,
        backgroundColor: '#fff',
        calloutMaxWidth: '100%'
      }, getStyles$a, styles));
    }
  }, {
    key: "actualBeakWidth",
    get: function get() {
      return Math.sqrt(this.beakWidth * this.beakWidth * 2);
    }
  }, {
    key: "positionCss",
    get: function get() {
      if (!this.positions) return null;
      var positionCss = this.positions;

      for (var key in positionCss.elementPosition) {
        positionCss.elementPosition[key] = "".concat(positionCss.elementPosition[key], "px");
      }

      for (var _key in positionCss.beakPosition.elementPosition) {
        positionCss.beakPosition.elementPosition[_key] = "".concat(positionCss.beakPosition.elementPosition[_key], "px");
      }

      return positionCss;
    }
  }, {
    key: "bounds",
    get: function get() {
      return {
        top: 0 + this.minPagePadding,
        left: 0 + this.minPagePadding,
        right: window.innerWidth - this.minPagePadding,
        bottom: window.innerHeight - this.minPagePadding,
        width: window.innerWidth - this.minPagePadding * 2,
        height: window.innerHeight - this.minPagePadding * 2
      };
    }
  }]);

  return CalloutContentBase;
}(BaseComponent$1);

__decorate([Prop({
  type: HTMLElement,
  required: true
}), __metadata("design:type", HTMLElement)], CalloutContentBase.prototype, "target", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], CalloutContentBase.prototype, "calloutWidth", void 0);

__decorate([Prop({
  type: Number,
  default: 16
}), __metadata("design:type", Number)], CalloutContentBase.prototype, "beakWidth", void 0);

__decorate([Prop({
  type: Number,
  default: 8
}), __metadata("design:type", Number)], CalloutContentBase.prototype, "minPagePadding", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], CalloutContentBase.prototype, "isBeakVisible", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CalloutContentBase.prototype, "coverTarget", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], CalloutContentBase.prototype, "gapSpace", void 0);

CalloutContentBase = __decorate([Component], CalloutContentBase);

var CalloutContent = styled(CalloutContentBase, getStyles$a, undefined, {
  scope: 'CalloutContent'
});

var Callout = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Callout, _StatelessComponent);

  var _super = _createSuper(Callout);

  function Callout() {
    _classCallCheck(this, Callout);

    return _super.apply(this, arguments);
  }

  _createClass(Callout, [{
    key: "render",
    value: function render(h, context) {
      if (!(context.props.target instanceof Node)) return;

      var _context$props = context.props,
          layerProps = _context$props.layerProps,
          rest = _objectWithoutProperties(_context$props, ["layerProps"]);

      var content = h(CalloutContent, _objectSpread2(_objectSpread2({}, context.data), {}, {
        props: _objectSpread2(_objectSpread2({}, rest), context.data.attrs)
      }), context.children);
      return context.props.doNotLayer ? content : h(Layer, _objectSpread2(_objectSpread2({}, context.data), {}, {
        props: _objectSpread2({}, layerProps)
      }), [content]);
    }
  }]);

  return Callout;
}(StatelessComponent$1);

__decorate([Prop({
  type: HTMLElement,
  required: true
}), __metadata("design:type", Object)], Callout.prototype, "target", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Callout.prototype, "doNotLayer", void 0);

__decorate([Prop({
  type: Number,
  default: DirectionalHint.bottomAutoEdge
}), __metadata("design:type", Boolean)], Callout.prototype, "directionalHint", void 0);

Callout = __decorate([Component], Callout);

var getClassNames$9 = classNamesFunction();

var ContextualMenuItem = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ContextualMenuItem, _BaseComponent);

  var _super = _createSuper(ContextualMenuItem);

  function ContextualMenuItem() {
    var _this;

    _classCallCheck(this, ContextualMenuItem);

    _this = _super.apply(this, arguments);

    _this.openSubMenu = function () {
      var _assertThisInitialize = _assertThisInitialized(_this),
          item = _assertThisInitialize.item,
          openSubMenu = _assertThisInitialize.openSubMenu; // if (getSubmenuTarget) {
      //   const submenuTarget = getSubmenuTarget()
      //   // if (hasSubmenu(item) && openSubMenu && submenuTarget) {
      //   //   openSubMenu(item, submenuTarget)
      //   // }
      // }

    };

    return _this;
  }

  _createClass(ContextualMenuItem, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var item = this.item,
          classNames = this.classNames;
      console.log(classNames);
      return h("button", {
        "class": classNames.root
      }, [h("div", {
        "class": item.split ? classNames.linkContentMenu : classNames.linkContent
      }, [this.renderCheckMarkIcon(this), this.renderItemIcon(this), this.renderItemName(this), this.renderSecondaryText(this), this.renderSubMenuIcon(this)])]);
    }
  }, {
    key: "dismissSubMenu",
    value: function dismissSubMenu() {// const { item, dismissSubMenu } = this
      // if (hasSubmenu(item) && dismissSubMenu) {
      //   dismissSubMenu()
      // }
    }
  }, {
    key: "dismissMenu",
    value: function dismissMenu(dismissAll) {// const { dismissMenu } = this.props
      // if (dismissMenu) {
      //   dismissMenu(undefined /* ev */, dismissAll)
      // }
    }
  }, {
    key: "renderItemIcon",
    value: function renderItemIcon(props) {
      var h = this.$createElement;
      var item = props.item,
          hasIcons = props.hasIcons,
          classNames = props.classNames;
      var iconProps = item.iconProps;

      if (!hasIcons) {
        return null;
      }

      if (item.onRenderIcon) {
        return item.onRenderIcon(props);
      }

      return h(Icon$1, _mergeJSXProps([{}, iconProps, {
        "class": classNames.icon
      }]));
    }
  }, {
    key: "renderCheckMarkIcon",
    value: function renderCheckMarkIcon(_ref) {
      var onCheckmarkClick = _ref.onCheckmarkClick,
          item = _ref.item,
          classNames = _ref.classNames;
      var h = this.$createElement;
      var isItemChecked = false; // getIsChecked(item)

      if (onCheckmarkClick) {
        // Ensures that the item is passed as the first argument to the checkmark click callback.
        var onClick = function onClick(e) {
          return onCheckmarkClick(item, e);
        };

        return h(Icon$1, {
          "attrs": {
            "icon-name": item.canCheck !== false && isItemChecked ? 'CheckMark' : '',
            "class-name": classNames.checkmarkIcon
          },
          "on": {
            "click": onClick
          }
        });
      }

      return null;
    }
  }, {
    key: "renderItemName",
    value: function renderItemName(_ref2) {
      var item = _ref2.item,
          classNames = _ref2.classNames;
      var h = this.$createElement;

      // tslint:disable:deprecation
      if (item.text || item.name) {
        return h("span", {
          "class": classNames.label
        }, [item.text || item.name]);
      } // tslint:enable:deprecation


      return null;
    }
  }, {
    key: "renderSecondaryText",
    value: function renderSecondaryText(_ref3) {
      var item = _ref3.item,
          classNames = _ref3.classNames;
      var h = this.$createElement;

      if (item.secondaryText) {
        return h("span", {
          "class": classNames.secondaryText
        }, [item.secondaryText]);
      }

      return null;
    }
  }, {
    key: "renderSubMenuIcon",
    value: function renderSubMenuIcon(_ref4) {
      var item = _ref4.item,
          classNames = _ref4.classNames,
          theme = _ref4.theme;
      // if (hasSubmenu(item)) {
      //   return <Icon iconName={getRTL(theme) ? 'ChevronLeft' : 'ChevronRight'} {...item.submenuIconProps} class={classNames.subMenuIcon} />
      // }
      return null;
    }
  }, {
    key: "classNames",
    get: function get() {
      return getClassNames$9(this.styles, {
        theme: this.theme
      });
    }
  }]);

  return ContextualMenuItem;
}(BaseComponent$1);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], ContextualMenuItem.prototype, "item", void 0);

ContextualMenuItem = __decorate([Component({
  components: {}
})], ContextualMenuItem);
var ContextualMenuItemBase = ContextualMenuItem;

/**
 * @deprecated use getStyles exported from VerticalDivider.styles.ts
 */

var getDividerClassNames = memoizeFunction( // tslint:disable-next-line:deprecation
function (theme) {
  return mergeStyleSets({
    wrapper: {
      display: 'inline-flex',
      height: '100%',
      alignItems: 'center'
    },
    divider: {
      width: 1,
      height: '100%',
      backgroundColor: theme.palette.neutralTertiaryAlt
    }
  });
});

var CONTEXTUAL_SPLIT_MENU_MINWIDTH = '28px';
var MediumScreenSelector$1 = getScreenSelector(0, ScreenWidthMaxMedium);
var getSplitButtonVerticalDividerClassNames = memoizeFunction( // tslint:disable:deprecation
function (theme) {
  return mergeStyleSets(getDividerClassNames(theme), {
    // tslint:enable:deprecation
    wrapper: {
      position: 'absolute',
      right: 28,
      selectors: _defineProperty({}, MediumScreenSelector$1, {
        right: 32
      })
    },
    divider: {
      height: 16,
      width: 1
    }
  });
});
var GlobalClassNames$8 = {
  item: 'ms-ContextualMenu-item',
  divider: 'ms-ContextualMenu-divider',
  root: 'ms-ContextualMenu-link',
  isChecked: 'is-checked',
  isExpanded: 'is-expanded',
  isDisabled: 'is-disabled',
  linkContent: 'ms-ContextualMenu-linkContent',
  linkContentMenu: 'ms-ContextualMenu-linkContent',
  icon: 'ms-ContextualMenu-icon',
  iconColor: 'ms-ContextualMenu-iconColor',
  checkmarkIcon: 'ms-ContextualMenu-checkmarkIcon',
  subMenuIcon: 'ms-ContextualMenu-submenuIcon',
  label: 'ms-ContextualMenu-itemText',
  secondaryText: 'ms-ContextualMenu-secondaryText',
  splitMenu: 'ms-ContextualMenu-splitMenu'
};
/**
 * @deprecated To be removed in 7.0.
 * @internal
 * This is a package-internal method that has been depended on.
 * It is being kept in this form for backwards compatibility.
 * It should be cleaned up in 7.0.
 *
 * TODO: Audit perf. impact of and potentially remove memoizeFunction.
 * https://github.com/OfficeDev/office-ui-fabric-react/issues/5534
 */

var getItemClassNames = memoizeFunction(function (theme, disabled, expanded, checked, isAnchorLink, knownIcon, itemClassName, dividerClassName, iconClassName, subMenuClassName, primaryDisabled, className) {
  var _selectors2, _selectors3, _selectors4;

  var styles = getMenuItemStyles(theme);
  var classNames = getGlobalClassNames(GlobalClassNames$8, theme);
  return mergeStyleSets({
    item: [classNames.item, styles.item, itemClassName],
    divider: [classNames.divider, styles.divider, dividerClassName],
    root: [classNames.root, styles.root, checked && [classNames.isChecked, styles.rootChecked], isAnchorLink && styles.anchorLink, expanded && [classNames.isExpanded, styles.rootExpanded], disabled && [classNames.isDisabled, styles.rootDisabled], !disabled && !expanded && [{
      selectors: (_selectors2 = {
        ':hover': styles.rootHovered,
        ':active': styles.rootPressed
      }, _defineProperty(_selectors2, ".".concat(IsFocusVisibleClassName, " &:focus, .").concat(IsFocusVisibleClassName, " &:focus:hover"), styles.rootFocused), _defineProperty(_selectors2, ".".concat(IsFocusVisibleClassName, " &:hover"), {
        background: 'inherit;'
      }), _selectors2)
    }], className],
    splitPrimary: [styles.root, {
      width: "calc(100% - ".concat(CONTEXTUAL_SPLIT_MENU_MINWIDTH, ")")
    }, checked && ['is-checked', styles.rootChecked], (disabled || primaryDisabled) && ['is-disabled', styles.rootDisabled], !(disabled || primaryDisabled) && !checked && [{
      selectors: (_selectors3 = {
        ':hover': styles.rootHovered
      }, _defineProperty(_selectors3, ":hover ~ .".concat(classNames.splitMenu), styles.rootHovered), _defineProperty(_selectors3, ':active', styles.rootPressed), _defineProperty(_selectors3, ".".concat(IsFocusVisibleClassName, " &:focus, .").concat(IsFocusVisibleClassName, " &:focus:hover"), styles.rootFocused), _defineProperty(_selectors3, ".".concat(IsFocusVisibleClassName, " &:hover"), {
        background: 'inherit;'
      }), _selectors3)
    }]],
    splitMenu: [classNames.splitMenu, styles.root, {
      flexBasis: '0',
      padding: '0 8px',
      minWidth: CONTEXTUAL_SPLIT_MENU_MINWIDTH
    }, expanded && ['is-expanded', styles.rootExpanded], disabled && ['is-disabled', styles.rootDisabled], !disabled && !expanded && [{
      selectors: (_selectors4 = {
        ':hover': styles.rootHovered,
        ':active': styles.rootPressed
      }, _defineProperty(_selectors4, ".".concat(IsFocusVisibleClassName, " &:focus, .").concat(IsFocusVisibleClassName, " &:focus:hover"), styles.rootFocused), _defineProperty(_selectors4, ".".concat(IsFocusVisibleClassName, " &:hover"), {
        background: 'inherit;'
      }), _selectors4)
    }]],
    anchorLink: styles.anchorLink,
    linkContent: [classNames.linkContent, styles.linkContent],
    linkContentMenu: [classNames.linkContentMenu, styles.linkContent, {
      justifyContent: 'center'
    }],
    icon: [classNames.icon, knownIcon && styles.iconColor, styles.icon, iconClassName, disabled && [classNames.isDisabled, styles.iconDisabled]],
    iconColor: styles.iconColor,
    checkmarkIcon: [classNames.checkmarkIcon, knownIcon && styles.checkmarkIcon, styles.icon, iconClassName],
    subMenuIcon: [classNames.subMenuIcon, styles.subMenuIcon, subMenuClassName, expanded && {
      color: theme.palette.neutralPrimary
    }, disabled && [styles.iconDisabled]],
    label: [classNames.label, styles.label],
    secondaryText: [classNames.secondaryText, styles.secondaryText],
    splitContainer: [styles.splitButtonFlexContainer, !disabled && !checked && [{
      selectors: _defineProperty({}, ".".concat(IsFocusVisibleClassName, " &:focus, .").concat(IsFocusVisibleClassName, " &:focus:hover"), styles.rootFocused)
    }]]
  });
});
/**
 * Wrapper function for generating ContextualMenuItem classNames which adheres to
 * the getStyles API, but invokes memoized className generator function with
 * primitive values.
 *
 * @param props the ContextualMenuItem style props used to generate its styles.
 */

var getItemStyles = function getItemStyles(props) {
  var theme = props.theme,
      disabled = props.disabled,
      expanded = props.expanded,
      checked = props.checked,
      isAnchorLink = props.isAnchorLink,
      knownIcon = props.knownIcon,
      itemClassName = props.itemClassName,
      dividerClassName = props.dividerClassName,
      iconClassName = props.iconClassName,
      subMenuClassName = props.subMenuClassName,
      primaryDisabled = props.primaryDisabled,
      className = props.className; // tslint:disable-next-line:deprecation

  return getItemClassNames(theme, disabled, expanded, checked, isAnchorLink, knownIcon, itemClassName, dividerClassName, iconClassName, subMenuClassName, primaryDisabled, className);
};

var ContextualMenuItem$1 = styled(ContextualMenuItemBase, getItemStyles, undefined, {
  scope: 'ContextualMenuItem'
});

var getClassNames$a = classNamesFunction({
  disableCaching: true
});

var ContextualMenuBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ContextualMenuBase, _BaseComponent);

  var _super = _createSuper(ContextualMenuBase);

  function ContextualMenuBase() {
    _classCallCheck(this, ContextualMenuBase);

    return _super.apply(this, arguments);
  }

  _createClass(ContextualMenuBase, [{
    key: "created",
    value: function created() {
      console.log(this.target);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var target = this.target,
          directionalHint = this.directionalHint,
          calloutProps = this.calloutProps,
          onDismiss = this.onDismiss,
          contextMenuStyle = this.contextMenuStyle,
          classNames = this.classNames,
          items = this.items;
      return h(Callout, {
        "attrs": {
          "target": target,
          "directional-hint": directionalHint,
          "is-beak-visible": false
        },
        "class": css('ms-ContextualMenu-Callout', calloutProps && calloutProps.className),
        "on": {
          "dismiss": onDismiss
        }
      }, [h("div", {
        "style": contextMenuStyle,
        "class": classNames.container
      }, [h("div", {
        "class": classNames.root
      }, [h("ul", {
        "class": classNames.list,
        "attrs": {
          "role": "menu"
        }
      }, [items.map(function (item, index) {
        return h("li", {
          "key": item.key || index,
          "class": classNames.item
        }, [h(ContextualMenuItem$1, {
          "attrs": {
            "item": item,
            "prop-class-names": classNames
          }
        })]);
      })])])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className;
      return getClassNames$a(styles, {
        theme: theme,
        className: className
      });
    }
  }, {
    key: "contextMenuStyle",
    get: function get() {
      var targetBoundingRect = this.target.getBoundingClientRect();
      var targetWidth = targetBoundingRect.width - 2;
      /* Accounts for 1px border */

      return {
        width: "".concat(targetWidth, "px")
      };
    }
  }]);

  return ContextualMenuBase;
}(BaseComponent$1);

__decorate([Prop(), __metadata("design:type", HTMLElement)], ContextualMenuBase.prototype, "target", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], ContextualMenuBase.prototype, "calloutProps", void 0);

__decorate([Prop({
  type: Number,
  default: DirectionalHint.bottomAutoEdge
}), __metadata("design:type", Boolean)], ContextualMenuBase.prototype, "directionalHint", void 0);

__decorate([Prop({
  type: Function,
  default: function _default() {
    return null;
  }
}), __metadata("design:type", Function)], ContextualMenuBase.prototype, "onDismiss", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], ContextualMenuBase.prototype, "items", void 0);

ContextualMenuBase = __decorate([Component({
  components: {
    Callout: Callout,
    ContextualMenuItem: ContextualMenuItem$1
  }
})], ContextualMenuBase);

var ContextualMenu = styled(ContextualMenuBase, getStyles$8, undefined, {
  scope: 'ContextualMenu'
});

/**
 * {@docCategory ContextualMenu}
 */
var ContextualMenuItemType;

(function (ContextualMenuItemType) {
  ContextualMenuItemType[ContextualMenuItemType["Normal"] = 0] = "Normal";
  ContextualMenuItemType[ContextualMenuItemType["Divider"] = 1] = "Divider";
  ContextualMenuItemType[ContextualMenuItemType["Header"] = 2] = "Header";
  ContextualMenuItemType[ContextualMenuItemType["Section"] = 3] = "Section";
})(ContextualMenuItemType || (ContextualMenuItemType = {}));

var getClassNames$b = classNamesFunction();

var OverlayBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(OverlayBase, _BaseComponent);

  var _super = _createSuper(OverlayBase);

  function OverlayBase() {
    _classCallCheck(this, OverlayBase);

    return _super.apply(this, arguments);
  }

  _createClass(OverlayBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames;
      return h("div", {
        "class": classNames.root
      }, [this.$slots.default]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          isDark = this.dark;
      return getClassNames$b(this.styles, {
        theme: theme,
        className: className,
        isDark: isDark
      });
    }
  }]);

  return OverlayBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], OverlayBase.prototype, "dark", void 0);

OverlayBase = __decorate([Component], OverlayBase);

var GlobalClassNames$9 = {
  root: 'ms-Overlay',
  rootDark: 'ms-Overlay--dark'
};
var getStyles$b = function getStyles(props) {
  var className = props.className,
      theme = props.theme,
      isNone = props.isNone,
      isDark = props.isDark;
  var palette = theme.palette;
  var classNames = getGlobalClassNames(GlobalClassNames$9, theme);
  return {
    root: [classNames.root, theme.fonts.medium, {
      backgroundColor: palette.whiteTranslucent40,
      top: 0,
      right: 0,
      bottom: 0,
      left: 0,
      position: 'absolute',
      selectors: _defineProperty({}, HighContrastSelector, {
        border: '1px solid WindowText',
        opacity: 0
      })
    }, isNone && {
      visibility: 'hidden'
    }, isDark && [classNames.rootDark, {
      backgroundColor: palette.blackTranslucent40
    }], className]
  };
};

var Overlay = styled(OverlayBase, getStyles$b, undefined, {
  scope: 'Overlay'
});

var getClassNames$c = classNamesFunction();

var OverflowSetBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(OverflowSetBase, _BaseComponent);

  var _super = _createSuper(OverflowSetBase);

  function OverflowSetBase() {
    _classCallCheck(this, OverflowSetBase);

    return _super.apply(this, arguments);
  }

  _createClass(OverflowSetBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          items = this.items,
          overflowItems = this.overflowItems;
      return h("div", {
        "class": classNames.root
      }, [items.map(function (item, index) {
        return h("div", {
          "key": index,
          "class": classNames.item
        }, [_this.$scopedSlots.item && _this.$scopedSlots.item({
          item: item
        })]);
      }), overflowItems && overflowItems.length > 0 && h("div", {
        "class": classNames.overflowButton
      }, [this.$scopedSlots.overflow && this.$scopedSlots.overflow({
        items: overflowItems
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          className = this.className,
          vertical = this.vertical;
      return getClassNames$c(styles, {
        className: className,
        vertical: vertical
      });
    }
  }]);

  return OverflowSetBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], OverflowSetBase.prototype, "items", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], OverflowSetBase.prototype, "overflowItems", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], OverflowSetBase.prototype, "vertical", void 0);

OverflowSetBase = __decorate([Component({
  components: {}
})], OverflowSetBase);

var overflowItemStyle = {
  flexShrink: 0,
  display: 'inherit'
};
var getStyles$c = function getStyles(props) {
  var className = props.className,
      vertical = props.vertical;
  return {
    root: ['ms-OverflowSet', {
      position: 'relative',
      display: 'flex',
      flexWrap: 'nowrap'
    }, vertical && {
      flexDirection: 'column'
    }, className],
    item: ['ms-OverflowSet-item', overflowItemStyle],
    overflowButton: ['ms-OverflowSet-overflowButton', overflowItemStyle]
  };
};

var OverflowSet = styled(OverflowSetBase, getStyles$c, undefined, {
  scope: 'OverflowSet'
});

/**
 * {@docCategory ResizeGroup}
 */
var ResizeGroupDirection;

(function (ResizeGroupDirection) {
  ResizeGroupDirection[ResizeGroupDirection["horizontal"] = 0] = "horizontal";
  ResizeGroupDirection[ResizeGroupDirection["vertical"] = 1] = "vertical";
})(ResizeGroupDirection || (ResizeGroupDirection = {}));

var RESIZE_DELAY = 16;
/**
 * Returns a simple object is able to store measurements with a given key.
 */

var getMeasurementCache = function getMeasurementCache() {
  var measurementsCache = {};
  return {
    /**
     * Checks if the provided data has a cacheKey. If it has a cacheKey and there is a
     * corresponding entry in the measurementsCache, then it will return that value.
     * Returns undefined otherwise.
     */
    getCachedMeasurement: function getCachedMeasurement(data) {
      if (data && data.cacheKey && measurementsCache.hasOwnProperty(data.cacheKey)) {
        return measurementsCache[data.cacheKey];
      }

      return undefined;
    },

    /**
     * Should be called whenever there is a new measurement associated with a given data object.
     * If the data has a cacheKey, store that measurement in the measurementsCache.
     */
    addMeasurementToCache: function addMeasurementToCache(data, measurement) {
      if (data.cacheKey) {
        measurementsCache[data.cacheKey] = measurement;
      }
    }
  };
};
/**
 * Returns a function that is able to compute the next state for the ResizeGroup given the current
 * state and any measurement updates.
 */

var getNextResizeGroupStateProvider = function getNextResizeGroupStateProvider() {
  var measurementCache = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getMeasurementCache();
  var _measurementCache = measurementCache;

  var _containerDimension;
  /**
   * Gets the width/height of the data rendered in a hidden div.
   * @param measuredData - The data corresponding to the measurement we wish to take.
   * @param getElementToMeasureDimension - A function that returns the measurement of the rendered data. Only called when the measurement
   * is not in the cache.
   */


  function _getMeasuredDimension(measuredData, getElementToMeasureDimension) {
    var cachedDimension = _measurementCache.getCachedMeasurement(measuredData);

    if (cachedDimension !== undefined) {
      return cachedDimension;
    }

    var measuredDimension = getElementToMeasureDimension();

    _measurementCache.addMeasurementToCache(measuredData, measuredDimension);

    return measuredDimension;
  }
  /**
   * Will get the next IResizeGroupState based on the current data while trying to shrink contents
   * to fit in the container.
   * @param data - The initial data point to start measuring.
   * @param onReduceData - Function that transforms the data into something that should render with less width/height.
   * @param getElementToMeasureDimension - A function that returns the measurement of the rendered data. Only called when the measurement
   * is not in the cache.
   */


  function _shrinkContentsUntilTheyFit(data, onReduceData, getElementToMeasureDimension) {
    var dataToMeasure = data;

    var measuredDimension = _getMeasuredDimension(data, getElementToMeasureDimension);

    while (measuredDimension > _containerDimension) {
      var nextMeasuredData = onReduceData(dataToMeasure); // We don't want to get stuck in an infinite render loop when there are no more
      // scaling steps, so implementations of onReduceData should return undefined when
      // there are no more scaling states to apply.

      if (nextMeasuredData === undefined) {
        return {
          renderedData: dataToMeasure,
          resizeDirection: undefined,
          dataToMeasure: undefined
        };
      }

      measuredDimension = _measurementCache.getCachedMeasurement(nextMeasuredData); // If the measurement isn't in the cache, we need to rerender with some data in a hidden div

      if (measuredDimension === undefined) {
        return {
          dataToMeasure: nextMeasuredData,
          resizeDirection: 'shrink'
        };
      }

      dataToMeasure = nextMeasuredData;
    }

    return {
      renderedData: dataToMeasure,
      resizeDirection: undefined,
      dataToMeasure: undefined
    };
  }
  /**
   * This function should be called when the state changes in a manner that might allow for more content to fit
   * on the screen, such as the window width/height growing.
   * @param data - The initial data point to start measuring.
   * @param onGrowData - Function that transforms the data into something that may take up more space when rendering.
   * @param getElementToMeasureDimension - A function that returns the measurement of the rendered data. Only called when the measurement
   * is not in the cache.
   */


  function _growDataUntilItDoesNotFit(data, onGrowData, getElementToMeasureDimension, onReduceData) {
    var dataToMeasure = data;

    var measuredDimension = _getMeasuredDimension(data, getElementToMeasureDimension);

    while (measuredDimension < _containerDimension) {
      var nextMeasuredData = onGrowData(dataToMeasure); // We don't want to get stuck in an infinite render loop when there are no more
      // scaling steps, so implementations of onGrowData should return undefined when
      // there are no more scaling states to apply.

      if (nextMeasuredData === undefined) {
        return {
          renderedData: dataToMeasure,
          resizeDirection: undefined,
          dataToMeasure: undefined
        };
      }

      measuredDimension = _measurementCache.getCachedMeasurement(nextMeasuredData); // If the measurement isn't in the cache, we need to rerender with some data in a hidden div

      if (measuredDimension === undefined) {
        return {
          dataToMeasure: nextMeasuredData
        };
      }

      dataToMeasure = nextMeasuredData;
    } // Once the loop is done, we should now shrink until the contents fit.


    return _objectSpread2({
      resizeDirection: 'shrink'
    }, _shrinkContentsUntilTheyFit(dataToMeasure, onReduceData, getElementToMeasureDimension));
  }
  /**
   * Handles an update to the container width/eheight. Should only be called when we knew the previous container width/height.
   * @param newDimension - The new width/height of the container.
   * @param fullDimensionData - The initial data passed in as a prop to resizeGroup.
   * @param renderedData - The data that was rendered prior to the container size changing.
   * @param onGrowData - Set to true if the Resize group has an onGrowData function.
   */


  function _updateContainerDimension(newDimension, fullDimensionData, renderedData, onGrowData) {
    var nextState;

    if (newDimension > _containerDimension) {
      if (onGrowData) {
        nextState = {
          resizeDirection: 'grow',
          dataToMeasure: onGrowData(renderedData)
        };
      } else {
        nextState = {
          resizeDirection: 'shrink',
          dataToMeasure: fullDimensionData
        };
      }
    } else {
      nextState = {
        resizeDirection: 'shrink',
        dataToMeasure: renderedData
      };
    }

    _containerDimension = newDimension;
    return _objectSpread2(_objectSpread2({}, nextState), {}, {
      measureContainer: false
    });
  }

  function getNextState(props, currentState, getElementToMeasureDimension, newContainerDimension) {
    // If there is no new container width/height or data to measure, there is no need for a new state update
    if (newContainerDimension === undefined && currentState.dataToMeasure === undefined) {
      return undefined;
    }

    if (newContainerDimension) {
      // If we know what the last container size was and we rendered data at that width/height, we can do an optimized render
      if (_containerDimension && currentState.renderedData && !currentState.dataToMeasure) {
        return _objectSpread2(_objectSpread2({}, currentState), _updateContainerDimension(newContainerDimension, props.data, currentState.renderedData, props.onGrowData));
      } // If we are just setting the container width/height for the first time, we can't do any optimizations


      _containerDimension = newContainerDimension;
    }

    var nextState = _objectSpread2(_objectSpread2({}, currentState), {}, {
      measureContainer: false
    });

    if (currentState.dataToMeasure) {
      if (currentState.resizeDirection === 'grow' && props.onGrowData) {
        nextState = _objectSpread2(_objectSpread2({}, nextState), _growDataUntilItDoesNotFit(currentState.dataToMeasure, props.onGrowData, getElementToMeasureDimension, props.onReduceData));
      } else {
        nextState = _objectSpread2(_objectSpread2({}, nextState), _shrinkContentsUntilTheyFit(currentState.dataToMeasure, props.onReduceData, getElementToMeasureDimension));
      }
    }

    return nextState;
  }
  /** Function that determines if we need to render content for measurement based on the measurement cache contents. */


  function shouldRenderDataForMeasurement(dataToMeasure) {
    if (!dataToMeasure || _measurementCache.getCachedMeasurement(dataToMeasure) !== undefined) {
      return false;
    }

    return true;
  }

  function getInitialResizeGroupState(data) {
    return {
      dataToMeasure: _objectSpread2({}, data),
      resizeDirection: 'grow',
      measureContainer: true
    };
  }

  return {
    getNextState: getNextState,
    shouldRenderDataForMeasurement: shouldRenderDataForMeasurement,
    getInitialResizeGroupState: getInitialResizeGroupState
  };
}; // Styles for the hidden div used for measurement

var hiddenDivStyles = {
  position: 'fixed',
  visibility: 'hidden'
};
var hiddenParentStyles = {
  position: 'relative'
};

var ResizeGroupBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ResizeGroupBase, _BaseComponent);

  var _super = _createSuper(ResizeGroupBase);

  function ResizeGroupBase() {
    var _this;

    _classCallCheck(this, ResizeGroupBase);

    _this = _super.apply(this, arguments);
    _this.nextResizeGroupStateProvider = getNextResizeGroupStateProvider();
    _this.hasRenderedContent = false;
    _this.dataToMeasure = {};
    _this.measureContainer = false;
    _this.renderedData = {};
    _this.resizeDirection = 'grow';
    return _this;
  }

  _createClass(ResizeGroupBase, [{
    key: "created",
    value: function created() {
      var state = this.nextResizeGroupStateProvider.getInitialResizeGroupState(this.data);
      this.dataToMeasure = state.dataToMeasure;
      this.measureContainer = state.measureContainer;
      this.renderedData = state.renderedData;
      this.resizeDirection = state.resizeDirection;
    }
  }, {
    key: "mounted",
    value: function mounted() {
      this.events.on(window, 'resize', this._async.debounce(this._onResize, RESIZE_DELAY, {
        leading: true
      }));
      this.componentDidUpdate();
    }
  }, {
    key: "updated",
    value: function updated() {
      this.componentDidUpdate();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      console.log('componentDidUpdate');
      this.dataToMeasure = this.data;
      this.resizeDirection = 'grow';
      this.measureContainer = true;

      if (this.renderedData) {
        this.hasRenderedContent = true;

        if (this.dataDidRender) {
          this.dataDidRender(this.renderedData);
        }
      }

      this._afterComponentRendered(this.direction);
    }
  }, {
    key: "_afterComponentRendered",
    value: function _afterComponentRendered(direction) {
      var _this2 = this;

      this._async.requestAnimationFrame(function () {
        var containerDimension;

        if (_this2.measureContainer && _this2.$refs.root) {
          var boundingRect = _this2.$refs.root.getBoundingClientRect();

          containerDimension = direction && direction === ResizeGroupDirection.vertical ? boundingRect.height : boundingRect.width;
        }

        var nextState = _this2.nextResizeGroupStateProvider.getNextState(_this2.$props, _this2.$data, function () {
          var refToMeasure = !_this2.hasRenderedContent ? _this2.$refs.initialHiddenDiv : _this2.$refs.updateHiddenDiv;

          if (!refToMeasure) {
            return 0;
          }

          return direction && direction === ResizeGroupDirection.vertical ? refToMeasure.scrollHeight : refToMeasure.scrollWidth;
        }, containerDimension);

        if (nextState) {
          _this2.dataToMeasure = nextState.dataToMeasure;
          _this2.measureContainer = nextState.measureContainer;
          _this2.renderedData = nextState.renderedData;
          _this2.resizeDirection = nextState.resizeDirection;
        }
      });
    }
  }, {
    key: "_onResize",
    value: function _onResize() {
      if (this.$refs.root) {
        this.measureContainer = true;
      }
    }
  }, {
    key: "render",
    value: function render(h) {
      var className = this.className,
          dataToMeasure = this.dataToMeasure,
          renderedData = this.renderedData;
      var dataNeedsMeasuring = this.nextResizeGroupStateProvider.shouldRenderDataForMeasurement(dataToMeasure);
      var isInitialMeasure = !this.hasRenderedContent && dataNeedsMeasuring;
      return h("div", {
        "class": className,
        "ref": "root"
      }, [h("div", {
        "style": hiddenParentStyles
      }, [dataNeedsMeasuring && !isInitialMeasure && h("div", {
        "style": hiddenDivStyles,
        "ref": "updateHiddenDiv"
      }, ["Test"]), h("div", {
        "ref": "initialHiddenDiv",
        "style": isInitialMeasure ? hiddenDivStyles : undefined
      }, [this.$slots.default])])]);
    }
  }]);

  return ResizeGroupBase;
}(BaseComponent$1);

__decorate([Prop(), __metadata("design:type", Object)], ResizeGroupBase.prototype, "data", void 0);

__decorate([Prop({
  type: Number,
  default: ResizeGroupDirection.horizontal
}), __metadata("design:type", Object)], ResizeGroupBase.prototype, "direction", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], ResizeGroupBase.prototype, "dataDidRender", void 0);

ResizeGroupBase = __decorate([Component], ResizeGroupBase);

var ResizeGroup = ResizeGroupBase;

var GlobalClassNames$a = {
  focusedContainer: 'ms-swatchColorPickerBodyContainer'
};
var getStyles$d = function getStyles(props) {
  var className = props.className,
      theme = props.theme,
      cellMargin = props.cellMargin;
  var classNames = getGlobalClassNames(GlobalClassNames$a, theme);
  return {
    root: {
      margin: '8px 0',
      borderCollapse: 'collapse'
    },
    tableCell: {
      padding: cellMargin / 2
    },
    focusedContainer: [classNames.focusedContainer, {
      clear: 'both',
      display: 'block',
      minWidth: '180px'
    }, className]
  };
};

var getStyles$e = function getStyles(props) {
  return {
    root: {
      padding: 2,
      outline: 'none'
    },
    tableCell: {
      padding: 0
    }
  };
};

var getClassNames$d = classNamesFunction();

var GridBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(GridBase, _BaseComponent);

  var _super = _createSuper(GridBase);

  function GridBase() {
    _classCallCheck(this, GridBase);

    return _super.apply(this, arguments);
  }

  _createClass(GridBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          rowsOfItems = this.rowsOfItems;
      return h("table", {
        "class": classNames.root
      }, [h("tbody", [rowsOfItems.map(function (rows, rowIndex) {
        return h("tr", {
          "key": "".concat(_this.uid, "-").concat(rowIndex, "-row"),
          "attrs": {
            "role": "row"
          }
        }, [rows.map(function (cell, cellIndex) {
          return h("td", {
            "key": "".concat(_this.uid, "-").concat(rowIndex, "-").concat(cellIndex, "-cell"),
            "class": classNames.tableCell
          }, [_this.$scopedSlots.default ? _this.$scopedSlots.default({
            cell: cell,
            index: cellIndex
          }) : null]);
        })]);
      })])]);
    }
  }, {
    key: "rowsOfItems",
    get: function get() {
      var items = this.items,
          columnCount = this.columnCount;
      return toMatrix(items, columnCount);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getClassNames$d(styles, {
        theme: theme
      });
    }
  }]);

  return GridBase;
}(BaseComponent$1);

__decorate([Prop(), __metadata("design:type", Array)], GridBase.prototype, "items", void 0);

__decorate([Prop(), __metadata("design:type", Number)], GridBase.prototype, "columnCount", void 0);

GridBase = __decorate([Component({
  components: {},
  inheritAttrs: false
})], GridBase);

var Grid = styled(GridBase, getStyles$e, undefined, {
  scope: 'Grid'
});

var ButtonGlobalClassNames = {
  msButton: 'ms-Button',
  msButtonHasMenu: 'ms-Button--hasMenu',
  msButtonIcon: 'ms-Button-icon',
  msButtonMenuIcon: 'ms-Button-menuIcon',
  msButtonLabel: 'ms-Button-label',
  msButtonDescription: 'ms-Button-description',
  msButtonScreenReaderText: 'ms-Button-screenReaderText',
  msButtonFlexContainer: 'ms-Button-flexContainer',
  msButtonTextContainer: 'ms-Button-textContainer'
};
var getBaseButtonClassNames = memoizeFunction(function (theme, styles, className, variantClassName, iconClassName, menuIconClassName, disabled, hasMenu, checked, expanded, isSplit) {
  var _selectors, _selectors2;

  var classNames = getGlobalClassNames(ButtonGlobalClassNames, theme || {});
  var isExpanded = expanded && !isSplit;
  return mergeStyleSets({
    root: [classNames.msButton, styles.root, variantClassName, checked && ['is-checked', styles.rootChecked], isExpanded && ['is-expanded', styles.rootExpanded, {
      selectors: (_selectors = {}, _defineProperty(_selectors, ":hover .".concat(classNames.msButtonIcon), styles.iconExpandedHovered), _defineProperty(_selectors, ":hover .".concat(classNames.msButtonMenuIcon), styles.menuIconExpandedHovered || styles.rootExpandedHovered), _defineProperty(_selectors, ':hover', styles.rootExpandedHovered), _selectors)
    }], hasMenu && [ButtonGlobalClassNames.msButtonHasMenu, styles.rootHasMenu], disabled && ['is-disabled', styles.rootDisabled], !disabled && !isExpanded && !checked && {
      selectors: (_selectors2 = {
        ':hover': styles.rootHovered
      }, _defineProperty(_selectors2, ":hover .".concat(classNames.msButtonLabel), styles.labelHovered), _defineProperty(_selectors2, ":hover .".concat(classNames.msButtonIcon), styles.iconHovered), _defineProperty(_selectors2, ":hover .".concat(classNames.msButtonDescription), styles.descriptionHovered), _defineProperty(_selectors2, ":hover .".concat(classNames.msButtonMenuIcon), styles.menuIconHovered), _defineProperty(_selectors2, ':focus', styles.rootFocused), _defineProperty(_selectors2, ':active', styles.rootPressed), _defineProperty(_selectors2, ":active .".concat(classNames.msButtonIcon), styles.iconPressed), _defineProperty(_selectors2, ":active .".concat(classNames.msButtonDescription), styles.descriptionPressed), _defineProperty(_selectors2, ":active .".concat(classNames.msButtonMenuIcon), styles.menuIconPressed), _selectors2)
    }, disabled && checked && [styles.rootCheckedDisabled], !disabled && checked && {
      selectors: {
        ':hover': styles.rootCheckedHovered,
        ':active': styles.rootCheckedPressed
      }
    }, className],
    flexContainer: [classNames.msButtonFlexContainer, styles.flexContainer],
    textContainer: [classNames.msButtonTextContainer, styles.textContainer],
    icon: [classNames.msButtonIcon, iconClassName, styles.icon, isExpanded && styles.iconExpanded, checked && styles.iconChecked, disabled && styles.iconDisabled],
    label: [classNames.msButtonLabel, styles.label, checked && styles.labelChecked, disabled && styles.labelDisabled],
    menuIcon: [classNames.msButtonMenuIcon, menuIconClassName, styles.menuIcon, checked && styles.menuIconChecked, disabled && !isSplit && styles.menuIconDisabled, !disabled && !isExpanded && !checked && {
      selectors: {
        ':hover': styles.menuIconHovered,
        ':active': styles.menuIconPressed
      }
    }, isExpanded && ['is-expanded', styles.menuIconExpanded]],
    description: [classNames.msButtonDescription, styles.description, checked && styles.descriptionChecked, disabled && styles.descriptionDisabled],
    screenReaderText: [classNames.msButtonScreenReaderText, styles.screenReaderText]
  });
});

/* ms */

var BaseButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(BaseButton, _BaseComponent);

  var _super = _createSuper(BaseButton);

  function BaseButton() {
    var _this;

    _classCallCheck(this, BaseButton);

    _this = _super.apply(this, arguments);
    _this.menuHidden = true;
    _this.menuOpen = false;
    return _this;
  }

  _createClass(BaseButton, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var ButtonComponent = this.component;
      var MenuComponent = this.MenuType;
      var classNames = this.classNames,
          href = this.href,
          iconProps = this.iconProps,
          className = this.className,
          css = this.css,
          secondaryText = this.secondaryText,
          isSplitButton = this.isSplitButton,
          menuProps = this.menuProps,
          menuIconProps = this.menuIconProps,
          shouldRenderMenu = this.shouldRenderMenu;
      return h(ButtonComponent, {
        "ref": "buttonElement",
        "class": classNames.root,
        "attrs": {
          "href": href
        }
      }, [h("span", {
        "class": classNames.flexContainer
      }, [iconProps && h(Icon$2, {
        "class": css(classNames.icon, className),
        "props": _objectSpread2({}, iconProps)
      }), this.$scopedSlots.flex ? this.$scopedSlots.flex({}) : null, this.$scopedSlots.default && h("span", {
        "class": classNames.textContainer
      }, [h("span", {
        "class": classNames.label
      }, [this.$scopedSlots.default({})]), secondaryText && h("span", {
        "class": classNames.description
      }, [secondaryText])]), !isSplitButton && menuProps && h(FontIcon, {
        "attrs": {
          "icon-name": "ChevronDown"
        },
        "props": _objectSpread2({}, menuIconProps),
        "class": classNames.menuIcon
      }), menuProps && !menuProps.doNotLayer && shouldRenderMenu && h(MenuComponent, {
        "attrs": {
          "directional-hint": DirectionalHint.bottomLeftEdge,
          "target": isSplitButton ? this.$refs.splitButtonContainer : this.$refs.buttonElement
        },
        "props": _objectSpread2({}, menuProps),
        "class": css('ms-BaseButton-menuhost', menuProps.className),
        "on": {
          "dismiss": function dismiss() {
            return _this2.menuHidden = true;
          }
        }
      })])]);
    }
  }, {
    key: "MenuType",
    get: function get() {
      return this.menuAs || ContextualMenu;
    }
  }, {
    key: "component",
    get: function get() {
      var disabled = this.disabled,
          href = this.href;
      var renderAsAnchor = !disabled && !!href;
      return renderAsAnchor ? 'a' : 'button';
    }
  }, {
    key: "isSplitButton",
    get: function get() {
      return !!this.menuProps && this.split === true;
    }
  }, {
    key: "shouldRenderMenu",
    get: function get() {
      var menuHidden = this.menuHidden;
      var persistMenu = this.persistMenu,
          renderPersistedMenuHiddenOnMount = this.renderPersistedMenuHiddenOnMount;

      if (!menuHidden) {
        // Always should render a menu when it is expanded
        return true;
      } else if (persistMenu && ( renderPersistedMenuHiddenOnMount)) {
        // _renderedVisibleMenu ensures that the first rendering of
        // the menu happens on-screen, as edge's scrollbar calculations are off if done while hidden.
        return true;
      }

      return false;
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles,
          className = this.className,
          iconProps = this.iconProps,
          menuIconProps = this.menuIconProps,
          variantClassName = this.variantClassName,
          disabled = this.disabled,
          primaryDisabled = this.primaryDisabled,
          checked = this.checked,
          getClassNames = this.getClassNames;
      var isPrimaryButtonDisabled = disabled || primaryDisabled;
      return getClassNames ? getClassNames(theme, className, variantClassName, iconProps && iconProps.className, menuIconProps && menuIconProps.className, isPrimaryButtonDisabled, checked, !this.menuHidden, !!this.menuProps, this.split, !!this.allowDisabledFocus) : getBaseButtonClassNames(theme, styles, className, variantClassName, iconProps && iconProps.className, menuIconProps && menuIconProps.className, isPrimaryButtonDisabled, !!this.menuProps, checked, !this.menuHidden, this.split);
    }
  }]);

  return BaseButton;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], BaseButton.prototype, "href", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "checked", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "split", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "primaryDisabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "allowDisabledFocus", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], BaseButton.prototype, "variantClassName", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], BaseButton.prototype, "iconProps", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], BaseButton.prototype, "menuIconProps", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], BaseButton.prototype, "menuAs", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], BaseButton.prototype, "menuProps", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "persistMenu", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], BaseButton.prototype, "renderPersistedMenuHiddenOnMount", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], BaseButton.prototype, "secondaryText", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], BaseButton.prototype, "getClassNames", void 0);

BaseButton = __decorate([Component], BaseButton);

var noOutline = {
  outline: 0
};

var iconStyle = function iconStyle(fontSize) {
  return {
    fontSize: fontSize,
    margin: '0 4px',
    height: '16px',
    lineHeight: '16px',
    textAlign: 'center',
    verticalAlign: 'middle',
    flexShrink: 0
  };
};
/**
 * Gets the base button styles. Note: because it is a base class to be used with the `mergeRules`
 * helper, it should have values for all class names in the interface. This let `mergeRules` optimize
 * mixing class names together.
 */


var getStyles$f = memoizeFunction(function (theme) {
  var semanticColors = theme.semanticColors,
      effects = theme.effects,
      fonts = theme.fonts;
  var border = semanticColors.buttonBorder;
  var disabledBackground = semanticColors.disabledBackground;
  var disabledText = semanticColors.disabledText;
  var buttonHighContrastFocus = {
    left: -2,
    top: -2,
    bottom: -2,
    right: -2,
    border: 'none',
    outlineColor: 'ButtonText'
  };
  return {
    root: [getFocusStyle(theme, {
      inset: 1,
      highContrastStyle: buttonHighContrastFocus,
      borderColor: 'transparent'
    }), theme.fonts.medium, {
      boxSizing: 'border-box',
      border: '1px solid ' + border,
      userSelect: 'none',
      display: 'inline-block',
      textDecoration: 'none',
      textAlign: 'center',
      cursor: 'pointer',
      verticalAlign: 'top',
      padding: '0 16px',
      borderRadius: effects.roundedCorner2,
      selectors: {
        // IE11 workaround for preventing shift of child elements of a button when active.
        ':active > *': {
          position: 'relative',
          left: 0,
          top: 0
        }
      }
    }],
    rootDisabled: [getFocusStyle(theme, {
      inset: 1,
      highContrastStyle: buttonHighContrastFocus,
      borderColor: 'transparent'
    }), {
      backgroundColor: disabledBackground,
      borderColor: disabledBackground,
      color: disabledText,
      cursor: 'default',
      pointerEvents: 'none',
      selectors: _defineProperty({
        ':hover': noOutline,
        ':focus': noOutline
      }, HighContrastSelector, {
        color: 'grayText',
        borderColor: 'grayText'
      })
    }],
    iconDisabled: {
      color: disabledText
    },
    menuIconDisabled: {
      color: disabledText
    },
    flexContainer: {
      display: 'flex',
      height: '100%',
      flexWrap: 'nowrap',
      justifyContent: 'center',
      alignItems: 'center'
    },
    description: {
      display: 'block'
    },
    textContainer: {
      flexGrow: 1,
      display: 'block'
    },
    icon: iconStyle(fonts.mediumPlus.fontSize),
    menuIcon: iconStyle(fonts.small.fontSize),
    label: {
      margin: '0 4px',
      lineHeight: '100%',
      display: 'block'
    },
    screenReaderText: hiddenContentStyle
  };
});

var DEFAULT_BUTTON_HEIGHT = '40px';
var DEFAULT_PADDING = '0 4px';
var getStyles$g = memoizeFunction(function (theme, customStyles) {
  var baseButtonStyles = getStyles$f(theme);
  var actionButtonStyles = {
    root: {
      padding: DEFAULT_PADDING,
      height: DEFAULT_BUTTON_HEIGHT,
      color: theme.palette.neutralPrimary,
      backgroundColor: 'transparent',
      border: '1px solid transparent'
    },
    rootHovered: {
      color: theme.palette.themePrimary,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'Highlight',
        color: 'Highlight'
      })
    },
    iconHovered: {
      color: theme.palette.themePrimary
    },
    rootPressed: {
      color: theme.palette.black
    },
    rootExpanded: {
      color: theme.palette.themePrimary
    },
    iconPressed: {
      color: theme.palette.themeDarker
    },
    rootDisabled: {
      color: theme.palette.neutralTertiary,
      backgroundColor: 'transparent',
      borderColor: 'transparent'
    },
    rootChecked: {
      color: theme.palette.black
    },
    iconChecked: {
      color: theme.palette.themeDarker
    },
    flexContainer: {
      justifyContent: 'flex-start'
    },
    icon: {
      color: theme.palette.themeDarkAlt
    },
    iconDisabled: {
      color: 'inherit'
    },
    menuIcon: {
      color: theme.palette.neutralSecondary
    },
    textContainer: {
      flexGrow: 0
    }
  };
  return concatStyleSets(baseButtonStyles, actionButtonStyles, customStyles);
});

var ActionButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ActionButton, _BaseComponent);

  var _super = _createSuper(ActionButton);

  function ActionButton() {
    _classCallCheck(this, ActionButton);

    return _super.apply(this, arguments);
  }

  _createClass(ActionButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];

      var props = _objectSpread2(_objectSpread2({}, this.$props), {}, {
        variantClassName: 'ms-Button--action ms-Button--command',
        styles: this.internalStyles
      });

      return h(BaseButton, _mergeJSXProps([{}, {
        props: props,
        attrs: this.$attrs,
        on: this.$listeners,
        scopedSlots: this.$scopedSlots
      }]));
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getStyles$g(theme, styles);
    }
  }]);

  return ActionButton;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ActionButton.prototype, "href", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ActionButton.prototype, "disabled", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ActionButton.prototype, "iconProps", void 0);

ActionButton = __decorate([Component], ActionButton);

var getStyles$h = memoizeFunction(function (theme, customStyles) {
  var effects = theme.effects,
      palette = theme.palette;
  var buttonHighContrastFocus = {
    left: -2,
    top: -2,
    bottom: -2,
    right: -2,
    border: 'none'
  };
  var splitButtonDividerBaseStyles = {
    position: 'absolute',
    width: 1,
    right: 31,
    top: 8,
    bottom: 8
  };
  var splitButtonStyles = {
    splitButtonContainer: [getFocusStyle(theme, {
      highContrastStyle: buttonHighContrastFocus,
      inset: 2
    }), {
      display: 'inline-flex',
      selectors: {
        '.ms-Button--default': {
          borderTopRightRadius: '0',
          borderBottomRightRadius: '0',
          borderRight: 'none'
        },
        '.ms-Button--primary': {
          borderTopRightRadius: '0',
          borderBottomRightRadius: '0',
          border: 'none',
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'Window',
            backgroundColor: 'WindowText',
            MsHighContrastAdjust: 'none'
          })
        },
        '.ms-Button--primary + .ms-Button': {
          border: 'none'
        }
      }
    }],
    splitButtonContainerHovered: {
      selectors: {
        '.ms-Button--primary': {
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'Window',
            backgroundColor: 'Highlight'
          })
        },
        '.ms-Button.is-disabled': {
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'GrayText',
            borderColor: 'GrayText',
            backgroundColor: 'Window'
          })
        }
      }
    },
    splitButtonContainerChecked: {
      selectors: {
        '.ms-Button--primary': {
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'Window',
            backgroundColor: 'WindowText',
            MsHighContrastAdjust: 'none'
          })
        }
      }
    },
    splitButtonContainerCheckedHovered: {
      selectors: {
        '.ms-Button--primary': {
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'Window',
            backgroundColor: 'WindowText',
            MsHighContrastAdjust: 'none'
          })
        }
      }
    },
    splitButtonContainerFocused: {
      outline: 'none!important'
    },
    splitButtonMenuButton: {
      padding: 6,
      height: 'auto',
      boxSizing: 'border-box',
      borderRadius: 0,
      borderTopRightRadius: effects.roundedCorner2,
      borderBottomRightRadius: effects.roundedCorner2,
      border: "1px solid ".concat(palette.neutralSecondaryAlt),
      borderLeft: 'none',
      outline: 'transparent',
      userSelect: 'none',
      display: 'inline-block',
      textDecoration: 'none',
      textAlign: 'center',
      cursor: 'pointer',
      verticalAlign: 'top',
      width: 32,
      marginLeft: -1,
      marginTop: 0,
      marginRight: 0,
      marginBottom: 0
    },
    splitButtonDivider: _objectSpread2(_objectSpread2({}, splitButtonDividerBaseStyles), {}, {
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'WindowText'
      })
    }),
    splitButtonDividerDisabled: _objectSpread2(_objectSpread2({}, splitButtonDividerBaseStyles), {}, {
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'GrayText'
      })
    }),
    splitButtonMenuButtonDisabled: {
      pointerEvents: 'none',
      border: 'none',
      selectors: _defineProperty({
        ':hover': {
          cursor: 'default'
        },
        '.ms-Button--primary': {
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'GrayText',
            borderColor: 'GrayText',
            backgroundColor: 'Window'
          })
        }
      }, HighContrastSelector, {
        border: '1px solid GrayText',
        color: 'GrayText',
        backgroundColor: 'Window'
      })
    },
    splitButtonFlexContainer: {
      display: 'flex',
      height: '100%',
      flexWrap: 'nowrap',
      justifyContent: 'center',
      alignItems: 'center'
    },
    splitButtonContainerDisabled: {
      outline: 'none',
      border: 'none',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText',
        borderColor: 'GrayText',
        backgroundColor: 'Window'
      })
    }
  };
  return concatStyleSets(splitButtonStyles, customStyles);
});

var splitButtonDividerBaseStyles = function splitButtonDividerBaseStyles() {
  return {
    position: 'absolute',
    width: 1,
    right: 31,
    top: 8,
    bottom: 8
  };
};

function standardStyles(theme) {
  var s = theme.semanticColors,
      p = theme.palette;
  var buttonBackground = s.buttonBackground;
  var buttonBackgroundPressed = s.buttonBackgroundPressed;
  var buttonBackgroundHovered = s.buttonBackgroundHovered;
  var buttonText = s.buttonText;
  var buttonTextHovered = s.buttonTextHovered;
  var buttonTextChecked = s.buttonTextChecked;
  var buttonTextCheckedHovered = s.buttonTextCheckedHovered;
  return {
    root: {
      backgroundColor: buttonBackground,
      color: buttonText
    },
    rootHovered: {
      backgroundColor: buttonBackgroundHovered,
      color: buttonTextHovered,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'Highlight',
        color: 'Highlight'
      })
    },
    rootPressed: {
      backgroundColor: buttonBackgroundPressed,
      color: buttonTextChecked
    },
    rootExpanded: {
      backgroundColor: buttonBackgroundPressed,
      color: buttonTextChecked
    },
    rootChecked: {
      backgroundColor: buttonBackgroundPressed,
      color: buttonTextChecked
    },
    rootCheckedHovered: {
      backgroundColor: buttonBackgroundPressed,
      color: buttonTextCheckedHovered
    },
    rootDisabled: {
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText',
        borderColor: 'GrayText',
        backgroundColor: 'Window'
      })
    },
    // Split button styles
    splitButtonContainer: {
      selectors: _defineProperty({}, HighContrastSelector, {
        border: 'none'
      })
    },
    splitButtonMenuButton: {
      color: p.white,
      backgroundColor: 'transparent',
      selectors: {
        ':hover': {
          backgroundColor: p.neutralLight,
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'Highlight'
          })
        }
      }
    },
    splitButtonMenuButtonDisabled: {
      backgroundColor: s.buttonBackgroundDisabled,
      selectors: {
        ':hover': {
          backgroundColor: s.buttonBackgroundDisabled
        }
      }
    },
    splitButtonDivider: _objectSpread2(_objectSpread2({}, splitButtonDividerBaseStyles()), {}, {
      backgroundColor: p.neutralTertiaryAlt,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'WindowText'
      })
    }),
    splitButtonDividerDisabled: {
      backgroundColor: theme.palette.neutralTertiaryAlt
    },
    splitButtonMenuButtonChecked: {
      backgroundColor: p.neutralQuaternaryAlt,
      selectors: {
        ':hover': {
          backgroundColor: p.neutralQuaternaryAlt
        }
      }
    },
    splitButtonMenuButtonExpanded: {
      backgroundColor: p.neutralQuaternaryAlt,
      selectors: {
        ':hover': {
          backgroundColor: p.neutralQuaternaryAlt
        }
      }
    },
    splitButtonMenuIcon: {
      color: s.buttonText
    },
    splitButtonMenuIconDisabled: {
      color: s.buttonTextDisabled
    }
  };
}
function primaryStyles(theme) {
  var _selectors6, _selectors13;

  var p = theme.palette,
      s = theme.semanticColors;
  return {
    root: {
      backgroundColor: s.primaryButtonBackground,
      color: s.primaryButtonText,
      border: "1px solid ".concat(s.primaryButtonBackground),
      selectors: (_selectors6 = {}, _defineProperty(_selectors6, HighContrastSelector, {
        color: 'Window',
        backgroundColor: 'WindowText',
        MsHighContrastAdjust: 'none'
      }), _defineProperty(_selectors6, ".".concat(IsFocusVisibleClassName, " &:focus"), {
        selectors: {
          ':after': {
            border: "none",
            outlineColor: p.white
          }
        }
      }), _selectors6)
    },
    rootHovered: {
      backgroundColor: s.primaryButtonBackgroundHovered,
      color: s.primaryButtonTextHovered,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'Window',
        backgroundColor: 'Highlight'
      })
    },
    rootPressed: {
      backgroundColor: s.primaryButtonBackgroundPressed,
      color: s.primaryButtonTextPressed,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'Window',
        backgroundColor: 'WindowText',
        MsHighContrastAdjust: 'none'
      })
    },
    rootExpanded: {
      backgroundColor: s.primaryButtonBackgroundPressed,
      color: s.primaryButtonTextPressed
    },
    rootChecked: {
      backgroundColor: s.primaryButtonBackgroundPressed,
      color: s.primaryButtonTextPressed
    },
    rootCheckedHovered: {
      backgroundColor: s.primaryButtonBackgroundPressed,
      color: s.primaryButtonTextPressed
    },
    rootDisabled: {
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText',
        borderColor: 'GrayText',
        backgroundColor: 'Window'
      })
    },
    // Split button styles
    splitButtonContainer: {
      selectors: _defineProperty({}, HighContrastSelector, {
        border: 'none'
      })
    },
    splitButtonDivider: _objectSpread2(_objectSpread2({}, splitButtonDividerBaseStyles()), {}, {
      backgroundColor: p.white,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'Window'
      })
    }),
    splitButtonMenuButton: {
      backgroundColor: s.primaryButtonBackground,
      color: s.primaryButtonText,
      selectors: (_selectors13 = {}, _defineProperty(_selectors13, HighContrastSelector, {
        backgroundColor: 'WindowText'
      }), _defineProperty(_selectors13, ':hover', {
        backgroundColor: s.primaryButtonBackgroundHovered,
        selectors: _defineProperty({}, HighContrastSelector, {
          color: 'Highlight'
        })
      }), _selectors13)
    },
    splitButtonMenuButtonDisabled: {
      backgroundColor: s.primaryButtonBackgroundDisabled,
      selectors: {
        ':hover': {
          backgroundColor: s.primaryButtonBackgroundDisabled
        }
      }
    },
    splitButtonMenuButtonChecked: {
      backgroundColor: s.primaryButtonBackgroundPressed,
      selectors: {
        ':hover': {
          backgroundColor: s.primaryButtonBackgroundPressed
        }
      }
    },
    splitButtonMenuButtonExpanded: {
      backgroundColor: s.primaryButtonBackgroundPressed,
      selectors: {
        ':hover': {
          backgroundColor: s.primaryButtonBackgroundPressed
        }
      }
    },
    splitButtonMenuIcon: {
      color: s.primaryButtonText
    },
    splitButtonMenuIconDisabled: {
      color: p.neutralTertiary,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText'
      })
    }
  };
}

// import { IButtonStyles } from '../Button.types'
var DEFAULT_BUTTON_HEIGHT$1 = '32px';
var DEFAULT_BUTTON_MIN_WIDTH = '80px';
var getStyles$i = memoizeFunction(function (theme, customStyles, primary) {
  var baseButtonStyles = getStyles$f(theme);
  var splitButtonStyles = getStyles$h(theme);
  var defaultButtonStyles = {
    root: {
      minWidth: DEFAULT_BUTTON_MIN_WIDTH,
      height: DEFAULT_BUTTON_HEIGHT$1
    },
    label: {
      fontWeight: FontWeights.semibold
    }
  };
  return concatStyleSets(baseButtonStyles, defaultButtonStyles, primary ? primaryStyles(theme) : standardStyles(theme), splitButtonStyles, customStyles);
});

var DefaultButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DefaultButton, _BaseComponent);

  var _super = _createSuper(DefaultButton);

  function DefaultButton() {
    _classCallCheck(this, DefaultButton);

    return _super.apply(this, arguments);
  }

  _createClass(DefaultButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var primary = this.primary,
          internalStyles = this.internalStyles;

      var props = _objectSpread2(_objectSpread2({}, this.$props), {}, {
        variantClassName: primary ? 'ms-Button--primary' : 'ms-Button--default',
        styles: internalStyles
      });

      return h(BaseButton, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var _this$primary = this.primary,
          primary = _this$primary === void 0 ? false : _this$primary,
          theme = this.theme;
      return getStyles$i(theme, this.styles, primary);
    }
  }]);

  return DefaultButton;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], DefaultButton.prototype, "text", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DefaultButton.prototype, "primary", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DefaultButton.prototype, "disabled", void 0);

DefaultButton = __decorate([Component], DefaultButton);

var PrimaryButton = /*#__PURE__*/function (_DefaultButton) {
  _inherits(PrimaryButton, _DefaultButton);

  var _super = _createSuper(PrimaryButton);

  function PrimaryButton() {
    _classCallCheck(this, PrimaryButton);

    return _super.apply(this, arguments);
  }

  return PrimaryButton;
}(DefaultButton);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], PrimaryButton.prototype, "primary", void 0);

PrimaryButton = __decorate([Component], PrimaryButton);

var getStyles$j = memoizeFunction(function (theme, customStyles, focusInset, focusColor) {
  var _selectors2, _selectors3, _selectors4, _selectors5, _selectors6, _selectors9;

  var baseButtonStyles = getStyles$f(theme);
  var baseSplitButtonStyles = {}; // getSplitButtonStyles(theme)

  var p = theme.palette,
      semanticColors = theme.semanticColors;
  var commandButtonHighContrastFocus = {
    left: 4,
    top: 4,
    bottom: 4,
    right: 4,
    border: 'none'
  };
  var commandButtonStyles = {
    root: [getFocusStyle(theme, {
      inset: 2,
      highContrastStyle: commandButtonHighContrastFocus,
      borderColor: 'transparent'
    }), theme.fonts.medium, {
      minWidth: '40px',
      backgroundColor: p.white,
      color: p.neutralPrimary,
      padding: '0 4px',
      border: 'none',
      borderRadius: 0,
      selectors: _defineProperty({}, HighContrastSelector, {
        border: 'none'
      })
    }],
    rootHovered: {
      backgroundColor: p.neutralLighter,
      color: p.neutralDark,
      selectors: (_selectors2 = {}, _defineProperty(_selectors2, HighContrastSelector, {
        color: 'Highlight'
      }), _defineProperty(_selectors2, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
        color: p.themeDarkAlt
      }), _defineProperty(_selectors2, ".".concat(ButtonGlobalClassNames.msButtonMenuIcon), {
        color: p.neutralPrimary
      }), _selectors2)
    },
    rootPressed: {
      backgroundColor: p.neutralLight,
      color: p.neutralDark,
      selectors: (_selectors3 = {}, _defineProperty(_selectors3, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
        color: p.themeDark
      }), _defineProperty(_selectors3, ".".concat(ButtonGlobalClassNames.msButtonMenuIcon), {
        color: p.neutralPrimary
      }), _selectors3)
    },
    rootChecked: {
      backgroundColor: p.neutralLight,
      color: p.neutralDark,
      selectors: (_selectors4 = {}, _defineProperty(_selectors4, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
        color: p.themeDark
      }), _defineProperty(_selectors4, ".".concat(ButtonGlobalClassNames.msButtonMenuIcon), {
        color: p.neutralPrimary
      }), _selectors4)
    },
    rootCheckedHovered: {
      backgroundColor: p.neutralQuaternaryAlt,
      selectors: (_selectors5 = {}, _defineProperty(_selectors5, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
        color: p.themeDark
      }), _defineProperty(_selectors5, ".".concat(ButtonGlobalClassNames.msButtonMenuIcon), {
        color: p.neutralPrimary
      }), _selectors5)
    },
    rootExpanded: {
      backgroundColor: p.neutralLight,
      color: p.neutralDark,
      selectors: (_selectors6 = {}, _defineProperty(_selectors6, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
        color: p.themeDark
      }), _defineProperty(_selectors6, ".".concat(ButtonGlobalClassNames.msButtonMenuIcon), {
        color: p.neutralPrimary
      }), _selectors6)
    },
    rootExpandedHovered: {
      backgroundColor: p.neutralQuaternaryAlt
    },
    rootDisabled: {
      backgroundColor: p.white,
      selectors: _defineProperty({}, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
        color: semanticColors.disabledBodySubtext
      })
    },
    // Split button styles
    splitButtonContainer: {
      height: '100%',
      selectors: _defineProperty({}, HighContrastSelector, {
        border: 'none'
      })
    },
    splitButtonDivider: {
      backgroundColor: p.neutralTertiaryAlt
    },
    splitButtonMenuButton: {
      backgroundColor: p.white,
      border: 'none',
      borderTopRightRadius: '0',
      borderBottomRightRadius: '0',
      color: p.neutralSecondary,
      selectors: {
        ':hover': {
          backgroundColor: p.neutralLighter,
          color: p.neutralDark,
          selectors: (_selectors9 = {}, _defineProperty(_selectors9, HighContrastSelector, {
            color: 'Highlight'
          }), _defineProperty(_selectors9, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
            color: p.neutralPrimary
          }), _selectors9)
        },
        ':active': {
          backgroundColor: p.neutralLight,
          selectors: _defineProperty({}, ".".concat(ButtonGlobalClassNames.msButtonIcon), {
            color: p.neutralPrimary
          })
        }
      }
    },
    splitButtonMenuButtonDisabled: {
      backgroundColor: p.white
    },
    splitButtonMenuButtonChecked: {
      backgroundColor: p.neutralLight,
      color: p.neutralDark,
      selectors: {
        ':hover': {
          backgroundColor: p.neutralQuaternaryAlt
        }
      }
    },
    splitButtonMenuButtonExpanded: {
      backgroundColor: p.neutralLight,
      color: p.black,
      selectors: {
        ':hover': {
          backgroundColor: p.neutralQuaternaryAlt
        }
      }
    },
    splitButtonMenuIcon: {
      color: p.neutralPrimary
    },
    splitButtonMenuIconDisabled: {
      color: p.neutralTertiary
    },
    label: {
      fontWeight: 'normal'
    },
    icon: {
      color: p.themePrimary
    },
    menuIcon: {
      color: p.neutralSecondary
    }
  };
  return concatStyleSets(baseButtonStyles, baseSplitButtonStyles, commandButtonStyles, customStyles);
});

var CommandBarButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(CommandBarButton, _BaseComponent);

  var _super = _createSuper(CommandBarButton);

  function CommandBarButton() {
    _classCallCheck(this, CommandBarButton);

    return _super.apply(this, arguments);
  }

  _createClass(CommandBarButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var props = {
        variantClassName: 'ms-Button--commandBar',
        styles: this.internalStyles
      };
      return h(BaseButton, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getStyles$j(theme, styles);
    }
  }]);

  return CommandBarButton;
}(BaseComponent$1);

CommandBarButton = __decorate([Component], CommandBarButton);

var getStyles$k = memoizeFunction(function (theme, customStyles, primary) {
  var fonts = theme.fonts,
      palette = theme.palette;
  var baseButtonStyles = getStyles$f(theme);
  var splitButtonStyles = getStyles$h(theme);
  var compoundButtonStyles = {
    root: {
      maxWidth: '280px',
      minHeight: '72px',
      height: 'auto',
      padding: '16px 12px'
    },
    flexContainer: {
      flexDirection: 'row',
      alignItems: 'flex-start',
      minWidth: '100%',
      margin: ''
    },
    textContainer: {
      textAlign: 'left'
    },
    icon: {
      fontSize: '2em',
      lineHeight: '1em',
      height: '1em',
      margin: '0px 8px 0px 0px',
      flexBasis: '1em',
      flexShrink: '0'
    },
    label: {
      margin: '0 0 5px',
      lineHeight: '100%',
      fontWeight: FontWeights.semibold
    },
    description: [fonts.small, {
      lineHeight: '100%'
    }]
  };
  var standardCompoundTheme = {
    description: {
      color: palette.neutralSecondary
    },
    descriptionHovered: {
      color: palette.neutralDark
    },
    descriptionPressed: {
      color: 'inherit'
    },
    descriptionChecked: {
      color: 'inherit'
    },
    descriptionDisabled: {
      color: 'inherit'
    }
  };
  var primaryCompoundTheme = {
    description: {
      color: palette.white,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'WindowText',
        color: 'Window',
        MsHighContrastAdjust: 'none'
      })
    },
    descriptionHovered: {
      color: palette.white,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'Highlight',
        color: 'Window'
      })
    },
    descriptionPressed: {
      color: 'inherit',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'Window',
        backgroundColor: 'WindowText',
        MsHighContrastAdjust: 'none'
      })
    },
    descriptionChecked: {
      color: 'inherit',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'Window',
        backgroundColor: 'WindowText',
        MsHighContrastAdjust: 'none'
      })
    },
    descriptionDisabled: {
      color: 'inherit',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'inherit'
      })
    }
  }; // @ts-ignore

  return concatStyleSets(baseButtonStyles, compoundButtonStyles, primary ? primaryStyles(theme) : standardStyles(theme), primary ? primaryCompoundTheme : standardCompoundTheme, splitButtonStyles, customStyles);
});

var CompoundButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(CompoundButton, _BaseComponent);

  var _super = _createSuper(CompoundButton);

  function CompoundButton() {
    _classCallCheck(this, CompoundButton);

    return _super.apply(this, arguments);
  }

  _createClass(CompoundButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var primary = this.primary,
          internalStyles = this.internalStyles;
      var props = {
        variantClassName: primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound',
        styles: internalStyles
      };
      return h(BaseButton, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var _this$primary = this.primary,
          primary = _this$primary === void 0 ? false : _this$primary,
          theme = this.theme;
      var styles = {};
      return getStyles$k(theme, styles, primary);
    }
  }]);

  return CompoundButton;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CompoundButton.prototype, "primary", void 0);

CompoundButton = __decorate([Component], CompoundButton);

var getStyles$l = memoizeFunction(function (theme, customStyles) {
  var baseButtonStyles = getStyles$f(theme);
  var splitButtonStyles = {}; // getSplitButtonStyles(theme)

  var palette = theme.palette,
      semanticColors = theme.semanticColors;
  var iconButtonStyles = {
    root: {
      padding: '0 4px',
      width: '32px',
      height: '32px',
      backgroundColor: 'transparent',
      border: 'none',
      color: semanticColors.link
    },
    rootHovered: {
      color: palette.themeDarkAlt,
      backgroundColor: palette.neutralLighter,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'Highlight',
        color: 'Highlight'
      })
    },
    rootHasMenu: {
      width: 'auto'
    },
    rootPressed: {
      color: palette.themeDark,
      backgroundColor: palette.neutralLight
    },
    rootExpanded: {
      color: palette.themeDark,
      backgroundColor: palette.neutralLight
    },
    rootChecked: {
      color: palette.themeDark,
      backgroundColor: palette.neutralLight
    },
    rootCheckedHovered: {
      color: palette.themeDark,
      backgroundColor: palette.neutralQuaternaryAlt
    },
    rootDisabled: {
      color: palette.neutralTertiaryAlt
    }
  };
  return concatStyleSets(baseButtonStyles, iconButtonStyles, splitButtonStyles, customStyles);
});

var IconButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(IconButton, _BaseComponent);

  var _super = _createSuper(IconButton);

  function IconButton() {
    _classCallCheck(this, IconButton);

    return _super.apply(this, arguments);
  }

  _createClass(IconButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var disabled = this.disabled,
          internalStyles = this.internalStyles;
      var props = {
        disabled: disabled,
        variantClassName: 'ms-Button--icon',
        styles: internalStyles
      };
      return h(BaseButton, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getStyles$l(theme, styles);
    }
  }]);

  return IconButton;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], IconButton.prototype, "disabled", void 0);

IconButton = __decorate([Component({
  components: {
    BaseButton: BaseButton
  },
  inheritAttrs: false
})], IconButton);

var getStyles$m = memoizeFunction(function (theme, customStyles, focusInset, focusColor) {
  var baseButtonStyles = getStyles$f(theme);
  var messageBarButtonStyles = {
    root: [getFocusStyle(theme, {
      inset: 1,
      highContrastStyle: {
        outlineOffset: '-4px',
        outlineColor: 'ActiveBorder'
      },
      borderColor: 'transparent'
    }), {
      height: 24,
      borderColor: theme.palette.neutralTertiaryAlt
    }]
  };
  return concatStyleSets(baseButtonStyles, messageBarButtonStyles, customStyles);
});

var MessageBarButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(MessageBarButton, _BaseComponent);

  var _super = _createSuper(MessageBarButton);

  function MessageBarButton() {
    _classCallCheck(this, MessageBarButton);

    return _super.apply(this, arguments);
  }

  _createClass(MessageBarButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var internalStyles = this.internalStyles;
      var props = {
        variantClassName: 'ms-Button--icon',
        styles: internalStyles
      };
      return h(BaseButton, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      return getStyles$m(this.theme, this.styles);
    }
  }]);

  return MessageBarButton;
}(BaseComponent$1);

MessageBarButton = __decorate([Component({
  components: {
    DefaultButton: DefaultButton
  }
})], MessageBarButton);

var GridCell = /*#__PURE__*/function (_BaseComponent) {
  _inherits(GridCell, _BaseComponent);

  var _super = _createSuper(GridCell);

  function GridCell() {
    _classCallCheck(this, GridCell);

    return _super.apply(this, arguments);
  }

  _createClass(GridCell, [{
    key: "render",
    value: function render() {
      var _css;

      var h = arguments[0];
      var className = this.className,
          item = this.item,
          cellDisabledStyle = this.cellDisabledStyle,
          cellIsSelectedStyle = this.cellIsSelectedStyle,
          selected = this.selected,
          disabled = this.disabled;
      return h(ActionButton, _mergeJSXProps([{
        "class": css(className, (_css = {}, _defineProperty(_css, '' + cellIsSelectedStyle, selected), _defineProperty(_css, '' + cellDisabledStyle, disabled), _css)),
        "attrs": {
          "getClassNames": this.getClassNames
        }
      }, {
        scopedSlots: {
          flex: this.$scopedSlots.default
        }
      }]));
    }
  }]);

  return GridCell;
}(BaseComponent$1);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], GridCell.prototype, "item", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], GridCell.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], GridCell.prototype, "selected", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], GridCell.prototype, "cellDisabledStyle", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], GridCell.prototype, "cellIsSelectedStyle", void 0);

__decorate([Prop(), __metadata("design:type", Object)], GridCell.prototype, "getClassNames", void 0);

GridCell = __decorate([Component({
  components: {
    ActionButton: ActionButton
  }
})], GridCell);

var CELL_BORDER_BREAKPOINT = 24;
var LARGE_BORDER = 4;
var SMALL_BORDER = 2;
var DIVIDING_PADDING = 2;
var DEFAULT_CELL_SIZE = 20;
var cellHighContrastFocus = {
  left: -2,
  top: -2,
  bottom: -2,
  right: -2,
  border: 'none',
  outlineColor: 'ButtonText'
};
var getStyles$n = function getStyles(props) {
  var theme = props.theme,
      disabled = props.disabled,
      selected = props.selected,
      circle = props.circle,
      isWhite = props.isWhite,
      _props$height = props.height,
      height = _props$height === void 0 ? DEFAULT_CELL_SIZE : _props$height,
      _props$width = props.width,
      width = _props$width === void 0 ? DEFAULT_CELL_SIZE : _props$width,
      borderWidth = props.borderWidth;
  var semanticColors = theme.semanticColors,
      palette = theme.palette;
  var buttonBorderHovered = palette.neutralLighter;
  var buttonBorderChecked = palette.neutralLight;
  var buttonBorderCheckedHovered = palette.neutralSecondary;
  var buttonBorderIsWhite = palette.neutralTertiary; // If user provided a value, use it. If not, then we decide depending on the 24px size breakpoint.

  var calculatedBorderWidth = borderWidth || (width < CELL_BORDER_BREAKPOINT ? SMALL_BORDER : LARGE_BORDER);
  return {
    // this is a button that wraps the color
    colorCell: [getFocusStyle(theme, -1, 'relative', cellHighContrastFocus), {
      backgroundColor: semanticColors.bodyBackground,
      padding: 0,
      position: 'relative',
      boxSizing: 'border-box',
      display: 'inline-block',
      cursor: 'pointer',
      userSelect: 'none',
      borderRadius: 0,
      border: 'none',
      height: height,
      width: width
    }, !circle && {
      selectors: _defineProperty({}, ".".concat(IsFocusVisibleClassName, " &:focus::after"), {
        // -1px so that we don't increase visually the size of the cell.
        outlineOffset: "".concat(calculatedBorderWidth - 1, "px")
      })
    }, // In focus state for circle we want a round border which is not possible with outline.
    circle && {
      borderRadius: '50%',
      selectors: _defineProperty({}, ".".concat(IsFocusVisibleClassName, " &:focus::after"), {
        outline: 'none',
        borderColor: semanticColors.focusBorder,
        borderRadius: '50%',
        left: -calculatedBorderWidth,
        right: -calculatedBorderWidth,
        top: -calculatedBorderWidth,
        bottom: -calculatedBorderWidth,
        selectors: _defineProperty({}, HighContrastSelector, {
          outline: "1px solid ButtonText"
        })
      })
    }, selected && {
      padding: DIVIDING_PADDING,
      border: "".concat(calculatedBorderWidth, "px solid ").concat(buttonBorderChecked),
      selectors: {
        '&:hover::before': {
          content: '""',
          height: height,
          width: width,
          position: 'absolute',
          top: -calculatedBorderWidth,
          left: -calculatedBorderWidth,
          borderRadius: circle ? '50%' : 'default',
          boxShadow: "inset 0 0 0 1px ".concat(buttonBorderCheckedHovered)
        }
      }
    }, !selected && {
      selectors: {
        '&:hover, &:active, &:focus': {
          backgroundColor: semanticColors.bodyBackground,
          padding: DIVIDING_PADDING,
          border: "".concat(calculatedBorderWidth, "px solid ").concat(buttonBorderHovered)
        },
        '&:focus': {
          borderColor: semanticColors.bodyBackground,
          padding: 0,
          selectors: {
            ':hover': {
              borderColor: theme.palette.neutralLight,
              padding: DIVIDING_PADDING
            }
          }
        }
      }
    }, disabled && {
      color: semanticColors.disabledBodyText,
      pointerEvents: 'none',
      opacity: 0.3
    }, isWhite && !selected && {
      // fake a border for white
      backgroundColor: buttonBorderIsWhite,
      padding: 1
    }],
    // the <svg> that holds the color
    svg: [{
      width: '100%',
      height: '100%'
    }, circle && {
      borderRadius: '50%'
    }]
  };
};

var MAX_COLOR_RGB = 255;
var MAX_COLOR_ALPHA = 100;

/** Converts RGB components to an HSV color. */

function rgb2hsv(r, g, b) {
  var h = NaN;
  var s;
  var v;
  var max = Math.max(r, g, b);
  var min = Math.min(r, g, b);
  var delta = max - min; // hue

  if (delta === 0) {
    h = 0;
  } else if (r === max) {
    h = (g - b) / delta % 6;
  } else if (g === max) {
    h = (b - r) / delta + 2;
  } else if (b === max) {
    h = (r - g) / delta + 4;
  }

  h = Math.round(h * 60);

  if (h < 0) {
    h += 360;
  } // saturation


  s = Math.round((max === 0 ? 0 : delta / max) * 100); // value

  v = Math.round(max / MAX_COLOR_RGB * 100);
  return {
    h: h,
    s: s,
    v: v
  };
}

/** Clamp a value to ensure it falls within a given range. */
function clamp(value, max) {
  var min = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
  return value < min ? min : value > max ? max : value;
}

/** Converts RGB components to a hex color string (without # prefix). */

function rgb2hex(r, g, b) {
  return [_rgbToPaddedHex(r), _rgbToPaddedHex(g), _rgbToPaddedHex(b)].join('');
}
/** Converts an RGB component to a 0-padded hex component of length 2. */

function _rgbToPaddedHex(num) {
  num = clamp(num, MAX_COLOR_RGB);
  var hex = num.toString(16);
  return hex.length === 1 ? '0' + hex : hex;
}

/**
 * @internal
 * Get a CSS color string from some color components.
 * If `a` is specified and not 100, returns an `rgba()` string.
 * Otherwise returns `hex` prefixed with #.
 */

function _rgbaOrHexString(r, g, b, a, hex) {
  return a === MAX_COLOR_ALPHA || typeof a !== 'number' ? "#".concat(hex) : "rgba(".concat(r, ", ").concat(g, ", ").concat(b, ", ").concat(a / MAX_COLOR_ALPHA, ")");
}

/** Converts an RGBA color to a color object (alpha defaults to 100). */

function getColorFromRGBA(rgba) {
  var _rgba$a = rgba.a,
      a = _rgba$a === void 0 ? MAX_COLOR_ALPHA : _rgba$a,
      b = rgba.b,
      g = rgba.g,
      r = rgba.r;

  var _rgb2hsv = rgb2hsv(r, g, b),
      h = _rgb2hsv.h,
      s = _rgb2hsv.s,
      v = _rgb2hsv.v;

  var hex = rgb2hex(r, g, b);

  var str = _rgbaOrHexString(r, g, b, a, hex);

  return {
    a: a,
    b: b,
    g: g,
    h: h,
    hex: hex,
    r: r,
    s: s,
    str: str,
    v: v
  };
}

/** Converts HSV components to an RGB color. Does not set the alpha value. */

function hsv2rgb(h, s, v) {
  s = s / 100;
  v = v / 100;
  var rgb = [];
  var c = v * s;
  var hh = h / 60;
  var x = c * (1 - Math.abs(hh % 2 - 1));
  var m = v - c;

  switch (Math.floor(hh)) {
    case 0:
      rgb = [c, x, 0];
      break;

    case 1:
      rgb = [x, c, 0];
      break;

    case 2:
      rgb = [0, c, x];
      break;

    case 3:
      rgb = [0, x, c];
      break;

    case 4:
      rgb = [x, 0, c];
      break;

    case 5:
      rgb = [c, 0, x];
      break;
  }

  return {
    r: Math.round(MAX_COLOR_RGB * (rgb[0] + m)),
    g: Math.round(MAX_COLOR_RGB * (rgb[1] + m)),
    b: Math.round(MAX_COLOR_RGB * (rgb[2] + m))
  };
}

/** Converts HSL components to an HSV color. */
function hsl2hsv(h, s, l) {
  s *= (l < 50 ? l : 100 - l) / 100;
  var v = l + s;
  return {
    h: h,
    s: v === 0 ? 0 : 2 * s / v * 100,
    v: v
  };
}

/** Converts HSL components to an RGB color. Does not set the alpha value. */

function hsl2rgb(h, s, l) {
  var hsv = hsl2hsv(h, s, l);
  return hsv2rgb(hsv.h, hsv.s, hsv.v);
}

/**
 * Converts a valid CSS color string to an RGB color.
 * Note that hex colors *must* be prefixed with # to be considered valid.
 * Alpha in returned color defaults to 100.
 * Four and eight digit hex values (with alpha) are supported if the current browser supports them.
 */

function cssColor(color) {
  if (!color) {
    return undefined;
  } // Need to check the following valid color formats: RGB(A), HSL(A), hex, named color
  // First check for well formatted RGB(A), HSL(A), and hex formats at the start.
  // This is for perf (no creating an element) and catches the intentional "transparent" color
  //   case early on.


  var easyColor = _rgba(color) || _hex6(color) || _hex3(color) || _hsla(color);

  if (easyColor) {
    return easyColor;
  } // if the above fails, do the more expensive catch-all


  return _browserCompute(color);
}
/**
 * Uses the browser's getComputedStyle() to determine what the passed-in color is.
 * This assumes _rgba, _hex6, _hex3, and _hsla have already been tried and all failed.
 * This works by attaching an element to the DOM, which may fail in server-side rendering
 *   or with headless browsers.
 */

function _browserCompute(str) {
  if (typeof document === 'undefined') {
    // don't throw an error when used server-side
    return undefined;
  }

  var elem = document.createElement('div');
  elem.style.backgroundColor = str; // This element must be attached to the DOM for getComputedStyle() to have a value

  elem.style.position = 'absolute';
  elem.style.top = '-9999px';
  elem.style.left = '-9999px';
  elem.style.height = '1px';
  elem.style.width = '1px';
  document.body.appendChild(elem);
  var eComputedStyle = getComputedStyle(elem);
  var computedColor = eComputedStyle && eComputedStyle.backgroundColor;
  document.body.removeChild(elem); // computedColor is always an RGB(A) string, except for invalid colors in IE/Edge which return 'transparent'
  // browsers return one of these if the color string is invalid,
  // so need to differentiate between an actual error and intentionally passing in this color

  if (computedColor === 'rgba(0, 0, 0, 0)' || computedColor === 'transparent') {
    switch (str.trim()) {
      // RGB and HSL were already checked at the start of the function
      case 'transparent':
      case '#0000':
      case '#00000000':
        return {
          r: 0,
          g: 0,
          b: 0,
          a: 0
        };
    }

    return undefined;
  }

  return _rgba(computedColor);
}
/**
 * If `str` is in valid `rgb()` or `rgba()` format, returns an RGB color (alpha defaults to 100).
 * Otherwise returns undefined.
 */


function _rgba(str) {
  if (!str) {
    return undefined;
  }

  var match = str.match(/^rgb(a?)\(([\d., ]+)\)$/);

  if (match) {
    var hasAlpha = !!match[1];
    var expectedPartCount = hasAlpha ? 4 : 3;
    var parts = match[2].split(/ *, */).map(Number);

    if (parts.length === expectedPartCount) {
      return {
        r: parts[0],
        g: parts[1],
        b: parts[2],
        a: hasAlpha ? parts[3] * 100 : MAX_COLOR_ALPHA
      };
    }
  }
}
/**
 * If `str` is in `hsl()` or `hsla()` format, returns an RGB color (alpha defaults to 100).
 * Otherwise returns undefined.
 */


function _hsla(str) {
  var match = str.match(/^hsl(a?)\(([\d., ]+)\)$/);

  if (match) {
    var hasAlpha = !!match[1];
    var expectedPartCount = hasAlpha ? 4 : 3;
    var parts = match[2].split(/ *, */).map(Number);

    if (parts.length === expectedPartCount) {
      var rgba = hsl2rgb(parts[0], parts[1], parts[2]);
      rgba.a = hasAlpha ? parts[3] * 100 : MAX_COLOR_ALPHA;
      return rgba;
    }
  }
}
/**
 * If `str` is in valid 6-digit hex format *with* # prefix, returns an RGB color (with alpha 100).
 * Otherwise returns undefined.
 */


function _hex6(str) {
  if (str[0] === '#' && str.length === 7 && /^#[\da-fA-F]{6}$/.test(str)) {
    return {
      r: parseInt(str.slice(1, 3), 16),
      g: parseInt(str.slice(3, 5), 16),
      b: parseInt(str.slice(5, 7), 16),
      a: MAX_COLOR_ALPHA
    };
  }
}
/**
 * If `str` is in valid 3-digit hex format *with* # prefix, returns an RGB color (with alpha 100).
 * Otherwise returns undefined.
 */


function _hex3(str) {
  if (str[0] === '#' && str.length === 4 && /^#[\da-fA-F]{3}$/.test(str)) {
    return {
      r: parseInt(str[1] + str[1], 16),
      g: parseInt(str[2] + str[2], 16),
      b: parseInt(str[3] + str[3], 16),
      a: MAX_COLOR_ALPHA
    };
  }
}

/**
 * Converts a CSS color string to a color object.
 * Note that hex colors *must* be prefixed with # to be considered valid.
 *
 * `inputColor` will be used unmodified as the `str` property of the returned object.
 * Alpha defaults to 100 if not specified in `inputColor`.
 * Returns undefined if the color string is invalid/not recognized.
 */

function getColorFromString(inputColor) {
  var color = cssColor(inputColor);

  if (!color) {
    return;
  }

  return _objectSpread2(_objectSpread2({}, getColorFromRGBA(color)), {}, {
    str: inputColor
  });
}

var toKebabCase = function toKebabCase(str) {
  return str.replace(/([a-z])([A-Z])/g, '$1-$2').replace(/[\s_]+/g, '-').toLowerCase();
};

var ResponsiveMode;

(function (ResponsiveMode) {
  ResponsiveMode[ResponsiveMode["small"] = 0] = "small";
  ResponsiveMode[ResponsiveMode["medium"] = 1] = "medium";
  ResponsiveMode[ResponsiveMode["large"] = 2] = "large";
  ResponsiveMode[ResponsiveMode["xLarge"] = 3] = "xLarge";
  ResponsiveMode[ResponsiveMode["xxLarge"] = 4] = "xxLarge";
  ResponsiveMode[ResponsiveMode["xxxLarge"] = 5] = "xxxLarge";
  ResponsiveMode[ResponsiveMode["unknown"] = 999] = "unknown";
})(ResponsiveMode || (ResponsiveMode = {}));

var getColorPickerGridCellButtonClassNames = memoizeFunction(function (theme, className, variantClassName, iconClassName, menuIconClassName, disabled, checked, expanded, isSplit) {
  var styles = getStyles$g(theme);
  return mergeStyleSets({
    root: ['ms-Button', styles.root, variantClassName, className, checked && ['is-checked', styles.rootChecked], disabled && ['is-disabled', styles.rootDisabled], !disabled && !checked && {
      selectors: {
        ':hover': styles.rootHovered,
        ':focus': styles.rootFocused,
        ':active': styles.rootPressed
      }
    }, disabled && checked && [styles.rootCheckedDisabled], !disabled && checked && {
      selectors: {
        ':hover': styles.rootCheckedHovered,
        ':active': styles.rootCheckedPressed
      }
    }],
    flexContainer: ['ms-Button-flexContainer', styles.flexContainer]
  });
});
var getClassNames$e = classNamesFunction();

var ColorPickerGridCellBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ColorPickerGridCellBase, _BaseComponent);

  var _super = _createSuper(ColorPickerGridCellBase);

  function ColorPickerGridCellBase() {
    _classCallCheck(this, ColorPickerGridCellBase);

    return _super.apply(this, arguments);
  }

  _createClass(ColorPickerGridCellBase, [{
    key: "isWhiteCell",
    value: function isWhiteCell(inputColor) {
      var color = getColorFromString(inputColor);
      return color.hex === 'ffffff';
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          color = this.color,
          circle = this.circle;
      return h(GridCell, {
        "class": classNames.colorCell
      }, [h("svg", {
        "class": classNames.svg,
        "attrs": {
          "viewBox": "0 0 20 20",
          "fill": getColorFromString(color).str
        }
      }, [circle ? h("circle", {
        "attrs": {
          "cx": "50%",
          "cy": "50%",
          "r": "50%"
        }
      }) : h("rect", {
        "attrs": {
          "width": "100%",
          "height": "100%"
        }
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          circle = this.circle,
          color = this.color,
          disabled = this.disabled,
          selected = this.selected,
          height = this.height,
          width = this.width,
          borderWidth = this.borderWidth;
      return getClassNames$e(styles, {
        theme: theme,
        disabled: disabled,
        selected: selected,
        circle: circle,
        isWhite: this.isWhiteCell(color),
        height: height,
        width: width,
        borderWidth: borderWidth
      });
    }
  }]);

  return ColorPickerGridCellBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], ColorPickerGridCellBase.prototype, "circle", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], ColorPickerGridCellBase.prototype, "color", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], ColorPickerGridCellBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], ColorPickerGridCellBase.prototype, "selected", void 0);

__decorate([Prop({
  type: Number,
  default: 20
}), __metadata("design:type", Number)], ColorPickerGridCellBase.prototype, "height", void 0);

__decorate([Prop({
  type: Number,
  default: 20
}), __metadata("design:type", Number)], ColorPickerGridCellBase.prototype, "width", void 0);

__decorate([Prop({
  type: Number,
  default: 2
}), __metadata("design:type", Number)], ColorPickerGridCellBase.prototype, "borderWidth", void 0);

ColorPickerGridCellBase = __decorate([Component({
  components: {
    GridCell: GridCell
  }
})], ColorPickerGridCellBase);

var ColorPickerGridCell = styled(ColorPickerGridCellBase, getStyles$n, undefined, {
  scope: 'ColorPickerGridCell'
});

var getClassNames$f = classNamesFunction();

var SwatchColorPickerBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(SwatchColorPickerBase, _BaseComponent);

  var _super = _createSuper(SwatchColorPickerBase);

  function SwatchColorPickerBase() {
    _classCallCheck(this, SwatchColorPickerBase);

    return _super.apply(this, arguments);
  }

  _createClass(SwatchColorPickerBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var colorCells = this.colorCells,
          columnCount = this.columnCount,
          cellShape = this.cellShape,
          cellWidth = this.cellWidth,
          cellHeight = this.cellHeight;
      return h(Grid, _mergeJSXProps([{
        "attrs": {
          "items": colorCells,
          "column-count": columnCount
        }
      }, {
        scopedSlots: {
          default: function _default(_ref) {
            var item = _ref.cell;
            return h(ColorPickerGridCell, {
              "attrs": {
                "color": item.color,
                "circle": cellShape === 'circle',
                "width": cellWidth,
                "height": cellHeight
              }
            });
          }
        }
      }]));
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles,
          className = this.className,
          cellMargin = this.cellMargin;
      return getClassNames$f(styles, {
        theme: theme,
        className: className,
        cellMargin: cellMargin
      });
    }
  }]);

  return SwatchColorPickerBase;
}(BaseComponent$1);

__decorate([Prop({
  default: 10
}), __metadata("design:type", Number)], SwatchColorPickerBase.prototype, "cellMargin", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], SwatchColorPickerBase.prototype, "colorCells", void 0);

__decorate([Prop({
  type: Number
}), __metadata("design:type", Number)], SwatchColorPickerBase.prototype, "columnCount", void 0);

__decorate([Prop({
  type: String,
  default: 'circle'
}), __metadata("design:type", String)], SwatchColorPickerBase.prototype, "cellShape", void 0);

__decorate([Prop({
  type: Number
}), __metadata("design:type", Number)], SwatchColorPickerBase.prototype, "cellHeight", void 0);

__decorate([Prop({
  type: Number
}), __metadata("design:type", Number)], SwatchColorPickerBase.prototype, "cellWidth", void 0);

SwatchColorPickerBase = __decorate([Component({
  components: {
    Grid: Grid,
    ColorPickerGridCell: ColorPickerGridCell
  },
  inheritAttrs: false
})], SwatchColorPickerBase);

var SwatchColorPicker = styled(SwatchColorPickerBase, getStyles$d, undefined, {
  scope: 'SwatchColorPicker'
});

var DEFAULT_PERSONA_SIZE = '32px';
var COMPACT_PERSONA_SIZE = '16px';
var DEFAULT_ICON_SIZE = '16px';
var COMPACT_ICON_SIZE = '13px';
var ANIMATION_INNER_DIMENSION = '4px';
var ANIMATION_OUTER_DIMENSION = '28px';
var ANIMATION_BORDER_WIDTH = '4px';
var getStyles$o = memoizeFunction(function () {
  var theme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getTheme();
  var customStyles = arguments.length > 1 ? arguments[1] : undefined;
  var animateBeaconSignal = arguments.length > 2 ? arguments[2] : undefined;
  var beaconColorOne = arguments.length > 3 ? arguments[3] : undefined;
  var beaconColorTwo = arguments.length > 4 ? arguments[4] : undefined;
  var isCompact = arguments.length > 5 ? arguments[5] : undefined;
  var continuousPulse = PulsingBeaconAnimationStyles.continuousPulseAnimationSingle(beaconColorOne || theme.palette.themePrimary, beaconColorTwo || theme.palette.themeTertiary, ANIMATION_INNER_DIMENSION, ANIMATION_OUTER_DIMENSION, ANIMATION_BORDER_WIDTH);
  var fadeIn = keyframes({
    from: {
      opacity: 0
    },
    to: {
      opacity: 1
    }
  });
  var slideIn = keyframes({
    from: {
      transform: 'translateX(-10px)'
    },
    to: {
      transform: 'translateX(0)'
    }
  });
  var continuousPulseAnimation = {
    animationName: continuousPulse,
    animationIterationCount: '1',
    animationDuration: '.8s',
    zIndex: 1
  };
  var slideInAnimation = {
    animationName: slideIn,
    animationIterationCount: '1',
    animationDuration: '.5s'
  };
  var fadeInAnimation = {
    animationName: fadeIn,
    animationIterationCount: '1',
    animationDuration: '.5s'
  };
  var ActivityItemStyles = {
    root: [theme.fonts.small, {
      display: 'flex',
      justifyContent: 'flex-start',
      alignItems: 'flex-start',
      boxSizing: 'border-box',
      color: theme.palette.neutralSecondary
    }, isCompact && animateBeaconSignal && fadeInAnimation],
    pulsingBeacon: [{
      position: 'absolute',
      top: '50%',
      left: '50%',
      transform: 'translate(-50%, -50%)',
      width: '0px',
      height: '0px',
      borderRadius: '225px',
      borderStyle: 'solid',
      opacity: 0
    }, isCompact && animateBeaconSignal && continuousPulseAnimation],
    isCompactRoot: {
      alignItems: 'center'
    },
    personaContainer: {
      display: 'flex',
      flexWrap: 'wrap',
      minWidth: DEFAULT_PERSONA_SIZE,
      width: DEFAULT_PERSONA_SIZE,
      height: DEFAULT_PERSONA_SIZE
    },
    isCompactPersonaContainer: {
      display: 'inline-flex',
      flexWrap: 'nowrap',
      flexBasis: 'auto',
      height: COMPACT_PERSONA_SIZE,
      width: 'auto',
      minWidth: '0',
      paddingRight: '6px'
    },
    activityTypeIcon: {
      height: DEFAULT_PERSONA_SIZE,
      fontSize: DEFAULT_ICON_SIZE,
      lineHeight: DEFAULT_ICON_SIZE,
      marginTop: '3px'
    },
    isCompactIcon: {
      height: COMPACT_PERSONA_SIZE,
      minWidth: COMPACT_PERSONA_SIZE,
      fontSize: COMPACT_ICON_SIZE,
      lineHeight: COMPACT_ICON_SIZE,
      color: theme.palette.themePrimary,
      marginTop: '1px',
      position: 'relative',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      selectors: {
        '.ms-Persona-imageArea': {
          margin: '-2px 0 0 -2px',
          border: '2px solid' + theme.palette.white,
          borderRadius: '50%',
          selectors: _defineProperty({}, HighContrastSelector, {
            border: 'none',
            margin: '0'
          })
        }
      }
    },
    activityPersona: {
      display: 'block'
    },
    doublePersona: {
      selectors: {
        ':first-child': {
          alignSelf: 'flex-end'
        }
      }
    },
    isCompactPersona: {
      display: 'inline-block',
      width: '8px',
      minWidth: '8px',
      overflow: 'visible'
    },
    activityContent: [{
      padding: '0 8px'
    }, isCompact && animateBeaconSignal && slideInAnimation],
    activityText: {
      display: 'inline'
    },
    isCompactContent: {
      flex: '1',
      padding: '0 4px',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      overflowX: 'hidden'
    },
    commentText: {
      color: theme.palette.neutralPrimary
    },
    timeStamp: [theme.fonts.tiny, {
      fontWeight: 400,
      color: theme.palette.neutralSecondary
    }],
    isCompactTimeStamp: {
      display: 'inline-block',
      paddingLeft: '0.3em',
      fontSize: '1em'
    }
  };
  return concatStyleSets(ActivityItemStyles, customStyles);
});

var getClassNames$g = memoizeFunction(function (styles, className, activityPersonas, isCompact) {
  return {
    root: mergeStyles('ms-ActivityItem', className, styles.root, isCompact && styles.isCompactRoot),
    pulsingBeacon: mergeStyles('ms-ActivityItem-pulsingBeacon', styles.pulsingBeacon),
    personaContainer: mergeStyles('ms-ActivityItem-personaContainer', styles.personaContainer, isCompact && styles.isCompactPersonaContainer),
    activityPersona: mergeStyles('ms-ActivityItem-activityPersona', styles.activityPersona, isCompact && styles.isCompactPersona, !isCompact && activityPersonas && activityPersonas.length === 2 && styles.doublePersona),
    activityTypeIcon: mergeStyles('ms-ActivityItem-activityTypeIcon', styles.activityTypeIcon, isCompact && styles.isCompactIcon),
    activityContent: mergeStyles('ms-ActivityItem-activityContent', styles.activityContent, isCompact && styles.isCompactContent),
    activityText: mergeStyles('ms-ActivityItem-activityText', styles.activityText),
    commentText: mergeStyles('ms-ActivityItem-commentText', styles.commentText),
    timeStamp: mergeStyles('ms-ActivityItem-timeStamp', styles.timeStamp, isCompact && styles.isCompactTimeStamp)
  };
});

/**
 * {@docCategory Persona}
 */
var PersonaSize;

(function (PersonaSize) {
  /**
   * `tiny` size has been deprecated in favor of standardized numeric sizing. Use `size8` instead.
   * @deprecated Use `size8` instead.
   */
  PersonaSize[PersonaSize["tiny"] = 0] = "tiny";
  /**
   *
   * `extraExtraSmall` size has been deprecated in favor of standardized numeric sizing. Use `size24` instead.
   * @deprecated Use `size24` instead.
   */

  PersonaSize[PersonaSize["extraExtraSmall"] = 1] = "extraExtraSmall";
  /**
   * `extraSmall` size has been deprecated in favor of standardized numeric sizing. Use `size32` instead.
   * @deprecated Use `size32` instead.
   */

  PersonaSize[PersonaSize["extraSmall"] = 2] = "extraSmall";
  /**
   * `small` size has been deprecated in favor of standardized numeric sizing. Use `size40` instead.
   * @deprecated Use `size40` instead.
   */

  PersonaSize[PersonaSize["small"] = 3] = "small";
  /**
   * `regular` size has been deprecated in favor of standardized numeric sizing. Use `size48` instead.
   * @deprecated Use `size48` instead.
   */

  PersonaSize[PersonaSize["regular"] = 4] = "regular";
  /**
   * `large` size has been deprecated in favor of standardized numeric sizing. Use `size72` instead.
   * @deprecated Use `size72` instead.
   */

  PersonaSize[PersonaSize["large"] = 5] = "large";
  /**
   * `extraLarge` size has been deprecated in favor of standardized numeric sizing. Use `size100` instead.
   * @deprecated Use `size100` instead.
   */

  PersonaSize[PersonaSize["extraLarge"] = 6] = "extraLarge";
  /**
   * No `PersonaCoin` is rendered.
   */

  PersonaSize[PersonaSize["size8"] = 17] = "size8";
  /**
   * No `PersonaCoin` is rendered. Deprecated in favor of `size8` to align with design specifications.
   * @deprecated Use `size8` instead. Will be removed in a future major release.
   */

  PersonaSize[PersonaSize["size10"] = 9] = "size10";
  /**
   * Renders a 16px `PersonaCoin`. Deprecated due to not being in the design specification.
   * @deprecated Will be removed in a future major release.
   */

  PersonaSize[PersonaSize["size16"] = 8] = "size16";
  /**
   * Renders a 24px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size24"] = 10] = "size24";
  /**
   * Renders a 28px `PersonaCoin`. Deprecated due to not being in the design specification.
   * @deprecated Will be removed in a future major release.
   */

  PersonaSize[PersonaSize["size28"] = 7] = "size28";
  /**
   * Renders a 32px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size32"] = 11] = "size32";
  /**
   * Renders a 40px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size40"] = 12] = "size40";
  /**
   * Renders a 48px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size48"] = 13] = "size48";
  /**
   * Renders a 56px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size56"] = 16] = "size56";
  /**
   * Renders a 72px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size72"] = 14] = "size72";
  /**
   * Renders a 100px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size100"] = 15] = "size100";
  /**
   * Renders a 120px `PersonaCoin`.
   */

  PersonaSize[PersonaSize["size120"] = 18] = "size120";
})(PersonaSize || (PersonaSize = {}));
/**
 * {@docCategory Persona}
 */


var PersonaPresence;

(function (PersonaPresence) {
  PersonaPresence[PersonaPresence["none"] = 0] = "none";
  PersonaPresence[PersonaPresence["offline"] = 1] = "offline";
  PersonaPresence[PersonaPresence["online"] = 2] = "online";
  PersonaPresence[PersonaPresence["away"] = 3] = "away";
  PersonaPresence[PersonaPresence["dnd"] = 4] = "dnd";
  PersonaPresence[PersonaPresence["blocked"] = 5] = "blocked";
  PersonaPresence[PersonaPresence["busy"] = 6] = "busy";
})(PersonaPresence || (PersonaPresence = {}));
/**
 * {@docCategory Persona}
 */


var PersonaInitialsColor;

(function (PersonaInitialsColor) {
  PersonaInitialsColor[PersonaInitialsColor["lightBlue"] = 0] = "lightBlue";
  PersonaInitialsColor[PersonaInitialsColor["blue"] = 1] = "blue";
  PersonaInitialsColor[PersonaInitialsColor["darkBlue"] = 2] = "darkBlue";
  PersonaInitialsColor[PersonaInitialsColor["teal"] = 3] = "teal";
  PersonaInitialsColor[PersonaInitialsColor["lightGreen"] = 4] = "lightGreen";
  PersonaInitialsColor[PersonaInitialsColor["green"] = 5] = "green";
  PersonaInitialsColor[PersonaInitialsColor["darkGreen"] = 6] = "darkGreen";
  PersonaInitialsColor[PersonaInitialsColor["lightPink"] = 7] = "lightPink";
  PersonaInitialsColor[PersonaInitialsColor["pink"] = 8] = "pink";
  PersonaInitialsColor[PersonaInitialsColor["magenta"] = 9] = "magenta";
  PersonaInitialsColor[PersonaInitialsColor["purple"] = 10] = "purple";
  /**
   * Black can result in offensive persona coins with some initials combinations, so it can only be set with overrides.
   * @deprecated will be removed in a future major release.
   */

  PersonaInitialsColor[PersonaInitialsColor["black"] = 11] = "black";
  PersonaInitialsColor[PersonaInitialsColor["orange"] = 12] = "orange";
  /**
   * Red often has a special meaning, so it is considered a reserved color and can only be set with overrides.
   * @deprecated will be removed in a future major release.
   */

  PersonaInitialsColor[PersonaInitialsColor["red"] = 13] = "red";
  PersonaInitialsColor[PersonaInitialsColor["darkRed"] = 14] = "darkRed";
  /**
   * Transparent is not intended to be used with typical initials due to accessibility issues.
   * Its primary use is for overflow buttons, so it is considered a reserved color and can only be set with overrides.
   */

  PersonaInitialsColor[PersonaInitialsColor["transparent"] = 15] = "transparent";
  PersonaInitialsColor[PersonaInitialsColor["violet"] = 16] = "violet";
  PersonaInitialsColor[PersonaInitialsColor["lightRed"] = 17] = "lightRed";
  PersonaInitialsColor[PersonaInitialsColor["gold"] = 18] = "gold";
  PersonaInitialsColor[PersonaInitialsColor["burgundy"] = 19] = "burgundy";
  PersonaInitialsColor[PersonaInitialsColor["warmGray"] = 20] = "warmGray";
  PersonaInitialsColor[PersonaInitialsColor["coolGray"] = 21] = "coolGray";
  /**
   * Gray can result in offensive persona coins with some initials combinations, so it can only be set with overrides.
   */

  PersonaInitialsColor[PersonaInitialsColor["gray"] = 22] = "gray";
  PersonaInitialsColor[PersonaInitialsColor["cyan"] = 23] = "cyan";
  PersonaInitialsColor[PersonaInitialsColor["rust"] = 24] = "rust";
})(PersonaInitialsColor || (PersonaInitialsColor = {}));

/**
 * Following colors are considered reserved colors and can only be set with overrides, so they are excluded from this set:
 * - `gray` and `black` are colors that can result in offensive persona coins with some initials combinations,
 *   so it can only be set with overrides.
 * - `red` is a color that often has a special meaning, so it is considered a reserved color and can only be set with overrides.
 * - `transparent` is not intended to be used with typical initials due to accessibility issues,
 *   its primary use is for Facepile overflow buttons.
 */

var COLOR_SWATCHES_LOOKUP = [PersonaInitialsColor.lightBlue, PersonaInitialsColor.blue, PersonaInitialsColor.darkBlue, PersonaInitialsColor.teal, PersonaInitialsColor.green, PersonaInitialsColor.darkGreen, PersonaInitialsColor.lightPink, PersonaInitialsColor.pink, PersonaInitialsColor.magenta, PersonaInitialsColor.purple, PersonaInitialsColor.orange, PersonaInitialsColor.lightRed, PersonaInitialsColor.darkRed, PersonaInitialsColor.violet, PersonaInitialsColor.gold, PersonaInitialsColor.burgundy, PersonaInitialsColor.warmGray, PersonaInitialsColor.cyan, PersonaInitialsColor.rust, PersonaInitialsColor.coolGray];
var COLOR_SWATCHES_NUM_ENTRIES = COLOR_SWATCHES_LOOKUP.length;

function getInitialsColorFromName(displayName) {
  var color = PersonaInitialsColor.blue;

  if (!displayName) {
    return color;
  }

  var hashCode = 0;

  for (var iLen = displayName.length - 1; iLen >= 0; iLen--) {
    var ch = displayName.charCodeAt(iLen);
    var shift = iLen % 8; // tslint:disable-next-line:no-bitwise

    hashCode ^= (ch << shift) + (ch >> 8 - shift);
  }

  color = COLOR_SWATCHES_LOOKUP[hashCode % COLOR_SWATCHES_NUM_ENTRIES];
  return color;
}

function personaInitialsColorToHexCode(personaInitialsColor) {
  switch (personaInitialsColor) {
    case PersonaInitialsColor.lightBlue:
      return '#4F6BED';

    case PersonaInitialsColor.blue:
      return '#0078D4';

    case PersonaInitialsColor.darkBlue:
      return '#004E8C';

    case PersonaInitialsColor.teal:
      return '#038387';

    case PersonaInitialsColor.lightGreen:
    case PersonaInitialsColor.green:
      return '#498205';

    case PersonaInitialsColor.darkGreen:
      return '#0B6A0B';

    case PersonaInitialsColor.lightPink:
      return '#C239B3';

    case PersonaInitialsColor.pink:
      return '#E3008C';

    case PersonaInitialsColor.magenta:
      return '#881798';

    case PersonaInitialsColor.purple:
      return '#5C2E91';

    case PersonaInitialsColor.orange:
      return '#CA5010';

    case PersonaInitialsColor.red:
      return '#EE1111';

    case PersonaInitialsColor.lightRed:
      return '#D13438';

    case PersonaInitialsColor.darkRed:
      return '#A4262C';

    case PersonaInitialsColor.transparent:
      return 'transparent';

    case PersonaInitialsColor.violet:
      return '#8764B8';

    case PersonaInitialsColor.gold:
      return '#986F0B';

    case PersonaInitialsColor.burgundy:
      return '#750B1C';

    case PersonaInitialsColor.warmGray:
      return '#7A7574';

    case PersonaInitialsColor.cyan:
      return '#005B70';

    case PersonaInitialsColor.rust:
      return '#8E562E';

    case PersonaInitialsColor.coolGray:
      return '#69797E';

    case PersonaInitialsColor.black:
      return '#1D1D1D';

    case PersonaInitialsColor.gray:
      return '#393939';
  }
}
/**
 * Gets the hex color string (prefixed with #) for the given persona props.
 * This is the logic used internally by the Persona control.
 * @param props - Current persona props
 * @returns Hex color string prefixed with #
 */

function getPersonaInitialsColor(props) {
  var primaryText = props.primaryText,
      text = props.text;
  var initialsColor = props.initialsColor;
  var initialsColorCode;

  if (typeof initialsColor === 'string') {
    initialsColorCode = initialsColor;
  } else {
    initialsColor = initialsColor !== undefined ? initialsColor : getInitialsColorFromName(text || primaryText);
    initialsColorCode = personaInitialsColorToHexCode(initialsColor);
  }

  return initialsColorCode;
}

var _sizeToPixels;

var personaSize;

(function (personaSize) {
  personaSize.size8 = '20px'; // TODO: remove in a future major release as it's deprecated.

  personaSize.size10 = '20px'; // TODO: remove in a future major release as it's deprecated.

  personaSize.size16 = '16px';
  personaSize.size24 = '24px'; // TODO: remove in a future major release as it's deprecated.

  personaSize.size28 = '28px';
  personaSize.size32 = '32px';
  personaSize.size40 = '40px';
  personaSize.size48 = '48px';
  personaSize.size56 = '56px';
  personaSize.size72 = '72px';
  personaSize.size100 = '100px';
  personaSize.size120 = '120px';
})(personaSize || (personaSize = {})); // Persona Presence Sizes


var personaPresenceSize;

(function (personaPresenceSize) {
  personaPresenceSize.size6 = '6px';
  personaPresenceSize.size8 = '8px';
  personaPresenceSize.size12 = '12px';
  personaPresenceSize.size16 = '16px';
  personaPresenceSize.size20 = '20px';
  personaPresenceSize.size28 = '28px';
  personaPresenceSize.size32 = '32px';
  /**
   * @deprecated This is now unused
   */

  personaPresenceSize.border = '2px';
})(personaPresenceSize || (personaPresenceSize = {})); // TODO: remove the deprecated parts in a future major release.


var sizeBoolean = function sizeBoolean(size) {
  return {
    isSize8: size === PersonaSize.size8,
    isSize10: size === PersonaSize.size10 || size === PersonaSize.tiny,
    isSize16: size === PersonaSize.size16,
    isSize24: size === PersonaSize.size24 || size === PersonaSize.extraExtraSmall,
    isSize28: size === PersonaSize.size28 || size === PersonaSize.extraSmall,
    isSize32: size === PersonaSize.size32,
    isSize40: size === PersonaSize.size40 || size === PersonaSize.small,
    isSize48: size === PersonaSize.size48 || size === PersonaSize.regular,
    isSize56: size === PersonaSize.size56,
    isSize72: size === PersonaSize.size72 || size === PersonaSize.large,
    isSize100: size === PersonaSize.size100 || size === PersonaSize.extraLarge,
    isSize120: size === PersonaSize.size120
  };
};
var sizeToPixels = (_sizeToPixels = {}, _defineProperty(_sizeToPixels, PersonaSize.tiny, 10), _defineProperty(_sizeToPixels, PersonaSize.extraExtraSmall, 24), _defineProperty(_sizeToPixels, PersonaSize.extraSmall, 28), _defineProperty(_sizeToPixels, PersonaSize.small, 40), _defineProperty(_sizeToPixels, PersonaSize.regular, 48), _defineProperty(_sizeToPixels, PersonaSize.large, 72), _defineProperty(_sizeToPixels, PersonaSize.extraLarge, 100), _defineProperty(_sizeToPixels, PersonaSize.size8, 8), _defineProperty(_sizeToPixels, PersonaSize.size10, 10), _defineProperty(_sizeToPixels, PersonaSize.size16, 16), _defineProperty(_sizeToPixels, PersonaSize.size24, 24), _defineProperty(_sizeToPixels, PersonaSize.size28, 28), _defineProperty(_sizeToPixels, PersonaSize.size32, 32), _defineProperty(_sizeToPixels, PersonaSize.size40, 40), _defineProperty(_sizeToPixels, PersonaSize.size48, 48), _defineProperty(_sizeToPixels, PersonaSize.size56, 56), _defineProperty(_sizeToPixels, PersonaSize.size72, 72), _defineProperty(_sizeToPixels, PersonaSize.size100, 100), _defineProperty(_sizeToPixels, PersonaSize.size120, 120), _sizeToPixels);
var presenceBoolean = function presenceBoolean(presence) {
  return {
    isAvailable: presence === PersonaPresence.online,
    isAway: presence === PersonaPresence.away,
    isBlocked: presence === PersonaPresence.blocked,
    isBusy: presence === PersonaPresence.busy,
    isDoNotDisturb: presence === PersonaPresence.dnd,
    isOffline: presence === PersonaPresence.offline
  };
};

var coinSizeFontScaleFactor = 6;
var coinSizePresenceScaleFactor = 3;
var presenceMaxSize = 40;
var presenceFontMaxSize = 20;
var getClassNames$h = classNamesFunction({
  // There can be many PersonaPresence rendered with different sizes.
  // Therefore setting a larger cache size.
  cacheSize: 100
});

var PersonaPresenceBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(PersonaPresenceBase, _BaseComponent);

  var _super = _createSuper(PersonaPresenceBase);

  function PersonaPresenceBase() {
    var _this;

    _classCallCheck(this, PersonaPresenceBase);

    _this = _super.apply(this, arguments);
    _this.PersonaPresenceEnum = PersonaPresence;
    return _this;
  }

  _createClass(PersonaPresenceBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          presence = this.presence,
          presenceTitle = this.presenceTitle,
          coinSizeWithPresenceStyle = this.coinSizeWithPresenceStyle,
          coinSizeWithPresenceIconStyle = this.coinSizeWithPresenceIconStyle,
          icon = this.icon,
          renderIcon = this.renderIcon;
      if (presence === PersonaPresence.none) return;
      return h("div", {
        "class": classNames.presence,
        "attrs": {
          "title": presenceTitle
        },
        "style": coinSizeWithPresenceStyle
      }, [renderIcon && h(Icon$2, {
        "class": classNames.presenceIcon,
        "attrs": {
          "icon-name": icon
        },
        "style": coinSizeWithPresenceIconStyle
      })]);
    }
  }, {
    key: "renderIcon",
    get: function get() {
      var coinSize = this.coinSize;
      var size = sizeBoolean(this.size);
      return !(size.isSize8 || size.isSize10 || size.isSize16 || size.isSize24 || size.isSize28 || size.isSize32) && (coinSize ? coinSize > 32 : true);
    }
  }, {
    key: "presenceHeightWidth",
    get: function get() {
      var coinSize = this.coinSize;
      var presenceHeightWidth = coinSize ? coinSize / coinSizePresenceScaleFactor < presenceMaxSize ? coinSize / coinSizePresenceScaleFactor + 'px' : presenceMaxSize + 'px' : '';
      return presenceHeightWidth;
    }
  }, {
    key: "coinSizeWithPresenceStyle",
    get: function get() {
      var coinSize = this.coinSize,
          presenceHeightWidth = this.presenceHeightWidth;
      return coinSize ? {
        width: presenceHeightWidth,
        height: presenceHeightWidth
      } : undefined;
    }
  }, {
    key: "coinSizeWithPresenceIconStyle",
    get: function get() {
      var coinSize = this.coinSize,
          isOutOfOffice = this.isOutOfOffice,
          styles = this.styles,
          presence = this.presence,
          presenceTitle = this.presenceTitle,
          presenceHeightWidth = this.presenceHeightWidth;
      var size = sizeBoolean(this.size);
      var presenceFontSize = coinSize ? coinSize / coinSizeFontScaleFactor < presenceFontMaxSize ? coinSize / coinSizeFontScaleFactor + 'px' : presenceFontMaxSize + 'px' : '';
      return coinSize ? {
        fontSize: presenceFontSize,
        lineHeight: presenceHeightWidth
      } : undefined;
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          presence = this.presence,
          size = this.size,
          isOutOfOffice = this.isOutOfOffice;
      return getClassNames$h(styles, {
        theme: theme,
        presence: presence,
        size: size,
        isOutOfOffice: isOutOfOffice
      });
    }
  }, {
    key: "icon",
    get: function get() {
      var presence = this.presence,
          isOutOfOffice = this.isOutOfOffice;

      if (!presence) {
        return undefined;
      }

      var oofIcon = 'SkypeArrow';

      switch (PersonaPresence[presence]) {
        case 'online':
          return 'SkypeCheck';

        case 'away':
          return isOutOfOffice ? oofIcon : 'SkypeClock';

        case 'dnd':
          return 'SkypeMinus';

        case 'offline':
          return isOutOfOffice ? oofIcon : '';
      }

      return '';
    }
  }]);

  return PersonaPresenceBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Number,
  required: true
}), __metadata("design:type", Number)], PersonaPresenceBase.prototype, "presence", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaPresenceBase.prototype, "size", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaPresenceBase.prototype, "isOutOfOffice", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaPresenceBase.prototype, "coinSize", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaPresenceBase.prototype, "presenceTitle", void 0);

PersonaPresenceBase = __decorate([Component({
  components: {
    Icon: Icon$2
  },
  name: 'PersonaPresence'
})], PersonaPresenceBase);

var GlobalClassNames$b = {
  presence: 'ms-Persona-presence',
  presenceIcon: 'ms-Persona-presenceIcon'
};
var getStyles$p = function getStyles(props) {
  var theme = props.theme;
  var semanticColors = theme.semanticColors,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$b, theme);
  var size = sizeBoolean(props.size);
  var presence = presenceBoolean(props.presence); // Presence colors

  var presenceColorAvailable = '#6BB700';
  var presenceColorAway = '#FFAA44';
  var presenceColorBusy = '#C43148';
  var presenceColorDnd = '#C50F1F';
  var presenceColorOffline = '#8A8886';
  var presenceColorOof = '#B4009E';
  var isOpenCirclePresence = presence.isOffline || props.isOutOfOffice && (presence.isAvailable || presence.isBusy || presence.isAway || presence.isDoNotDisturb);
  var borderSizeForSmallPersonas = '1px';
  var borderSizeForLargePersonas = '2px';
  var borderSize = size.isSize72 || size.isSize100 ? borderSizeForLargePersonas : borderSizeForSmallPersonas;
  return {
    presence: [classNames.presence, {
      position: 'absolute',
      height: personaPresenceSize.size12,
      width: personaPresenceSize.size12,
      borderRadius: '50%',
      top: 'auto',
      right: '-2px',
      bottom: '-2px',
      border: "2px solid ".concat(semanticColors.bodyBackground),
      textAlign: 'center',
      boxSizing: 'content-box',
      backgroundClip: 'content-box',
      MsHighContrastAdjust: 'none',
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'Window',
        backgroundColor: 'WindowText'
      })
    }, (size.isSize8 || size.isSize10) && {
      right: 'auto',
      top: '7px',
      left: 0,
      border: 0,
      selectors: _defineProperty({}, HighContrastSelector, {
        top: '9px',
        border: '1px solid WindowText'
      })
    }, (size.isSize8 || size.isSize10 || size.isSize24 || size.isSize28 || size.isSize32) && makeSizeStyle(personaPresenceSize.size8), (size.isSize40 || size.isSize48) && makeSizeStyle(personaPresenceSize.size12), size.isSize16 && {
      height: personaPresenceSize.size6,
      width: personaPresenceSize.size6,
      borderWidth: '1.5px'
    }, size.isSize56 && makeSizeStyle(personaPresenceSize.size16), size.isSize72 && makeSizeStyle(personaPresenceSize.size20), size.isSize100 && makeSizeStyle(personaPresenceSize.size28), size.isSize120 && makeSizeStyle(personaPresenceSize.size32), presence.isAvailable && {
      backgroundColor: presenceColorAvailable,
      selectors: _defineProperty({}, HighContrastSelector, backgroundColor('Highlight'))
    }, presence.isAway && backgroundColor(presenceColorAway), presence.isBlocked && [{
      selectors: _defineProperty({
        // Only show :after at larger sizes
        ':after': size.isSize40 || size.isSize48 || size.isSize72 || size.isSize100 ? {
          content: '""',
          width: '100%',
          height: borderSize,
          backgroundColor: presenceColorBusy,
          transform: 'translateY(-50%) rotate(-45deg)',
          position: 'absolute',
          top: '50%',
          left: 0
        } : undefined
      }, HighContrastSelector, {
        selectors: {
          ':after': {
            width: "calc(100% - 4px)",
            left: '2px',
            backgroundColor: 'Window'
          }
        }
      })
    }], presence.isBusy && backgroundColor(presenceColorBusy), presence.isDoNotDisturb && backgroundColor(presenceColorDnd), presence.isOffline && backgroundColor(presenceColorOffline), (isOpenCirclePresence || presence.isBlocked) && [{
      backgroundColor: semanticColors.bodyBackground,
      selectors: _defineProperty({
        ':before': {
          content: '""',
          width: '100%',
          height: '100%',
          position: 'absolute',
          top: 0,
          left: 0,
          border: "".concat(borderSize, " solid ").concat(presenceColorBusy),
          borderRadius: '50%',
          boxSizing: 'border-box'
        }
      }, HighContrastSelector, {
        backgroundColor: 'WindowText',
        selectors: {
          ':before': {
            width: "calc(100% - 2px)",
            height: "calc(100% - 2px)",
            top: '1px',
            left: '1px',
            borderColor: 'Window'
          }
        }
      })
    }], isOpenCirclePresence && presence.isAvailable && makeBeforeBorderStyle(borderSize, presenceColorAvailable), isOpenCirclePresence && presence.isBusy && makeBeforeBorderStyle(borderSize, presenceColorBusy), isOpenCirclePresence && presence.isAway && makeBeforeBorderStyle(borderSize, presenceColorOof), isOpenCirclePresence && presence.isDoNotDisturb && makeBeforeBorderStyle(borderSize, presenceColorDnd), isOpenCirclePresence && presence.isOffline && makeBeforeBorderStyle(borderSize, presenceColorOffline), isOpenCirclePresence && presence.isOffline && props.isOutOfOffice && makeBeforeBorderStyle(borderSize, presenceColorOof)],
    presenceIcon: [classNames.presenceIcon, {
      color: semanticColors.bodyBackground,
      fontSize: '6px',
      lineHeight: personaPresenceSize.size12,
      verticalAlign: 'top',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'Window'
      })
    }, size.isSize56 && {
      fontSize: '8px',
      lineHeight: personaPresenceSize.size16
    }, size.isSize72 && {
      fontSize: fonts.small.fontSize,
      lineHeight: personaPresenceSize.size20
    }, size.isSize100 && {
      fontSize: fonts.medium.fontSize,
      lineHeight: personaPresenceSize.size28
    }, size.isSize120 && {
      fontSize: fonts.medium.fontSize,
      lineHeight: personaPresenceSize.size32
    }, presence.isAway && {
      position: 'relative',
      left: isOpenCirclePresence ? undefined : '1px'
    }, isOpenCirclePresence && presence.isAvailable && makeOpenCircleIconStyle(presenceColorAvailable), isOpenCirclePresence && presence.isBusy && makeOpenCircleIconStyle(presenceColorBusy), isOpenCirclePresence && presence.isAway && makeOpenCircleIconStyle(presenceColorOof), isOpenCirclePresence && presence.isDoNotDisturb && makeOpenCircleIconStyle(presenceColorDnd), isOpenCirclePresence && presence.isOffline && makeOpenCircleIconStyle(presenceColorOffline), isOpenCirclePresence && presence.isOffline && props.isOutOfOffice && makeOpenCircleIconStyle(presenceColorOof)]
  };
};

function makeOpenCircleIconStyle(color) {
  return {
    color: color,
    borderColor: color
  };
}

function makeBeforeBorderStyle(borderSize, color) {
  return {
    selectors: {
      ':before': {
        border: "".concat(borderSize, " solid ").concat(color)
      }
    }
  };
}

function makeSizeStyle(size) {
  return {
    height: size,
    width: size
  };
}

function backgroundColor(color) {
  return {
    backgroundColor: color
  };
}

var PersonaPresence$1 = styled(PersonaPresenceBase, getStyles$p, undefined, {
  scope: 'PersonaPresence'
});

var ImageFit;

(function (ImageFit) {
  /**
   * The image is not scaled. The image is centered and cropped within the content box.
   */
  ImageFit[ImageFit["center"] = 0] = "center";
  /**
   * The image is scaled to maintain its aspect ratio while being fully contained within the frame. The image will
   * be centered horizontally and vertically within the frame. The space in the top and bottom or in the sides of
   * the frame will be empty depending on the difference in aspect ratio between the image and the frame.
   */

  ImageFit[ImageFit["contain"] = 1] = "contain";
  /**
   * The image is scaled to maintain its aspect ratio while filling the frame. Portions of the image will be cropped from
   * the top and bottom, or from the sides, depending on the difference in aspect ratio between the image and the frame.
   */

  ImageFit[ImageFit["cover"] = 2] = "cover";
  /**
   * Neither the image nor the frame are scaled. If their sizes do not match, the image will either be cropped or the
   * frame will have empty space.
   */

  ImageFit[ImageFit["none"] = 3] = "none";
  /**
   * The image will be centered horizontally and vertically within the frame and maintains its aspect ratio. It will
   * behave as ImageFit.center if the image's natural height or width is less than the Image frame's height or width,
   * but if both natural height and width are larger than the frame it will behave as ImageFit.cover.
   */

  ImageFit[ImageFit["centerCover"] = 4] = "centerCover";
  /**
   * The image will be centered horizontally and vertically within the frame and maintains its aspect ratio. It will
   * behave as ImageFit.center if the image's natural height and width is less than the Image frame's height and width,
   * but if either natural height or width are larger than the frame it will behave as ImageFit.contain.
   */

  ImageFit[ImageFit["centerContain"] = 5] = "centerContain";
})(ImageFit || (ImageFit = {}));

var ImageLoadState;

(function (ImageLoadState) {
  /**
   * The image has not yet been loaded, and there is no error yet.
   */
  ImageLoadState[ImageLoadState["notLoaded"] = 0] = "notLoaded";
  /**
   * The image has been loaded successfully.
   */

  ImageLoadState[ImageLoadState["loaded"] = 1] = "loaded";
  /**
   * An error has been encountered while loading the image.
   */

  ImageLoadState[ImageLoadState["error"] = 2] = "error";
  /**
   * Deprecated at v1.3.6, to replace the src in case of errors, use `onLoadingStateChange` instead
   * and rerender the Image with a difference src.
   * @deprecated Use `onLoadingStateChange` instead
   * and rerender the Image with a difference src.
   */

  ImageLoadState[ImageLoadState["errorLoaded"] = 3] = "errorLoaded";
})(ImageLoadState || (ImageLoadState = {}));

var ImageCoverStyle;

(function (ImageCoverStyle) {
  /**
   * The image will be shown at 100% height of container and the width will be scaled accordingly
   */
  ImageCoverStyle[ImageCoverStyle["landscape"] = 0] = "landscape";
  /**
   * The image will be shown at 100% width of container and the height will be scaled accordingly
   */

  ImageCoverStyle[ImageCoverStyle["portrait"] = 1] = "portrait";
})(ImageCoverStyle || (ImageCoverStyle = {}));

var getClassNames$i = classNamesFunction();

var ImageBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ImageBase, _BaseComponent);

  var _super = _createSuper(ImageBase);

  function ImageBase() {
    var _this;

    _classCallCheck(this, ImageBase);

    _this = _super.apply(this, arguments);
    _this.loadState = ImageLoadState.notLoaded;
    return _this;
  }

  _createClass(ImageBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          src = this.src,
          alt = this.alt,
          width = this.width,
          height = this.height;
      return h("div", {
        "class": classNames.root,
        "style": {
          width: width + 'px',
          height: height + 'px'
        }
      }, [h("img", _mergeJSXProps([{}, this.$attrs, {
        "class": classNames.image,
        "attrs": {
          "src": src,
          "alt": alt
        },
        "on": {
          "load": this.onImageLoaded,
          "error": this.onImageError
        }
      }]))]);
    }
  }, {
    key: "onImageLoaded",
    value: function onImageLoaded() {
      this.loadState = ImageLoadState.loaded;
    }
  }, {
    key: "onImageError",
    value: function onImageError() {
      this.loadState = ImageLoadState.error;
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          loadState = this.loadState,
          coverStyle = this.coverStyle,
          imageFit = this.imageFit,
          theme = this.theme,
          className = this.className,
          width = this.width,
          height = this.height,
          maximizeFrame = this.maximizeFrame,
          shouldFadeIn = this.shouldFadeIn,
          shouldStartVisible = this.shouldStartVisible;
      return getClassNames$i(styles, {
        theme: theme,
        className: className,
        width: width,
        height: height,
        maximizeFrame: maximizeFrame,
        shouldFadeIn: shouldFadeIn,
        shouldStartVisible: shouldStartVisible,
        isLoaded: loadState === ImageLoadState.loaded || loadState === ImageLoadState.notLoaded && shouldStartVisible,
        isLandscape: coverStyle === ImageCoverStyle.landscape,
        isCenter: imageFit === ImageFit.center,
        isCenterContain: imageFit === ImageFit.centerContain,
        isCenterCover: imageFit === ImageFit.centerCover,
        isContain: imageFit === ImageFit.contain,
        isCover: imageFit === ImageFit.cover,
        isNone: imageFit === ImageFit.none,
        isError: loadState === ImageLoadState.error,
        isNotImageFit: imageFit == null
      });
    }
  }]);

  return ImageBase;
}(BaseComponent$1);

ImageBase.svgRegex = /\.svg$/i;

__decorate([Prop({
  type: String,
  required: true
}), __metadata("design:type", String)], ImageBase.prototype, "src", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ImageBase.prototype, "alt", void 0);

__decorate([Prop({
  type: [String, Number],
  default: ''
}), __metadata("design:type", Object)], ImageBase.prototype, "width", void 0);

__decorate([Prop({
  type: [String, Number],
  default: ''
}), __metadata("design:type", Object)], ImageBase.prototype, "height", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], ImageBase.prototype, "imageFit", void 0);

__decorate([Prop({
  type: Boolean,
  default: null
}), __metadata("design:type", Boolean)], ImageBase.prototype, "maximizeFrame", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], ImageBase.prototype, "shouldFadeIn", void 0);

__decorate([Prop({
  type: Boolean,
  default: null
}), __metadata("design:type", Boolean)], ImageBase.prototype, "shouldStartVisible", void 0);

__decorate([Prop({
  type: Number,
  default: ImageCoverStyle.portrait
}), __metadata("design:type", Number)], ImageBase.prototype, "coverStyle", void 0);

ImageBase = __decorate([Component({
  inheritAttrs: false
})], ImageBase);

var GlobalClassNames$c = {
  root: 'ms-Image',
  rootMaximizeFrame: 'ms-Image--maximizeFrame',
  image: 'ms-Image-image',
  imageCenter: 'ms-Image-image--center',
  imageContain: 'ms-Image-image--contain',
  imageCover: 'ms-Image-image--cover',
  imageCenterContain: 'ms-Image-image--centerContain',
  imageCenterCover: 'ms-Image-image--centerCover',
  imageNone: 'ms-Image-image--none',
  imageLandscape: 'ms-Image-image--landscape',
  imagePortrait: 'ms-Image-image--portrait'
};
var getStyles$q = function getStyles(props) {
  var className = props.className,
      width = props.width,
      height = props.height,
      maximizeFrame = props.maximizeFrame,
      isLoaded = props.isLoaded,
      shouldFadeIn = props.shouldFadeIn,
      shouldStartVisible = props.shouldStartVisible,
      isLandscape = props.isLandscape,
      isCenter = props.isCenter,
      isContain = props.isContain,
      isCover = props.isCover,
      isCenterContain = props.isCenterContain,
      isCenterCover = props.isCenterCover,
      isNone = props.isNone,
      isError = props.isError,
      isNotImageFit = props.isNotImageFit,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$c, theme);
  var ImageFitStyles = {
    position: 'absolute',
    left: '50% /* @noflip */',
    top: '50%',
    transform: 'translate(-50%,-50%)'
  }; // Cut the mustard using msMaxTouchPoints to detect IE11 which does not support CSS object-fit

  var window = getWindow();
  var supportsObjectFit = window !== undefined && window.navigator.msMaxTouchPoints === undefined;
  var fallbackObjectFitStyles = isContain && isLandscape || isCover && !isLandscape ? {
    width: '100%',
    height: 'auto'
  } : {
    width: 'auto',
    height: '100%'
  };
  return {
    root: [classNames.root, theme.fonts.medium, {
      overflow: 'hidden'
    }, maximizeFrame && [classNames.rootMaximizeFrame, {
      height: '100%',
      width: '100%'
    }], isLoaded && shouldFadeIn && !shouldStartVisible && AnimationClassNames.fadeIn400, (isCenter || isContain || isCover || isCenterContain || isCenterCover) && {
      position: 'relative'
    }, className],
    image: [classNames.image, {
      display: 'block',
      opacity: 0
    }, isLoaded && ['is-loaded', {
      opacity: 1
    }], isCenter && [classNames.imageCenter, ImageFitStyles], isContain && [classNames.imageContain, supportsObjectFit && {
      width: '100%',
      height: '100%',
      objectFit: 'contain'
    }, !supportsObjectFit && fallbackObjectFitStyles, ImageFitStyles], isCover && [classNames.imageCover, supportsObjectFit && {
      width: '100%',
      height: '100%',
      objectFit: 'cover'
    }, !supportsObjectFit && fallbackObjectFitStyles, ImageFitStyles], isCenterContain && [classNames.imageCenterContain, isLandscape && {
      maxWidth: '100%'
    }, !isLandscape && {
      maxHeight: '100%'
    }, ImageFitStyles], isCenterCover && [classNames.imageCenterCover, isLandscape && {
      maxHeight: '100%'
    }, !isLandscape && {
      maxWidth: '100%'
    }, ImageFitStyles], isNone && [classNames.imageNone, {
      width: 'auto',
      height: 'auto'
    }], isNotImageFit && [!!width && !height && {
      height: 'auto',
      width: '100%'
    }, !width && !!height && {
      height: '100%',
      width: 'auto'
    }, !!width && !!height && {
      height: '100%',
      width: '100%'
    }], isLandscape && classNames.imageLandscape, !isLandscape && classNames.imagePortrait, !isLoaded && 'is-notLoaded', shouldFadeIn && 'is-fadeIn', isError && 'is-error']
  };
};

var Image = styled(ImageBase, getStyles$q, undefined, {
  scope: 'Image'
});

var getClassNames$j = classNamesFunction({
  // There can be many PersonaCoin rendered with different sizes.
  // Therefore setting a larger cache size.
  cacheSize: 100
});

var PersonaCoinBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(PersonaCoinBase, _BaseComponent);

  var _super = _createSuper(PersonaCoinBase);

  function PersonaCoinBase() {
    var _this;

    _classCallCheck(this, PersonaCoinBase);

    _this = _super.apply(this, arguments);
    _this.mergeStyles = mergeStyles;
    _this.getPersonaInitialsColor = getPersonaInitialsColor;
    _this.PersonaSize = PersonaSize;
    _this.ImageFit = ImageFit;
    return _this;
  }

  _createClass(PersonaCoinBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          size = this.size,
          initials = this.initials,
          presence = this.presence,
          personaPresenceProps = this.personaPresenceProps,
          coinSizeStyle = this.coinSizeStyle,
          shouldRenderInitials = this.shouldRenderInitials,
          showUnknownPersonaCoin = this.showUnknownPersonaCoin,
          imageUrl = this.imageUrl,
          dimension = this.dimension;
      return h("div", {
        "attrs": {
          "role": "presentation"
        },
        "class": classNames.coin
      }, [size !== PersonaSize.size8 ? h("div", {
        "attrs": {
          "role": "presentation"
        },
        "class": classNames.imageArea,
        "style": coinSizeStyle
      }, [shouldRenderInitials && h("div", {
        "class": mergeStyles(classNames.initials, !showUnknownPersonaCoin && {
          backgroundColor: getPersonaInitialsColor(this.$props)
        }),
        "style": coinSizeStyle,
        "attrs": {
          "aria-hidden": "true"
        }
      }, [initials ? h("span", [initials]) : h(Icon$2, {
        "attrs": {
          "icon-name": "Contact"
        }
      })]), imageUrl && h(Image, {
        "class": classNames.image,
        "attrs": {
          "image-fit": ImageFit.cover,
          "src": imageUrl,
          "width": dimension,
          "height": dimension
        }
      }), h(PersonaPresence$1, {
        "props": _objectSpread2({}, personaPresenceProps)
      })]) : presence ? h(PersonaPresence$1, {
        "props": _objectSpread2({}, personaPresenceProps)
      }) : h(Icon$2, {
        "attrs": {
          "icon-name": "Contact"
        },
        "class": classNames.size10WithoutPresenceIcon
      }), this.$slots.default]);
    }
  }, {
    key: "initials",
    get: function get() {
      var imageInitials = this.imageInitials,
          allowPhoneInitials = this.allowPhoneInitials,
          showUnknownPersonaCoin = this.showUnknownPersonaCoin;
      var isRTL = getRTL(this.theme);
      return imageInitials || getInitials(this.text, isRTL, allowPhoneInitials);
    }
  }, {
    key: "dimension",
    get: function get() {
      var coinSize = this.coinSize,
          size = this.size;
      return coinSize || sizeToPixels[size];
    }
  }, {
    key: "personaPresenceProps",
    get: function get() {
      var coinSize = this.coinSize,
          theme = this.theme,
          isOutOfOffice = this.isOutOfOffice,
          presence = this.presence,
          presenceTitle = this.presenceTitle,
          size = this.size;
      return {
        coinSize: coinSize,
        isOutOfOffice: isOutOfOffice,
        presence: presence,
        presenceTitle: presenceTitle,
        size: size,
        theme: theme
      };
    }
  }, {
    key: "shouldRenderInitials",
    get: function get() {
      return !this.imageUrl;
    }
  }, {
    key: "coinSizeStyle",
    get: function get() {
      var coinSize = this.coinSize;
      return coinSize ? {
        width: coinSize,
        height: coinSize
      } : undefined;
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className,
          coinProps = this.coinProps,
          size = this.size,
          coinSize = this.coinSize,
          showUnknownPersonaCoin = this.showUnknownPersonaCoin;
      return getClassNames$j(styles, {
        theme: theme,
        className: coinProps && coinProps.className ? coinProps.className : className,
        size: size,
        coinSize: coinSize,
        showUnknownPersonaCoin: showUnknownPersonaCoin
      });
    }
  }]);

  return PersonaCoinBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PersonaCoinBase.prototype, "allowPhoneInitials", void 0);

__decorate([Prop({
  type: Number,
  default: PersonaPresence.none
}), __metadata("design:type", Number)], PersonaCoinBase.prototype, "presence", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], PersonaCoinBase.prototype, "size", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], PersonaCoinBase.prototype, "coinSize", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "coinProps", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "showUnknownPersonaCoin", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "isOutOfOffice", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "presenceTitle", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "imageUrl", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "imageInitials", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "text", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PersonaCoinBase.prototype, "initialsColor", void 0);

PersonaCoinBase = __decorate([Component({
  inheritAttrs: false,
  components: {
    Icon: Icon$2,
    OImage: Image,
    PersonaPresence: PersonaPresence$1
  }
})], PersonaCoinBase);

var GlobalClassNames$d = {
  coin: 'ms-Persona-coin',
  imageArea: 'ms-Persona-imageArea',
  image: 'ms-Persona-image',
  initials: 'ms-Persona-initials',
  size8: 'ms-Persona--size8',
  size10: 'ms-Persona--size10',
  size16: 'ms-Persona--size16',
  size24: 'ms-Persona--size24',
  size28: 'ms-Persona--size28',
  size32: 'ms-Persona--size32',
  size40: 'ms-Persona--size40',
  size48: 'ms-Persona--size48',
  size56: 'ms-Persona--size56',
  size72: 'ms-Persona--size72',
  size100: 'ms-Persona--size100',
  size120: 'ms-Persona--size120'
};
var getStyles$r = function getStyles(props) {
  var _selectors;

  var className = props.className,
      theme = props.theme,
      coinSize = props.coinSize;
  var palette = theme.palette,
      fonts = theme.fonts;
  var size = sizeBoolean(props.size);
  var classNames = getGlobalClassNames(GlobalClassNames$d, theme); // Static colors used when displaying 'unknown persona' coin

  var unknownPersonaBackgroundColor = 'rgb(234, 234, 234)';
  var unknownPersonaFontColor = 'rgb(168, 0, 0)';
  var dimension = coinSize || props.size && sizeToPixels[props.size] || 48;
  return {
    coin: [classNames.coin, fonts.medium, size.isSize8 && classNames.size8, size.isSize10 && classNames.size10, size.isSize16 && classNames.size16, size.isSize24 && classNames.size24, size.isSize28 && classNames.size28, size.isSize32 && classNames.size32, size.isSize40 && classNames.size40, size.isSize48 && classNames.size48, size.isSize56 && classNames.size56, size.isSize72 && classNames.size72, size.isSize100 && classNames.size100, size.isSize120 && classNames.size120, className],
    size10WithoutPresenceIcon: {
      fontSize: fonts.xSmall.fontSize,
      position: 'absolute',
      top: '5px',
      right: 'auto',
      left: 0
    },
    imageArea: [classNames.imageArea, {
      position: 'relative',
      textAlign: 'center',
      flex: '0 0 auto',
      height: dimension,
      width: dimension
    }, dimension <= 10 && {
      overflow: 'visible',
      background: 'transparent',
      height: 0,
      width: 0
    }],
    image: [classNames.image, {
      marginRight: '10px',
      position: 'absolute',
      top: 0,
      left: 0,
      width: '100%',
      height: '100%',
      border: 0,
      borderRadius: '50%',
      perspective: '1px'
    }, dimension <= 10 && {
      overflow: 'visible',
      background: 'transparent',
      height: 0,
      width: 0
    }, dimension > 10 && {
      height: dimension,
      width: dimension
    }],
    initials: [classNames.initials, {
      borderRadius: '50%',
      color: props.showUnknownPersonaCoin ? unknownPersonaFontColor : palette.white,
      fontSize: fonts.large.fontSize,
      fontWeight: FontWeights.semibold,
      // copying the logic for the dimensions; defaulted to 46 for size48
      lineHeight: dimension === 48 ? 46 : dimension,
      height: dimension,
      selectors: (_selectors = {}, _defineProperty(_selectors, HighContrastSelector, {
        border: '1px solid WindowText',
        MsHighContrastAdjust: 'none',
        color: 'WindowText',
        boxSizing: 'border-box',
        backgroundColor: 'Window !important'
      }), _defineProperty(_selectors, "i", {
        fontWeight: FontWeights.semibold
      }), _selectors)
    }, props.showUnknownPersonaCoin && {
      backgroundColor: unknownPersonaBackgroundColor
    }, dimension < 32 && {
      fontSize: fonts.xSmall.fontSize
    }, dimension >= 32 && dimension < 40 && {
      fontSize: fonts.medium.fontSize
    }, dimension >= 40 && dimension < 56 && {
      fontSize: fonts.mediumPlus.fontSize
    }, dimension >= 56 && dimension < 72 && {
      fontSize: fonts.xLarge.fontSize
    }, dimension >= 72 && dimension < 100 && {
      fontSize: fonts.xxLarge.fontSize
    }, dimension >= 100 && {
      fontSize: fonts.superLarge.fontSize
    }]
  };
};

var PersonaCoin = styled(PersonaCoinBase, getStyles$r, undefined, {
  scope: 'PersonaCoin'
});

var ActivityItem = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ActivityItem, _BaseComponent);

  var _super = _createSuper(ActivityItem);

  function ActivityItem() {
    var _this;

    _classCallCheck(this, ActivityItem);

    _this = _super.apply(this, arguments);
    _this.PersonaSize = PersonaSize;
    return _this;
  }

  _createClass(ActivityItem, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          activityPersonas = this.activityPersonas,
          animateBeaconSignal = this.animateBeaconSignal,
          isCompact = this.isCompact,
          personasToRender = this.personasToRender,
          personaStyle = this.personaStyle;
      return h("div", {
        "class": classNames.root
      }, [(activityPersonas || this.$slots.icon) && h("div", {
        "class": classNames.activityTypeIcon
      }, [animateBeaconSignal && isCompact && h("div", {
        "class": classNames.pulsingBeacon
      }), activityPersonas.length > 0 && h("div", {
        "class": classNames.personaContainer
      }, [personasToRender.map(function (person, index) {
        return h(PersonaCoin, {
          "props": _objectSpread2({}, person),
          "key": person.key || index,
          "class": classNames.activityPersona,
          "attrs": {
            "size": activityPersonas.length > 1 || isCompact ? PersonaSize.size16 : PersonaSize.size32
          },
          "style": personaStyle
        });
      })]), this.$slots.icon]), h("div", {
        "class": classNames.activityContent
      }, [this.$slots.activityDescription && h("span", {
        "class": classNames.activityText
      }, [this.$slots.activityDescription]), !isCompact && this.$slots.comments && h("div", {
        "class": classNames.commentText
      }, [this.$slots.comments]), !isCompact && this.$slots.timeStamp && h("div", {
        "class": classNames.timeStamp
      }, [this.$slots.timeStamp])])]);
    }
  }, {
    key: "personaStyle",
    get: function get() {
      if (!this.isCompact) return {};
      return {
        display: 'inline-block',
        width: '10px',
        minWidth: '10px',
        overflow: 'visible'
      };
    }
  }, {
    key: "personasToRender",
    get: function get() {
      var personaLimit = this.isCompact ? 3 : 4;
      return this.activityPersonas.filter(function (person, index) {
        return index < personaLimit;
      });
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className,
          activityPersonas = this.activityPersonas,
          animateBeaconSignal = this.animateBeaconSignal,
          beaconColorOne = this.beaconColorOne,
          beaconColorTwo = this.beaconColorTwo,
          isCompact = this.isCompact;
      return getClassNames$g(getStyles$o(theme, styles, animateBeaconSignal, beaconColorOne, beaconColorTwo, isCompact), className, activityPersonas, isCompact);
    }
  }]);

  return ActivityItem;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], ActivityItem.prototype, "activityPersonas", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ActivityItem.prototype, "animateBeaconSignal", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ActivityItem.prototype, "beaconColorOne", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ActivityItem.prototype, "beaconColorTwo", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ActivityItem.prototype, "isCompact", void 0);

ActivityItem = __decorate([Component({
  components: {
    PersonaCoin: PersonaCoin
  }
})], ActivityItem);

var GlobalClassNames$e = {
  root: 'ms-Breadcrumb',
  list: 'ms-Breadcrumb-list',
  listItem: 'ms-Breadcrumb-listItem',
  chevron: 'ms-Breadcrumb-chevron',
  overflow: 'ms-Breadcrumb-overflow',
  overflowButton: 'ms-Breadcrumb-overflowButton',
  itemLink: 'ms-Breadcrumb-itemLink',
  item: 'ms-Breadcrumb-item'
};
var SingleLineTextStyle = {
  whiteSpace: 'nowrap',
  textOverflow: 'ellipsis',
  overflow: 'hidden'
};
var overflowButtonFontSize = 16;
var chevronSmallFontSize = 8;
var itemLineHeight = 36;
var itemFontSize = 18;
var MinimumScreenSelector = getScreenSelector(0, ScreenWidthMaxSmall);
var MediumScreenSelector$2 = getScreenSelector(ScreenWidthMinMedium, ScreenWidthMaxMedium);
var getStyles$s = function getStyles(props) {
  var _selectors2, _objectSpread2$1;

  var className = props.className,
      theme = props.theme;
  var palette = theme.palette,
      semanticColors = theme.semanticColors,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$e, theme); // Tokens

  var itemBackgroundHoveredColor = semanticColors.menuItemBackgroundHovered;
  var itemBackgroundPressedColor = semanticColors.menuItemBackgroundPressed;
  var itemTextColor = palette.neutralSecondary;
  var itemTextFontWeight = FontWeights.regular;
  var itemTextHoveredOrPressedColor = palette.neutralPrimary;
  var itemLastChildTextColor = palette.neutralPrimary;
  var itemLastChildTextFontWeight = FontWeights.semibold;
  var chevronButtonColor = palette.neutralSecondary;
  var overflowButtonColor = palette.neutralSecondary;
  var lastChildItemStyles = {
    fontWeight: itemLastChildTextFontWeight,
    color: itemLastChildTextColor
  };
  var itemStateSelectors = {
    ':hover': {
      color: itemTextHoveredOrPressedColor,
      backgroundColor: itemBackgroundHoveredColor,
      cursor: 'pointer',
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'Highlight'
      })
    },
    ':active': {
      backgroundColor: itemBackgroundPressedColor,
      color: itemTextHoveredOrPressedColor
    },
    '&:active:hover': {
      color: itemTextHoveredOrPressedColor,
      backgroundColor: itemBackgroundPressedColor
    },
    '&:active, &:hover, &:active:hover': {
      textDecoration: 'none'
    }
  };
  var commonItemStyles = {
    color: itemTextColor,
    padding: '0 8px',
    lineHeight: itemLineHeight,
    fontSize: itemFontSize,
    fontWeight: itemTextFontWeight
  };
  return {
    root: [classNames.root, fonts.medium, {
      margin: '11px 0 1px'
    }, className],
    list: [classNames.list, {
      whiteSpace: 'nowrap',
      padding: 0,
      margin: 0,
      display: 'flex',
      alignItems: 'stretch'
    }],
    listItem: [classNames.listItem, {
      listStyleType: 'none',
      margin: '0',
      padding: '0',
      display: 'flex',
      position: 'relative',
      alignItems: 'center',
      selectors: {
        '&:last-child .ms-Breadcrumb-itemLink': lastChildItemStyles,
        '&:last-child .ms-Breadcrumb-item': lastChildItemStyles
      }
    }],
    chevron: [classNames.chevron, {
      color: chevronButtonColor,
      fontSize: fonts.small.fontSize,
      selectors: (_selectors2 = {}, _defineProperty(_selectors2, HighContrastSelector, {
        color: 'WindowText',
        MsHighContrastAdjust: 'none'
      }), _defineProperty(_selectors2, MediumScreenSelector$2, {
        fontSize: chevronSmallFontSize
      }), _defineProperty(_selectors2, MinimumScreenSelector, {
        fontSize: chevronSmallFontSize
      }), _selectors2)
    }],
    overflow: [classNames.overflow, {
      position: 'relative',
      display: 'flex',
      alignItems: 'center'
    }],
    overflowButton: [classNames.overflowButton, getFocusStyle(theme), SingleLineTextStyle, {
      fontSize: overflowButtonFontSize,
      color: overflowButtonColor,
      height: '100%',
      cursor: 'pointer',
      selectors: _objectSpread2(_objectSpread2({}, itemStateSelectors), {}, (_objectSpread2$1 = {}, _defineProperty(_objectSpread2$1, MinimumScreenSelector, {
        padding: '4px 6px'
      }), _defineProperty(_objectSpread2$1, MediumScreenSelector$2, {
        fontSize: fonts.mediumPlus.fontSize
      }), _objectSpread2$1))
    }],
    itemLink: [classNames.itemLink, getFocusStyle(theme), SingleLineTextStyle, _objectSpread2(_objectSpread2({}, commonItemStyles), {}, {
      selectors: _objectSpread2(_defineProperty({
        ':focus': {
          color: palette.neutralDark
        }
      }, ".".concat(IsFocusVisibleClassName, " &:focus"), {
        outline: "none"
      }), itemStateSelectors)
    })],
    item: [classNames.item, _objectSpread2(_objectSpread2({}, commonItemStyles), {}, {
      selectors: {
        ':hover': {
          cursor: 'default'
        }
      }
    })]
  };
};

var getClassNames$k = classNamesFunction();

var LinkBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(LinkBase, _StatelessComponent);

  var _super = _createSuper(LinkBase);

  function LinkBase() {
    _classCallCheck(this, LinkBase);

    return _super.apply(this, arguments);
  }

  _createClass(LinkBase, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          className = _context$props.className,
          styles = _context$props.styles,
          href = _context$props.href,
          disabled = _context$props.disabled;
      var classNames = getClassNames$k(styles, {
        theme: theme,
        className: className,
        isButton: !href,
        isDisabled: disabled
      });
      var component = href ? 'a' : 'button';
      return h(component, _objectSpread2(_objectSpread2({}, context.data), {}, {
        class: classNames.root,
        attrs: _objectSpread2(_objectSpread2(_objectSpread2({}, context.data.attrs), href && {
          href: href
        }), !href && {
          type: 'button'
        })
      }), context.children);
    }
  }]);

  return LinkBase;
}(StatelessComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], LinkBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], LinkBase.prototype, "href", void 0);

LinkBase = __decorate([Component], LinkBase);

var GlobalClassNames$f = {
  root: 'ms-Link'
};
var getStyles$t = function getStyles(props) {
  var _selectors3;

  var className = props.className,
      isButton = props.isButton,
      isDisabled = props.isDisabled,
      theme = props.theme;
  var semanticColors = theme.semanticColors; // Tokens

  var linkColor = semanticColors.link;
  var linkInteractedColor = semanticColors.linkHovered;
  var linkDisabledColor = semanticColors.disabledText;
  var focusBorderColor = semanticColors.focusBorder;
  var classNames = getGlobalClassNames(GlobalClassNames$f, theme);
  return {
    root: [classNames.root, theme.fonts.medium, {
      color: linkColor,
      outline: 'none',
      fontSize: 'inherit',
      fontWeight: 'inherit',
      textDecoration: 'none',
      selectors: _defineProperty({
        '.ms-Fabric--isFocusVisible &:focus': {
          // Can't use getFocusStyle because it doesn't support wrapping links
          // https://github.com/OfficeDev/office-ui-fabric-react/issues/4883#issuecomment-406743543
          // Using box-shadow and outline allows the focus rect to wrap links that span multiple lines
          // and helps the focus rect avoid getting clipped.
          boxShadow: "0 0 0 1px ".concat(focusBorderColor, " inset"),
          outline: "1px auto ".concat(focusBorderColor),
          selectors: _defineProperty({}, HighContrastSelector, {
            outline: '1px solid WindowText'
          })
        }
      }, HighContrastSelector, {
        // For IE high contrast mode
        borderBottom: 'none'
      })
    }, isButton && {
      background: 'none',
      backgroundColor: 'transparent',
      border: 'none',
      cursor: 'pointer',
      display: 'inline',
      margin: 0,
      overflow: 'inherit',
      padding: 0,
      textAlign: 'left',
      textOverflow: 'inherit',
      userSelect: 'text',
      borderBottom: '1px solid transparent',
      selectors: (_selectors3 = {}, _defineProperty(_selectors3, HighContrastSelectorBlack, {
        color: '#FFFF00'
      }), _defineProperty(_selectors3, HighContrastSelectorWhite, {
        color: '#00009F'
      }), _selectors3)
    }, isDisabled && ['is-disabled', {
      color: linkDisabledColor,
      cursor: 'default'
    }, {
      selectors: {
        '&:link, &:visited': {
          pointerEvents: 'none'
        }
      }
    }], !isDisabled && {
      selectors: {
        '&:active, &:hover, &:active:hover': {
          color: linkInteractedColor,
          textDecoration: 'underline'
        },
        '&:focus': {
          color: linkColor
        }
      }
    }, classNames.root, className]
  };
};

var Link = styled(LinkBase, getStyles$t, undefined, {
  scope: 'Link'
});

var getClassNames$l = classNamesFunction();

var BreadcrumbBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(BreadcrumbBase, _BaseComponent);

  var _super = _createSuper(BreadcrumbBase);

  function BreadcrumbBase() {
    _classCallCheck(this, BreadcrumbBase);

    return _super.apply(this, arguments);
  }

  _createClass(BreadcrumbBase, [{
    key: "onBreadcrumbClicked",
    value: function onBreadcrumbClicked(event, item) {
      if (item.onClick) {
        item.onClick(event, item);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          items = this.items;
      return h("div", {
        "class": classNames.root,
        "attrs": {
          "role": "navigation"
        }
      }, [h("ol", {
        "class": classNames.list
      }, [items.map(function (item, index) {
        return h("li", {
          "key": index,
          "class": classNames.listItem
        }, [item.onClick || item.href ? h(Link, {
          "class": classNames.itemLink,
          "attrs": {
            "href": item.href
          },
          "on": {
            "click": function click(ev) {
              return _this.onBreadcrumbClicked(ev, item);
            }
          }
        }, [item.text]) : h("span", {
          "class": classNames.item,
          "on": {
            "click": function click(ev) {
              return _this.onBreadcrumbClicked(ev, item);
            }
          }
        }, [item.text]), index !== items.length - 1 && h(Icon$2, {
          "key": "icon-".concat(index),
          "class": classNames.chevron,
          "attrs": {
            "icon-name": "ChevronRight"
          }
        })]);
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var className = this.className,
          theme = this.theme;
      return getClassNames$l(getStyles$s, {
        theme: theme,
        className: className
      });
    }
  }]);

  return BreadcrumbBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], BreadcrumbBase.prototype, "items", void 0);

BreadcrumbBase = __decorate([Component], BreadcrumbBase);

var Breadcrumb = styled(BreadcrumbBase, getStyles$s, undefined, {
  scope: 'Breadcrumb'
});

var Popup = /*#__PURE__*/function (_BaseComponent) {
  _inherits(Popup, _BaseComponent);

  var _super = _createSuper(Popup);

  function Popup() {
    var _this;

    _classCallCheck(this, Popup);

    _this = _super.apply(this, arguments);
    _this.needsVerticalScrollBar = false;
    _this._containsFocus = false;
    return _this;
  }

  _createClass(Popup, [{
    key: "created",
    value: function created() {
      this._originalFocusedElement = getDocument().activeElement;
    }
  }, {
    key: "mounted",
    value: function mounted() {
      if (this.$refs.current) {
        this._disposables.push( // @ts-ignore
        on(this.$refs.current, 'focus', this._onFocus, true), // @ts-ignore
        on(this.$refs.current, 'blur', this._onBlur, true));

        var currentWindow = getWindow(this.$refs.current);

        if (currentWindow) {
          // @ts-ignore
          this._disposables.push(on(currentWindow, 'keydown', this._onKeyDown));
        }

        if (doesElementContainFocus(this.$refs.current)) {
          this._containsFocus = true;
        }
      }

      this._updateScrollBarAsync();
    }
  }, {
    key: "updated",
    value: function updated() {
      this._updateScrollBarAsync();

      this._async.dispose();
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      if (this.shouldRestoreFocus && this._originalFocusedElement && this._containsFocus && this._originalFocusedElement !== window) {
        // This slight delay is required so that we can unwind the stack, let react try to mess with focus, and then
        // apply the correct focus. Without the setTimeout, we end up focusing the correct thing, and then React wants
        // to reset the focus back to the thing it thinks should have been focused.
        if (this._originalFocusedElement) {
          this._originalFocusedElement.focus();
        }
      }
    }
  }, {
    key: "render",
    value: function render(h, context) {
      var className = this.className;
      return h("div", {
        "ref": "current",
        "class": className,
        "on": {
          "keydown": this._onKeyDown
        },
        "style": {
          overflowY: this.needsVerticalScrollBar ? 'scroll' : undefined,
          outline: 'none'
        }
      }, [this.$slots.default]);
    }
  }, {
    key: "_onKeyDown",
    value: function _onKeyDown(ev) {
      switch (ev.which) {
        case KeyCodes.escape:
          if (this.onDismiss) {
            this.onDismiss(ev);
            ev.preventDefault();
            ev.stopPropagation();
          }

          break;
      }
    }
  }, {
    key: "_updateScrollBarAsync",
    value: function _updateScrollBarAsync() {
      var _this2 = this;

      this._async.requestAnimationFrame(function () {
        _this2._getScrollBar();
      });
    }
  }, {
    key: "_getScrollBar",
    value: function _getScrollBar() {
      // If overflowY is overriden, don't waste time calculating whether the scrollbar is necessary.
      // TODO remove ts-ignore and fix `this.style`
      // @ts-ignore
      if (this.style && this.style.overflowY) {
        return;
      }

      var needsVerticalScrollBar = false;

      if (this.$refs.current && this.$refs.current.firstElementChild) {
        // ClientHeight returns the client height of an element rounded to an
        // integer. On some browsers at different zoom levels this rounding
        // can generate different results for the root container and child even
        // though they are the same height. This causes us to show a scroll bar
        // when not needed. Ideally we would use BoundingClientRect().height
        // instead however seems that the API is 90% slower than using ClientHeight.
        // Therefore instead we will calculate the difference between heights and
        // allow for a 1px difference to still be considered ok and not show the
        // scroll bar.
        var rootHeight = this.$refs.current.clientHeight;
        var firstChildHeight = this.$refs.current.firstElementChild.clientHeight;

        if (rootHeight > 0 && firstChildHeight > rootHeight) {
          needsVerticalScrollBar = firstChildHeight - rootHeight > 1;
        }
      }

      if (this.needsVerticalScrollBar !== needsVerticalScrollBar) {
        this.needsVerticalScrollBar = needsVerticalScrollBar;
      }
    }
  }, {
    key: "_onFocus",
    value: function _onFocus() {
      this._containsFocus = true;
    }
  }, {
    key: "_onBlur",
    value: function _onBlur(ev) {
      if (this.$refs.current && this.$refs.current.contains(ev.relatedTarget)) {
        this._containsFocus = false;
      }
    }
  }]);

  return Popup;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], Popup.prototype, "shouldRestoreFocus", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], Popup.prototype, "onDismiss", void 0);

Popup = __decorate([Component({
  components: {}
})], Popup);

var getClassNames$m = classNamesFunction();
var DefaultLayerProps = {
  eventBubblingEnabled: false
};

var ModalBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ModalBase, _BaseComponent);

  var _super = _createSuper(ModalBase);

  function ModalBase() {
    var _this;

    _classCallCheck(this, ModalBase);

    _this = _super.apply(this, arguments);
    _this.internalIsOpen = false;
    _this.isVisible = false;
    _this.isVisibleClose = false;
    _this.hasBeenOpened = false;
    _this.modalRectangleTop = 0;
    _this.isModalMenuOpen = false;
    _this.isInKeyboardMoveMode = false;
    _this.x = 0;
    _this.y = 0;
    _this.lastSetX = 0;
    _this.lastSetY = 0;
    _this.responsiveMode = ResponsiveMode.large;
    return _this;
  }

  _createClass(ModalBase, [{
    key: "onIsOpenChanged",
    value: function onIsOpenChanged(newVal) {
      if (newVal) this.isVisible = true;
    }
  }, {
    key: "onModalContextMenuClose",
    value: function onModalContextMenuClose() {
      this.isModalMenuOpen = false;
    }
  }, {
    key: "onModalClose",
    value: function onModalClose() {
      this.isModalMenuOpen = false;
      this.isInKeyboardMoveMode = false;
      this.isOpen = false; // TODO
    }
  }, {
    key: "onEnterKeyboardMoveMode",
    value: function onEnterKeyboardMoveMode() {
      this.lastSetX = this.x;
      this.lastSetY = this.y;
      this.isInKeyboardMoveMode = true;
      this.isModalMenuOpen = true; // TODO
      // this._events.on(window, 'keydown', this._onKeyDown, true /* useCapture */);
    }
  }, {
    key: "_onDragStart",
    value: function _onDragStart() {
      this.isModalMenuOpen = false;
      this.isInKeyboardMoveMode = false;
    }
  }, {
    key: "_onDrag",
    value: function _onDrag(_, ui) {
      this.x += ui.delta.x;
      this.y += ui.delta.y;
    }
  }, {
    key: "_onDragStop",
    value: function _onDragStop() {// this.focus()
    }
  }, {
    key: "onDismiss",
    value: function onDismiss(ev) {
      this.$emit('dismiss', ev);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var dragOptions = this.dragOptions,
          isInKeyboardMoveMode = this.isInKeyboardMoveMode,
          classNames = this.classNames,
          isOpen = this.isOpen,
          responsiveMode = this.responsiveMode,
          isModeless = this.isModeless,
          layerProps = this.layerProps,
          isBlocking = this.isBlocking,
          titleAriaId = this.titleAriaId,
          subtitleAriaId = this.subtitleAriaId,
          isDarkOverlay = this.isDarkOverlay,
          onDismiss = this.onDismiss,
          overlay = this.overlay,
          ignoreExternalFocusing = this.ignoreExternalFocusing,
          x = this.x,
          y = this.y;
      if (!isOpen) return null;

      var mergedLayerProps = _objectSpread2(_objectSpread2(_objectSpread2({}, DefaultLayerProps), this.layerProps), {}, {
        onLayerDidMount: layerProps && layerProps.onLayerDidMount,
        insertFirst: isModeless,
        className: classNames.layer
      });

      var modalContent = h("div", {
        "class": classNames.main
      }, [dragOptions && isInKeyboardMoveMode && h("div", {
        "class": classNames.keyboardMoveIconContainer
      }, [dragOptions.keyboardMoveIconProps ? h(Icon$2, _mergeJSXProps([{}, dragOptions.keyboardMoveIconProps])) : h(Icon$2, {
        "attrs": {
          "iconName": "move"
        },
        "class": classNames.keyboardMoveIcon
      })]), h("div", {
        "ref": "scrollableContent",
        "class": classNames.scrollableContent,
        "attrs": {
          "data-is-scrollable": true
        }
      }, [dragOptions && this.isModalMenuOpen && h(dragOptions.menu, {
        "attrs": {
          "items": [{
            key: 'move',
            text: dragOptions.moveMenuItemText,
            onClick: this.onEnterKeyboardMoveMode
          }, {
            key: 'close',
            text: dragOptions.closeMenuItemText,
            onClick: this.onModalClose
          }],
          "alignTargetEdge": true,
          "coverTarget": true,
          "directionalHint": DirectionalHint.topLeftEdge,
          "directionalHintFixed": true,
          "shouldFocusOnMount": true,
          "target": this.$refs.scrollableContent
        },
        "on": {
          "dismiss": this.onModalContextMenuClose
        }
      }), this.$slots.default])]);

      if (responsiveMode >= ResponsiveMode.small) {
        return h(Layer, _mergeJSXProps([{}, mergedLayerProps]), [h(Popup, {
          "attrs": {
            "role": isModeless || !isBlocking ? 'dialog' : 'alertdialog',
            "aria-modal": !isModeless,
            "ariaLabelledBy": titleAriaId,
            "ariaDescribedBy": subtitleAriaId,
            "shouldRestoreFocus": !ignoreExternalFocusing
          },
          "on": {
            "dismiss": onDismiss
          }
        }, [h("div", {
          "class": classNames.root
        }, [!isModeless && h(Overlay, {
          "attrs": {
            "dark": isDarkOverlay,
            "allowTouchBodyScroll": this.allowTouchBodyScroll
          },
          "on": {
            "click": isBlocking ? undefined : onDismiss
          },
          "props": _objectSpread2({}, overlay)
        }), dragOptions ? // <DraggableZone
        //   handleSelector={dragOptions.dragHandleSelector || `.${classNames.main.split(' ')[0]}`}
        //   preventDragSelector="button"
        //   onStart={this._onDragStart}
        //   onDragChange={this._onDrag}
        //   onStop={this._onDragStop}
        //   position={{ x: x, y: y }}
        // >
        modalContent // </DraggableZone>
        : modalContent])])]);
      }
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles,
          className = this.className,
          layerProps = this.layerProps,
          containerClassName = this.containerClassName,
          scrollableContentClassName = this.scrollableContentClassName,
          isVisible = this.isVisible,
          hasBeenOpened = this.hasBeenOpened,
          modalRectangleTop = this.modalRectangleTop,
          topOffsetFixed = this.topOffsetFixed,
          isModeless = this.isModeless,
          dragOptions = this.dragOptions,
          isOpen = this.isOpen;
      var layerClassName = layerProps == null ? '' : layerProps.className;
      return getClassNames$m(styles, {
        theme: theme,
        className: className,
        containerClassName: containerClassName,
        scrollableContentClassName: scrollableContentClassName,
        isOpen: isOpen,
        isVisible: isVisible,
        hasBeenOpened: hasBeenOpened,
        modalRectangleTop: modalRectangleTop,
        topOffsetFixed: topOffsetFixed,
        isModeless: isModeless,
        layerClassName: layerClassName,
        isDefaultDragHandle: dragOptions && !dragOptions.dragHandleSelector
      });
    }
  }]);

  return ModalBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ModalBase.prototype, "isOpen", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], ModalBase.prototype, "isDarkOverlay", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], ModalBase.prototype, "onDismissed", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ModalBase.prototype, "layerProps", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ModalBase.prototype, "overlay", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ModalBase.prototype, "isBlocking", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ModalBase.prototype, "isModeless", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ModalBase.prototype, "className", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ModalBase.prototype, "containerClassName", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ModalBase.prototype, "scrollableContentClassName", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ModalBase.prototype, "titleAriaId", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ModalBase.prototype, "subtitleAriaId", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ModalBase.prototype, "topOffsetFixed", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ModalBase.prototype, "dragOptions", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ModalBase.prototype, "allowTouchBodyScroll", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ModalBase.prototype, "ignoreExternalFocusing", void 0);

__decorate([Watch('isOpen'), __metadata("design:type", Function), __metadata("design:paramtypes", [Object]), __metadata("design:returntype", void 0)], ModalBase.prototype, "onIsOpenChanged", null);

ModalBase = __decorate([Component], ModalBase);

var animationDuration = AnimationVariables.durationValue2;
var globalClassNames = {
  root: 'ms-Modal',
  main: 'ms-Dialog-main',
  scrollableContent: 'ms-Modal-scrollableContent',
  isOpen: 'is-open',
  layer: 'ms-Modal-Layer'
};
var getStyles$u = function getStyles(props) {
  var className = props.className,
      containerClassName = props.containerClassName,
      scrollableContentClassName = props.scrollableContentClassName,
      isOpen = props.isOpen,
      isVisible = props.isVisible,
      hasBeenOpened = props.hasBeenOpened,
      modalRectangleTop = props.modalRectangleTop,
      theme = props.theme,
      topOffsetFixed = props.topOffsetFixed,
      isModeless = props.isModeless,
      layerClassName = props.layerClassName,
      isDefaultDragHandle = props.isDefaultDragHandle;
  var palette = theme.palette,
      effects = theme.effects,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(globalClassNames, theme);
  return {
    root: [classNames.root, fonts.medium, {
      backgroundColor: 'transparent',
      position: isModeless ? 'absolute' : 'fixed',
      height: '100%',
      width: '100%',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      opacity: 0,
      pointerEvents: 'none',
      transition: "opacity ".concat(animationDuration)
    }, topOffsetFixed && hasBeenOpened && {
      alignItems: 'flex-start'
    }, isOpen && classNames.isOpen, isVisible && {
      opacity: 1,
      pointerEvents: 'auto'
    }, className],
    main: [classNames.main, {
      boxShadow: effects.elevation64,
      borderRadius: effects.roundedCorner2,
      backgroundColor: palette.white,
      boxSizing: 'border-box',
      position: 'relative',
      textAlign: 'left',
      outline: '3px solid transparent',
      maxHeight: 'calc(100% - 32px)',
      maxWidth: 'calc(100% - 32px)',
      minHeight: '176px',
      minWidth: '288px',
      overflowY: 'auto',
      zIndex: isModeless ? ZIndexes.Layer : undefined
    }, topOffsetFixed && hasBeenOpened && {
      top: modalRectangleTop
    }, isDefaultDragHandle && {
      cursor: 'move'
    }, containerClassName],
    scrollableContent: [classNames.scrollableContent, {
      overflowY: 'auto',
      flexGrow: 1,
      maxHeight: '100vh',
      selectors: {
        '@supports (-webkit-overflow-scrolling: touch)': {
          maxHeight: window.innerHeight
        }
      }
    }, scrollableContentClassName],
    layer: isModeless && [layerClassName, classNames.layer, {
      position: 'static',
      width: 'unset',
      height: 'unset'
    }],
    keyboardMoveIconContainer: {
      position: 'absolute',
      display: 'flex',
      justifyContent: 'center',
      width: '100%',
      padding: '3px 0px'
    },
    keyboardMoveIcon: {
      fontSize: fonts.xLargePlus.fontSize,
      width: '24px'
    }
  };
};

var Modal = styled(ModalBase, getStyles$u, undefined, {
  scope: 'Modal'
});

/**
 * {@docCategory Dialog}
 */

var DialogType;

(function (DialogType) {
  /** Standard dialog */
  DialogType[DialogType["normal"] = 0] = "normal";
  /** Dialog with large header banner */

  DialogType[DialogType["largeHeader"] = 1] = "largeHeader";
  /** Dialog with an 'x' close button in the upper-right corner */

  DialogType[DialogType["close"] = 2] = "close";
})(DialogType || (DialogType = {}));

var getClassNames$n = classNamesFunction();

var DialogContentBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DialogContentBase, _BaseComponent);

  var _super = _createSuper(DialogContentBase);

  function DialogContentBase() {
    _classCallCheck(this, DialogContentBase);

    return _super.apply(this, arguments);
  }

  _createClass(DialogContentBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          css = this.css,
          title = this.title,
          type = this.type,
          showCloseButton = this.showCloseButton,
          closeButtonAriaLabel = this.closeButtonAriaLabel,
          subText = this.subText,
          subTextId = this.subTextId;
      var titleProps = this.titleProps || {};
      var subTextContent;

      if (subText) {
        subTextContent = h("p", {
          "class": classNames.subText,
          "attrs": {
            "id": subTextId
          }
        }, [subText]);
      }

      return h("div", {
        "class": classNames.content
      }, [h("div", {
        "class": classNames.header
      }, [h("div", _mergeJSXProps([{
        "attrs": {
          "id": titleProps.id,
          "role": "heading",
          "aria-level": 1
        }
      }, titleProps, {
        "class": css(classNames.title, titleProps.className)
      }]), [title]), h("div", {
        "class": classNames.topButton
      }, [(type === DialogType.close || showCloseButton && type !== DialogType.largeHeader) && h(IconButton, {
        "class": classNames.button,
        "attrs": {
          "iconProps": {
            iconName: 'Cancel'
          },
          "ariaLabel": closeButtonAriaLabel,
          "title": closeButtonAriaLabel
        },
        "on": {
          "click": function click(ev) {
            return _this.$emit('dismiss', ev);
          }
        }
      })])]), h("div", {
        "class": classNames.inner
      }, [h("div", {
        "class": classNames.innerContent
      }, [subTextContent, this.$slots.default]), this.$slots.footer])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className,
          type = this.type,
          draggableHeaderClassName = this.draggableHeaderClassName;
      return getClassNames$n(styles, {
        theme: theme,
        className: className,
        isLargeHeader: type === DialogType.largeHeader,
        isClose: type === DialogType.close,
        draggableHeaderClassName: draggableHeaderClassName
      });
    }
  }]);

  return DialogContentBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Number,
  default: DialogType.normal
}), __metadata("design:type", Number)], DialogContentBase.prototype, "type", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], DialogContentBase.prototype, "draggableHeaderClassName", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], DialogContentBase.prototype, "titleProps", void 0);

__decorate([Prop({
  type: [String, Object],
  default: null
}), __metadata("design:type", Object)], DialogContentBase.prototype, "title", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DialogContentBase.prototype, "showCloseButton", void 0);

__decorate([Prop({
  type: String,
  default: 'Close'
}), __metadata("design:type", String)], DialogContentBase.prototype, "closeButtonAriaLabel", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], DialogContentBase.prototype, "subText", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], DialogContentBase.prototype, "subTextId", void 0);

DialogContentBase = __decorate([Component], DialogContentBase);

var GlobalClassNames$g = {
  contentLgHeader: 'ms-Dialog-lgHeader',
  close: 'ms-Dialog--close',
  subText: 'ms-Dialog-subText',
  header: 'ms-Dialog-header',
  headerLg: 'ms-Dialog--lgHeader',
  button: 'ms-Dialog-button ms-Dialog-button--close',
  inner: 'ms-Dialog-inner',
  content: 'ms-Dialog-content',
  title: 'ms-Dialog-title'
};
var getStyles$v = function getStyles(props) {
  var className = props.className,
      theme = props.theme,
      isLargeHeader = props.isLargeHeader,
      isClose = props.isClose,
      hidden = props.hidden,
      isMultiline = props.isMultiline,
      draggableHeaderClassName = props.draggableHeaderClassName;
  var palette = theme.palette,
      fonts = theme.fonts,
      effects = theme.effects,
      semanticColors = theme.semanticColors;
  var classNames = getGlobalClassNames(GlobalClassNames$g, theme);
  return {
    content: [isLargeHeader && [classNames.contentLgHeader, {
      borderTop: "4px solid ".concat(palette.themePrimary)
    }], isClose && classNames.close, {
      flexGrow: 1,
      overflowY: 'hidden'
    }, className],
    subText: [classNames.subText, fonts.medium, {
      margin: '0 0 24px 0',
      color: semanticColors.bodySubtext,
      lineHeight: '1.5',
      wordWrap: 'break-word',
      fontWeight: FontWeights.regular
    }],
    header: [classNames.header, {
      position: 'relative',
      width: '100%',
      boxSizing: 'border-box'
    }, isClose && classNames.close, draggableHeaderClassName && [draggableHeaderClassName, {
      cursor: 'move'
    }]],
    button: [classNames.button, hidden && {
      selectors: {
        '.ms-Icon.ms-Icon--Cancel': {
          color: semanticColors.buttonText,
          fontSize: IconFontSizes.medium
        }
      }
    }],
    inner: [classNames.inner, {
      padding: '0 24px 24px',
      selectors: _defineProperty({}, "@media (min-width: ".concat(ScreenWidthMinSmall, "px) and (max-width: ").concat(ScreenWidthMaxSmall, "px)"), {
        padding: '0 16px 16px'
      })
    }],
    innerContent: [classNames.content, {
      position: 'relative',
      width: '100%'
    }],
    title: [classNames.title, fonts.xLarge, {
      color: semanticColors.bodyText,
      margin: '0',
      padding: '16px 46px 20px 24px',
      lineHeight: 'normal',
      selectors: _defineProperty({}, "@media (min-width: ".concat(ScreenWidthMinSmall, "px) and (max-width: ").concat(ScreenWidthMaxSmall, "px)"), {
        padding: '16px 46px 16px 16px'
      })
    }, isLargeHeader && {
      color: semanticColors.menuHeader
    }, isMultiline && {
      fontSize: fonts.xxLarge.fontSize
    }],
    topButton: [{
      display: 'flex',
      flexDirection: 'row',
      flexWrap: 'nowrap',
      position: 'absolute',
      top: '0',
      right: '0',
      padding: '15px 15px 0 0',
      selectors: _defineProperty({
        '> *': {
          flex: '0 0 auto'
        },
        '.ms-Dialog-button': {
          color: semanticColors.buttonText
        },
        '.ms-Dialog-button:hover': {
          color: semanticColors.buttonTextHovered,
          borderRadius: effects.roundedCorner2
        }
      }, "@media (min-width: ".concat(ScreenWidthMinSmall, "px) and (max-width: ").concat(ScreenWidthMaxSmall, "px)"), {
        padding: '15px 8px 0 0'
      })
    }]
  };
};

var DialogContent = styled(DialogContentBase, getStyles$v, undefined, {
  scope: 'DialogContent'
});

var getClassNames$o = classNamesFunction();
var DefaultModalProps = {
  isDarkOverlay: false,
  isBlocking: false,
  className: '',
  containerClassName: '',
  topOffsetFixed: false
};
var DefaultDialogContentProps = {
  type: DialogType.normal,
  className: '',
  topButtonsProps: []
};

var DialogBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DialogBase, _BaseComponent);

  var _super = _createSuper(DialogBase);

  function DialogBase() {
    _classCallCheck(this, DialogBase);

    return _super.apply(this, arguments);
  }

  _createClass(DialogBase, [{
    key: "render",
    value: function render() {
      var _this = this,
          _this$dialogContentPr;

      var h = arguments[0];
      var classNames = this.classNames,
          mergedModalProps = this.mergedModalProps,
          hidden = this.hidden,
          responsiveMode = this.responsiveMode;

      var onDismiss = function onDismiss(ev) {
        return _this.$emit('dismiss', ev);
      };

      var dialogContentProps = _objectSpread2(_objectSpread2(_objectSpread2({}, DefaultDialogContentProps), this.dialogContentProps), {}, {
        // draggableHeaderClassName: dialogDraggableClassName,
        titleProps: _objectSpread2({
          // tslint:disable-next-line:deprecation
          id: this._getTitleTextId()
        }, (_this$dialogContentPr = this.dialogContentProps) === null || _this$dialogContentPr === void 0 ? void 0 : _this$dialogContentPr.titleProps)
      });

      return h(Modal, _mergeJSXProps([{
        "attrs": {
          "responsiveMode": responsiveMode
        }
      }, mergedModalProps, {
        "attrs": {
          "isDarkOverlay": mergedModalProps.isDarkOverlay,
          "isBlocking": mergedModalProps.isBlocking,
          "isOpen": !hidden,
          "containerClassName": classNames.main,
          "subtitleAriaId": this._getSubTextId(),
          "titleAriaId": this._getTitleTextId()
        },
        "class": classNames.root,
        "on": {
          "dismiss": onDismiss || mergedModalProps.onDismiss
        }
      }]), [h(DialogContent, _mergeJSXProps([{
        "attrs": {
          "subTextId": this._getSubTextId(),
          "title": dialogContentProps.title,
          "subText": dialogContentProps.subText,
          "showCloseButton": mergedModalProps.isBlocking,
          "topButtonsProps": dialogContentProps.topButtonsProps,
          "type": dialogContentProps.type
        },
        "on": {
          "dismiss": onDismiss || dialogContentProps.onDismiss
        },
        "class": dialogContentProps.className
      }, dialogContentProps]), [this.$slots.default])]);
    }
  }, {
    key: "_getSubTextId",
    value: function _getSubTextId() {
      return "".concat(this.uid, "-subText"); // // tslint:disable-next-line:deprecation
      // const { ariaDescribedById, modalProps, dialogContentProps, subText } = this.props
      // let id = (modalProps && modalProps.subtitleAriaId) || ariaDescribedById
      // if (!id) {
      //   id = ((dialogContentProps && dialogContentProps.subText) || subText) && this._defaultSubTextId
      // }
      // return id
    }
  }, {
    key: "_getTitleTextId",
    value: function _getTitleTextId() {
      return "".concat(this.uid, "-title"); // // tslint:disable-next-line:deprecation
      // const { ariaLabelledById, modalProps, dialogContentProps, title } = this.props
      // let id = (modalProps && modalProps.titleAriaId) || ariaLabelledById
      // if (!id) {
      //   id = ((dialogContentProps && dialogContentProps.title) || title) && this._defaultTitleTextId
      // }
      // return id
    }
  }, {
    key: "mergedLayerProps",
    get: function get() {
      var modalProps = this.modalProps,
          onLayerDidMount = this.onLayerDidMount;

      var mergedLayerProps = _objectSpread2({}, modalProps ? modalProps.layerProps : {
        onLayerDidMount: onLayerDidMount
      });

      if (onLayerDidMount && !mergedLayerProps.onLayerDidMount) {
        mergedLayerProps.onLayerDidMount = onLayerDidMount;
      }

      return mergedLayerProps;
    }
  }, {
    key: "dragOptions",
    get: function get() {
      var modalProps = this.modalProps;
      var dialogDraggableClassName;
      var dragOptions; // if we are draggable, make sure we are using the correct
      // draggable classname and selectors

      if (modalProps && modalProps.dragOptions && !modalProps.dragOptions.dragHandleSelector) {
        dialogDraggableClassName = 'ms-Dialog-draggable-header';
        dragOptions = _objectSpread2(_objectSpread2({}, modalProps.dragOptions), {}, {
          dragHandleSelector: ".".concat(dialogDraggableClassName)
        });
      } else {
        dragOptions = modalProps && modalProps.dragOptions;
      }

      return dragOptions;
    }
  }, {
    key: "mergedModalProps",
    get: function get() {
      var className = this.className,
          modalProps = this.modalProps,
          dragOptions = this.dragOptions;
      return _objectSpread2(_objectSpread2(_objectSpread2({
        className: className
      }, DefaultModalProps), modalProps), {}, {
        layerProps: this.mergedLayerProps,
        dragOptions: dragOptions
      });
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          mergedModalProps = this.mergedModalProps,
          hidden = this.hidden,
          minWidth = this.minWidth,
          maxWidth = this.maxWidth;
      return getClassNames$o(styles, {
        theme: theme,
        className: mergedModalProps.className,
        hidden: hidden,
        dialogDefaultMinWidth: minWidth,
        dialogDefaultMaxWidth: maxWidth
      });
    }
  }]);

  return DialogBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], DialogBase.prototype, "dialogContentProps", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], DialogBase.prototype, "hidden", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], DialogBase.prototype, "modalProps", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", Object)], DialogBase.prototype, "minWidth", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", Object)], DialogBase.prototype, "maxWidth", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Object)], DialogBase.prototype, "onLayerDidMount", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], DialogBase.prototype, "responsiveMode", void 0);

DialogBase = __decorate([Component({
  components: {
    Layer: Layer
  }
})], DialogBase);

var GlobalClassNames$h = {
  root: 'ms-Dialog'
};
var getStyles$w = function getStyles(props) {
  var className = props.className,
      _props$dialogDefaultM = props.dialogDefaultMinWidth,
      dialogDefaultMinWidth = _props$dialogDefaultM === void 0 ? '288px' : _props$dialogDefaultM,
      _props$dialogDefaultM2 = props.dialogDefaultMaxWidth,
      dialogDefaultMaxWidth = _props$dialogDefaultM2 === void 0 ? '340px' : _props$dialogDefaultM2,
      hidden = props.hidden,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$h, theme);
  return {
    root: [classNames.root, theme.fonts.medium, className],
    main: [{
      width: dialogDefaultMinWidth,
      outline: '3px solid transparent',
      selectors: _defineProperty({}, "@media (min-width: ".concat(ScreenWidthMinMedium, "px)"), {
        width: 'auto',
        maxWidth: dialogDefaultMaxWidth,
        minWidth: dialogDefaultMinWidth
      })
    }, !hidden && {
      display: 'flex'
    }]
  };
};

var Dialog = styled(DialogBase, getStyles$w, undefined, {
  scope: 'Dialog'
});

var getClassNames$p = classNamesFunction(); // The number pixels per indentation level for Nav links.

var INDENTATION_SIZE = 14; // The number of pixels of left margin

var BASE_INDENT = 3;

var Nav = /*#__PURE__*/function (_BaseComponent) {
  _inherits(Nav, _BaseComponent);

  var _super = _createSuper(Nav);

  function Nav() {
    var _this;

    _classCallCheck(this, Nav);

    _this = _super.apply(this, arguments);
    _this.isGroupCollapsed = {};
    _this.internalSelectedKey = '';
    return _this;
  }

  _createClass(Nav, [{
    key: "render",
    value: function render(h) {
      var theme = this.theme,
          className = this.className,
          isOnTop = this.isOnTop,
          groups = this.groups;

      if (!groups) {
        return null;
      }

      var groupElements = this.groups.map(this.renderGroup);
      var classNames = getClassNames$p(this.styles, {
        theme: theme,
        className: className,
        isOnTop: isOnTop,
        groups: groups
      });
      return h("nav", {
        "attrs": {
          "role": "navigation"
        },
        "class": classNames.root
      }, [groupElements]);
    }
  }, {
    key: "renderGroup",
    value: function renderGroup(group, groupIndex) {
      var h = this.$createElement;
      var groups = this.groups,
          theme = this.theme;
      var classNames = getClassNames$p(this.styles, {
        theme: theme,
        isGroup: true,
        isExpanded: this.isGroupExpanded(group),
        groups: groups
      });
      return h("div", {
        "key": groupIndex
      }, [h("div", {
        "class": classNames.groupContent
      }, [this.renderLinks(group.links, 0)])]);
    }
  }, {
    key: "renderLinks",
    value: function renderLinks(links, nestingLevel) {
      var _this2 = this;

      var h = this.$createElement;
      if (!links || !links.length) return null;
      var linkElements = links.map(function (link, linkIndex) {
        return _this2.renderLink(link, linkIndex, nestingLevel);
      });
      var groups = this.groups,
          theme = this.theme;
      var classNames = getClassNames$p(this.styles, {
        theme: theme,
        groups: groups
      });
      return h("ul", {
        "attrs": {
          "role": "list"
        },
        "class": classNames.navItems
      }, [linkElements]);
    }
  }, {
    key: "renderLink",
    value: function renderLink(link, linkIndex, nestingLevel) {
      var h = this.$createElement;
      var groups = this.groups,
          theme = this.theme;
      var classNames = getClassNames$p(this.styles, {
        theme: theme,
        groups: groups
      });
      return h("li", {
        "key": linkIndex,
        "attrs": {
          "role": "listitem"
        },
        "class": classNames.navItem
      }, [this.renderCompositeLink(link, linkIndex, nestingLevel), link.isExpanded ? this.renderLinks(link.links, ++nestingLevel) : null]);
    }
  }, {
    key: "renderCompositeLink",
    value: function renderCompositeLink(link, linkIndex, nestingLevel) {
      var h = this.$createElement;
      var styles = this.styles,
          groups = this.groups,
          theme = this.theme;
      var classNames = getClassNames$p(this.styles, {
        theme: theme,
        isExpanded: !!link.isExpanded,
        isSelected: false,
        isLink: true,
        isDisabled: link.disabled,
        position: INDENTATION_SIZE * nestingLevel + 1,
        groups: groups
      });
      return h("div", {
        "key": linkIndex,
        "class": classNames.compositeLink
      }, [link.links && link.links.length > 0 ? h("button", {
        "on": {
          "click": this.onLinkExpandClicked.bind(this, link)
        },
        "class": classNames.chevronButton
      }, [h(Icon$2, {
        "attrs": {
          "class-name": classNames.chevronIcon,
          "icon-name": "ChevronDown"
        },
        "style": link.isExpanded && {
          transform: 'rotate(-180deg)'
        }
      })]) : null, this.renderNavLink(link, linkIndex, nestingLevel)]);
    }
  }, {
    key: "onLinkExpandClicked",
    value: function onLinkExpandClicked(link) {
      link.isExpanded = !link.isExpanded;
    }
  }, {
    key: "renderNavLink",
    value: function renderNavLink(link, linkIndex, nestingLevel) {
      var h = this.$createElement;
      var isSelected = link.key === this.internalSelectedKey;
      var isLinkWithIcon = link.icon || link.iconProps;
      var groups = this.groups,
          theme = this.theme;
      var classNames = getClassNames$p(this.styles, {
        theme: theme,
        isSelected: isSelected,
        isDisabled: link.disabled,
        isButtonEntry: link.onClick && !link.forceAnchor,
        leftPadding: INDENTATION_SIZE * nestingLevel + BASE_INDENT + (isLinkWithIcon ? 0 : 24),
        groups: groups
      });
      return h(ActionButton, {
        "attrs": {
          "href": link.href || (link.forceAnchor ? '#' : undefined),
          "title": link.title || link.name,
          "target": link.target,
          "disabled": link.disabled
        },
        "nativeOn": {
          "click": this.onNavLinkClicked.bind(this, link, linkIndex)
        },
        "class": [classNames.link, isSelected && classNames.selected],
        "style": {
          paddingLeft: "".concat(INDENTATION_SIZE * nestingLevel + BASE_INDENT + (isLinkWithIcon ? 0 : 24), "px")
        }
      }, [link.name]);
    }
  }, {
    key: "onNavLinkClicked",
    value: function onNavLinkClicked(link, linkIndex) {
      if (link.onClick) link.onClick(link);

      if (!link.url && link.links && link.links.length > 0) {
        link.isExpanded = !link.isExpanded;
      }

      this.internalSelectedKey = link.key;
    }
  }, {
    key: "preventBounce",
    value: function preventBounce(link, ev) {
      if (!link.href && link.forceAnchor) ev.preventDefault();
    }
  }, {
    key: "isGroupExpanded",
    value: function isGroupExpanded(group) {
      if (group.name && this.isGroupCollapsed.hasOwnProperty(group.name)) {
        return !this.isGroupCollapsed[group.name];
      }

      if (group.collapseByDefault !== undefined) {
        return !group.collapseByDefault;
      }

      return true;
    }
  }, {
    key: "toggleCollapsed",
    value: function toggleCollapsed(group) {
      if (group.name) {
        var newGroupCollapsed = _objectSpread2(_objectSpread2({}, this.isGroupCollapsed), {}, _defineProperty({}, group.name, this.isGroupExpanded(group)));

        this.$set(this, 'isGroupCollapsed', newGroupCollapsed);
      }
    }
  }]);

  return Nav;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], Nav.prototype, "groups", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Nav.prototype, "selectedKey", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Nav.prototype, "isOnTop", void 0);

Nav = __decorate([Component({
  components: {
    ActionButton: ActionButton,
    Icon: Icon$2
  }
})], Nav);
var NavBase = Nav;

var GlobalClassNames$i = {
  root: 'ms-Nav',
  linkText: 'ms-Nav-linkText',
  compositeLink: 'ms-Nav-compositeLink',
  link: 'ms-Nav-link',
  chevronButton: 'ms-Nav-chevronButton',
  chevronIcon: 'ms-Nav-chevron',
  navItem: 'ms-Nav-navItem',
  navItems: 'ms-Nav-navItems',
  group: 'ms-Nav-group',
  groupContent: 'ms-Nav-groupContent'
};
var getStyles$x = function getStyles(props) {
  var className = props.className,
      theme = props.theme,
      isOnTop = props.isOnTop,
      isExpanded = props.isExpanded,
      isGroup = props.isGroup,
      isLink = props.isLink,
      isSelected = props.isSelected,
      isDisabled = props.isDisabled,
      isButtonEntry = props.isButtonEntry,
      _props$navHeight = props.navHeight,
      navHeight = _props$navHeight === void 0 ? 44 : _props$navHeight,
      position = props.position,
      _props$leftPadding = props.leftPadding,
      leftPadding = _props$leftPadding === void 0 ? 20 : _props$leftPadding,
      _props$leftPaddingExp = props.leftPaddingExpanded,
      leftPaddingExpanded = _props$leftPaddingExp === void 0 ? 28 : _props$leftPaddingExp,
      _props$rightPadding = props.rightPadding,
      rightPadding = _props$rightPadding === void 0 ? 20 : _props$rightPadding;
  var palette = theme.palette,
      semanticColors = theme.semanticColors,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$i, theme);
  return {
    root: [classNames.root, className, fonts.medium, {
      overflowY: 'auto',
      userSelect: 'none',
      WebkitOverflowScrolling: 'touch'
    }, isOnTop && [{
      position: 'absolute'
    }, AnimationClassNames.slideRightIn40]],
    linkText: [classNames.linkText, {
      margin: '0 4px',
      overflow: 'hidden',
      verticalAlign: 'middle',
      textAlign: 'left',
      textOverflow: 'ellipsis'
    }],
    compositeLink: [classNames.compositeLink, {
      display: 'block',
      position: 'relative',
      color: semanticColors.bodyText
    }, isExpanded && 'is-expanded', isSelected && 'is-selected', isDisabled && 'is-disabled', isDisabled && {
      color: semanticColors.disabledText
    }],
    link: [classNames.link, getFocusStyle(theme), {
      display: 'block',
      position: 'relative',
      height: navHeight,
      width: '100%',
      lineHeight: "".concat(navHeight, "px"),
      textDecoration: 'none',
      cursor: 'pointer',
      textOverflow: 'ellipsis',
      whiteSpace: 'nowrap',
      overflow: 'hidden',
      paddingLeft: leftPadding,
      paddingRight: rightPadding,
      color: semanticColors.bodyText,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'transparent',
        selectors: {
          ':focus': {
            borderColor: 'WindowText'
          }
        }
      })
    }, !isDisabled && {
      selectors: {
        '.ms-Nav-compositeLink:hover &': {
          backgroundColor: semanticColors.bodyBackgroundHovered
        }
      }
    }, isSelected && {
      color: semanticColors.bodyTextChecked,
      fontWeight: FontWeights.semibold,
      backgroundColor: semanticColors.bodyBackgroundChecked,
      selectors: {
        '&:after': {
          borderLeft: "2px solid ".concat(palette.themePrimary),
          content: '""',
          position: 'absolute',
          top: 0,
          right: 0,
          bottom: 0,
          left: 0,
          pointerEvents: 'none'
        }
      }
    }, isDisabled && {
      color: semanticColors.disabledText
    }, isButtonEntry && {
      color: palette.themePrimary
    }],
    chevronButton: [classNames.chevronButton, getFocusStyle(theme), fonts.small, {
      display: 'block',
      textAlign: 'left',
      lineHeight: "".concat(navHeight, "px"),
      margin: '5px 0',
      padding: "0px, ".concat(rightPadding, "px, 0px, ").concat(leftPaddingExpanded, "px"),
      border: 'none',
      textOverflow: 'ellipsis',
      whiteSpace: 'nowrap',
      overflow: 'hidden',
      cursor: 'pointer',
      color: semanticColors.bodyText,
      backgroundColor: 'transparent',
      selectors: {
        '&:visited': {
          color: semanticColors.bodyText
        }
      }
    }, isGroup && {
      fontSize: fonts.large.fontSize,
      width: '100%',
      height: navHeight,
      borderBottom: "1px solid ".concat(semanticColors.bodyDivider)
    }, isLink && {
      display: 'block',
      width: leftPaddingExpanded - 2,
      height: navHeight - 2,
      position: 'absolute',
      top: '1px',
      left: "".concat(position, "px"),
      zIndex: ZIndexes.Nav,
      padding: 0,
      margin: 0
    }, isSelected && {
      color: palette.themePrimary,
      backgroundColor: palette.neutralLighterAlt,
      selectors: {
        '&:after': {
          borderLeft: "2px solid ".concat(palette.themePrimary),
          content: '""',
          position: 'absolute',
          top: 0,
          right: 0,
          bottom: 0,
          left: 0,
          pointerEvents: 'none'
        }
      }
    }],
    chevronIcon: [classNames.chevronIcon, {
      position: 'absolute',
      left: '8px',
      height: navHeight,
      lineHeight: "".concat(navHeight, "px"),
      fontSize: fonts.small.fontSize,
      transition: 'transform .1s linear'
    }, isExpanded && {
      transform: 'rotate(-180deg)'
    }, isLink && {
      top: 0
    }],
    navItem: [classNames.navItem, {
      padding: 0
    }],
    navItems: [classNames.navItems, {
      listStyleType: 'none',
      padding: 0,
      margin: 0
    }],
    group: [classNames.group, isExpanded && 'is-expanded'],
    groupContent: [classNames.groupContent, {
      display: 'none',
      marginBottom: '40px'
    }, AnimationClassNames.slideDownIn20, isExpanded && {
      display: 'block'
    }]
  };
};

var Nav$1 = styled(NavBase, getStyles$x, undefined, {
  scope: 'Nav'
});

var ComboBoxHeight = 32;
var ComboBoxLineHeight = 30;
var ComboBoxCaretDownWidth = 32;
var ComboBoxOptionHeight = 36;
var getDisabledStyles = memoizeFunction(function (theme) {
  var semanticColors = theme.semanticColors;
  return {
    backgroundColor: semanticColors.disabledBackground,
    color: semanticColors.disabledText,
    cursor: 'default',
    selectors: _defineProperty({
      ':after': {
        borderColor: semanticColors.disabledBackground
      }
    }, HighContrastSelector, {
      color: 'GrayText',
      selectors: {
        ':after': {
          borderColor: 'GrayText'
        }
      }
    })
  };
});
var listOptionHighContrastStyles = {
  selectors: _defineProperty({}, HighContrastSelector, {
    backgroundColor: 'Highlight',
    borderColor: 'Highlight',
    color: 'HighlightText',
    MsHighContrastAdjust: 'none'
  })
};
var inputHighContrastStyles = {
  selectors: _defineProperty({}, HighContrastSelector, {
    color: 'WindowText',
    backgroundColor: 'Window',
    MsHighContrastAdjust: 'none'
  })
};
var getOptionStyles = memoizeFunction(function (theme, customStylesForAllOptions, customOptionStylesForCurrentOption, isPending, isHidden) {
  var _selectors4;

  var palette = theme.palette,
      semanticColors = theme.semanticColors;
  var option = {
    textHoveredColor: semanticColors.menuItemTextHovered,
    textSelectedColor: palette.neutralDark,
    textDisabledColor: semanticColors.disabledText,
    backgroundHoveredColor: semanticColors.menuItemBackgroundHovered,
    backgroundPressedColor: semanticColors.menuItemBackgroundPressed
  };
  var optionStyles = {
    root: [theme.fonts.medium, {
      backgroundColor: isPending ? option.backgroundHoveredColor : 'transparent',
      boxSizing: 'border-box',
      cursor: 'pointer',
      display: isHidden ? 'none' : 'block',
      width: '100%',
      height: 'auto',
      minHeight: ComboBoxOptionHeight,
      lineHeight: '20px',
      padding: '0 8px',
      position: 'relative',
      borderWidth: '1px',
      borderStyle: 'solid',
      borderColor: 'transparent',
      borderRadius: 0,
      wordWrap: 'break-word',
      overflowWrap: 'break-word',
      textAlign: 'left',
      selectors: (_selectors4 = {}, _defineProperty(_selectors4, HighContrastSelector, {
        borderColor: 'Background'
      }), _defineProperty(_selectors4, '&.ms-Checkbox', {
        display: 'flex',
        alignItems: 'center'
      }), _defineProperty(_selectors4, '&.ms-Button--command:hover:active', {
        backgroundColor: option.backgroundPressedColor
      }), _defineProperty(_selectors4, '.ms-Checkbox-label', {
        width: '100%'
      }), _selectors4)
    }],
    rootHovered: {
      backgroundColor: option.backgroundHoveredColor,
      color: option.textHoveredColor
    },
    rootFocused: {
      backgroundColor: option.backgroundHoveredColor
    },
    rootChecked: [{
      backgroundColor: 'transparent',
      color: option.textSelectedColor,
      selectors: {
        ':hover': [{
          backgroundColor: option.backgroundHoveredColor
        }, listOptionHighContrastStyles]
      }
    }, getFocusStyle(theme, {
      inset: -1,
      isFocusedOnly: false
    }), listOptionHighContrastStyles],
    rootDisabled: {
      color: option.textDisabledColor,
      cursor: 'default'
    },
    optionText: {
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      minWidth: '0px',
      maxWidth: '100%',
      wordWrap: 'break-word',
      overflowWrap: 'break-word',
      display: 'inline-block'
    },
    optionTextWrapper: {
      maxWidth: '100%',
      display: 'flex',
      alignItems: 'center'
    }
  };
  return concatStyleSets(optionStyles, customStylesForAllOptions, customOptionStylesForCurrentOption);
});
var getCaretDownButtonStyles = memoizeFunction(function (theme, customStyles) {
  var semanticColors = theme.semanticColors,
      fonts = theme.fonts;
  var caret = {
    buttonTextColor: semanticColors.bodySubtext,
    buttonTextHoveredCheckedColor: semanticColors.buttonTextChecked,
    buttonBackgroundHoveredColor: semanticColors.listItemBackgroundHovered,
    buttonBackgroundCheckedColor: semanticColors.listItemBackgroundChecked,
    buttonBackgroundCheckedHoveredColor: semanticColors.listItemBackgroundCheckedHovered
  };
  var buttonHighContrastStyles = {
    selectors: _defineProperty({}, HighContrastSelector, {
      backgroundColor: 'Highlight',
      borderColor: 'Highlight',
      color: 'HighlightText',
      MsHighContrastAdjust: 'none'
    })
  };
  var styles = {
    root: {
      color: caret.buttonTextColor,
      fontSize: fonts.small.fontSize,
      position: 'absolute',
      top: 0,
      height: '100%',
      lineHeight: ComboBoxLineHeight,
      width: ComboBoxCaretDownWidth,
      textAlign: 'center',
      cursor: 'default',
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'ButtonFace',
        borderColor: 'ButtonText',
        color: 'ButtonText',
        MsHighContrastAdjust: 'none'
      })
    },
    icon: {
      fontSize: fonts.small.fontSize
    },
    rootHovered: [{
      backgroundColor: caret.buttonBackgroundHoveredColor,
      color: caret.buttonTextHoveredCheckedColor,
      cursor: 'pointer'
    }, buttonHighContrastStyles],
    rootPressed: [{
      backgroundColor: caret.buttonBackgroundCheckedColor,
      color: caret.buttonTextHoveredCheckedColor
    }, buttonHighContrastStyles],
    rootChecked: [{
      backgroundColor: caret.buttonBackgroundCheckedColor,
      color: caret.buttonTextHoveredCheckedColor
    }, buttonHighContrastStyles],
    rootCheckedHovered: [{
      backgroundColor: caret.buttonBackgroundCheckedHoveredColor,
      color: caret.buttonTextHoveredCheckedColor
    }, buttonHighContrastStyles],
    rootDisabled: [getDisabledStyles(theme), {
      position: 'absolute'
    }]
  };
  return concatStyleSets(styles, customStyles);
});
var getStyles$y = memoizeFunction(function (theme, customStyles, comboBoxOptionWidth) {
  var semanticColors = theme.semanticColors,
      fonts = theme.fonts,
      effects = theme.effects;
  var root = {
    textColor: semanticColors.inputText,
    borderColor: semanticColors.inputBorder,
    borderHoveredColor: semanticColors.inputBorderHovered,
    borderPressedColor: semanticColors.inputFocusBorderAlt,
    borderFocusedColor: semanticColors.inputFocusBorderAlt,
    backgroundColor: semanticColors.inputBackground,
    erroredColor: semanticColors.errorText
  };
  var option = {
    headerTextColor: semanticColors.menuHeader,
    dividerBorderColor: semanticColors.bodyDivider
  }; // placeholder style variables

  var placeholderHighContrastStyles = {
    selectors: _defineProperty({}, HighContrastSelector, {
      color: 'GrayText'
    })
  };
  var placeholderStyles = [{
    color: semanticColors.inputPlaceholderText
  }, placeholderHighContrastStyles];
  var placeholderStylesHovered = [{
    color: semanticColors.inputTextHovered
  }, placeholderHighContrastStyles];
  var disabledPlaceholderStyles = [{
    color: semanticColors.disabledText
  }, placeholderHighContrastStyles];
  var ComboBoxRootHighContrastFocused = {
    color: 'HighlightText',
    backgroundColor: 'Window',
    MsHighContrastAdjust: 'none',
    selectors: {
      ':after': {
        borderColor: 'Highlight'
      }
    }
  };
  var focusBorderStyles = getInputFocusStyle(root.borderPressedColor, effects.roundedCorner2, 'border', 0);
  var styles = {
    container: {},
    label: {},
    labelDisabled: {},
    root: [theme.fonts.medium, {
      boxShadow: 'none',
      marginLeft: '0',
      paddingRight: ComboBoxCaretDownWidth,
      paddingLeft: 9,
      color: root.textColor,
      position: 'relative',
      outline: '0',
      userSelect: 'none',
      backgroundColor: root.backgroundColor,
      cursor: 'text',
      display: 'block',
      height: ComboBoxHeight,
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      boxSizing: 'border-box',
      selectors: {
        '.ms-Label': {
          display: 'inline-block',
          marginBottom: '8px'
        },
        '&.is-open': {
          selectors: _defineProperty({}, HighContrastSelector, ComboBoxRootHighContrastFocused)
        },
        // setting border using pseudo-element here in order to
        // prevent chevron button to overlap ComboBox border under certain resolutions
        ':after': {
          pointerEvents: 'none',
          content: "''",
          position: 'absolute',
          left: 0,
          top: 0,
          bottom: 0,
          right: 0,
          borderWidth: '1px',
          borderStyle: 'solid',
          borderColor: root.borderColor,
          borderRadius: effects.roundedCorner2
        }
      }
    }],
    rootHovered: {
      selectors: _defineProperty({
        ':after': {
          borderColor: root.borderHoveredColor
        },
        '.ms-ComboBox-Input': [{
          color: semanticColors.inputTextHovered
        }, getPlaceholderStyles(placeholderStylesHovered), inputHighContrastStyles]
      }, HighContrastSelector, {
        color: 'HighlightText',
        backgroundColor: 'Window',
        MsHighContrastAdjust: 'none',
        selectors: {
          ':after': {
            borderColor: 'Highlight'
          }
        }
      })
    },
    rootPressed: [{
      position: 'relative',
      selectors: _defineProperty({}, HighContrastSelector, ComboBoxRootHighContrastFocused)
    }],
    rootFocused: [{
      selectors: _defineProperty({
        '.ms-ComboBox-Input': [{
          color: semanticColors.inputTextHovered
        }, inputHighContrastStyles]
      }, HighContrastSelector, ComboBoxRootHighContrastFocused)
    }, focusBorderStyles],
    rootDisabled: getDisabledStyles(theme),
    rootError: {
      borderColor: root.erroredColor,
      selectors: {
        ':hover': {
          borderColor: semanticColors.inputBorderHovered
        }
      }
    },
    rootDisallowFreeForm: {},
    input: [getPlaceholderStyles(placeholderStyles), {
      backgroundColor: root.backgroundColor,
      color: root.textColor,
      boxSizing: 'border-box',
      width: '100%',
      height: '100%',
      borderStyle: 'none',
      outline: 'none',
      font: 'inherit',
      textOverflow: 'ellipsis',
      padding: '0',
      selectors: {
        '::-ms-clear': {
          display: 'none'
        }
      }
    }, inputHighContrastStyles],
    inputDisabled: [getDisabledStyles(theme), getPlaceholderStyles(disabledPlaceholderStyles)],
    errorMessage: [theme.fonts.small, {
      color: root.erroredColor,
      marginTop: '5px'
    }],
    callout: {
      boxShadow: effects.elevation8
    },
    optionsContainerWrapper: {
      width: comboBoxOptionWidth
    },
    optionsContainer: {
      display: 'block'
    },
    screenReaderText: hiddenContentStyle,
    header: [fonts.medium, {
      fontWeight: FontWeights.semibold,
      color: option.headerTextColor,
      backgroundColor: 'none',
      borderStyle: 'none',
      height: ComboBoxOptionHeight,
      lineHeight: ComboBoxOptionHeight,
      cursor: 'default',
      padding: '0 8px',
      userSelect: 'none',
      textAlign: 'left'
    }],
    divider: {
      height: 1,
      backgroundColor: option.dividerBorderColor
    }
  };
  return concatStyleSets(styles, customStyles);
});

var getClassNames$q = classNamesFunction({
  disableCaching: true
});

var LabelBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(LabelBase, _StatelessComponent);

  var _super = _createSuper(LabelBase);

  function LabelBase() {
    _classCallCheck(this, LabelBase);

    return _super.apply(this, arguments);
  }

  _createClass(LabelBase, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          className = _context$props.className,
          disabled = _context$props.disabled,
          required = _context$props.required;
      var classNames = getClassNames$q(context.props.styles, {
        className: className,
        disabled: disabled,
        required: required,
        theme: theme
      });
      return h("label", _mergeJSXProps([{
        "class": classNames.root
      }, context.data]), [context.children]);
    }
  }]);

  return LabelBase;
}(StatelessComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], LabelBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], LabelBase.prototype, "required", void 0);

LabelBase = __decorate([Component], LabelBase);

var getStyles$z = function getStyles(props) {
  var theme = props.theme,
      className = props.className,
      disabled = props.disabled,
      required = props.required;
  var semanticColors = theme.semanticColors; // Tokens

  var labelFontWeight = FontWeights.semibold;
  var labelColor = semanticColors.bodyText;
  var labelDisabledColor = semanticColors.disabledBodyText;
  var labelRequiredStarColor = semanticColors.errorText;
  return {
    root: ['ms-Label', theme.fonts.medium, {
      fontWeight: labelFontWeight,
      color: labelColor,
      boxSizing: 'border-box',
      boxShadow: 'none',
      margin: 0,
      display: 'block',
      padding: '5px 0',
      wordWrap: 'break-word',
      overflowWrap: 'break-word'
    }, disabled && {
      color: labelDisabledColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText'
      })
    }, required && {
      selectors: {
        '::after': {
          content: "' *'",
          color: labelRequiredStarColor,
          paddingRight: 12
        }
      }
    }, className]
  };
};

var Label = styled(LabelBase, getStyles$z, undefined, {
  scope: 'Label'
});

var getClassNames$r = memoizeFunction(function (styles, className, isOpen, disabled, required, focused, allowFreeForm, hasErrorMessage) {
  return {
    container: mergeStyles('ms-ComboBox-container', className, styles.container),
    label: mergeStyles(styles.label, disabled && styles.labelDisabled),
    root: mergeStyles('ms-ComboBox', hasErrorMessage ? styles.rootError : isOpen && 'is-open', required && 'is-required', styles.root, !allowFreeForm && styles.rootDisallowFreeForm, hasErrorMessage ? styles.rootError : !disabled && focused && styles.rootFocused, !disabled && {
      selectors: {
        ':hover': hasErrorMessage ? styles.rootError : !isOpen && !focused && styles.rootHovered,
        ':active': hasErrorMessage ? styles.rootError : styles.rootPressed,
        ':focus': hasErrorMessage ? styles.rootError : styles.rootFocused
      }
    }, disabled && ['is-disabled', styles.rootDisabled]),
    input: mergeStyles('ms-ComboBox-Input', styles.input, disabled && styles.inputDisabled),
    errorMessage: mergeStyles(styles.errorMessage),
    callout: mergeStyles('ms-ComboBox-callout', styles.callout),
    optionsContainerWrapper: mergeStyles('ms-ComboBox-optionsContainerWrapper', styles.optionsContainerWrapper),
    optionsContainer: mergeStyles('ms-ComboBox-optionsContainer', styles.optionsContainer),
    header: mergeStyles('ms-ComboBox-header', styles.header),
    divider: mergeStyles('ms-ComboBox-divider', styles.divider),
    screenReaderText: mergeStyles(styles.screenReaderText)
  };
});
var getComboBoxOptionClassNames = memoizeFunction(function (styles) {
  return {
    optionText: mergeStyles('ms-ComboBox-optionText', styles.optionText),
    root: mergeStyles('ms-ComboBox-option', styles.root, {
      selectors: {
        ':hover': styles.rootHovered,
        ':focus': styles.rootFocused,
        ':active': styles.rootPressed
      }
    }),
    optionTextWrapper: mergeStyles(styles.optionTextWrapper)
  };
});

var getClassNames$s = classNamesFunction();

var CheckboxBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(CheckboxBase, _BaseComponent);

  var _super = _createSuper(CheckboxBase);

  function CheckboxBase() {
    var _this;

    _classCallCheck(this, CheckboxBase);

    _this = _super.apply(this, arguments);
    _this.internalValue = _this.checked || _this.defaultChecked;
    _this.isIndeterminate = _this.indeterminate || _this.defaultIndeterminate;
    return _this;
  }

  _createClass(CheckboxBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          title = this.title,
          label = this.label;
      return h("div", {
        "class": classNames.root
      }, [h("input", _mergeJSXProps([{
        "attrs": {
          "id": "Checkbox".concat(this.uid)
        },
        "class": classNames.input
      }, this.$attrs, {
        "attrs": {
          "disabled": this.disabled,
          "type": "checkbox"
        },
        "on": {
          "input": this.onInput
        }
      }])), h(Label, {
        "class": classNames.label,
        "attrs": {
          "for": "Checkbox".concat(this.uid)
        }
      }, [h("div", {
        "class": classNames.checkbox
      }, [h(Icon$2, {
        "attrs": {
          "icon-name": "CheckMark"
        },
        "class": classNames.checkmark
      })]), (label || this.$slots.default) && h("span", {
        "class": classNames.text,
        "attrs": {
          "title": title
        }
      }, [this.$slots.default || label])])]);
    }
  }, {
    key: "onValueChanged",
    value: function onValueChanged(value) {
      this.$emit('input', value);
    }
  }, {
    key: "onInput",
    value: function onInput() {
      if (this.disabled) return;

      if (this.isIndeterminate) {
        this.internalValue = this.defaultChecked;
        this.isIndeterminate = false;
      } else {
        this.internalValue = !this.internalValue;
      }
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          disabled = this.disabled,
          isIndeterminate = this.isIndeterminate,
          internalValue = this.internalValue,
          boxSide = this.boxSide;
      return getClassNames$s(this.styles, {
        theme: theme,
        className: className,
        disabled: disabled,
        indeterminate: isIndeterminate,
        checked: internalValue,
        reversed: boxSide !== 'start',
        isUsingCustomLabelRender: true
      });
    }
  }]);

  return CheckboxBase;
}(BaseComponent$1);

__decorate([Model('input', {
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CheckboxBase.prototype, "checked", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CheckboxBase.prototype, "defaultChecked", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CheckboxBase.prototype, "indeterminate", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CheckboxBase.prototype, "defaultIndeterminate", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CheckboxBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CheckboxBase.prototype, "required", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], CheckboxBase.prototype, "label", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], CheckboxBase.prototype, "title", void 0);

__decorate([Prop({
  type: String,
  default: 'start',
  validator: function validator(v) {
    return ['start', 'end'].indexOf(v) > -1;
  }
}), __metadata("design:type", String)], CheckboxBase.prototype, "boxSide", void 0);

__decorate([Watch('internalValue'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean]), __metadata("design:returntype", void 0)], CheckboxBase.prototype, "onValueChanged", null);

CheckboxBase = __decorate([Component({})], CheckboxBase);

var GlobalClassNames$j = {
  root: 'ms-Checkbox',
  label: 'ms-Checkbox-label',
  checkbox: 'ms-Checkbox-checkbox',
  checkmark: 'ms-Checkbox-checkmark',
  text: 'ms-Checkbox-text'
};
var MS_CHECKBOX_LABEL_SIZE = '20px';
var MS_CHECKBOX_TRANSITION_DURATION = '200ms';
var MS_CHECKBOX_TRANSITION_TIMING = 'cubic-bezier(.4, 0, .23, 1)';
var getStyles$A = function getStyles(props) {
  var _selectors3, _selectors4, _selectors5, _selectors6, _selectors7;

  var className = props.className,
      theme = props.theme,
      reversed = props.reversed,
      checked = props.checked,
      disabled = props.disabled,
      isUsingCustomLabelRender = props.isUsingCustomLabelRender,
      indeterminate = props.indeterminate;
  var semanticColors = theme.semanticColors,
      effects = theme.effects,
      palette = theme.palette,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$j, theme);
  var checkmarkFontColor = semanticColors.inputForegroundChecked; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.inputBorder

  var checkmarkFontColorHovered = palette.neutralSecondary; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.smallInputBorder

  var checkboxBorderColor = palette.neutralPrimary;
  var checkboxBorderIndeterminateColor = semanticColors.inputBackgroundChecked;
  var checkboxBorderColorChecked = semanticColors.inputBackgroundChecked;
  var checkboxBorderColorDisabled = semanticColors.disabledBodySubtext;
  var checkboxBorderHoveredColor = semanticColors.inputBorderHovered;
  var checkboxBorderIndeterminateHoveredColor = semanticColors.inputBackgroundCheckedHovered;
  var checkboxBackgroundChecked = semanticColors.inputBackgroundChecked; // TODO: after updating the semanticColors slots mapping following 2 tokens need to be semanticColors.inputBackgroundCheckedHovered

  var checkboxBackgroundCheckedHovered = semanticColors.inputBackgroundCheckedHovered;
  var checkboxBorderColorCheckedHovered = semanticColors.inputBackgroundCheckedHovered;
  var checkboxHoveredTextColor = semanticColors.inputTextHovered;
  var checkboxBackgroundDisabledChecked = semanticColors.disabledBodySubtext;
  var checkboxTextColor = semanticColors.bodyText;
  var checkboxTextColorDisabled = semanticColors.disabledText;
  var indeterminateDotStyles = [{
    content: '""',
    borderRadius: effects.roundedCorner2,
    position: 'absolute',
    width: 10,
    height: 10,
    top: 4,
    left: 4,
    boxSizing: 'border-box',
    borderWidth: 5,
    borderStyle: 'solid',
    borderColor: disabled ? checkboxBorderColorDisabled : checkboxBorderIndeterminateColor,
    transitionProperty: 'border-width, border, border-color',
    transitionDuration: MS_CHECKBOX_TRANSITION_DURATION,
    transitionTimingFunction: MS_CHECKBOX_TRANSITION_TIMING
  }];
  return {
    root: [classNames.root, {
      position: 'relative',
      display: 'flex'
    }, reversed && 'reversed', checked && 'is-checked', !disabled && 'is-enabled', disabled && 'is-disabled', !disabled && [!checked && {
      selectors: (_selectors3 = {}, _defineProperty(_selectors3, ":hover .".concat(classNames.checkbox), {
        borderColor: checkboxBorderHoveredColor,
        selectors: _defineProperty({}, HighContrastSelector, {
          borderColor: 'Highlight'
        })
      }), _defineProperty(_selectors3, ":focus .".concat(classNames.checkbox), {
        borderColor: checkboxBorderHoveredColor
      }), _defineProperty(_selectors3, ":hover .".concat(classNames.checkmark), {
        color: checkmarkFontColorHovered,
        opacity: '1',
        selectors: _defineProperty({}, HighContrastSelector, {
          color: 'Highlight'
        })
      }), _selectors3)
    }, checked && !indeterminate && {
      selectors: (_selectors5 = {}, _defineProperty(_selectors5, ":hover .".concat(classNames.checkbox), {
        background: checkboxBackgroundCheckedHovered,
        borderColor: checkboxBorderColorCheckedHovered
      }), _defineProperty(_selectors5, ":focus .".concat(classNames.checkbox), {
        background: checkboxBackgroundCheckedHovered,
        borderColor: checkboxBorderColorCheckedHovered
      }), _defineProperty(_selectors5, ".".concat(classNames.checkbox), {
        background: checkboxBorderColorChecked,
        borderColor: checkboxBorderColorChecked
      }), _defineProperty(_selectors5, HighContrastSelector, {
        selectors: (_selectors4 = {}, _defineProperty(_selectors4, ":hover .".concat(classNames.checkbox), {
          background: 'Window',
          borderColor: 'Highlight'
        }), _defineProperty(_selectors4, ":focus .".concat(classNames.checkbox), {
          background: 'Highlight'
        }), _defineProperty(_selectors4, ":focus:hover .".concat(classNames.checkbox), {
          background: 'Highlight'
        }), _defineProperty(_selectors4, ":focus:hover .".concat(classNames.checkmark), {
          color: 'Window'
        }), _defineProperty(_selectors4, ":hover .".concat(classNames.checkmark), {
          color: 'Highlight'
        }), _selectors4)
      }), _selectors5)
    }, indeterminate && {
      selectors: (_selectors6 = {}, _defineProperty(_selectors6, ":hover .".concat(classNames.checkbox, ", :hover .").concat(classNames.checkbox, ":after"), {
        borderColor: checkboxBorderIndeterminateHoveredColor
      }), _defineProperty(_selectors6, ":focus .".concat(classNames.checkbox), {
        borderColor: checkboxBorderIndeterminateHoveredColor
      }), _defineProperty(_selectors6, ":hover .".concat(classNames.checkmark), {
        opacity: '0'
      }), _selectors6)
    }, {
      selectors: (_selectors7 = {}, _defineProperty(_selectors7, ":hover .".concat(classNames.text), {
        color: checkboxHoveredTextColor
      }), _defineProperty(_selectors7, ":focus .".concat(classNames.text), {
        color: checkboxHoveredTextColor
      }), _selectors7)
    }], className],
    input: {
      position: 'absolute',
      background: 'none',
      opacity: 0,
      selectors: _defineProperty({}, ".".concat(IsFocusVisibleClassName, " &:focus + label::before"), {
        outline: '1px solid ' + theme.palette.neutralSecondary,
        outlineOffset: '2px',
        selectors: _defineProperty({}, HighContrastSelector, {
          outline: '1px solid ActiveBorder'
        })
      })
    },
    label: [classNames.label, theme.fonts.medium, {
      display: 'flex',
      alignItems: isUsingCustomLabelRender ? 'center' : 'flex-start',
      cursor: disabled ? 'default' : 'pointer',
      position: 'relative',
      userSelect: 'none',
      textAlign: 'left'
    }, reversed && {
      flexDirection: 'row-reverse',
      justifyContent: 'flex-end'
    }, {
      selectors: {
        '&::before': {
          position: 'absolute',
          left: 0,
          right: 0,
          top: 0,
          bottom: 0,
          content: '""',
          pointerEvents: 'none'
        }
      }
    }],
    checkbox: [classNames.checkbox, {
      position: 'relative',
      display: 'flex',
      flexShrink: 0,
      alignItems: 'center',
      justifyContent: 'center',
      height: MS_CHECKBOX_LABEL_SIZE,
      width: MS_CHECKBOX_LABEL_SIZE,
      border: "1px solid ".concat(checkboxBorderColor),
      borderRadius: effects.roundedCorner2,
      boxSizing: 'border-box',
      transitionProperty: 'background, border, border-color',
      transitionDuration: MS_CHECKBOX_TRANSITION_DURATION,
      transitionTimingFunction: MS_CHECKBOX_TRANSITION_TIMING,

      /* in case the icon is bigger than the box */
      overflow: 'hidden',
      selectors: {
        ':after': indeterminate ? indeterminateDotStyles : null
      }
    }, indeterminate && {
      borderColor: checkboxBorderIndeterminateColor
    }, !reversed ? {
      marginRight: 4
    } : {
      marginLeft: 4
    }, !disabled && !indeterminate && checked && {
      background: checkboxBackgroundChecked,
      borderColor: checkboxBorderColorChecked,
      selectors: _defineProperty({}, HighContrastSelector, {
        background: 'Highlight',
        borderColor: 'Highlight'
      })
    }, disabled && {
      borderColor: checkboxBorderColorDisabled,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'InactiveBorder'
      })
    }, checked && disabled && {
      background: checkboxBackgroundDisabledChecked,
      borderColor: checkboxBorderColorDisabled
    }],
    checkmark: [classNames.checkmark, {
      opacity: checked ? '1' : '0',
      color: checkmarkFontColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: disabled ? 'InactiveBorder' : 'Window',
        MsHighContrastAdjust: 'none'
      })
    }],
    text: [classNames.text, {
      color: disabled ? checkboxTextColorDisabled : checkboxTextColor,
      fontSize: fonts.medium.fontSize,
      lineHeight: '20px'
    }, !reversed ? {
      marginLeft: 4
    } : {
      marginRight: 4
    }, disabled && {
      selectors: _defineProperty({}, HighContrastSelector, {
        // backwards compat for the color of the text when the checkbox was rendered
        // using a Button.
        color: 'InactiveBorder'
      })
    }]
  };
};

var Checkbox = styled(CheckboxBase, getStyles$A, undefined, {
  scope: 'Checkbox'
});

var SearchDirection;

(function (SearchDirection) {
  SearchDirection[SearchDirection["backward"] = -1] = "backward";
  SearchDirection[SearchDirection["none"] = 0] = "none";
  SearchDirection[SearchDirection["forward"] = 1] = "forward";
})(SearchDirection || (SearchDirection = {}));

var HoverStatus;

(function (HoverStatus) {
  /** Used when the user was hovering and has since moused out of the menu items */
  HoverStatus[HoverStatus["clearAll"] = -2] = "clearAll";
  /** Default "normal" state, when no hover has happened or a hover is in progress */

  HoverStatus[HoverStatus["default"] = -1] = "default";
})(HoverStatus || (HoverStatus = {}));
/* ms */

var ComboBoxBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ComboBoxBase, _BaseComponent);

  var _super = _createSuper(ComboBoxBase);

  function ComboBoxBase() {
    var _this;

    _classCallCheck(this, ComboBoxBase);

    _this = _super.apply(this, arguments);
    _this.state = {
      isOpen: false,
      selectedIndices: [],
      focused: false,
      suggestedDisplayValue: '',
      currentOptions: [],
      currentPendingValueValidIndex: 0,
      currentPendingValueValidIndexOnHover: 0,
      currentPendingValue: ''
    };
    _this.comboBoxMenuWidth = 0;
    return _this;
  }

  _createClass(ComboBoxBase, [{
    key: "mounted",
    value: function mounted() {
      var _this2 = this;

      var cb = this._async.throttle(function () {
        if (!_this2.$refs.comboBoxWrapper) return;
        /** Update `comboBoxMenuWidth` with 60 fps. */

        _this2.comboBoxMenuWidth = _this2.$refs.comboBoxWrapper.clientWidth + 2;
      }, 1 / 60);

      var observer = new ResizeObserver(cb);
      observer.observe(this.$refs.comboBoxWrapper);
    }
  }, {
    key: "test",
    value: function test() {
      var h = this.$createElement;
      return h("div", ["Test ", this.comboBoxMenuWidth]);
    }
  }, {
    key: "getComboBoxMenuWidth",

    /**
     * Gets the current comboBoxWrapper width, including its border offset. Has to be recalculated on each render cycle of
     * the Callout, in case the window size changed.
     */
    value: function getComboBoxMenuWidth() {
      if (!this.$refs.comboBoxWrapper) return 0;
      return this.$refs.comboBoxWrapper.clientWidth + 2;
    }
  }, {
    key: "onFocus",
    value: function onFocus(e) {}
  }, {
    key: "onBlur",
    value: function onBlur(e) {
      console.log(e);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          onFocus = this.onFocus,
          onBlur = this.onBlur,
          calloutProps = this.calloutProps,
          persistMenu = this.persistMenu,
          state = this.state,
          multiSelect = this.multiSelect;
      return h("div", {
        "class": classNames.container
      }, [h(Label, {
        "attrs": {
          "for": "ComboBox".concat(this.uid)
        },
        "class": classNames.label
      }, ["Label"]), h("div", {
        "ref": "comboBoxWrapper",
        "class": classNames.root
      }, [h(Autofill, {
        "attrs": {
          "id": "ComboBox".concat(this.uid),
          "type": "text",
          "role": "combobox"
        },
        "ref": "autofill",
        "class": classNames.input
      }), h(IconButton, {
        "class": "ms-ComboBox-CaretDown-button",
        "attrs": {
          "icon-props": {
            iconName: 'ChevronDown'
          }
        },
        "nativeOn": {
          "focus": onFocus,
          "blur": onBlur
        }
      })]), this.test(), (persistMenu || state.isOpen) && h("div", [h(Callout, {
        "class": css(classNames.callout, calloutProps ? calloutProps.className : undefined),
        "attrs": {
          "target": this.$refs.comboBoxWrapper,
          "is-beak-visible": false,
          "gap-space": 0,
          "do-not-layer": false,
          "callout-width": this.getComboBoxMenuWidth(),
          "callout-max-width": this.getComboBoxMenuWidth(),
          "hidden": persistMenu ? !state.isOpen : undefined
        }
      }, [h("div", {
        "ref": "comboBoxMenu",
        "class": classNames.optionsContainerWrapper
      }, [h("div", {
        "class": classNames.optionsContainer,
        "attrs": {
          "role": "listbox"
        }
      }, [multiSelect && h(Checkbox, {
        "class": "ms-ComboBox-option"
      }), h(ActionButton, {
        "class": "ms-ComboBox-option"
      })])])])])]);
    }
  }, {
    key: "hasErrorMessage",
    get: function get() {
      var errorMessage = this.errorMessage;
      return !!(errorMessage && errorMessage.length > 0);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          customStyles = this.styles,
          disabled = this.disabled,
          required = this.required,
          allowFreeform = this.allowFreeform,
          hasErrorMessage = this.hasErrorMessage;
      var _this$state = this.state,
          isOpen = _this$state.isOpen,
          focused = _this$state.focused,
          suggestedDisplayValue = _this$state.suggestedDisplayValue;
      return getClassNames$r(getStyles$y(theme, customStyles), className, !!isOpen, !!disabled, !!required, !!focused, !!allowFreeform, !!hasErrorMessage);
    }
  }]);

  return ComboBoxBase;
}(BaseComponent$1);

__decorate([Prop(), __metadata("design:type", Boolean)], ComboBoxBase.prototype, "allowFreeform", void 0);

__decorate([Prop(), __metadata("design:type", String)], ComboBoxBase.prototype, "autoComplete", void 0);

__decorate([Prop(), __metadata("design:type", String)], ComboBoxBase.prototype, "errorMessage", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ComboBoxBase.prototype, "text", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ComboBoxBase.prototype, "calloutProps", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ComboBoxBase.prototype, "buttonIconProps", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ComboBoxBase.prototype, "comboBoxOptionStyles", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ComboBoxBase.prototype, "autofill", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ComboBoxBase.prototype, "disabled", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ComboBoxBase.prototype, "required", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ComboBoxBase.prototype, "persistMenu", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ComboBoxBase.prototype, "multiSelect", void 0);

ComboBoxBase = __decorate([Component({
  components: {
    Autofill: Autofill,
    Label: Label,
    IconButton: IconButton,
    Callout: Callout,
    ActionButton: ActionButton,
    Checkbox: Checkbox,
    VNodes: VNodes
  }
})], ComboBoxBase);

var ComboBox = styled(ComboBoxBase, getStyles$y, undefined, {
  scope: 'ComboBox',
  fields: ['hostId', 'theme', 'styles']
});

var getClassNames$t = classNamesFunction();

var ChoiceGroupOptionBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ChoiceGroupOptionBase, _BaseComponent);

  var _super = _createSuper(ChoiceGroupOptionBase);

  function ChoiceGroupOptionBase() {
    _classCallCheck(this, ChoiceGroupOptionBase);

    return _super.apply(this, arguments);
  }

  _createClass(ChoiceGroupOptionBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var id = this.id,
          classNames = this.classNames,
          text = this.text,
          imageSrc = this.imageSrc,
          imageAlt = this.imageAlt,
          imageSize = this.imageSize,
          selectedImageSrc = this.selectedImageSrc,
          iconProps = this.iconProps,
          disabled = this.disabled;
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.choiceFieldWrapper
      }, [h("input", {
        "attrs": {
          "id": "ChoiceGroup".concat(this.uid, "-").concat(id),
          "name": "ChoiceGroup".concat(this.uid),
          "disabled": this.disabled,
          "type": "radio"
        },
        "class": classNames.input
      }), h("label", {
        "attrs": {
          "for": "ChoiceGroup".concat(this.uid, "-").concat(id)
        },
        "class": classNames.field
      }, [imageSrc && h("div", {
        "class": classNames.innerField
      }, [h("div", {
        "class": classNames.imageWrapper
      }, [h(Image, {
        "attrs": {
          "src": imageSrc,
          "alt": imageAlt,
          "width": imageSize.width,
          "height": imageSize.height
        }
      })]), h("div", {
        "class": classNames.selectedImageWrapper
      }, [h(Image, {
        "attrs": {
          "src": selectedImageSrc,
          "alt": imageAlt,
          "width": imageSize.width,
          "height": imageSize.height
        }
      })])]), iconProps && h("div", {
        "class": classNames.innerField
      }, [h("div", {
        "class": classNames.iconWrapper
      }, [h(Icon$2, {
        "props": _objectSpread2({}, iconProps)
      })])]), imageSrc || iconProps ? h("div", {
        "class": classNames.labelWrapper
      }, [h("span", {
        "class": "ms-ChoiceFieldLabel"
      }, [this.$slots.default || text])]) : h("span", {
        "class": "ms-ChoiceFieldLabel"
      }, [this.$slots.default || text])])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          iconProps = this.iconProps,
          imageSrc = this.imageSrc,
          checked = this.checked,
          disabled = this.disabled,
          imageSize = this.imageSize,
          focused = this.focused;
      return getClassNames$t(styles, {
        theme: theme,
        hasIcon: !!iconProps,
        hasImage: !!imageSrc,
        checked: checked,
        disabled: disabled,
        imageIsLarge: !!imageSrc && (imageSize.width > 71 || imageSize.height > 71),
        imageSize: imageSize,
        focused: focused
      });
    }
  }]);

  return ChoiceGroupOptionBase;
}(BaseComponent$1);

__decorate([Prop(), __metadata("design:type", String)], ChoiceGroupOptionBase.prototype, "id", void 0);

__decorate([Prop(), __metadata("design:type", String)], ChoiceGroupOptionBase.prototype, "text", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ChoiceGroupOptionBase.prototype, "iconProps", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ChoiceGroupOptionBase.prototype, "imageSrc", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ChoiceGroupOptionBase.prototype, "selectedImageSrc", void 0);

__decorate([Prop(), __metadata("design:type", Object)], ChoiceGroupOptionBase.prototype, "imageAlt", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ChoiceGroupOptionBase.prototype, "checked", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ChoiceGroupOptionBase.prototype, "disabled", void 0);

__decorate([Prop({
  default: function _default() {
    return {
      width: 32,
      height: 32
    };
  }
}), __metadata("design:type", Object)], ChoiceGroupOptionBase.prototype, "imageSize", void 0);

__decorate([Prop(), __metadata("design:type", Boolean)], ChoiceGroupOptionBase.prototype, "focused", void 0);

ChoiceGroupOptionBase = __decorate([Component], ChoiceGroupOptionBase);

var GlobalClassNames$k = {
  root: 'ms-ChoiceField',
  choiceFieldWrapper: 'ms-ChoiceField-wrapper',
  input: 'ms-ChoiceField-input',
  field: 'ms-ChoiceField-field',
  innerField: 'ms-ChoiceField-innerField',
  imageWrapper: 'ms-ChoiceField-imageWrapper',
  iconWrapper: 'ms-ChoiceField-iconWrapper',
  labelWrapper: 'ms-ChoiceField-labelWrapper',
  checked: 'is-checked'
};
var labelWrapperLineHeight = 15;
var iconSize = 32;
var choiceFieldSize = 20;
var choiceFieldTransitionDuration = '200ms';
var choiceFieldTransitionTiming = 'cubic-bezier(.4, 0, .23, 1)';
var radioButtonSpacing = 3;
var radioButtonInnerSize = 5;

function getChoiceGroupFocusStyle(focusBorderColor, hasIconOrImage) {
  return ['is-inFocus', {
    selectors: _defineProperty({}, ".".concat(IsFocusVisibleClassName, " &"), {
      position: 'relative',
      outline: 'transparent',
      selectors: {
        '::-moz-focus-inner': {
          border: 0
        },
        ':after': {
          content: '""',
          top: -2,
          right: -2,
          bottom: -2,
          left: -2,
          pointerEvents: 'none',
          border: "1px solid ".concat(focusBorderColor),
          position: 'absolute',
          selectors: _defineProperty({}, HighContrastSelector, {
            borderColor: 'WindowText',
            borderWidth: hasIconOrImage ? 1 : 2
          })
        }
      }
    })
  }];
}

function getImageWrapperStyle(isSelectedImageWrapper, className, checked) {
  return [className, {
    paddingBottom: 2,
    transitionProperty: 'opacity',
    transitionDuration: choiceFieldTransitionDuration,
    transitionTimingFunction: 'ease',
    selectors: {
      '.ms-Image': {
        display: 'inline-block',
        borderStyle: 'none'
      }
    }
  }, (checked ? !isSelectedImageWrapper : isSelectedImageWrapper) && ['is-hidden', {
    position: 'absolute',
    left: 0,
    top: 0,
    width: '100%',
    height: '100%',
    overflow: 'hidden',
    opacity: 0
  }]];
}

var getStyles$B = function getStyles(props) {
  var theme = props.theme,
      hasIcon = props.hasIcon,
      hasImage = props.hasImage,
      checked = props.checked,
      disabled = props.disabled,
      imageIsLarge = props.imageIsLarge,
      focused = props.focused,
      imageSize = props.imageSize;
  var palette = theme.palette,
      semanticColors = theme.semanticColors,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$k, theme); // Tokens
  // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.smallInputBorder

  var circleBorderColor = palette.neutralPrimary;
  var circleHoveredBorderColor = semanticColors.inputBorderHovered;
  var circleCheckedBorderColor = semanticColors.inputBackgroundChecked; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.inputBackgroundCheckedHovered

  var circleCheckedHoveredBorderColor = palette.themeDark;
  var circleDisabledBorderColor = semanticColors.disabledBodySubtext;
  var circleBackgroundColor = semanticColors.bodyBackground;
  var dotUncheckedHoveredColor = palette.neutralSecondary;
  var dotCheckedColor = semanticColors.inputBackgroundChecked; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.inputBackgroundCheckedHovered

  var dotCheckedHoveredColor = palette.themeDark;
  var dotDisabledColor = semanticColors.disabledBodySubtext; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.bodyTextChecked

  var labelHoverFocusColor = palette.neutralDark;
  var focusBorderColor = semanticColors.focusBorder;
  var iconOrImageChoiceBorderUncheckedHoveredColor = semanticColors.inputBorderHovered; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.inputBackgroundCheckedHovered

  var iconOrImageChoiceBorderCheckedColor = semanticColors.inputBackgroundChecked;
  var iconOrImageChoiceBorderCheckedHoveredColor = palette.themeDark;
  var iconOrImageChoiceBackgroundColor = palette.neutralLighter;
  var fieldHoverOrFocusProperties = {
    selectors: {
      '.ms-ChoiceFieldLabel': {
        color: labelHoverFocusColor
      },
      ':before': {
        borderColor: checked ? circleCheckedHoveredBorderColor : circleHoveredBorderColor
      },
      ':after': [!hasIcon && !hasImage && !checked && {
        content: '""',
        transitionProperty: 'background-color',
        left: 5,
        top: 5,
        width: 10,
        height: 10,
        backgroundColor: dotUncheckedHoveredColor
      }, checked && {
        borderColor: dotCheckedHoveredColor
      }]
    }
  };
  var enabledFieldWithImageHoverOrFocusProperties = {
    borderColor: checked ? iconOrImageChoiceBorderCheckedHoveredColor : iconOrImageChoiceBorderUncheckedHoveredColor,
    selectors: {
      ':before': {
        opacity: 1,
        borderColor: checked ? circleCheckedHoveredBorderColor : circleHoveredBorderColor
      }
    }
  };
  var circleAreaProperties = [{
    content: '""',
    display: 'inline-block',
    backgroundColor: circleBackgroundColor,
    borderWidth: 1,
    borderStyle: 'solid',
    borderColor: circleBorderColor,
    width: choiceFieldSize,
    height: choiceFieldSize,
    fontWeight: 'normal',
    position: 'absolute',
    top: 0,
    left: 0,
    boxSizing: 'border-box',
    transitionProperty: 'border-color',
    transitionDuration: choiceFieldTransitionDuration,
    transitionTimingFunction: choiceFieldTransitionTiming,
    borderRadius: '50%'
  }, disabled && {
    borderColor: circleDisabledBorderColor,
    selectors: _defineProperty({}, HighContrastSelector, {
      color: 'GrayText'
    })
  }, checked && {
    borderColor: disabled ? circleDisabledBorderColor : circleCheckedBorderColor,
    selectors: _defineProperty({}, HighContrastSelector, {
      borderColor: 'Highlight'
    })
  }, (hasIcon || hasImage) && {
    top: radioButtonSpacing,
    right: radioButtonSpacing,
    left: 'auto',
    opacity: checked ? 1 : 0
  }];
  var dotAreaProperties = [{
    content: '""',
    width: 0,
    height: 0,
    borderRadius: '50%',
    position: 'absolute',
    left: choiceFieldSize / 2,
    right: 0,
    transitionProperty: 'border-width',
    transitionDuration: choiceFieldTransitionDuration,
    transitionTimingFunction: choiceFieldTransitionTiming,
    boxSizing: 'border-box'
  }, checked && {
    borderWidth: 5,
    borderStyle: 'solid',
    borderColor: disabled ? dotDisabledColor : dotCheckedColor,
    left: 5,
    top: 5,
    width: 10,
    height: 10,
    selectors: _defineProperty({}, HighContrastSelector, {
      borderColor: 'Highlight'
    })
  }, checked && (hasIcon || hasImage) && {
    top: radioButtonSpacing + radioButtonInnerSize,
    right: radioButtonSpacing + radioButtonInnerSize,
    left: 'auto'
  }];
  return {
    root: [classNames.root, theme.fonts.medium, {
      display: 'flex',
      alignItems: 'center',
      boxSizing: 'border-box',
      color: semanticColors.bodyText,
      minHeight: 26,
      border: 'none',
      position: 'relative',
      marginTop: 8,
      selectors: {
        '.ms-ChoiceFieldLabel': {
          display: 'inline-block'
        }
      }
    }, !hasIcon && !hasImage && {
      selectors: {
        '.ms-ChoiceFieldLabel': {
          paddingLeft: '26px'
        }
      }
    }, hasImage && 'ms-ChoiceField--image', hasIcon && 'ms-ChoiceField--icon', (hasIcon || hasImage) && {
      display: 'inline-flex',
      fontSize: 0,
      margin: '0 4px 4px 0',
      paddingLeft: 0,
      backgroundColor: iconOrImageChoiceBackgroundColor,
      height: '100%'
    }],
    choiceFieldWrapper: [classNames.choiceFieldWrapper, focused && getChoiceGroupFocusStyle(focusBorderColor, hasIcon || hasImage)],
    // The hidden input
    input: [classNames.input, {
      position: 'absolute',
      opacity: 0,
      top: 0,
      right: 0,
      width: '100%',
      height: '100%',
      margin: 0
    }, disabled && 'is-disabled'],
    field: [classNames.field, checked && classNames.checked, {
      display: 'inline-block',
      cursor: 'pointer',
      marginTop: 0,
      position: 'relative',
      verticalAlign: 'top',
      userSelect: 'none',
      minHeight: 20,
      selectors: {
        ':hover': !disabled && fieldHoverOrFocusProperties,
        ':focus': !disabled && fieldHoverOrFocusProperties,
        // The circle
        ':before': circleAreaProperties,
        // The dot
        ':after': dotAreaProperties
      }
    }, hasIcon && 'ms-ChoiceField--icon', hasImage && 'ms-ChoiceField-field--image', (hasIcon || hasImage) && {
      boxSizing: 'content-box',
      cursor: 'pointer',
      paddingTop: 22,
      margin: 0,
      textAlign: 'center',
      transitionProperty: 'all',
      transitionDuration: choiceFieldTransitionDuration,
      transitionTimingFunction: 'ease',
      border: '1px solid transparent',
      justifyContent: 'center',
      alignItems: 'center',
      display: 'flex',
      flexDirection: 'column'
    }, checked && {
      borderColor: iconOrImageChoiceBorderCheckedColor
    }, (hasIcon || hasImage) && !disabled && {
      selectors: {
        ':hover': enabledFieldWithImageHoverOrFocusProperties,
        ':focus': enabledFieldWithImageHoverOrFocusProperties
      }
    }, disabled && {
      cursor: 'default',
      selectors: _defineProperty({
        '.ms-ChoiceFieldLabel': {
          color: semanticColors.disabledBodyText
        }
      }, HighContrastSelector, {
        color: 'GrayText'
      })
    }, checked && disabled && {
      borderColor: iconOrImageChoiceBackgroundColor
    }],
    innerField: [classNames.innerField, hasImage && {
      height: imageSize.height,
      width: imageSize.width
    }, (hasIcon || hasImage) && {
      position: 'relative',
      display: 'inline-block',
      paddingLeft: 30,
      paddingRight: 30
    }, (hasIcon || hasImage) && imageIsLarge && {
      paddingLeft: 24,
      paddingRight: 24
    }, (hasIcon || hasImage) && disabled && {
      opacity: 0.25,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText',
        opacity: 1
      })
    }],
    imageWrapper: getImageWrapperStyle(false, classNames.imageWrapper, checked),
    selectedImageWrapper: getImageWrapperStyle(true, classNames.imageWrapper, checked),
    iconWrapper: [classNames.iconWrapper, {
      fontSize: iconSize,
      lineHeight: iconSize,
      height: iconSize
    }],
    labelWrapper: [classNames.labelWrapper, fonts.medium, (hasIcon || hasImage) && {
      display: 'block',
      position: 'relative',
      margin: '4px 8px',
      height: labelWrapperLineHeight * 2,
      lineHeight: labelWrapperLineHeight,
      maxWidth: imageSize.width * 2,
      overflow: 'hidden',
      whiteSpace: 'pre-wrap',
      textOverflow: 'ellipsis'
    }]
  };
};

var ChoiceGroupOption = styled(ChoiceGroupOptionBase, getStyles$B, undefined, {
  scope: 'ChoiceGroupOption'
});

var getClassNames$u = classNamesFunction();

var ChoiceGroupBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ChoiceGroupBase, _BaseComponent);

  var _super = _createSuper(ChoiceGroupBase);

  function ChoiceGroupBase() {
    var _this;

    _classCallCheck(this, ChoiceGroupBase);

    _this = _super.apply(this, arguments);
    _this.selectedOption = {};
    return _this;
  }

  _createClass(ChoiceGroupBase, [{
    key: "onClick",
    value: function onClick(ev, option) {
      ev.preventDefault();
      if (option.disabled) return;
      this.selectedOption = option;
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var classNames = this.classNames,
          label = this.label,
          required = this.required,
          disabled = this.disabled,
          selectedOption = this.selectedOption,
          options = this.options;
      return h("div", {
        "class": classNames.applicationRole
      }, [h("div", {
        "class": classNames.root
      }, [label && h(Label, {
        "class": classNames.label,
        "attrs": {
          "required": required,
          "disabled": disabled
        }
      }, [label]), h("div", {
        "class": classNames.flexContainer
      }, [options.map(function (option) {
        return h(ChoiceGroupOption, {
          "attrs": {
            "id": option.key,
            "checked": selectedOption.key === option.key
          },
          "key": option.key,
          "props": _objectSpread2({}, option),
          "nativeOn": {
            "click": function click(ev) {
              return _this2.onClick(ev, option);
            }
          }
        }, [option.text]);
      })])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className;
      return getClassNames$u(styles, {
        theme: theme,
        className: className,
        optionsContainIconOrImage: false
      });
    }
  }]);

  return ChoiceGroupBase;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ChoiceGroupBase.prototype, "label", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], ChoiceGroupBase.prototype, "options", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], ChoiceGroupBase.prototype, "value", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ChoiceGroupBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ChoiceGroupBase.prototype, "required", void 0);

ChoiceGroupBase = __decorate([Component({
  components: {
    ChoiceGroupOption: ChoiceGroupOption,
    Label: Label
  }
})], ChoiceGroupBase);

var GlobalClassNames$l = {
  root: 'ms-ChoiceFieldGroup',
  flexContainer: 'ms-ChoiceFieldGroup-flexContainer'
};
var getStyles$C = function getStyles(props) {
  var className = props.className,
      optionsContainIconOrImage = props.optionsContainIconOrImage,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$l, theme);
  return {
    // TODO (Fabric 8?) - merge className back into `root` and apply root style to
    // the actual root role=application element
    applicationRole: className,
    root: [classNames.root, theme.fonts.medium, {
      display: 'block'
    }],
    flexContainer: [classNames.flexContainer, optionsContainIconOrImage && {
      display: 'flex',
      flexDirection: 'row',
      flexWrap: 'wrap'
    }]
  };
};

var ChoiceGroup = styled(ChoiceGroupBase, getStyles$C, undefined, {
  scope: 'ChoiceGroup'
});

var GlobalClassNames$m = {
  root: 'ms-Dropdown-container',
  label: 'ms-Dropdown-label',
  dropdown: 'ms-Dropdown',
  title: 'ms-Dropdown-title',
  caretDownWrapper: 'ms-Dropdown-caretDownWrapper',
  caretDown: 'ms-Dropdown-caretDown',
  callout: 'ms-Dropdown-callout',
  panel: 'ms-Dropdown-panel',
  dropdownItems: 'ms-Dropdown-items',
  dropdownItem: 'ms-Dropdown-item',
  dropdownDivider: 'ms-Dropdown-divider',
  dropdownOptionText: 'ms-Dropdown-optionText',
  dropdownItemHeader: 'ms-Dropdown-header',
  titleIsPlaceHolder: 'ms-Dropdown-titleIsPlaceHolder',
  titleHasError: 'ms-Dropdown-title--hasError'
};
var DROPDOWN_HEIGHT = 32;
var DROPDOWN_ITEM_HEIGHT = 36;

var highContrastAdjustMixin = _defineProperty({}, "".concat(HighContrastSelector, ", ").concat(HighContrastSelectorWhite.replace('@media ', '')), {
  MsHighContrastAdjust: 'none'
});

var highContrastItemAndTitleStateMixin = {
  selectors: _objectSpread2(_defineProperty({}, HighContrastSelector, {
    backgroundColor: 'Highlight',
    borderColor: 'Highlight',
    color: 'HighlightText'
  }), highContrastAdjustMixin)
};
var highContrastBorderState = {
  selectors: _defineProperty({}, HighContrastSelector, {
    borderColor: 'Highlight'
  })
};
var MinimumScreenSelector$1 = getScreenSelector(0, ScreenWidthMinMedium);
var getStyles$D = function getStyles(props) {
  var _selectors3;

  var theme = props.theme,
      hasError = props.hasError,
      hasLabel = props.hasLabel,
      className = props.className,
      isOpen = props.isOpen,
      disabled = props.disabled,
      required = props.required,
      isRenderingPlaceholder = props.isRenderingPlaceholder,
      panelClassName = props.panelClassName,
      calloutClassName = props.calloutClassName,
      calloutRenderEdge = props.calloutRenderEdge;

  if (!theme) {
    throw new Error('theme is undefined or null in base Dropdown getStyles function.');
  }

  var globalClassnames = getGlobalClassNames(GlobalClassNames$m, theme);
  var palette = theme.palette,
      semanticColors = theme.semanticColors,
      effects = theme.effects,
      fonts = theme.fonts;
  var rootHoverFocusActiveSelectorNeutralDarkMixin = {
    color: semanticColors.menuItemTextHovered
  };
  var rootHoverFocusActiveSelectorNeutralPrimaryMixin = {
    color: palette.neutralPrimary
  };
  var borderColorError = {
    borderColor: semanticColors.errorText
  };
  var dropdownItemStyle = [globalClassnames.dropdownItem, {
    backgroundColor: 'transparent',
    boxSizing: 'border-box',
    cursor: 'pointer',
    display: 'flex',
    alignItems: 'center',
    padding: '0 8px',
    width: '100%',
    minHeight: DROPDOWN_ITEM_HEIGHT,
    lineHeight: 20,
    height: 0,
    position: 'relative',
    border: '1px solid transparent',
    borderRadius: 0,
    wordWrap: 'break-word',
    overflowWrap: 'break-word',
    textAlign: 'left'
  }];

  var itemSelectors = function itemSelectors() {
    var _selectors2;

    var isSelected = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    return {
      selectors: (_selectors2 = {
        '&:hover:focus': [{
          color: palette.neutralDark,
          backgroundColor: !isSelected ? palette.neutralLighter : palette.neutralLight
        }, highContrastItemAndTitleStateMixin],
        '&:focus': [{
          backgroundColor: !isSelected ? 'transparent' : palette.neutralLight
        }, highContrastItemAndTitleStateMixin],
        '&:active': [{
          color: palette.neutralDark,
          backgroundColor: !isSelected ? palette.neutralLighter : palette.neutralLight
        }, highContrastItemAndTitleStateMixin]
      }, _defineProperty(_selectors2, HighContrastSelector, {
        borderColor: 'Window'
      }), _defineProperty(_selectors2, ".".concat(IsFocusVisibleClassName, " &:focus:after"), {
        left: 0,
        top: 0,
        bottom: 0,
        right: 0
      }), _selectors2)
    };
  };

  var dropdownItemSelected = [].concat(dropdownItemStyle, [{
    backgroundColor: palette.neutralLight,
    color: palette.neutralDark
  }, itemSelectors(true), highContrastItemAndTitleStateMixin]);
  var dropdownItemDisabled = [].concat(dropdownItemStyle, [{
    color: semanticColors.disabledText,
    cursor: 'default'
  }]);
  var titleOpenBorderRadius = calloutRenderEdge === RectangleEdge$1.bottom ? "".concat(effects.roundedCorner2, " ").concat(effects.roundedCorner2, " 0 0") : "0 0 ".concat(effects.roundedCorner2, " ").concat(effects.roundedCorner2);
  var calloutOpenBorderRadius = calloutRenderEdge === RectangleEdge$1.bottom ? "0 0 ".concat(effects.roundedCorner2, " ").concat(effects.roundedCorner2) : "".concat(effects.roundedCorner2, " ").concat(effects.roundedCorner2, " 0 0");
  return {
    root: [globalClassnames.root, className],
    label: globalClassnames.label,
    dropdown: [globalClassnames.dropdown, normalize, fonts.medium, {
      color: palette.neutralPrimary,
      borderColor: palette.neutralSecondary,
      position: 'relative',
      outline: 0,
      userSelect: 'none',
      selectors: (_selectors3 = {}, _defineProperty(_selectors3, '&:hover .' + globalClassnames.title, [!disabled && rootHoverFocusActiveSelectorNeutralDarkMixin, {
        borderColor: !isOpen ? palette.neutralPrimary : palette.themePrimary
      }, highContrastBorderState]), _defineProperty(_selectors3, '&:focus .' + globalClassnames.title, [!disabled && rootHoverFocusActiveSelectorNeutralDarkMixin]), _defineProperty(_selectors3, '&:focus:after', [{
        pointerEvents: 'none',
        content: "''",
        position: 'absolute',
        boxSizing: 'border-box',
        top: '0px',
        left: '0px',
        width: '100%',
        height: '100%',
        // see https://github.com/OfficeDev/office-ui-fabric-react/pull/9182 for semantic color disc
        border: !disabled ? "2px solid ".concat(palette.themePrimary) : 'none',
        borderRadius: '2px'
      }, highContrastItemAndTitleStateMixin]), _defineProperty(_selectors3, '&:active .' + globalClassnames.title, [!disabled && rootHoverFocusActiveSelectorNeutralDarkMixin, {
        borderColor: palette.themePrimary
      }, highContrastBorderState]), _defineProperty(_selectors3, '&:hover .' + globalClassnames.caretDown, !disabled && rootHoverFocusActiveSelectorNeutralPrimaryMixin), _defineProperty(_selectors3, '&:focus .' + globalClassnames.caretDown, [!disabled && rootHoverFocusActiveSelectorNeutralPrimaryMixin, {
        selectors: _objectSpread2(_defineProperty({}, HighContrastSelector, {
          color: 'HighlightText'
        }), highContrastAdjustMixin)
      }]), _defineProperty(_selectors3, '&:active .' + globalClassnames.caretDown, !disabled && rootHoverFocusActiveSelectorNeutralPrimaryMixin), _defineProperty(_selectors3, '&:hover .' + globalClassnames.titleIsPlaceHolder, !disabled && rootHoverFocusActiveSelectorNeutralPrimaryMixin), _defineProperty(_selectors3, '&:focus .' + globalClassnames.titleIsPlaceHolder, !disabled && rootHoverFocusActiveSelectorNeutralPrimaryMixin), _defineProperty(_selectors3, '&:active .' + globalClassnames.titleIsPlaceHolder, !disabled && rootHoverFocusActiveSelectorNeutralPrimaryMixin), _defineProperty(_selectors3, '&:hover .' + globalClassnames.titleHasError, borderColorError), _defineProperty(_selectors3, '&:active .' + globalClassnames.titleHasError, borderColorError), _selectors3)
    }, isOpen && 'is-open', disabled && 'is-disabled', required && 'is-required', required && !hasLabel && {
      selectors: _defineProperty({
        ':after': {
          content: "'*'",
          color: semanticColors.errorText,
          position: 'absolute',
          top: -5,
          right: -10
        }
      }, HighContrastSelector, {
        selectors: {
          ':after': {
            right: -14
          }
        }
      })
    }],
    title: [globalClassnames.title, normalize, {
      backgroundColor: semanticColors.inputBackground,
      borderWidth: 1,
      borderStyle: 'solid',
      borderColor: semanticColors.inputBorder,
      borderRadius: isOpen ? titleOpenBorderRadius : effects.roundedCorner2,
      cursor: 'pointer',
      display: 'block',
      height: DROPDOWN_HEIGHT,
      lineHeight: DROPDOWN_HEIGHT - 2,
      padding: "0 28px 0 8px",
      position: 'relative',
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis'
    }, isRenderingPlaceholder && [globalClassnames.titleIsPlaceHolder, {
      color: semanticColors.inputPlaceholderText
    }], hasError && [globalClassnames.titleHasError, borderColorError], disabled && {
      backgroundColor: semanticColors.disabledBackground,
      border: 'none',
      color: semanticColors.disabledText,
      cursor: 'default',
      selectors: _defineProperty({}, HighContrastSelector, {
        border: '1px solid GrayText',
        color: 'GrayText'
      })
    }],
    caretDownWrapper: [globalClassnames.caretDownWrapper, {
      position: 'absolute',
      top: 1,
      right: 8,
      height: DROPDOWN_HEIGHT,
      lineHeight: DROPDOWN_HEIGHT - 2
    }, !disabled && {
      cursor: 'pointer'
    }],
    caretDown: [globalClassnames.caretDown, {
      color: palette.neutralSecondary,
      fontSize: fonts.small.fontSize,
      pointerEvents: 'none'
    }, disabled && {
      color: semanticColors.disabledText,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText'
      })
    }],
    errorMessage: _objectSpread2(_objectSpread2({
      color: semanticColors.errorText
    }, theme.fonts.small), {}, {
      paddingTop: 5
    }),
    callout: [globalClassnames.callout, {
      boxShadow: effects.elevation8,
      borderRadius: calloutOpenBorderRadius,
      selectors: {
        '.ms-Callout-main': {
          borderRadius: calloutOpenBorderRadius
        }
      }
    }, calloutClassName],
    dropdownItemsWrapper: {
      selectors: {
        '&:focus': {
          outline: 0
        }
      }
    },
    dropdownItems: [globalClassnames.dropdownItems, {
      display: 'block'
    }],
    dropdownItem: [].concat(dropdownItemStyle, [itemSelectors()]),
    dropdownItemSelected: dropdownItemSelected,
    dropdownItemDisabled: dropdownItemDisabled,
    dropdownItemSelectedAndDisabled: [dropdownItemSelected, dropdownItemDisabled, {
      backgroundColor: 'transparent'
    }],
    dropdownItemHidden: [].concat(dropdownItemStyle, [{
      display: 'none'
    }]),
    dropdownDivider: [globalClassnames.dropdownDivider, {
      height: 1,
      backgroundColor: semanticColors.bodyDivider
    }],
    dropdownOptionText: [globalClassnames.dropdownOptionText, {
      overflow: 'hidden',
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      minWidth: 0,
      maxWidth: '100%',
      wordWrap: 'break-word',
      overflowWrap: 'break-word',
      margin: '1px'
    }],
    dropdownItemHeader: [globalClassnames.dropdownItemHeader, _objectSpread2(_objectSpread2({}, fonts.medium), {}, {
      fontWeight: FontWeights.semibold,
      color: semanticColors.menuHeader,
      background: 'none',
      backgroundColor: 'transparent',
      border: 'none',
      height: DROPDOWN_ITEM_HEIGHT,
      lineHeight: DROPDOWN_ITEM_HEIGHT,
      cursor: 'default',
      padding: '0 8px',
      userSelect: 'none',
      textAlign: 'left'
    })],
    subComponentStyles: {
      label: {
        root: {
          display: 'inline-block'
        }
      },
      multiSelectItem: {
        root: {
          padding: 0
        },
        label: {
          alignSelf: 'stretch',
          padding: '0 8px',
          width: '100%'
        }
      },
      panel: {
        root: [panelClassName],
        main: {
          selectors: _defineProperty({}, MinimumScreenSelector$1, {
            // panelWidth xs
            width: 272
          })
        },
        contentInner: {
          padding: '0 0 20px'
        }
      }
    }
  };
};

var getClassNames$v = classNamesFunction();

var DropdownBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DropdownBase, _BaseComponent);

  var _super = _createSuper(DropdownBase);

  function DropdownBase() {
    var _this;

    _classCallCheck(this, DropdownBase);

    _this = _super.apply(this, arguments);
    _this.isOpen = false;
    _this.calloutRenderEdge = null;
    return _this;
  }

  _createClass(DropdownBase, [{
    key: "created",
    value: function created() {
      var _this2 = this;

      this.options.forEach(function (option) {
        _this2.$set(option, 'isItemSelected', false);
      });
    }
  }, {
    key: "select",
    value: function select(option) {
      if (option.disabled) return;
      var index = this.selectedOptions.findIndex(function (o) {
        return o.key === option.key;
      });

      if (index > -1) {
        this.selectedOptions[index].isItemSelected = false;
        this.selectedOptions.splice(index, 1);
      } else {
        if (!this.multiSelect) {
          this.selectedOptions.splice(0, this.selectedOptions.length);
          this.isOpen = false;
        }

        option.isItemSelected = true;
        this.selectedOptions.push(option);
      }
    }
  }, {
    key: "onPositioned",
    value: function onPositioned(positions) {
      if (!this.calloutRenderEdge || this.calloutRenderEdge !== positions.targetEdge) {
        this.calloutRenderEdge = positions.targetEdge;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var h = arguments[0];
      var classNames = this.classNames,
          label = this.label,
          selectedOptions = this.selectedOptions,
          multiSelect = this.multiSelect,
          multiSelectDelimiter = this.multiSelectDelimiter,
          placeholder = this.placeholder,
          isOpen = this.isOpen,
          dropdownWidth = this.dropdownWidth,
          options = this.options,
          hasErrorMessage = this.hasErrorMessage,
          errorMessage = this.errorMessage,
          required = this.required,
          disabled = this.disabled;
      var OptionComponent = multiSelect ? Checkbox : ActionButton;
      return h("div", {
        "class": classNames.root
      }, [h(Label, {
        "class": classNames.label,
        "attrs": {
          "required": required,
          "disabled": disabled
        }
      }, [label]), h("div", {
        "ref": "dropdown",
        "class": classNames.dropdown,
        "on": {
          "click": function click() {
            return _this3.isOpen = true;
          }
        }
      }, [h("span", {
        "class": classNames.title
      }, [selectedOptions.length ? selectedOptions.map(function (i) {
        return i.text;
      }).join(multiSelectDelimiter) : placeholder]), h("span", {
        "class": classNames.caretDownWrapper
      }, [h(Icon$2, {
        "class": classNames.caretDown,
        "attrs": {
          "icon-name": "ChevronDown"
        }
      })])]), isOpen && h("div", [h(Callout, {
        "attrs": {
          "target": this.$refs.dropdown,
          "is-beak-visible": false,
          "callout-width": dropdownWidth || (this.$refs.dropdown ? this.$refs.dropdown.clientWidth : 0)
        },
        "on": {
          "dismiss": function dismiss() {
            return _this3.isOpen = false;
          },
          "positioned": this.onPositioned
        }
      }, [h("div", {
        "class": classNames.dropdownItemsWrapper,
        "attrs": {
          "tabindex": 0
        }
      }, [options.map(function (option, index) {
        return h(OptionComponent, {
          "key": index,
          "class": option.hidden ? classNames.dropdownItemHidden : option.isItemSelected && option.disabled === true ? classNames.dropdownItemSelectedAndDisabled : option.isItemSelected ? classNames.dropdownItemSelected : option.disabled === true ? classNames.dropdownItemDisabled : classNames.dropdownItem,
          "attrs": {
            "disabled": option.disabled,
            "title": option.text,
            "checked": option.isItemSelected,
            "styles": multiSelect ? _this3.multiSelectItemStyles : null,
            "role": option
          },
          "nativeOn": {
            "click": function click() {
              return !multiSelect && _this3.select(option);
            }
          },
          "on": {
            "input": function input() {
              return multiSelect && _this3.select(option);
            }
          }
        }, [option.text]);
      })])])]), hasErrorMessage && h("div", {
        "attrs": {
          "role": "alert"
        },
        "class": classNames.errorMessage
      }, [errorMessage])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          errorMessage = this.errorMessage,
          label = this.label,
          required = this.required,
          disabled = this.disabled,
          panelProps = this.panelProps,
          calloutProps = this.calloutProps;
      var isOpen = this.isOpen,
          calloutRenderEdge = this.calloutRenderEdge;
      var selectedOptions = this.selectedOptions;
      return getClassNames$v(this.styles, {
        theme: theme,
        className: className,
        hasError: !!(errorMessage && errorMessage.length > 0),
        hasLabel: !!label,
        isOpen: isOpen,
        required: required,
        disabled: disabled,
        isRenderingPlaceholder: !selectedOptions.length,
        panelClassName: panelProps ? panelProps.className : undefined,
        calloutClassName: calloutProps ? calloutProps.className : undefined,
        calloutRenderEdge: calloutRenderEdge
      });
    }
  }, {
    key: "multiSelectItemStyles",
    get: function get() {
      return this.classNames.subComponentStyles ? this.classNames.subComponentStyles.multiSelectItem : undefined;
    }
  }, {
    key: "hasErrorMessage",
    get: function get() {
      return this.errorMessage && this.errorMessage.length > 0;
    }
  }]);

  return DropdownBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DropdownBase.prototype, "options", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], DropdownBase.prototype, "selectedOptions", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], DropdownBase.prototype, "label", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], DropdownBase.prototype, "placeholder", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], DropdownBase.prototype, "errorMessage", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DropdownBase.prototype, "required", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DropdownBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DropdownBase.prototype, "multiSelect", void 0);

__decorate([Prop({
  type: String,
  default: ', '
}), __metadata("design:type", String)], DropdownBase.prototype, "multiSelectDelimiter", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], DropdownBase.prototype, "dropdownWidth", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], DropdownBase.prototype, "panelProps", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], DropdownBase.prototype, "calloutProps", void 0);

DropdownBase = __decorate([Component({
  components: {
    Callout: Callout,
    ActionButton: ActionButton,
    Checkbox: Checkbox,
    Icon: Icon$2,
    Label: Label
  }
})], DropdownBase);

var Dropdown = styled(DropdownBase, getStyles$D, undefined, {
  scope: 'Dropdown'
});

var MessageBarType;

(function (MessageBarType) {
  /** Info styled MessageBar */
  MessageBarType[MessageBarType["info"] = 0] = "info";
  /** Error styled MessageBar */

  MessageBarType[MessageBarType["error"] = 1] = "error";
  /** Blocked styled MessageBar */

  MessageBarType[MessageBarType["blocked"] = 2] = "blocked";
  /** SevereWarning styled MessageBar */

  MessageBarType[MessageBarType["severeWarning"] = 3] = "severeWarning";
  /** Success styled MessageBar */

  MessageBarType[MessageBarType["success"] = 4] = "success";
  /** Warning styled MessageBar */

  MessageBarType[MessageBarType["warning"] = 5] = "warning";
  /**
   * Deprecated at v0.48.0, to be removed at \>= v1.0.0. Use `blocked` instead.
   * @deprecated Use `blocked` instead.
   */

  MessageBarType[MessageBarType["remove"] = 90000] = "remove";
})(MessageBarType || (MessageBarType = {}));

var _ICON_MAP;
var getClassNames$w = classNamesFunction();
var ICON_MAP = (_ICON_MAP = {}, _defineProperty(_ICON_MAP, MessageBarType.info, 'Info'), _defineProperty(_ICON_MAP, MessageBarType.warning, 'Info'), _defineProperty(_ICON_MAP, MessageBarType.error, 'ErrorBadge'), _defineProperty(_ICON_MAP, MessageBarType.blocked, 'Blocked2'), _defineProperty(_ICON_MAP, MessageBarType.severeWarning, 'Warning'), _defineProperty(_ICON_MAP, MessageBarType.success, 'Completed'), _ICON_MAP);

var MessageBarBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(MessageBarBase, _BaseComponent);

  var _super = _createSuper(MessageBarBase);

  function MessageBarBase() {
    var _this;

    _classCallCheck(this, MessageBarBase);

    _this = _super.apply(this, arguments);
    _this.state = {
      expandSingleLine: _this.expandSingleLine
    };
    return _this;
  }

  _createClass(MessageBarBase, [{
    key: "onExpandSingleLine",
    value: function onExpandSingleLine(value) {
      this.state.expandSingleLine = value;
    }
  }, {
    key: "onClick",
    value: function onClick() {
      this.state.expandSingleLine = !this.state.expandSingleLine;
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var theme = this.theme,
          classNames = this.classNames,
          messageBarType = this.messageBarType,
          actions = this.actions,
          truncated = this.truncated,
          isMultiline = this.isMultiline;
      return h("div", {
        "style": {
          background: theme.semanticColors.bodyBackground
        }
      }, [h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.content
      }, [h("div", {
        "class": classNames.iconContainer
      }, [h(Icon$2, {
        "class": classNames.icon,
        "attrs": {
          "icon-name": ICON_MAP[messageBarType]
        }
      })]), h("div", {
        "class": classNames.text,
        "attrs": {
          "role": "status"
        }
      }, [h("span", {
        "class": classNames.innerText
      }, [h("span", [this.$slots.default])])]), !actions && truncated && h("div", {
        "class": classNames.expandSingleLine
      }, [h(IconButton, {
        "class": classNames.expand,
        "attrs": {
          "icon-props": {
            iconName: this.state.expandSingleLine ? 'DoubleChevronUp' : 'DoubleChevronDown'
          }
        },
        "nativeOn": {
          "click": this.onClick
        }
      })]), !isMultiline && this.$slots.actions && h("div", {
        "class": classNames.actions
      }, [this.$slots.actions]), this.$listeners.dismiss && isMultiline && h(IconButton, {
        "class": classNames.dismissal,
        "attrs": {
          "icon-props": {
            iconName: 'Clear'
          }
        }
      }), this.$listeners.dismiss && !isMultiline && h("div", {
        "class": classNames.dismissSingleLine
      }, [h(IconButton, {
        "class": classNames.dismissal,
        "attrs": {
          "icon-props": {
            iconName: 'Clear'
          }
        }
      })])]), isMultiline && this.$slots.actions && h("div", {
        "class": classNames.actions
      }, [this.$slots.actions])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          messageBarType = this.messageBarType,
          actions = this.actions,
          truncated = this.truncated,
          isMultiline = this.isMultiline;
      var expandSingleLine = this.state.expandSingleLine;
      return getClassNames$w(this.styles, {
        theme: theme,
        messageBarType: messageBarType || MessageBarType.info,
        onDismiss: this.$listeners.dismiss !== undefined,
        actions: actions !== undefined,
        truncated: truncated,
        isMultiline: isMultiline,
        expandSingleLine: expandSingleLine,
        className: className
      });
    }
  }]);

  return MessageBarBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Number,
  default: MessageBarType.info
}), __metadata("design:type", Number)], MessageBarBase.prototype, "messageBarType", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], MessageBarBase.prototype, "isMultiline", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], MessageBarBase.prototype, "actions", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], MessageBarBase.prototype, "truncated", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], MessageBarBase.prototype, "expandSingleLine", void 0);

__decorate([Watch('expandSingleLine'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean]), __metadata("design:returntype", void 0)], MessageBarBase.prototype, "onExpandSingleLine", null);

MessageBarBase = __decorate([Component({
  components: {
    Icon: Icon$2,
    IconButton: IconButton
  }
})], MessageBarBase);

var GlobalClassNames$n = {
  root: 'ms-MessageBar',
  error: 'ms-MessageBar--error',
  blocked: 'ms-MessageBar--blocked',
  severeWarning: 'ms-MessageBar--severeWarning',
  success: 'ms-MessageBar--success',
  warning: 'ms-MessageBar--warning',
  multiline: 'ms-MessageBar-multiline',
  singleline: 'ms-MessageBar-singleline',
  dismissalSingleLine: 'ms-MessageBar-dismissalSingleLine',
  expandingSingleLine: 'ms-MessageBar-expandingSingleLine',
  content: 'ms-MessageBar-content',
  iconContainer: 'ms-MessageBar-icon',
  text: 'ms-MessageBar-text',
  innerText: 'ms-MessageBar-innerText',
  dismissSingleLine: 'ms-MessageBar-dismissSingleLine',
  expandSingleLine: 'ms-MessageBar-expandSingleLine',
  dismissal: 'ms-MessageBar-dismissal',
  expand: 'ms-MessageBar-expand',
  actions: 'ms-MessageBar-actions',
  actionsSingleline: 'ms-MessageBar-actionsSingleLine'
}; // Returns the background color of the MessageBar root element based on the type of MessageBar.

var getRootBackground = function getRootBackground(messageBarType, palette, semanticColors) {
  switch (messageBarType) {
    case MessageBarType.error:
    case MessageBarType.blocked:
      return semanticColors.errorBackground;

    case MessageBarType.severeWarning:
      return semanticColors.blockingBackground;

    case MessageBarType.success:
      return semanticColors.successBackground;

    case MessageBarType.warning:
      return semanticColors.warningBackground;
  }

  return palette.neutralLighter;
}; // Returns the icon color based on the type of MessageBar.


var getIconColor = function getIconColor(messageBarType, palette, semanticColors) {
  switch (messageBarType) {
    case MessageBarType.error:
    case MessageBarType.blocked:
    case MessageBarType.severeWarning:
      return semanticColors.errorText;

    case MessageBarType.success:
      return palette.green;

    case MessageBarType.warning:
      return semanticColors.warningText;
  }

  return palette.neutralSecondary;
};

var getStyles$E = function getStyles(props) {
  var theme = props.theme,
      className = props.className,
      messageBarType = props.messageBarType,
      onDismiss = props.onDismiss,
      truncated = props.truncated,
      isMultiline = props.isMultiline,
      expandSingleLine = props.expandSingleLine;
  var semanticColors = theme.semanticColors,
      palette = theme.palette,
      fonts = theme.fonts;
  var SmallScreenSelector = getScreenSelector(0, ScreenWidthMaxSmall);
  var classNames = getGlobalClassNames(GlobalClassNames$n, theme);
  var dismissalAndExpandIconStyle = {
    fontSize: IconFontSizes.xSmall,
    height: 10,
    lineHeight: '10px',
    color: palette.neutralPrimary,
    selectors: _defineProperty({}, HighContrastSelector, {
      MsHighContrastAdjust: 'none',
      color: 'Window'
    })
  };
  var dismissalAndExpandStyle = [getFocusStyle(theme, {
    inset: 1,
    highContrastStyle: {
      outlineOffset: '-4px',
      outlineColor: 'Window'
    },
    borderColor: 'transparent'
  }), {
    flexShrink: 0,
    width: 32,
    height: 32,
    padding: '8px 12px',
    selectors: {
      '& .ms-Button-icon': dismissalAndExpandIconStyle,
      ':hover': {
        backgroundColor: 'transparent'
      },
      ':active': {
        backgroundColor: 'transparent'
      }
    }
  }];
  return {
    root: [classNames.root, theme.fonts.medium, messageBarType === MessageBarType.error && classNames.error, messageBarType === MessageBarType.blocked && classNames.blocked, messageBarType === MessageBarType.severeWarning && classNames.severeWarning, messageBarType === MessageBarType.success && classNames.success, messageBarType === MessageBarType.warning && classNames.warning, isMultiline ? classNames.multiline : classNames.singleline, !isMultiline && onDismiss && classNames.dismissalSingleLine, !isMultiline && truncated && classNames.expandingSingleLine, {
      background: getRootBackground(messageBarType, palette, semanticColors),
      color: palette.neutralPrimary,
      minHeight: 32,
      width: '100%',
      display: 'flex',
      wordBreak: 'break-word',
      selectors: _defineProperty({
        '& .ms-Link': _objectSpread2({
          color: palette.themeDark
        }, fonts.small)
      }, HighContrastSelector, {
        background: 'WindowText',
        color: 'Window'
      })
    }, isMultiline && {
      flexDirection: 'column'
    }, className],
    content: [classNames.content, {
      display: 'flex',
      width: '100%',
      lineHeight: 'normal'
    }],
    iconContainer: [classNames.iconContainer, {
      fontSize: IconFontSizes.medium,
      minWidth: 16,
      minHeight: 16,
      display: 'flex',
      flexShrink: 0,
      margin: '8px 0 8px 12px'
    }],
    icon: {
      color: getIconColor(messageBarType, palette, semanticColors),
      selectors: _defineProperty({}, HighContrastSelector, {
        MsHighContrastAdjust: 'none',
        color: 'Window'
      })
    },
    text: [classNames.text, _objectSpread2(_objectSpread2({
      minWidth: 0,
      display: 'flex',
      flexGrow: 1,
      margin: 8
    }, fonts.small), {}, {
      selectors: _defineProperty({}, HighContrastSelector, {
        MsHighContrastAdjust: 'none'
      })
    }), !onDismiss && {
      marginRight: 12
    }],
    innerText: [classNames.innerText, {
      lineHeight: 16,
      selectors: {
        '& span a': {
          paddingLeft: 4
        }
      }
    }, truncated && {
      overflow: 'visible',
      whiteSpace: 'pre-wrap'
    }, !isMultiline && {
      overflow: 'hidden',
      textOverflow: 'ellipsis',
      whiteSpace: 'nowrap'
    }, !isMultiline && !truncated && {
      selectors: _defineProperty({}, SmallScreenSelector, {
        overflow: 'visible',
        whiteSpace: 'pre-wrap'
      })
    }, expandSingleLine && {
      overflow: 'visible',
      whiteSpace: 'pre-wrap'
    }],
    dismissSingleLine: [classNames.dismissSingleLine],
    expandSingleLine: [classNames.expandSingleLine],
    dismissal: [classNames.dismissal, dismissalAndExpandStyle],
    expand: [classNames.expand, dismissalAndExpandStyle],
    actions: [isMultiline ? classNames.actions : classNames.actionsSingleline, {
      display: 'flex',
      flexGrow: 0,
      flexShrink: 0,
      flexBasis: 'auto',
      flexDirection: 'row-reverse',
      alignItems: 'center',
      margin: '0 12px 0 8px',
      selectors: {
        '& button:nth-child(n+2)': {
          marginLeft: 8
        }
      }
    }, isMultiline && {
      marginBottom: 8
    }, onDismiss && !isMultiline && {
      marginRight: 0
    }]
  };
};

var MessageBar = styled(MessageBarBase, getStyles$E, undefined, {
  scope: 'MessageBar'
});

// Helper function that converts a themed spacing key (if given) to the corresponding themed spacing value.
var _getThemedSpacing = function _getThemedSpacing(space, theme) {
  if (theme.spacing.hasOwnProperty(space)) {
    return theme.spacing[space];
  }

  return space;
}; // Helper function that takes a gap as a string and converts it into a { value, unit } representation.


var _getValueUnitGap = function _getValueUnitGap(gap) {
  var numericalPart = parseFloat(gap);
  var numericalValue = isNaN(numericalPart) ? 0 : numericalPart;
  var numericalString = isNaN(numericalPart) ? '' : numericalPart.toString();
  var unitPart = gap.substring(numericalString.toString().length);
  return {
    value: numericalValue,
    unit: unitPart || 'px'
  };
};
/**
 * Takes in a gap size in either a CSS-style format (e.g. 10 or "10px")
 *  or a key of a themed spacing value (e.g. "s1").
 * Returns the separate numerical value of the padding (e.g. 10)
 *  and the CSS unit (e.g. "px").
 */


var parseGap = function parseGap(gap, theme) {
  if (gap === undefined || gap === '') {
    return {
      rowGap: {
        value: 0,
        unit: 'px'
      },
      columnGap: {
        value: 0,
        unit: 'px'
      }
    };
  }

  if (typeof gap === 'number') {
    return {
      rowGap: {
        value: gap,
        unit: 'px'
      },
      columnGap: {
        value: gap,
        unit: 'px'
      }
    };
  }

  var splitGap = gap.split(' '); // If the array has more than two values, then return 0px.

  if (splitGap.length > 2) {
    return {
      rowGap: {
        value: 0,
        unit: 'px'
      },
      columnGap: {
        value: 0,
        unit: 'px'
      }
    };
  } // If the array has two values, then parse each one.


  if (splitGap.length === 2) {
    return {
      rowGap: _getValueUnitGap(_getThemedSpacing(splitGap[0], theme)),
      columnGap: _getValueUnitGap(_getThemedSpacing(splitGap[1], theme))
    };
  } // Else, parse the numerical value and pass it as both the vertical and horizontal gap.


  var calculatedGap = _getValueUnitGap(_getThemedSpacing(gap, theme));

  return {
    rowGap: calculatedGap,
    columnGap: calculatedGap
  };
};
/**
 * Takes in a padding in a CSS-style format (e.g. 10, "10px", "10px 10px", etc.)
 *  where the separate padding values can also be the key of a themed spacing value
 *  (e.g. "s1 m", "10px l1 20px l2", etc.).
 * Returns a CSS-style padding.
 */

var parsePadding = function parsePadding(padding, theme) {
  if (padding === undefined || typeof padding === 'number' || padding === '') {
    return padding;
  }

  var paddingValues = padding.split(' ');

  if (paddingValues.length < 2) {
    return _getThemedSpacing(padding, theme);
  }

  return paddingValues.reduce(function (padding1, padding2) {
    return _getThemedSpacing(padding1, theme) + ' ' + _getThemedSpacing(padding2, theme);
  });
};

var nameMap = {
  start: 'flex-start',
  end: 'flex-end'
};
var GlobalClassNames$o = {
  root: 'ms-Stack',
  inner: 'ms-Stack-inner'
};
var styles = function styles(props, theme, tokens) {
  var verticalFill = props.verticalFill,
      horizontal = props.horizontal,
      reversed = props.reversed,
      gap = props.gap,
      grow = props.grow,
      wrap = props.wrap,
      horizontalAlign = props.horizontalAlign,
      verticalAlign = props.verticalAlign,
      disableShrink = props.disableShrink,
      className = props.className;
  var classNames = getGlobalClassNames(GlobalClassNames$o, theme);
  var childrenGap = tokens && tokens.childrenGap ? tokens.childrenGap : gap;
  var maxHeight = tokens && tokens.maxHeight ? tokens.maxHeight : props.maxHeight;
  var maxWidth = tokens && tokens.maxWidth ? tokens.maxWidth : props.maxWidth;
  var padding = tokens && tokens.padding ? tokens.padding : props.padding;

  var _parseGap = parseGap(childrenGap, theme),
      rowGap = _parseGap.rowGap,
      columnGap = _parseGap.columnGap;

  var horizontalMargin = "".concat(-0.5 * columnGap.value).concat(columnGap.unit);
  var verticalMargin = "".concat(-0.5 * rowGap.value).concat(rowGap.unit); // styles to be applied to all direct children regardless of wrap or direction

  var childStyles = {
    textOverflow: 'ellipsis'
  }; // selectors to be applied regardless of wrap or direction

  var commonSelectors = {
    // flexShrink styles are applied by the StackItem
    '> *:not(.ms-StackItem)': {
      flexShrink: disableShrink ? 0 : 1
    }
  };

  if (wrap) {
    return {
      root: [classNames.root, {
        flexWrap: 'wrap',
        maxWidth: maxWidth,
        maxHeight: maxHeight,
        width: 'auto',
        overflow: 'visible',
        height: '100%'
      }, horizontalAlign && _defineProperty({}, horizontal ? 'justifyContent' : 'alignItems', nameMap[horizontalAlign] || horizontalAlign), verticalAlign && _defineProperty({}, horizontal ? 'alignItems' : 'justifyContent', nameMap[verticalAlign] || verticalAlign), className, {
        // not allowed to be overridden by className
        // since this is necessary in order to prevent collapsing margins
        display: 'flex'
      }, horizontal && {
        height: verticalFill ? '100%' : 'auto'
      }],
      inner: [classNames.inner, {
        display: 'flex',
        flexWrap: 'wrap',
        marginLeft: horizontalMargin,
        marginRight: horizontalMargin,
        marginTop: verticalMargin,
        marginBottom: verticalMargin,
        overflow: 'visible',
        boxSizing: 'border-box',
        padding: parsePadding(padding, theme),
        // avoid unnecessary calc() calls if horizontal gap is 0
        width: columnGap.value === 0 ? '100%' : "calc(100% + ".concat(columnGap.value).concat(columnGap.unit, ")"),
        maxWidth: '100vw',
        selectors: _objectSpread2({
          '> *': _objectSpread2({
            margin: "".concat(0.5 * rowGap.value).concat(rowGap.unit, " ").concat(0.5 * columnGap.value).concat(columnGap.unit)
          }, childStyles)
        }, commonSelectors)
      }, horizontalAlign && _defineProperty({}, horizontal ? 'justifyContent' : 'alignItems', nameMap[horizontalAlign] || horizontalAlign), verticalAlign && _defineProperty({}, horizontal ? 'alignItems' : 'justifyContent', nameMap[verticalAlign] || verticalAlign), horizontal && {
        flexDirection: reversed ? 'row-reverse' : 'row',
        // avoid unnecessary calc() calls if vertical gap is 0
        height: rowGap.value === 0 ? '100%' : "calc(100% + ".concat(rowGap.value).concat(rowGap.unit, ")"),
        selectors: {
          '> *': {
            maxWidth: columnGap.value === 0 ? '100%' : "calc(100% - ".concat(columnGap.value).concat(columnGap.unit, ")")
          }
        }
      }, !horizontal && {
        flexDirection: reversed ? 'column-reverse' : 'column',
        height: "calc(100% + ".concat(rowGap.value).concat(rowGap.unit, ")"),
        selectors: {
          '> *': {
            maxHeight: rowGap.value === 0 ? '100%' : "calc(100% - ".concat(rowGap.value).concat(rowGap.unit, ")")
          }
        }
      }]
    };
  }

  return {
    root: [classNames.root, {
      display: 'flex',
      flexDirection: horizontal ? reversed ? 'row-reverse' : 'row' : reversed ? 'column-reverse' : 'column',
      flexWrap: 'nowrap',
      width: 'auto',
      height: verticalFill ? '100%' : 'auto',
      maxWidth: maxWidth,
      maxHeight: maxHeight,
      padding: parsePadding(padding, theme),
      boxSizing: 'border-box',
      selectors: _objectSpread2(_defineProperty({
        '> *': childStyles
      }, reversed ? '> *:not(:last-child)' : '> *:not(:first-child)', [horizontal && {
        marginLeft: "".concat(columnGap.value).concat(columnGap.unit)
      }, !horizontal && {
        marginTop: "".concat(rowGap.value).concat(rowGap.unit)
      }]), commonSelectors)
    }, grow && {
      flexGrow: grow === true ? 1 : grow
    }, horizontalAlign && _defineProperty({}, horizontal ? 'justifyContent' : 'alignItems', nameMap[horizontalAlign] || horizontalAlign), verticalAlign && _defineProperty({}, horizontal ? 'alignItems' : 'justifyContent', nameMap[verticalAlign] || verticalAlign), className]
  };
};

var getClassNames$x = classNamesFunction();

var Stack = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Stack, _StatelessComponent);

  var _super = _createSuper(Stack);

  function Stack() {
    _classCallCheck(this, Stack);

    return _super.apply(this, arguments);
  }

  _createClass(Stack, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          theme = _ctx$props.theme,
          tokens = _ctx$props.tokens,
          verticalFill = _ctx$props.verticalFill,
          horizontal = _ctx$props.horizontal,
          reversed = _ctx$props.reversed,
          grow = _ctx$props.grow,
          wrap = _ctx$props.wrap,
          horizontalAlign = _ctx$props.horizontalAlign,
          verticalAlign = _ctx$props.verticalAlign,
          disableShrink = _ctx$props.disableShrink,
          className = _ctx$props.className;
      var classNames = getClassNames$x(mergeStyleSets(styles({
        className: className,
        verticalFill: verticalFill,
        horizontal: horizontal,
        reversed: reversed,
        grow: grow,
        wrap: wrap,
        horizontalAlign: horizontalAlign,
        verticalAlign: verticalAlign,
        disableShrink: disableShrink
      }, theme, tokens), ctx.props.styles));
      return h('div', _objectSpread2(_objectSpread2({}, ctx.data), {}, {
        class: classNames.root
      }), ctx.children);
    }
  }]);

  return Stack;
}(StatelessComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Stack.prototype, "verticalFill", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Stack.prototype, "horizontal", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Stack.prototype, "reversed", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], Stack.prototype, "childrenGap", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Stack.prototype, "grow", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Stack.prototype, "wrap", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Stack.prototype, "horizontalAlign", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], Stack.prototype, "verticalAlign", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Stack.prototype, "disableShrink", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], Stack.prototype, "tokens", void 0);

Stack = __decorate([Component({
  components: {}
})], Stack);

var GlobalClassNames$p = {
  root: 'ms-StackItem'
};
var alignMap = {
  start: 'flex-start',
  end: 'flex-end'
};
var StackItemStyles = function StackItemStyles(props, theme, tokens) {
  var grow = props.grow,
      shrink = props.shrink,
      disableShrink = props.disableShrink,
      align = props.align,
      verticalFill = props.verticalFill,
      order = props.order,
      className = props.className;
  var classNames = getGlobalClassNames(GlobalClassNames$p, theme);
  return {
    root: [theme.fonts.medium, classNames.root, {
      margin: tokens.margin,
      height: verticalFill ? '100%' : 'auto',
      width: 'auto'
    }, grow && {
      flexGrow: grow === true ? 1 : grow
    }, (disableShrink || !grow && !shrink) && {
      flexShrink: 0
    }, shrink && !disableShrink && {
      flexShrink: 1
    }, align && {
      alignSelf: alignMap[align] || align
    }, order && {
      order: order
    }, className]
  };
};

var getClassNames$y = classNamesFunction({
  disableCaching: true
});

var StackItem = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(StackItem, _StatelessComponent);

  var _super = _createSuper(StackItem);

  function StackItem() {
    _classCallCheck(this, StackItem);

    return _super.apply(this, arguments);
  }

  _createClass(StackItem, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          grow = _context$props.grow,
          shrink = _context$props.shrink,
          disableShrink = _context$props.disableShrink,
          align = _context$props.align,
          verticalFill = _context$props.verticalFill,
          order = _context$props.order,
          className = _context$props.className,
          styles = _context$props.styles;
      var classNames = getClassNames$y(mergeStyleSets(StackItemStyles({
        grow: grow,
        shrink: shrink,
        disableShrink: disableShrink,
        align: align,
        verticalFill: verticalFill,
        order: order,
        className: className
      }, getTheme(), {}), styles));
      return h("div", {
        "class": classNames.root
      }, [context.children]);
    }
  }]);

  return StackItem;
}(StatelessComponent$1);

__decorate([Prop({
  type: [Number, Boolean],
  default: 0
}), __metadata("design:type", Object)], StackItem.prototype, "grow", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "shrink", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "disableShrink", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "align", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "verticalFill", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], StackItem.prototype, "order", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], StackItem.prototype, "test", void 0);

StackItem = __decorate([Component({
  components: {}
})], StackItem);
var StackItem$1 = StackItem;

/**
 * {@docCategory Facepile}
 */
var OverflowButtonType;

(function (OverflowButtonType) {
  /** No overflow */
  OverflowButtonType[OverflowButtonType["none"] = 0] = "none";
  /** +1 overflow icon */

  OverflowButtonType[OverflowButtonType["descriptive"] = 1] = "descriptive";
  /** More overflow icon */

  OverflowButtonType[OverflowButtonType["more"] = 2] = "more";
  /** Chevron overflow icon */

  OverflowButtonType[OverflowButtonType["downArrow"] = 3] = "downArrow";
})(OverflowButtonType || (OverflowButtonType = {}));

var getStyles$F = memoizeFunction(function (theme, className, customStyles) {
  var baseButtonStyles = getStyles$f(theme);
  var customButtonStyles = concatStyleSets(baseButtonStyles, customStyles);
  return _objectSpread2(_objectSpread2({}, customButtonStyles), {}, {
    root: [baseButtonStyles.root, className, theme.fonts.medium, customStyles && customStyles.root]
  });
});

var FacepileButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(FacepileButton, _BaseComponent);

  var _super = _createSuper(FacepileButton);

  function FacepileButton() {
    _classCallCheck(this, FacepileButton);

    return _super.apply(this, arguments);
  }

  _createClass(FacepileButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];

      var props = _objectSpread2(_objectSpread2({}, this.$props), {}, {
        variantClassName: 'ms-Button--facepile',
        styles: this.internalStyles
      });

      return h(BaseButton, _mergeJSXProps([{}, {
        props: props,
        attrs: this.$attrs,
        on: this.$listeners,
        scopedSlots: this.$scopedSlots
      }]), [this.$slots.flex]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      return getStyles$F(this.theme, this.className, this.styles);
    }
  }]);

  return FacepileButton;
}(BaseComponent$1);

FacepileButton = __decorate([Component], FacepileButton);

var getClassNames$z = classNamesFunction();

var PersonaBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(PersonaBase, _BaseComponent);

  var _super = _createSuper(PersonaBase);

  function PersonaBase() {
    var _this;

    _classCallCheck(this, PersonaBase);

    _this = _super.apply(this, arguments);
    _this.PersonaSize = PersonaSize;
    return _this;
  }

  _createClass(PersonaBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          coinSize = this.coinSize,
          text = this.text,
          secondaryText = this.secondaryText,
          tertiaryText = this.tertiaryText,
          optionalText = this.optionalText,
          hidePersonaDetails = this.hidePersonaDetails,
          size = this.size;
      return h("div", {
        "class": classNames.root,
        "style": coinSize ? {
          height: "".concat(coinSize, "px"),
          minWidth: "".concat(coinSize, "px")
        } : {}
      }, [h(PersonaCoin, {
        "props": _objectSpread2({}, this.$props)
      }), (!hidePersonaDetails || size === PersonaSize.size8 || size === PersonaSize.size10 || size === PersonaSize.tiny) && h("div", {
        "class": classNames.details
      }, [h("div", {
        "attrs": {
          "dir": "auto"
        },
        "class": classNames.primaryText
      }, [h("div", [text])]), h("div", {
        "attrs": {
          "dir": "auto"
        },
        "class": classNames.secondaryText
      }, [h("div", [secondaryText])]), h("div", {
        "attrs": {
          "dir": "auto"
        },
        "class": classNames.tertiaryText
      }, [h("div", [tertiaryText])]), h("div", {
        "attrs": {
          "dir": "auto"
        },
        "class": classNames.optionalText
      }, [h("div", [optionalText])]), this.$slots.default])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          showSecondaryText = this.showSecondaryText,
          presence = this.presence,
          size = this.size;
      return getClassNames$z(this.styles, {
        theme: theme,
        className: className,
        showSecondaryText: showSecondaryText,
        presence: presence,
        size: size
      });
    }
  }]);

  return PersonaBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PersonaBase.prototype, "allowPhoneInitials", void 0);

__decorate([Prop({
  type: Number,
  default: PersonaPresence.none
}), __metadata("design:type", Number)], PersonaBase.prototype, "presence", void 0);

__decorate([Prop({
  type: Number,
  default: PersonaSize.size48
}), __metadata("design:type", Number)], PersonaBase.prototype, "size", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], PersonaBase.prototype, "coinSize", void 0);

__decorate([Prop({
  type: [Number, String],
  default: undefined
}), __metadata("design:type", Number)], PersonaBase.prototype, "initialsColor", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PersonaBase.prototype, "hidePersonaDetails", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], PersonaBase.prototype, "text", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], PersonaBase.prototype, "secondaryText", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], PersonaBase.prototype, "tertiaryText", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], PersonaBase.prototype, "optionalText", void 0);

__decorate([Prop({
  type: String,
  default: undefined
}), __metadata("design:type", String)], PersonaBase.prototype, "imageUrl", void 0);

__decorate([Prop({
  type: String,
  default: 'online'
}), __metadata("design:type", String)], PersonaBase.prototype, "status", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PersonaBase.prototype, "isOutOfOffice", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PersonaBase.prototype, "showSecondaryText", void 0);

PersonaBase = __decorate([Component], PersonaBase);

var GlobalClassNames$q = {
  root: 'ms-Persona',
  size8: 'ms-Persona--size8',
  size10: 'ms-Persona--size10',
  size16: 'ms-Persona--size16',
  size24: 'ms-Persona--size24',
  size28: 'ms-Persona--size28',
  size32: 'ms-Persona--size32',
  size40: 'ms-Persona--size40',
  size48: 'ms-Persona--size48',
  size56: 'ms-Persona--size56',
  size72: 'ms-Persona--size72',
  size100: 'ms-Persona--size100',
  size120: 'ms-Persona--size120',
  available: 'ms-Persona--online',
  away: 'ms-Persona--away',
  blocked: 'ms-Persona--blocked',
  busy: 'ms-Persona--busy',
  doNotDisturb: 'ms-Persona--donotdisturb',
  offline: 'ms-Persona--offline',
  details: 'ms-Persona-details',
  primaryText: 'ms-Persona-primaryText',
  secondaryText: 'ms-Persona-secondaryText',
  tertiaryText: 'ms-Persona-tertiaryText',
  optionalText: 'ms-Persona-optionalText',
  textContent: 'ms-Persona-textContent'
};
var getStyles$G = function getStyles(props) {
  var className = props.className,
      showSecondaryText = props.showSecondaryText,
      theme = props.theme;
  var palette = theme.palette,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$q, theme);
  var size = sizeBoolean(props.size);
  var presence = presenceBoolean(props.presence);
  var showSecondaryTextDefaultHeight = '16px';
  var sharedTextStyles = {
    color: palette.neutralSecondary,
    fontWeight: FontWeights.regular,
    fontSize: fonts.small.fontSize
  };
  return {
    root: [classNames.root, theme.fonts.medium, normalize, {
      color: palette.neutralPrimary,
      position: 'relative',
      height: personaSize.size48,
      minWidth: personaSize.size48,
      display: 'flex',
      alignItems: 'center',
      selectors: {
        '.contextualHost': {
          display: 'none'
        }
      }
    }, size.isSize8 && [classNames.size8, {
      height: personaSize.size8,
      minWidth: personaSize.size8
    }], // TODO: Deprecated size and needs to be removed in a future major release.
    size.isSize10 && [classNames.size10, {
      height: personaSize.size10,
      minWidth: personaSize.size10
    }], // TODO: Deprecated size and needs to be removed in a future major release.
    size.isSize16 && [classNames.size16, {
      height: personaSize.size16,
      minWidth: personaSize.size16
    }], size.isSize24 && [classNames.size24, {
      height: personaSize.size24,
      minWidth: personaSize.size24
    }], size.isSize24 && showSecondaryText && {
      height: '36px'
    }, // TODO: Deprecated size and needs to be removed in a future major release.
    size.isSize28 && [classNames.size28, {
      height: personaSize.size28,
      minWidth: personaSize.size28
    }], size.isSize28 && showSecondaryText && {
      height: '32px'
    }, size.isSize32 && [classNames.size32, {
      height: personaSize.size32,
      minWidth: personaSize.size32
    }], size.isSize40 && [classNames.size40, {
      height: personaSize.size40,
      minWidth: personaSize.size40
    }], size.isSize48 && classNames.size48, size.isSize56 && [classNames.size56, {
      height: personaSize.size56,
      minWidth: personaSize.size56
    }], size.isSize72 && [classNames.size72, {
      height: personaSize.size72,
      minWidth: personaSize.size72
    }], size.isSize100 && [classNames.size100, {
      height: personaSize.size100,
      minWidth: personaSize.size100
    }], size.isSize120 && [classNames.size120, {
      height: personaSize.size120,
      minWidth: personaSize.size120
    }],
    /**
     * Modifiers: presence
     */
    presence.isAvailable && classNames.available, presence.isAway && classNames.away, presence.isBlocked && classNames.blocked, presence.isBusy && classNames.busy, presence.isDoNotDisturb && classNames.doNotDisturb, presence.isOffline && classNames.offline, className],
    details: [classNames.details, {
      padding: '0 24px 0 16px',
      minWidth: 0,
      width: '100%',
      textAlign: 'left',
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'space-around'
    }, (size.isSize8 || size.isSize10) && {
      paddingLeft: 17
    }, (size.isSize24 || size.isSize28 || size.isSize32) && {
      padding: '0 8px'
    }, (size.isSize40 || size.isSize48) && {
      padding: '0 12px'
    }],
    primaryText: [classNames.primaryText, noWrap, {
      color: palette.neutralPrimary,
      fontWeight: FontWeights.regular,
      fontSize: fonts.medium.fontSize,
      selectors: {
        ':hover': {
          color: palette.neutralDark
        }
      }
    }, showSecondaryText && {
      height: showSecondaryTextDefaultHeight,
      lineHeight: showSecondaryTextDefaultHeight,
      overflowX: 'hidden'
    }, (size.isSize8 || size.isSize10) && {
      fontSize: fonts.small.fontSize,
      lineHeight: personaSize.size8
    }, size.isSize16 && {
      lineHeight: personaSize.size28
    }, (size.isSize24 || size.isSize28 || size.isSize32 || size.isSize40 || size.isSize48) && showSecondaryText && {
      height: 18
    }, (size.isSize56 || size.isSize72 || size.isSize100 || size.isSize120) && {
      fontSize: fonts.xLarge.fontSize
    }, (size.isSize56 || size.isSize72 || size.isSize100 || size.isSize120) && showSecondaryText && {
      height: 22
    }],
    secondaryText: [classNames.secondaryText, noWrap, sharedTextStyles, (size.isSize8 || size.isSize10 || size.isSize16 || size.isSize24 || size.isSize28 || size.isSize32) && {
      display: 'none'
    }, showSecondaryText && {
      display: 'block',
      height: showSecondaryTextDefaultHeight,
      lineHeight: showSecondaryTextDefaultHeight,
      overflowX: 'hidden'
    }, size.isSize24 && showSecondaryText && {
      height: 18
    }, (size.isSize56 || size.isSize72 || size.isSize100 || size.isSize120) && {
      fontSize: fonts.medium.fontSize
    }, (size.isSize56 || size.isSize72 || size.isSize100 || size.isSize120) && showSecondaryText && {
      height: 18
    }],
    tertiaryText: [classNames.tertiaryText, noWrap, sharedTextStyles, {
      display: 'none',
      fontSize: fonts.medium.fontSize
    }, (size.isSize72 || size.isSize100 || size.isSize120) && {
      display: 'block'
    }],
    optionalText: [classNames.optionalText, noWrap, sharedTextStyles, {
      display: 'none',
      fontSize: fonts.medium.fontSize
    }, (size.isSize100 || size.isSize120) && {
      display: 'block'
    }],
    textContent: [classNames.textContent, noWrap]
  };
};

var Persona = styled(PersonaBase, getStyles$G, undefined, {
  scope: 'Persona'
});

var getClassNames$A = classNamesFunction();

var FacepileBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(FacepileBase, _BaseComponent);

  var _super = _createSuper(FacepileBase);

  function FacepileBase() {
    _classCallCheck(this, FacepileBase);

    return _super.apply(this, arguments);
  }

  _createClass(FacepileBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          personas = this.personas,
          singlePersona = this.singlePersona,
          personaSize = this.personaSize;
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.itemContainer
      }, [h("ul", {
        "class": classNames.members,
        "attrs": {
          "role": "listbox"
        }
      }, [personas.map(function (persona, index) {
        return h("li", {
          "key": singlePersona ? 'persona' : "personaCoin-".concat(index),
          "class": classNames.member,
          "attrs": {
            "role": "option"
          }
        }, [h("div", {
          "class": classNames.itemButton,
          "attrs": {
            "title": persona.personaName
          }
        }, [h(Persona, {
          "props": _objectSpread2({}, persona),
          "attrs": {
            "image-initials": persona.imageInitials,
            "image-url": persona.imageUrl,
            "initials-color": persona.initialsColor,
            "allow-phone-initials": persona.allowPhoneInitials,
            "text": persona.personaName,
            "presence": 2,
            "size": personaSize,
            "styles": {
              details: {
                flex: '1 0 auto'
              }
            }
          }
        })])]);
      })])])]);
    }
  }, {
    key: "singlePersona",
    get: function get() {
      return this.personas.length === 1;
    }
  }, {
    key: "classNames",
    get: function get() {
      return getClassNames$A(this.styles, {
        theme: this.theme,
        className: this.className
      });
    }
  }]);

  return FacepileBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], FacepileBase.prototype, "personas", void 0);

__decorate([Prop({
  type: Number,
  default: PersonaSize.size32
}), __metadata("design:type", Number)], FacepileBase.prototype, "personaSize", void 0);

FacepileBase = __decorate([Component({
  components: {
    FacepileButton: FacepileButton,
    Persona: Persona
  }
})], FacepileBase);

var GlobalClassNames$r = {
  root: 'ms-Facepile',
  addButton: 'ms-Facepile-addButton ms-Facepile-itemButton',
  descriptiveOverflowButton: 'ms-Facepile-descriptiveOverflowButton ms-Facepile-itemButton',
  itemButton: 'ms-Facepile-itemButton ms-Facepile-person',
  itemContainer: 'ms-Facepile-itemContainer',
  members: 'ms-Facepile-members',
  member: 'ms-Facepile-member',
  overflowButton: 'ms-Facepile-overflowButton ms-Facepile-itemButton'
};
var getStyles$H = function getStyles(props) {
  var className = props.className,
      theme = props.theme,
      _props$spacingAroundI = props.spacingAroundItemButton,
      spacingAroundItemButton = _props$spacingAroundI === void 0 ? 2 : _props$spacingAroundI;
  var palette = theme.palette,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$r, theme);
  var ItemButtonStyles = {
    textAlign: 'center',
    padding: 0,
    borderRadius: '50%',
    verticalAlign: 'top',
    display: 'inline',
    backgroundColor: 'transparent',
    border: 'none',
    selectors: {
      '&::-moz-focus-inner': {
        padding: 0,
        border: 0
      }
    }
  };
  return {
    root: [classNames.root, theme.fonts.medium, {
      width: 'auto'
    }, className],
    addButton: [classNames.addButton, getFocusStyle(theme, {
      inset: -1
    }), ItemButtonStyles, {
      fontSize: fonts.medium.fontSize,
      color: palette.white,
      backgroundColor: palette.themePrimary,
      marginRight: spacingAroundItemButton * 2 + 'px',
      selectors: {
        '&:hover': {
          backgroundColor: palette.themeDark
        },
        '&:focus': {
          backgroundColor: palette.themeDark
        },
        '&:active': {
          backgroundColor: palette.themeDarker
        },
        '&:disabled': {
          backgroundColor: palette.neutralTertiaryAlt
        }
      }
    }],
    descriptiveOverflowButton: [classNames.descriptiveOverflowButton, getFocusStyle(theme, {
      inset: -1
    }), ItemButtonStyles, {
      fontSize: fonts.small.fontSize,
      color: palette.neutralSecondary,
      backgroundColor: palette.neutralLighter,
      marginLeft: "".concat(spacingAroundItemButton * 2, "px")
    }],
    itemButton: [classNames.itemButton, ItemButtonStyles],
    itemContainer: [classNames.itemContainer, {
      display: 'flex'
    }],
    members: [classNames.members, {
      display: 'flex',
      overflow: 'hidden',
      listStyleType: 'none',
      padding: 0,
      margin: "-".concat(spacingAroundItemButton, "px")
    }],
    member: [classNames.member, {
      display: 'inline-flex',
      flex: '0 0 auto',
      margin: "".concat(spacingAroundItemButton, "px")
    }],
    overflowButton: [classNames.overflowButton, getFocusStyle(theme, {
      inset: -1
    }), ItemButtonStyles, {
      fontSize: fonts.medium.fontSize,
      color: palette.neutralSecondary,
      backgroundColor: palette.neutralLighter,
      marginLeft: "".concat(spacingAroundItemButton * 2, "px")
    }],
    overflowInitialsIcon: [{
      color: palette.neutralPrimary
    }],
    screenReaderOnly: hiddenContentStyle
  };
};

var Facepile = styled(FacepileBase, getStyles$H, undefined, {
  scope: 'Facepile'
});

var getClassNames$B = memoizeFunction(function (styles, disabled, isFocused, keyboardSpinDirection) {
  var labelPosition = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : Position.start;
  var className = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : undefined;
  return {
    root: mergeStyles(styles.root, className),
    labelWrapper: mergeStyles(styles.labelWrapper, _getStyleForLabelBasedOnPosition(labelPosition, styles)),
    icon: mergeStyles(styles.icon, disabled && styles.iconDisabled),
    label: mergeStyles(styles.label),
    spinButtonWrapper: mergeStyles(styles.spinButtonWrapper, _getStyleForRootBasedOnPosition(labelPosition, styles), !disabled && [{
      selectors: {
        ':hover': styles.spinButtonWrapperHovered
      }
    }, isFocused && {
      // This is to increase the specificity of the focus styles
      // and make it equal to that of the hover styles.
      selectors: {
        '&&': styles.spinButtonWrapperFocused
      }
    }], disabled && styles.spinButtonWrapperDisabled),
    input: mergeStyles('ms-spinButton-input', styles.input, !disabled && {
      selectors: {
        '::selection': styles.inputTextSelected
      }
    }, disabled && styles.inputDisabled),
    arrowBox: mergeStyles(styles.arrowButtonsContainer, disabled && styles.arrowButtonsContainerDisabled)
  };
});
/**
 * Returns the Style corresponding to the label position
 */

function _getStyleForLabelBasedOnPosition(labelPosition, styles) {
  switch (labelPosition) {
    case Position.start:
      return styles.labelWrapperStart;

    case Position.end:
      return styles.labelWrapperEnd;

    case Position.top:
      return styles.labelWrapperTop;

    case Position.bottom:
      return styles.labelWrapperBottom;
  }
}
/**
 * Returns the Style corresponding to the label position
 */


function _getStyleForRootBasedOnPosition(labelPosition, styles) {
  switch (labelPosition) {
    case Position.top:
    case Position.bottom:
      return styles.spinButtonWrapperTopBottom;

    default:
      return {};
  }
}

var ARROW_BUTTON_WIDTH = 23;
var ARROW_BUTTON_ICON_SIZE = 8;
var DEFAULT_HEIGHT = 32;
var DEFAULT_MIN_WIDTH = 86;
var LABEL_MARGIN = 10;

var _getDisabledStyles = memoizeFunction(function (theme) {
  var semanticColors = theme.semanticColors;
  var SpinButtonTextColorDisabled = semanticColors.disabledText;
  var SpinButtonBackgroundColorDisabled = semanticColors.disabledBackground;
  return {
    backgroundColor: SpinButtonBackgroundColorDisabled,
    borderColor: SpinButtonBackgroundColorDisabled,
    pointerEvents: 'none',
    cursor: 'default',
    color: SpinButtonTextColorDisabled,
    selectors: _defineProperty({}, HighContrastSelector, {
      color: 'GrayText'
    })
  };
});

var getArrowButtonStyles = memoizeFunction(function (theme, isUpArrow, customSpecificArrowStyles) {
  var palette = theme.palette,
      effects = theme.effects; // TODO: after updating the semanticColor slots all this need to be reevaluated.

  var ArrowButtonTextColor = palette.neutralSecondary;
  var ArrowButtonTextColorHovered = palette.neutralPrimary;
  var ArrowButtonTextColorPressed = palette.neutralPrimary;
  var ArrowButtonBackgroundHovered = palette.neutralLighter;
  var ArrowButtonBackgroundPressed = palette.neutralLight;
  var defaultArrowButtonStyles = {
    root: {
      outline: 'none',
      display: 'block',
      height: '50%',
      width: ARROW_BUTTON_WIDTH,
      padding: 0,
      backgroundColor: 'transparent',
      textAlign: 'center',
      cursor: 'default',
      color: ArrowButtonTextColor,
      selectors: {
        '&.ms-DownButton': {
          borderRadius: "0 0 ".concat(effects.roundedCorner2, " 0")
        },
        '&.ms-UpButton': {
          borderRadius: "0 ".concat(effects.roundedCorner2, " 0 0")
        }
      }
    },
    rootHovered: {
      backgroundColor: ArrowButtonBackgroundHovered,
      color: ArrowButtonTextColorHovered
    },
    rootChecked: {
      backgroundColor: ArrowButtonBackgroundPressed,
      color: ArrowButtonTextColorPressed,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'Highlight',
        color: 'HighlightText'
      })
    },
    rootPressed: {
      backgroundColor: ArrowButtonBackgroundPressed,
      color: ArrowButtonTextColorPressed,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'Highlight',
        color: 'HighlightText'
      })
    },
    rootDisabled: {
      opacity: 0.5,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText',
        opacity: 1
      })
    },
    icon: {
      fontSize: ARROW_BUTTON_ICON_SIZE,
      marginTop: 0,
      marginRight: 0,
      marginBottom: 0,
      marginLeft: 0
    }
  }; // No specific styles needed as of now.

  var defaultUpArrowButtonStyles = {};
  var defaultDownArrowButtonStyles = {};
  return concatStyleSets(defaultArrowButtonStyles, isUpArrow ? defaultUpArrowButtonStyles : defaultDownArrowButtonStyles, customSpecificArrowStyles);
});
var getStyles$I = memoizeFunction(function (theme, customStyles) {
  var _selectors6;

  var palette = theme.palette,
      semanticColors = theme.semanticColors,
      effects = theme.effects,
      fonts = theme.fonts;
  var SpinButtonRootBorderColor = semanticColors.inputBorder;
  var SpinButtonRootBorderColorHovered = semanticColors.inputBorderHovered;
  var SpinButtonRootBorderColorFocused = semanticColors.inputFocusBorderAlt;
  var SpinButtonInputTextColor = semanticColors.bodyText;
  var SpinButtonInputTextColorSelected = palette.white;
  var SpinButtonInputBackgroundColorSelected = palette.themePrimary;
  var SpinButtonIconDisabledColor = semanticColors.disabledText;
  var defaultStyles = {
    root: {
      outline: 'none',
      fontSize: fonts.medium.fontSize,
      width: '100%',
      minWidth: DEFAULT_MIN_WIDTH
    },
    labelWrapper: {
      display: 'inline-flex',
      alignItems: 'center'
    },
    labelWrapperStart: {
      height: DEFAULT_HEIGHT,
      float: 'left',
      marginRight: LABEL_MARGIN
    },
    labelWrapperEnd: {
      height: DEFAULT_HEIGHT,
      float: 'right',
      marginLeft: LABEL_MARGIN
    },
    labelWrapperTop: {
      // Due to the lineHeight set on the label (below), the height of the wrapper (contains icon+label)
      // ends up 1px taller than a standard label height, causing the vertical alignment to be off when
      // the SpinButton is displayed with the label on top next to other form fields.
      // Decrease the wrapper's effective height slightly to compensate.
      marginBottom: -1
    },
    labelWrapperBottom: {},
    icon: {
      padding: '0 5px',
      fontSize: IconFontSizes.large
    },
    iconDisabled: {
      color: SpinButtonIconDisabledColor
    },
    label: {
      pointerEvents: 'none',
      // centering the label with the icon by forcing the exact same height as the icon.
      lineHeight: IconFontSizes.large
    },
    labelDisabled: {},
    spinButtonWrapper: {
      display: 'flex',
      position: 'relative',
      boxSizing: 'border-box',
      height: DEFAULT_HEIGHT,
      minWidth: DEFAULT_MIN_WIDTH,
      border: "1px solid ".concat(SpinButtonRootBorderColor),
      borderRadius: effects.roundedCorner2
    },
    spinButtonWrapperTopBottom: {
      width: '100%'
    },
    spinButtonWrapperHovered: {
      borderColor: SpinButtonRootBorderColorHovered,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'Highlight'
      })
    },
    spinButtonWrapperFocused: {
      selectors: (_selectors6 = {}, _defineProperty(_selectors6, HighContrastSelector, {
        borderColor: 'Highlight'
      }), _defineProperty(_selectors6, ':after', {
        pointerEvents: 'none',
        content: "''",
        position: 'absolute',
        left: -1,
        top: -1,
        bottom: -1,
        right: -1,
        border: "2px solid ".concat(SpinButtonRootBorderColorFocused),
        borderRadius: effects.roundedCorner2
      }), _selectors6)
    },
    spinButtonWrapperDisabled: _getDisabledStyles(theme),
    input: {
      boxSizing: 'border-box',
      boxShadow: 'none',
      borderStyle: 'none',
      flex: 1,
      margin: 0,
      fontSize: fonts.medium.fontSize,
      color: SpinButtonInputTextColor,
      height: '100%',
      padding: '0 8px',
      outline: 0,
      display: 'block',
      minWidth: DEFAULT_MIN_WIDTH - ARROW_BUTTON_WIDTH - 2,
      whiteSpace: 'nowrap',
      textOverflow: 'ellipsis',
      overflow: 'hidden',
      cursor: 'text',
      userSelect: 'text',
      borderRadius: "".concat(effects.roundedCorner2, " 0 0 ").concat(effects.roundedCorner2)
    },
    inputTextSelected: {
      backgroundColor: SpinButtonInputBackgroundColorSelected,
      color: SpinButtonInputTextColorSelected,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'Highlight',
        borderColor: 'Highlight',
        color: 'HighlightText'
      })
    },
    inputDisabled: _getDisabledStyles(theme),
    arrowButtonsContainer: {
      display: 'block',
      height: '100%',
      cursor: 'default'
    },
    arrowButtonsContainerDisabled: _getDisabledStyles(theme)
  };
  return concatStyleSets(defaultStyles, customStyles);
});

var KeyboardSpinDirection;

(function (KeyboardSpinDirection) {
  KeyboardSpinDirection[KeyboardSpinDirection["down"] = -1] = "down";
  KeyboardSpinDirection[KeyboardSpinDirection["notSpinning"] = 0] = "notSpinning";
  KeyboardSpinDirection[KeyboardSpinDirection["up"] = 1] = "up";
})(KeyboardSpinDirection || (KeyboardSpinDirection = {}));

var SpinButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(SpinButton, _BaseComponent);

  var _super = _createSuper(SpinButton);

  function SpinButton() {
    var _this;

    _classCallCheck(this, SpinButton);

    _this = _super.apply(this, arguments);
    _this.Position = Position;
    _this.getArrowButtonStyles = getArrowButtonStyles;
    _this.customUpArrowButtonStyles = {};
    _this.customDownArrowButtonStyles = {};
    _this.internalValue = _this.value || _this.defaultValue;
    _this.INITIAL_STEP_DELAY = 400;
    _this.STEP_DELAY = 75;
    _this.isFocused = false;
    _this.keyboardSpinDirection = KeyboardSpinDirection.notSpinning;
    return _this;
  }

  _createClass(SpinButton, [{
    key: "onValueChanged",
    value: function onValueChanged(value) {
      this.$emit('input', value);
    }
  }, {
    key: "updateValue",
    value: function updateValue(value) {
      var newValue = precisionRound(value, this.precision);
      this.internalValue = newValue;
      return newValue;
    }
  }, {
    key: "onIncrement",
    value: function onIncrement() {
      var newValue = Math.min(this.internalValue + this.step, this.max);
      return this.updateValue(newValue);
    }
  }, {
    key: "onDecrement",
    value: function onDecrement() {
      var newValue = Math.max(this.internalValue - this.step, this.min);
      return this.updateValue(newValue);
    }
  }, {
    key: "startSpin",
    value: function startSpin(dir) {
      var _this2 = this;

      var newValue = dir === 1 ? this.onIncrement() : this.onDecrement();
      newValue = precisionRound(newValue, this.precision);
      this.internalValue = newValue;
      this.timeout = setTimeout(function () {
        _this2.interval = setInterval(function () {
          var newValue = dir === 1 ? _this2.onIncrement() : _this2.onDecrement();
          newValue = precisionRound(newValue, _this2.precision);
          _this2.internalValue = newValue;
        }, _this2.STEP_DELAY);
      }, this.INITIAL_STEP_DELAY);
    }
  }, {
    key: "stopSpin",
    value: function stopSpin() {
      clearTimeout(this.timeout);
      clearInterval(this.interval);
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var h = arguments[0];
      var theme = this.theme,
          customUpArrowButtonStyles = this.customUpArrowButtonStyles,
          customDownArrowButtonStyles = this.customDownArrowButtonStyles,
          classNames = this.classNames,
          labelPosition = this.labelPosition,
          iconProps = this.iconProps,
          label = this.label,
          internalValue = this.internalValue;
      return h("div", {
        "class": classNames.root
      }, [labelPosition !== Position.bottom && (iconProps || label) && h("div", {
        "class": classNames.labelWrapper
      }, [iconProps && h(Icon$2, {
        "attrs": {
          "class-name": classNames.icon
        },
        "props": _objectSpread2({}, iconProps)
      }), h(Label, {
        "attrs": {
          "for": "SpinButton".concat(this.uid)
        },
        "class": classNames.label
      }, [label])]), h("div", {
        "class": classNames.spinButtonWrapper
      }, [h("input", {
        "attrs": {
          "id": "SpinButton".concat(this.uid),
          "type": "text",
          "role": "spinbutton"
        },
        "class": classNames.input,
        "domProps": {
          "value": internalValue
        },
        "on": {
          "focus": function focus() {
            return _this3.isFocused = true;
          },
          "blur": function blur() {
            return _this3.isFocused = false;
          },
          "input": function input(ev) {
            return _this3.internalValue = +(ev.target.value || 0);
          }
        }
      }), h("span", {
        "class": classNames.arrowBox
      }, [h(IconButton, {
        "class": "ms-UpButton",
        "attrs": {
          "styles": getArrowButtonStyles(theme, true, customUpArrowButtonStyles),
          "icon-props": {
            iconName: 'ChevronUpSmall'
          }
        },
        "nativeOn": {
          "mousedown": function mousedown() {
            return _this3.startSpin(1);
          },
          "mouseup": function mouseup() {
            return _this3.stopSpin();
          }
        }
      }), h(IconButton, {
        "class": "ms-DownButton",
        "attrs": {
          "styles": getArrowButtonStyles(theme, false, customDownArrowButtonStyles),
          "icon-props": {
            iconName: 'ChevronDownSmall'
          }
        },
        "nativeOn": {
          "mousedown": function mousedown() {
            return _this3.startSpin(-1);
          },
          "mouseup": function mouseup() {
            return _this3.stopSpin();
          }
        }
      })])]), labelPosition === Position.bottom && (iconProps || label) && h("div", {
        "class": classNames.labelWrapper
      }, [iconProps && h(Icon$2, {
        "attrs": {
          "class-name": classNames.icon
        },
        "props": _objectSpread2({}, iconProps)
      }), label && h(Label, {
        "attrs": {
          "for": "SpinButton".concat(this.uid)
        },
        "class": classNames.label
      }, [label])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles,
          className = this.className,
          disabled = this.disabled,
          isFocused = this.isFocused,
          keyboardSpinDirection = this.keyboardSpinDirection,
          labelPosition = this.labelPosition;
      return getClassNames$B(getStyles$I(theme, styles), disabled, isFocused, keyboardSpinDirection, labelPosition, className);
    }
  }, {
    key: "precision",
    get: function get() {
      var precision = Math.max(calculatePrecision(this.step), 0);
      return precision;
    }
  }]);

  return SpinButton;
}(BaseComponent$1);

__decorate([Prop({
  default: false
}), __metadata("design:type", Boolean)], SpinButton.prototype, "disabled", void 0);

__decorate([Prop({
  default: false
}), __metadata("design:type", Boolean)], SpinButton.prototype, "required", void 0);

__decorate([Prop({
  default: 0
}), __metadata("design:type", Number)], SpinButton.prototype, "defaultValue", void 0);

__decorate([Prop({
  default: null
}), __metadata("design:type", Number)], SpinButton.prototype, "value", void 0);

__decorate([Prop({
  default: null
}), __metadata("design:type", String)], SpinButton.prototype, "label", void 0);

__decorate([Prop({
  default: Position.start
}), __metadata("design:type", Number)], SpinButton.prototype, "labelPosition", void 0);

__decorate([Prop({
  default: 0
}), __metadata("design:type", Number)], SpinButton.prototype, "min", void 0);

__decorate([Prop({
  default: 10
}), __metadata("design:type", Number)], SpinButton.prototype, "max", void 0);

__decorate([Prop({
  default: 1
}), __metadata("design:type", Number)], SpinButton.prototype, "step", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], SpinButton.prototype, "iconProps", void 0);

__decorate([Watch('internalValue'), __metadata("design:type", Function), __metadata("design:paramtypes", [String]), __metadata("design:returntype", void 0)], SpinButton.prototype, "onValueChanged", null);

SpinButton = __decorate([Component({
  components: {
    IconButton: IconButton,
    Icon: Icon$2,
    Label: Label
  }
})], SpinButton);

/**
 * {@docCategory Panel}
 */
var PanelType;

(function (PanelType) {
  /**
   * Renders the Panel with a `fluid` (full screen) width.
   * Recommended for use on small screen breakpoints.
   * - Small (320-479): full screen width, 16px left/right padding
   * - Medium (480-639): full screen width, 16px left/right padding
   * - Large (640-1023): full screen width, 32px left/right padding
   * - XLarge (1024-1365): full screen width, 32px left/right padding
   * - XXLarge (1366-up): full screen width, 40px left/right padding
   */
  PanelType[PanelType["smallFluid"] = 0] = "smallFluid";
  /**
   * Renders the Panel in fixed-width `small` size, anchored to the far side (right in LTR mode).
   * - Small (320-479): adapts to `PanelType.smallFluid` at this breakpoint
   * - Medium (480-639): 340px width, 16px left/right padding
   * - Large (640-1023): 340px width, 32px left/right padding
   * - XLarge (1024-1365): 340px width, 32px left/right padding
   * - XXLarge (1366-up): 340px width, 40px left/right padding
   */

  PanelType[PanelType["smallFixedFar"] = 1] = "smallFixedFar";
  /**
   * Renders the Panel in fixed-width `small` size, anchored to the near side (left in LTR mode).
   * - Small (320-479): 272px width, 16px left/right padding
   * - Medium (480-639): 272px width, 16px left/right padding
   * - Large (640-1023): 272px width, 32px left/right padding
   * - XLarge (1024-1365): 272px width, 32px left/right padding
   * - XXLarge (1366-up): 272px width, 40px left/right padding
   */

  PanelType[PanelType["smallFixedNear"] = 2] = "smallFixedNear";
  /**
   * Renders the Panel in `medium` size, anchored to the far side (right in LTR mode).
   * - Small (320-479): adapts to `PanelType.smallFluid` at this breakpoint
   * - Medium (480-639): adapts to `PanelType.smallFixedFar` at this breakpoint
   * - Large (640-1023): 592px width, 32px left/right padding
   * - XLarge (1024-1365): 644px width, 32px left/right padding
   * - XXLarge (1366-up): 644px width, 40px left/right padding
   */

  PanelType[PanelType["medium"] = 3] = "medium";
  /**
   * Renders the Panel in `large` size, anchored to the far side (right in LTR mode).
   * - Small (320-479): adapts to `PanelType.smallFluid` at this breakpoint
   * - Medium (480-639):  adapts to `PanelType.smallFixedFar` at this breakpoint
   * - Large (640-1023): adapts to `PanelType.medium` at this breakpoint
   * - XLarge (1024-1365): 48px fixed left margin, fluid width, 32px left/right padding
   * - XXLarge (1366-up): 428px fixed left margin, fluid width, 40px left/right padding
   */

  PanelType[PanelType["large"] = 4] = "large";
  /**
   * Renders the Panel in `large` size, anchored to the far side (right in LTR mode), with a fixed width at
   * XX-Large breakpoint.
   * - Small (320-479): adapts to `PanelType.smallFluid` at this breakpoint
   * - Medium (480-639): adapts to `PanelType.smallFixedFar` at this breakpoint
   * - Large (640-1023): adapts to `PanelType.medium` at this breakpoint
   * - XLarge (1024-1365): 48px fixed left margin, fluid width, 32px left/right padding
   * - XXLarge (1366-up): 940px width, 40px left/right padding
   */

  PanelType[PanelType["largeFixed"] = 5] = "largeFixed";
  /**
   * Renders the Panel in `extra large` size, anchored to the far side (right in LTR mode).
   * - Small (320-479): adapts to `PanelType.smallFluid` at this breakpoint
   * - Medium (480-639): adapts to `PanelType.smallFixedFar` at this breakpoint
   * - Large (640-1023): adapts to `PanelType.medium` at this breakpoint
   * - XLarge (1024-1365): adapts to `PanelType.large` at this breakpoint
   * - XXLarge (1366-1919): 176px fixed left margin, fluid width, 40px left/right padding
   * - XXXLarge (1920-up): 176px fixed left margin, fluid width, 40px left/right padding
   */

  PanelType[PanelType["extraLarge"] = 6] = "extraLarge";
  /**
   * Renders the Panel in `custom` size using `customWidth`, anchored to the far side (right in LTR mode).
   * - Has a fixed width provided by the `customWidth` prop
   * - When screen width reaches the `customWidth` value it will behave like a fluid width Panel
   * taking up 100% of the viewport width
   */

  PanelType[PanelType["custom"] = 7] = "custom";
  /**
   * Renders the Panel in `custom` size using `customWidth`, anchored to the near side (left in LTR mode).
   * - Has a fixed width provided by the `customWidth` prop
   * - When screen width reaches the `customWidth` value it will behave like a fluid width Panel
   * taking up 100% of the viewport width
   */

  PanelType[PanelType["customNear"] = 8] = "customNear";
})(PanelType || (PanelType = {}));

var getClassNames$C = classNamesFunction();
var PanelVisibilityState;

(function (PanelVisibilityState) {
  PanelVisibilityState[PanelVisibilityState["closed"] = 0] = "closed";
  PanelVisibilityState[PanelVisibilityState["animatingOpen"] = 1] = "animatingOpen";
  PanelVisibilityState[PanelVisibilityState["open"] = 2] = "open";
  PanelVisibilityState[PanelVisibilityState["animatingClosed"] = 3] = "animatingClosed";
})(PanelVisibilityState || (PanelVisibilityState = {}));

var PanelBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(PanelBase, _BaseComponent);

  var _super = _createSuper(PanelBase);

  function PanelBase() {
    var _this;

    _classCallCheck(this, PanelBase);

    _this = _super.apply(this, arguments);
    _this.IconFontSizes = IconFontSizes;
    _this.isFooterSticky = false;
    _this.id = getId('Panel');
    _this.visibility = PanelVisibilityState.closed;
    _this.animationCallback = null;
    return _this;
  }

  _createClass(PanelBase, [{
    key: "created",
    value: function created() {
      window.addEventListener('resize', this.updateFooterPosition);

      if (this.shouldListenForOuterClick) {
        window.addEventListener('mousedown', this.dismissOnOuterClick, true);
      }
    }
  }, {
    key: "onIsOpenUpdated",
    value: function onIsOpenUpdated(newVal, prevVal) {
      console.log('onIsOpenUpdated');

      if (newVal) {
        this.visibility = PanelVisibilityState.animatingOpen;
      }
    }
  }, {
    key: "onVisibilityUpdated",
    value: function onVisibilityUpdated(newVal, prevVal) {
      console.log(newVal, prevVal);

      if (newVal !== prevVal) {
        this.clearExistingAnimationTimer();

        if (newVal === PanelVisibilityState.animatingOpen) {
          this.animateTo(PanelVisibilityState.open);
        } else if (newVal === PanelVisibilityState.animatingClosed) {
          this.animateTo(PanelVisibilityState.closed);
        }
      }
    }
  }, {
    key: "close",
    value: function close() {
      console.log('close');
      console.log(this.isOpen, this.isActive, this.visibility);
      if (this.isOpen !== undefined) return;
      if (!this.isActive) return;
      console.log(this.visibility);
      this.visibility = PanelVisibilityState.animatingClosed;
    }
  }, {
    key: "dismiss",
    value: function dismiss(ev) {
      console.log('dismiss');

      if (this.onDismiss) {
        this.onDismiss(ev);
      }

      if (!ev || ev && !ev.defaultPrevented) {
        this.close();
      }
    }
  }, {
    key: "dismissOnOuterClick",
    value: function dismissOnOuterClick(ev) {
      var panel = this.$refs.panel;

      if (this.isActive && panel && !ev.defaultPrevented()) {
        if (!elementContains(panel, ev.target)) {
          if (this.onOuterClick) {
            this.onOuterClick();
            ev.preventDefault();
          } else {
            this.dismiss();
          }
        }
      }
    }
  }, {
    key: "updateFooterPosition",
    value: function updateFooterPosition() {
      var scrollableContent = this.$refs.scrollableContent;

      if (scrollableContent) {
        var height = scrollableContent.clientHeight;
        var innerHeight = scrollableContent.scrollHeight;
        this.isFooterSticky = height < innerHeight;
      }
    }
  }, {
    key: "animateTo",
    value: function animateTo(newVisibilityState) {
      var _this2 = this;

      console.log('animateTo', newVisibilityState);
      this.animationCallback = this._async.setTimeout(function () {
        _this2.visibility = newVisibilityState;

        _this2._onTransitionComplete();
      }, 200);
    }
  }, {
    key: "clearExistingAnimationTimer",
    value: function clearExistingAnimationTimer() {
      if (this.animationCallback !== null) {
        this._async.clearTimeout(this.animationCallback);
      }
    }
  }, {
    key: "_onTransitionComplete",
    value: function _onTransitionComplete() {
      this.updateFooterPosition();

      if (this.visibility === PanelVisibilityState.open && this.onOpened) {
        this.onOpened();
      }

      if (this.visibility === PanelVisibilityState.closed && this.onDismissed) {
        this.onDismissed();
      }
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          isOpen = this.isOpen,
          isAnimating = this.isAnimating,
          isHiddenOnDismiss = this.isHiddenOnDismiss,
          isBlocking = this.isBlocking,
          theme = this.theme,
          headerText = this.headerText;
      if (!isOpen && !isAnimating && !isHiddenOnDismiss) return;
      return h(Layer, [h("div", {
        "ref": "panel",
        "class": classNames.root
      }, [isBlocking && isOpen && h(Overlay, {
        "class": classNames.overlay
      }), h("div", {
        "class": classNames.main
      }, [h("div", {
        "class": classNames.commands
      }, [h("div", {
        "class": classNames.navigation
      }, [h(IconButton, {
        "class": classNames.closeButton,
        "attrs": {
          "styles": {
            root: {
              height: 'auto',
              width: '44px',
              color: theme.palette.neutralSecondary,
              fontSize: IconFontSizes.large
            },
            rootHovered: {
              color: theme.palette.neutralPrimary
            }
          },
          "icon-props": {
            iconName: 'Cancel'
          }
        },
        "nativeOn": {
          "click": this.dismiss
        }
      })])]), h("div", {
        "class": classNames.contentInner
      }, [h("div", {
        "class": classNames.header
      }, [h("p", {
        "class": classNames.headerText
      }, [this.$slots.header || headerText])]), h("div", {
        "ref": "scrollableContent",
        "class": classNames.scrollableContent
      }, [h("div", {
        "class": classNames.content
      }, [this.$slots.default])])])])])]);
    }
  }, {
    key: "shouldListenForOuterClick",
    get: function get() {
      return !!this.isBlocking && !!this.isOpen;
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          _this$className = this.className,
          className = _this$className === void 0 ? '' : _this$className,
          focusTrapZoneProps = this.focusTrapZoneProps,
          hasCloseButton = this.hasCloseButton,
          _this$headerClassName = this.headerClassName,
          headerClassName = _this$headerClassName === void 0 ? '' : _this$headerClassName,
          isFooterSticky = this.isFooterSticky,
          isFooterAtBottom = this.isFooterAtBottom,
          isHiddenOnDismiss = this.isHiddenOnDismiss,
          type = this.type;
      var visibility = this.visibility;
      var isOpen = this.isActive;
      var isAnimating = visibility === PanelVisibilityState.animatingClosed || visibility === PanelVisibilityState.animatingOpen;
      var isLeft = !!(type === PanelType.smallFixedNear || type === PanelType.customNear);
      var isRTL = getRTL(theme);
      var isOnRightSide = isRTL ? isLeft : !isLeft;
      return getClassNames$C(styles, {
        theme: theme,
        className: className,
        focusTrapZoneClassName: focusTrapZoneProps ? focusTrapZoneProps.className : undefined,
        hasCloseButton: hasCloseButton,
        headerClassName: headerClassName,
        isAnimating: isAnimating,
        isFooterSticky: isFooterSticky,
        isFooterAtBottom: isFooterAtBottom,
        isOnRightSide: isOnRightSide,
        isOpen: isOpen,
        isHiddenOnDismiss: isHiddenOnDismiss,
        type: type,
        hasCustomNavigation: false
      });
    }
  }, {
    key: "isAnimating",
    get: function get() {
      var visibility = this.visibility;
      return visibility === PanelVisibilityState.animatingClosed || visibility === PanelVisibilityState.animatingOpen;
    }
  }, {
    key: "isActive",
    get: function get() {
      return this.visibility === PanelVisibilityState.open || this.visibility === PanelVisibilityState.animatingOpen;
    }
  }]);

  return PanelBase;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], PanelBase.prototype, "headerText", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PanelBase.prototype, "focusTrapZoneProps", void 0);

__decorate([Prop(), __metadata("design:type", Object)], PanelBase.prototype, "headerClassName", void 0);

__decorate([Prop({
  type: Number,
  default: PanelType.smallFixedFar
}), __metadata("design:type", Number)], PanelBase.prototype, "type", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], PanelBase.prototype, "onDismiss", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], PanelBase.prototype, "onDismissed", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], PanelBase.prototype, "onOpened", void 0);

__decorate([Prop({
  type: Function,
  default: null
}), __metadata("design:type", Function)], PanelBase.prototype, "onOuterClick", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], PanelBase.prototype, "hasCloseButton", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PanelBase.prototype, "isFooterAtBottom", void 0);

__decorate([Prop({
  type: Boolean,
  default: null
}), __metadata("design:type", Boolean)], PanelBase.prototype, "isOpen", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], PanelBase.prototype, "isHiddenOnDismiss", void 0);

__decorate([Prop({
  type: Boolean,
  default: true
}), __metadata("design:type", Boolean)], PanelBase.prototype, "isBlocking", void 0);

__decorate([Watch('isOpen'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", void 0)], PanelBase.prototype, "onIsOpenUpdated", null);

__decorate([Watch('visibility'), __metadata("design:type", Function), __metadata("design:paramtypes", [Number, Number]), __metadata("design:returntype", void 0)], PanelBase.prototype, "onVisibilityUpdated", null);

PanelBase = __decorate([Component], PanelBase);

var _mediumPanelSelectors, _largePanelSelectors;
var GlobalClassNames$s = {
  root: 'ms-Panel',
  main: 'ms-Panel-main',
  commands: 'ms-Panel-commands',
  contentInner: 'ms-Panel-contentInner',
  scrollableContent: 'ms-Panel-scrollableContent',
  navigation: 'ms-Panel-navigation',
  closeButton: 'ms-Panel-closeButton ms-PanelAction-close',
  header: 'ms-Panel-header',
  headerText: 'ms-Panel-headerText',
  content: 'ms-Panel-content',
  footer: 'ms-Panel-footer',
  footerInner: 'ms-Panel-footerInner',
  isOpen: 'is-open',
  hasCloseButton: 'ms-Panel--hasCloseButton',
  smallFluid: 'ms-Panel--smFluid',
  smallFixedNear: 'ms-Panel--smLeft',
  smallFixedFar: 'ms-Panel--sm',
  medium: 'ms-Panel--md',
  large: 'ms-Panel--lg',
  largeFixed: 'ms-Panel--fixed',
  extraLarge: 'ms-Panel--xl',
  custom: 'ms-Panel--custom',
  customNear: 'ms-Panel--customLeft'
};
var panelWidth = {
  full: '100%',
  auto: 'auto',
  xs: 272,
  sm: 340,
  md1: 592,
  md2: 644,
  lg: 940
};
var panelMargin = {
  auto: 'auto',
  none: 0,
  md: 48,
  lg: 428,
  xl: 176
}; // Following consts are used below in `getPanelBreakpoints()` function to provide
// necessary fallbacks for different types of Panel in different breakpoints.

var smallPanelSelectors = _defineProperty({}, "@media (min-width: ".concat(ScreenWidthMinMedium, "px)"), {
  width: panelWidth.sm
});

var mediumPanelSelectors = (_mediumPanelSelectors = {}, _defineProperty(_mediumPanelSelectors, "@media (min-width: ".concat(ScreenWidthMinLarge, "px)"), {
  width: panelWidth.md1
}), _defineProperty(_mediumPanelSelectors, "@media (min-width: ".concat(ScreenWidthMinXLarge, "px)"), {
  width: panelWidth.md2
}), _mediumPanelSelectors);
var largePanelSelectors = (_largePanelSelectors = {}, _defineProperty(_largePanelSelectors, "@media (min-width: ".concat(ScreenWidthMinUhfMobile, "px)"), {
  left: panelMargin.md,
  width: panelWidth.auto
}), _defineProperty(_largePanelSelectors, "@media (min-width: ".concat(ScreenWidthMinXXLarge, "px)"), {
  left: panelMargin.lg
}), _largePanelSelectors);

var largeFixedPanelSelectors = _defineProperty({}, "@media (min-width: ".concat(ScreenWidthMinXXLarge, "px)"), {
  left: panelMargin.auto,
  width: panelWidth.lg
});

var extraLargePanelSelectors = _defineProperty({}, "@media (min-width: ".concat(ScreenWidthMinXXLarge, "px)"), {
  left: panelMargin.xl
}); // Make sure Panels have fallbacks to different breakpoints by reusing same selectors.
// This is done in the effort to follow design redlines.


var getPanelBreakpoints = function getPanelBreakpoints(type) {
  var selectors; // Panel types `smallFluid`, `smallFixedNear`, `custom` and `customNear`
  // are not checked in here because they render the same in all the breakpoints
  // and have the checks done separately in the `getStyles` function below.

  switch (type) {
    case PanelType.smallFixedFar:
      selectors = _objectSpread2({}, smallPanelSelectors);
      break;

    case PanelType.medium:
      selectors = _objectSpread2(_objectSpread2({}, smallPanelSelectors), mediumPanelSelectors);
      break;

    case PanelType.large:
      selectors = _objectSpread2(_objectSpread2(_objectSpread2({}, smallPanelSelectors), mediumPanelSelectors), largePanelSelectors);
      break;

    case PanelType.largeFixed:
      selectors = _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, smallPanelSelectors), mediumPanelSelectors), largePanelSelectors), largeFixedPanelSelectors);
      break;

    case PanelType.extraLarge:
      selectors = _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, smallPanelSelectors), mediumPanelSelectors), largePanelSelectors), extraLargePanelSelectors);
      break;
  }

  return selectors;
};

var commandBarHeight = '44px';
var sharedPaddingStyles = {
  paddingLeft: '24px',
  paddingRight: '24px'
};
var getStyles$J = function getStyles(props) {
  var className = props.className,
      focusTrapZoneClassName = props.focusTrapZoneClassName,
      hasCloseButton = props.hasCloseButton,
      headerClassName = props.headerClassName,
      isAnimating = props.isAnimating,
      isFooterSticky = props.isFooterSticky,
      isFooterAtBottom = props.isFooterAtBottom,
      isOnRightSide = props.isOnRightSide,
      isOpen = props.isOpen,
      isHiddenOnDismiss = props.isHiddenOnDismiss,
      hasCustomNavigation = props.hasCustomNavigation,
      theme = props.theme,
      _props$type = props.type,
      type = _props$type === void 0 ? PanelType.smallFixedFar : _props$type;
  var effects = theme.effects,
      fonts = theme.fonts,
      semanticColors = theme.semanticColors;
  var classNames = getGlobalClassNames(GlobalClassNames$s, theme);
  var isCustomPanel = type === PanelType.custom || type === PanelType.customNear;
  return {
    root: [classNames.root, theme.fonts.medium, isOpen && classNames.isOpen, hasCloseButton && classNames.hasCloseButton, {
      pointerEvents: 'none',
      position: 'absolute',
      top: 0,
      left: 0,
      right: 0,
      bottom: 0
    }, isCustomPanel && isOnRightSide && classNames.custom, isCustomPanel && !isOnRightSide && classNames.customNear, className],
    overlay: [{
      pointerEvents: 'auto',
      cursor: 'pointer'
    }, isOpen && isAnimating && AnimationClassNames.fadeIn100, !isOpen && isAnimating && AnimationClassNames.fadeOut100],
    hiddenPanel: [!isOpen && !isAnimating && isHiddenOnDismiss && {
      visibility: 'hidden'
    }],
    main: [classNames.main, {
      backgroundColor: semanticColors.bodyBackground,
      boxShadow: effects.elevation64,
      pointerEvents: 'auto',
      position: 'absolute',
      display: 'flex',
      flexDirection: 'column',
      overflowX: 'hidden',
      overflowY: 'auto',
      WebkitOverflowScrolling: 'touch',
      bottom: 0,
      top: 0,
      // left, right, width are overridden depending on the type of the Panel and the screen breakpoint.
      left: panelMargin.auto,
      right: panelMargin.none,
      width: panelWidth.full,
      selectors: _objectSpread2(_defineProperty({}, HighContrastSelector, {
        borderLeft: "3px solid ".concat(semanticColors.variantBorder),
        borderRight: "3px solid ".concat(semanticColors.variantBorder)
      }), getPanelBreakpoints(type))
    }, type === PanelType.smallFluid && {
      left: panelMargin.none
    }, type === PanelType.smallFixedNear && {
      left: panelMargin.none,
      right: panelMargin.auto,
      width: panelWidth.xs
    }, type === PanelType.customNear && {
      right: 'auto',
      left: 0
    }, isCustomPanel && {
      maxWidth: '100vw'
    }, isOpen && isAnimating && !isOnRightSide && AnimationClassNames.slideRightIn40, isOpen && isAnimating && isOnRightSide && AnimationClassNames.slideLeftIn40, !isOpen && isAnimating && !isOnRightSide && AnimationClassNames.slideLeftOut40, !isOpen && isAnimating && isOnRightSide && AnimationClassNames.slideRightOut40, focusTrapZoneClassName],
    commands: [classNames.commands, {
      marginTop: 18
    }, hasCustomNavigation && {
      marginTop: 'inherit'
    }],
    navigation: [classNames.navigation, {
      display: 'flex',
      justifyContent: 'flex-end'
    }, hasCustomNavigation && {
      height: commandBarHeight
    }],
    contentInner: [classNames.contentInner, {
      display: 'flex',
      flexDirection: 'column',
      flexGrow: 1,
      overflowY: 'hidden'
    }],
    header: [classNames.header, sharedPaddingStyles, {
      alignSelf: 'flex-start'
    }, hasCloseButton && !hasCustomNavigation && {
      flexGrow: 1
    }, hasCustomNavigation && {
      // Ensure that title doesn't shrink if screen is too small
      flexShrink: 0
    }],
    headerText: [classNames.headerText, fonts.xLarge, {
      color: semanticColors.bodyText,
      lineHeight: '27px',
      overflowWrap: 'break-word',
      wordWrap: 'break-word',
      wordBreak: 'break-word',
      hyphens: 'auto'
    }, headerClassName],
    scrollableContent: [classNames.scrollableContent, {
      overflowY: 'auto'
    }, isFooterAtBottom && {
      flexGrow: 1
    }],
    content: [classNames.content, sharedPaddingStyles, {
      paddingBottom: 20
    }],
    footer: [classNames.footer, {
      // Ensure that footer doesn't shrink if screen is too small
      flexShrink: 0,
      borderTop: '1px solid transparent',
      transition: "opacity ".concat(AnimationVariables.durationValue3, " ").concat(AnimationVariables.easeFunction2)
    }, isFooterSticky && {
      background: semanticColors.bodyBackground,
      borderTopColor: semanticColors.variantBorder
    }],
    footerInner: [classNames.footerInner, sharedPaddingStyles, {
      paddingBottom: 16,
      paddingTop: 16
    }],
    subComponentStyles: {
      closeButton: {
        root: [classNames.closeButton, {
          marginRight: 14,
          color: theme.palette.neutralSecondary,
          fontSize: IconFontSizes.large
        }, hasCustomNavigation && {
          marginRight: 0,
          height: 'auto',
          width: '44px'
        }],
        rootHovered: {
          color: theme.palette.neutralPrimary
        }
      }
    }
  };
};

var Panel = styled(PanelBase, getStyles$J, undefined, {
  scope: 'Panel'
});

var getClassNames$D = classNamesFunction(); // if the percentComplete is near 0, don't animate it.
// This prevents animations on reset to 0 scenarios

var ZERO_THRESHOLD = 0.01;

var ProgressIndicatorBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ProgressIndicatorBase, _BaseComponent);

  var _super = _createSuper(ProgressIndicatorBase);

  function ProgressIndicatorBase() {
    _classCallCheck(this, ProgressIndicatorBase);

    return _super.apply(this, arguments);
  }

  _createClass(ProgressIndicatorBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          label = this.label,
          progressHidden = this.progressHidden,
          progressBarStyles = this.progressBarStyles,
          description = this.description;
      return h("div", {
        "class": classNames.root
      }, [label && h("div", {
        "class": classNames.itemName
      }, [label]), !progressHidden && h("div", {
        "class": classNames.itemProgress
      }, [h("div", {
        "class": classNames.progressTrack
      }), h("div", {
        "class": classNames.progressBar,
        "style": progressBarStyles
      })]), description && h("div", {
        "class": classNames.itemDescription
      }, [description])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var className = this.className,
          indeterminate = this.indeterminate,
          theme = this.theme,
          barHeight = this.barHeight;
      return getClassNames$D(this.styles, {
        className: className,
        indeterminate: indeterminate,
        theme: theme,
        barHeight: barHeight
      });
    }
  }, {
    key: "progressBarStyles",
    get: function get() {
      var percentComplete = this.percentComplete;
      return {
        width: percentComplete !== undefined ? percentComplete + '%' : undefined,
        transition: percentComplete !== undefined && percentComplete < ZERO_THRESHOLD ? 'none' : undefined
      };
    }
  }]);

  return ProgressIndicatorBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ProgressIndicatorBase.prototype, "progressHidden", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ProgressIndicatorBase.prototype, "indeterminate", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], ProgressIndicatorBase.prototype, "percentComplete", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ProgressIndicatorBase.prototype, "label", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ProgressIndicatorBase.prototype, "description", void 0);

__decorate([Prop({
  type: Number,
  default: 2
}), __metadata("design:type", Number)], ProgressIndicatorBase.prototype, "barHeight", void 0);

ProgressIndicatorBase = __decorate([Component], ProgressIndicatorBase);

var GlobalClassNames$t = {
  root: 'ms-ProgressIndicator',
  itemName: 'ms-ProgressIndicator-itemName',
  itemDescription: 'ms-ProgressIndicator-itemDescription',
  itemProgress: 'ms-ProgressIndicator-itemProgress',
  progressTrack: 'ms-ProgressIndicator-progressTrack',
  progressBar: 'ms-ProgressIndicator-progressBar'
};
var IndeterminateProgress = keyframes({
  '0%': {
    left: '-30%'
  },
  '100%': {
    left: '100%'
  }
});
var IndeterminateProgressRTL = keyframes({
  '100%': {
    right: '-30%'
  },
  '0%': {
    right: '100%'
  }
});
var getStyles$K = function getStyles(props) {
  var isRTL = getRTL();
  var className = props.className,
      indeterminate = props.indeterminate,
      theme = props.theme,
      _props$barHeight = props.barHeight,
      barHeight = _props$barHeight === void 0 ? 2 : _props$barHeight;
  var palette = theme.palette,
      semanticColors = theme.semanticColors,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(GlobalClassNames$t, theme);
  var marginBetweenText = 8;
  var textHeight = 18;
  var progressTrackColor = palette.neutralLight;
  return {
    root: [classNames.root, fonts.medium, className],
    itemName: [classNames.itemName, noWrap, {
      color: semanticColors.bodyText,
      paddingTop: marginBetweenText / 2,
      lineHeight: textHeight + 2
    }],
    itemDescription: [classNames.itemDescription, {
      color: semanticColors.bodySubtext,
      fontSize: fonts.small.fontSize,
      lineHeight: textHeight
    }],
    itemProgress: [classNames.itemProgress, {
      position: 'relative',
      overflow: 'hidden',
      height: barHeight,
      padding: "".concat(marginBetweenText, "px 0")
    }],
    progressTrack: [classNames.progressTrack, {
      position: 'absolute',
      width: '100%',
      height: barHeight,
      backgroundColor: progressTrackColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderBottom: '1px solid WindowText'
      })
    }],
    progressBar: [{
      backgroundColor: palette.themePrimary,
      height: barHeight,
      position: 'absolute',
      transition: 'width .3s ease',
      width: 0,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'WindowText'
      })
    }, indeterminate ? {
      position: 'absolute',
      minWidth: '33%',
      background: "linear-gradient(to right, ".concat(progressTrackColor, " 0%, ").concat(palette.themePrimary, " 50%, ").concat(progressTrackColor, " 100%)"),
      animation: "".concat(isRTL ? IndeterminateProgressRTL : IndeterminateProgress, " 3s infinite")
    } : {
      transition: 'width .15s linear'
    }, classNames.progressBar]
  };
};

var ProgressIndicator = styled(ProgressIndicatorBase, getStyles$K, undefined, {
  scope: 'ProgressIndicator'
});

var getClassNames$E = classNamesFunction();

var RatingBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(RatingBase, _BaseComponent);

  var _super = _createSuper(RatingBase);

  function RatingBase() {
    var _this;

    _classCallCheck(this, RatingBase);

    _this = _super.apply(this, arguments);
    _this.internalValue = _this.rating;
    return _this;
  }

  _createClass(RatingBase, [{
    key: "getRatingIconName",
    value: function getRatingIconName(ratingLevel) {
      return this.internalValue >= ratingLevel ? this.iconName : this.unselectedIconName;
    }
  }, {
    key: "getRatingFillPercentage",
    value: function getRatingFillPercentage(ratingLevel) {
      if (ratingLevel - this.internalValue <= 0) return '100%';
      if (ratingLevel - this.internalValue > 1) return '0%';
      if (ratingLevel - this.internalValue > 0) return "".concat((1 - (ratingLevel - this.internalValue)) * 100, "%");
    }
  }, {
    key: "setRating",
    value: function setRating(rating) {
      this.internalValue = rating;
    }
  }, {
    key: "onPropValueChanged",
    value: function onPropValueChanged(newValue) {
      this.internalValue = newValue;
    }
  }, {
    key: "onValueChanged",
    value: function onValueChanged(value) {
      this.$emit('input', value);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var classNames = this.classNames,
          readonly = this.readonly,
          max = this.max,
          size = this.size,
          disabled = this.disabled,
          iconName = this.iconName;
      return h("div", {
        "attrs": {
          "area-label": "areaLabel"
        },
        "class": classNames.root,
        "style": {
          '--size': "".concat(size, "px")
        }
      }, [h("div", {
        "class": classNames.ratingFocusZone
      }, [this.ratingLevels.map(function (ratingLevel) {
        return h("button", {
          "key": ratingLevel,
          "attrs": _objectSpread2(_objectSpread2({}, _this2.$attrs), {}, {
            "disabled": disabled
          }),
          "class": classNames.ratingButton,
          "on": {
            "click": function click() {
              !disabled && !readonly && _this2.setRating(ratingLevel);
            }
          }
        }, [h("span", {
          "class": classNames.labelText
        }, ["Select ".concat(ratingLevel, " of ").concat(max)]), h("div", {
          "class": classNames.ratingStar
        }, [h(Icon$2, {
          "attrs": {
            "icon-name": _this2.getRatingIconName(ratingLevel)
          },
          "class": classNames.ratingStarBack
        }), h(Icon$2, {
          "attrs": {
            "icon-name": iconName
          },
          "class": classNames.ratingStarFront,
          "style": {
            width: _this2.getRatingFillPercentage(ratingLevel)
          }
        })])]);
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var disabled = this.disabled,
          readonly = this.readonly,
          theme = this.theme;
      return getClassNames$E(this.styles, {
        disabled: disabled,
        readOnly: readonly,
        theme: theme
      });
    }
  }, {
    key: "ratingLevels",
    get: function get() {
      var min = this.min,
          max = this.max;
      if (min < 0 || max <= min) return [];
      var i = min + 1;
      return Array(max - min).fill(undefined).map(function () {
        return i++;
      });
    }
  }, {
    key: "areaLabel",
    get: function get() {
      if (!this.ariaLabelFormat) return '';
      return this.ariaLabelFormat.replace('{0}', "".concat(this.internalValue)).replace('{1}', "".concat(this.max));
    }
  }]);

  return RatingBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Number,
  default: 16
}), __metadata("design:type", Number)], RatingBase.prototype, "size", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], RatingBase.prototype, "min", void 0);

__decorate([Prop({
  type: Number,
  default: 10
}), __metadata("design:type", Number)], RatingBase.prototype, "max", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], RatingBase.prototype, "rating", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], RatingBase.prototype, "ariaLabelFormat", void 0);

__decorate([Prop({
  type: String,
  default: 'FavoriteStarFill'
}), __metadata("design:type", String)], RatingBase.prototype, "iconName", void 0);

__decorate([Prop({
  type: String,
  default: 'FavoriteStar'
}), __metadata("design:type", String)], RatingBase.prototype, "unselectedIconName", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], RatingBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], RatingBase.prototype, "readonly", void 0);

__decorate([Watch('rating'), __metadata("design:type", Function), __metadata("design:paramtypes", [Number]), __metadata("design:returntype", void 0)], RatingBase.prototype, "onPropValueChanged", null);

__decorate([Watch('internalValue'), __metadata("design:type", Function), __metadata("design:paramtypes", [String]), __metadata("design:returntype", void 0)], RatingBase.prototype, "onValueChanged", null);

RatingBase = __decorate([Component({
  components: {
    Icon: Icon$2,
    IconButton: IconButton
  },
  inheritAttrs: false
})], RatingBase);

var GlobalClassNames$u = {
  root: 'ms-RatingStar-root',
  rootIsSmall: 'ms-RatingStar-root--small',
  rootIsLarge: 'ms-RatingStar-root--large',
  ratingStar: 'ms-RatingStar-container',
  ratingStarBack: 'ms-RatingStar-back',
  ratingStarFront: 'ms-RatingStar-front',
  ratingButton: 'ms-Rating-button',
  ratingStarIsSmall: 'ms-Rating--small',
  ratingStartIsLarge: 'ms-Rating--large',
  labelText: 'ms-Rating-labelText',
  ratingFocusZone: 'ms-Rating-focuszone'
};

function _getColorWithHighContrast(color, highContrastColor) {
  return {
    color: color,
    selectors: _defineProperty({}, HighContrastSelector, {
      color: highContrastColor
    })
  };
}

function getStyles$L(props) {
  var disabled = props.disabled,
      readOnly = props.readOnly,
      theme = props.theme;
  var semanticColors = theme.semanticColors,
      palette = theme.palette;
  var classNames = getGlobalClassNames(GlobalClassNames$u, theme);
  var ratingSmallIconSize = 16;
  var ratingLargeIconSize = 20;
  var ratingVerticalPadding = 8;
  var ratingHorizontalPadding = 2;
  var ratingStarUncheckedColor = palette.neutralSecondary;
  var ratingStarUncheckedHoverColor = palette.themePrimary;
  var ratingStarUncheckedHoverSelectedColor = palette.themeDark;
  var ratingStarCheckedColor = palette.neutralPrimary;
  var ratingStarDisabledColor = semanticColors.disabledBodySubtext;
  return {
    root: [classNames.root, theme.fonts.medium, !disabled && !readOnly && {
      selectors: {
        // This is part 1 of highlighting all stars up to the one the user is hovering over
        '&:hover': {
          selectors: {
            '.ms-RatingStar-back': _getColorWithHighContrast(ratingStarCheckedColor, 'Highlight')
          }
        }
      }
    }],
    rootIsSmall: [classNames.rootIsSmall, {
      height: ratingSmallIconSize + ratingVerticalPadding * 2 + 'px'
    }],
    rootIsLarge: [classNames.rootIsLarge, {
      height: ratingLargeIconSize + ratingVerticalPadding * 2 + 'px'
    }],
    ratingStar: [classNames.ratingStar, {
      display: 'inline-block',
      position: 'relative',
      height: 'inherit'
    }],
    ratingStarBack: [classNames.ratingStarBack, {
      // TODO: Use a proper semantic color for this
      color: ratingStarUncheckedColor,
      width: '100%'
    }, disabled && _getColorWithHighContrast(ratingStarDisabledColor, 'GrayText')],
    ratingStarFront: [classNames.ratingStarFront, {
      position: 'absolute',
      height: '100 %',
      left: '0',
      top: '0',
      textAlign: 'center',
      verticalAlign: 'middle',
      overflow: 'hidden'
    }, _getColorWithHighContrast(ratingStarCheckedColor, 'Highlight')],
    ratingButton: [getFocusStyle(theme), classNames.ratingButton, {
      fontSize: "var(--size)",
      lineHeight: "var(--size)",
      height: "var(--size)",
      backgroundColor: 'transparent',
      padding: "".concat(ratingVerticalPadding, "px ").concat(ratingHorizontalPadding, "px"),
      boxSizing: 'content-box',
      margin: '0px',
      border: 'none',
      cursor: 'pointer',
      selectors: {
        '&:disabled': {
          cursor: 'default'
        },
        '&[disabled]': {
          cursor: 'default'
        }
      }
    }, !disabled && !readOnly && {
      selectors: {
        // This is part 2 of highlighting all stars up to the one the user is hovering over
        '&:hover ~ .ms-Rating-button': {
          selectors: {
            '.ms-RatingStar-back': _getColorWithHighContrast(ratingStarUncheckedColor, 'WindowText'),
            '.ms-RatingStar-front': _getColorWithHighContrast(ratingStarUncheckedColor, 'WindowText')
          }
        },
        '&:hover': {
          selectors: {
            '.ms-RatingStar-back': {
              color: ratingStarUncheckedHoverColor
            },
            '.ms-RatingStar-front': {
              color: ratingStarUncheckedHoverSelectedColor
            }
          }
        }
      }
    }, disabled && {
      cursor: 'default'
    }],
    ratingStarIsSmall: [classNames.ratingStarIsSmall, {
      fontSize: ratingSmallIconSize + 'px',
      lineHeight: ratingSmallIconSize + 'px',
      height: ratingSmallIconSize + 'px'
    }],
    ratingStarIsLarge: [classNames.ratingStartIsLarge, {
      fontSize: ratingLargeIconSize + 'px',
      lineHeight: ratingLargeIconSize + 'px',
      height: ratingLargeIconSize + 'px'
    }],
    labelText: [classNames.labelText, hiddenContentStyle],
    ratingFocusZone: [getFocusStyle(theme), classNames.ratingFocusZone, {
      display: 'inline-block'
    }]
  };
}

/**
 * {@docCategory Rating}
 */
var RatingSize;

(function (RatingSize) {
  RatingSize[RatingSize["Small"] = 0] = "Small";
  RatingSize[RatingSize["Large"] = 1] = "Large";
})(RatingSize || (RatingSize = {}));

var Rating = styled(RatingBase, getStyles$L, undefined, {
  scope: 'Rating'
});

var getClassNames$F = classNamesFunction();

var SearchBoxBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(SearchBoxBase, _BaseComponent);

  var _super = _createSuper(SearchBoxBase);

  function SearchBoxBase() {
    var _this;

    _classCallCheck(this, SearchBoxBase);

    _this = _super.apply(this, arguments);
    _this.isActive = false;
    _this.internalValue = _this.value;
    return _this;
  }

  _createClass(SearchBoxBase, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var classNames = this.classNames,
          disabled = this.disabled,
          internalValue = this.internalValue,
          placeholder = this.placeholder,
          iconName = this.iconName;
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.iconContainer,
        "attrs": {
          "role": "search"
        }
      }, [h(Icon$2, {
        "class": classNames.icon,
        "attrs": {
          "icon-name": iconName
        }
      })]), h("input", _mergeJSXProps([{
        "ref": "input"
      }, this.$attrs, {
        "class": classNames.field,
        "attrs": {
          "disabled": disabled,
          "area-label": placeholder,
          "placeholder": placeholder
        },
        "domProps": {
          "value": internalValue
        },
        "on": {
          "input": function input(ev) {
            return _this2.internalValue = ev.target.value;
          },
          "focus": this.onFocus,
          "blur": this.onBlur,
          "keydown": this.onKeyDown
        }
      }])), internalValue && h("div", {
        "class": classNames.clearButton
      }, [h(IconButton, {
        "attrs": {
          "styles": {
            root: {
              height: 'auto'
            },
            icon: {
              fontSize: '12px'
            }
          },
          "icon-props": {
            iconName: 'Clear'
          }
        },
        "on": {
          "click": this.clearInput
        }
      })])]);
    }
  }, {
    key: "onPropValueChanged",
    value: function onPropValueChanged(newValue) {
      this.internalValue = newValue;
    }
  }, {
    key: "onValueChanged",
    value: function onValueChanged(value) {
      this.$emit('input', value);
      this.$emit('change', value);
    }
  }, {
    key: "onKeyDown",
    value: function onKeyDown(ev) {
      switch (ev.which) {
        case KeyCodes.escape:
          this.$emit('escape', ev);
          if (ev.defaultPrevented) return;else this.clearInput();
          break;

        case KeyCodes.enter:
          this.$emit('search', this.internalValue);
          return;

        default:
          if (!ev.defaultPrevented) {
            return;
          }

      } // We only get here if the keypress has been handled,
      // or preventDefault was called in case of default keyDown handler


      ev.preventDefault();
      ev.stopPropagation();
    }
  }, {
    key: "submit",
    value: function submit() {
      this.$emit('search', this.internalValue);
    }
  }, {
    key: "onEscape",
    value: function onEscape(e) {
      this.$emit('escape', e);
      if (e.defaultPrevented) return;
      this.clearInput();
    }
  }, {
    key: "clearInput",
    value: function clearInput(e) {
      this.$emit('clear', e);
      if (e && e.defaultPrevented) return;
      this.internalValue = '';
      this.$refs.input.focus();
    }
  }, {
    key: "onFocus",
    value: function onFocus(e) {
      this.$emit('focus', e);
      if (e.defaultPrevented) return;
      this.isActive = true;
    }
  }, {
    key: "onBlur",
    value: function onBlur(e) {
      this.$emit('blur', e);
      if (e.defaultPrevented) return;
      this.isActive = false;
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          underlined = this.underlined,
          disabled = this.disabled,
          isActive = this.isActive,
          className = this.className,
          disableAnimation = this.disableAnimation,
          internalValue = this.internalValue;
      return getClassNames$F(this.styles, {
        theme: theme,
        className: className,
        underlined: underlined,
        hasFocus: isActive,
        disabled: disabled,
        hasInput: internalValue == null ? false : internalValue.length > 0,
        disableAnimation: disableAnimation
      });
    }
  }]);

  return SearchBoxBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SearchBoxBase.prototype, "underlined", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], SearchBoxBase.prototype, "defaultValue", void 0);

__decorate([Prop({
  type: String,
  default: 'Search'
}), __metadata("design:type", String)], SearchBoxBase.prototype, "placeholder", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], SearchBoxBase.prototype, "value", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SearchBoxBase.prototype, "disableAnimation", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SearchBoxBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: String,
  default: 'Search'
}), __metadata("design:type", String)], SearchBoxBase.prototype, "iconName", void 0);

__decorate([Watch('value'), __metadata("design:type", Function), __metadata("design:paramtypes", [String]), __metadata("design:returntype", void 0)], SearchBoxBase.prototype, "onPropValueChanged", null);

__decorate([Watch('internalValue'), __metadata("design:type", Function), __metadata("design:paramtypes", [String]), __metadata("design:returntype", void 0)], SearchBoxBase.prototype, "onValueChanged", null);

SearchBoxBase = __decorate([Component({
  components: {
    Icon: Icon$2,
    IconButton: IconButton
  },
  inheritAttrs: false
})], SearchBoxBase);

var GlobalClassNames$v = {
  root: 'ms-SearchBox',
  iconContainer: 'ms-SearchBox-iconContainer',
  icon: 'ms-SearchBox-icon',
  clearButton: 'ms-SearchBox-clearButton',
  field: 'ms-SearchBox-field'
};
function getStyles$M(props) {
  var _selectors2, _selectors3;

  var theme = props.theme,
      underlined = props.underlined,
      disabled = props.disabled,
      hasFocus = props.hasFocus,
      className = props.className,
      hasInput = props.hasInput,
      disableAnimation = props.disableAnimation;
  var palette = theme.palette,
      fonts = theme.fonts,
      semanticColors = theme.semanticColors,
      effects = theme.effects;
  var classNames = getGlobalClassNames(GlobalClassNames$v, theme); // placeholder style constants

  var placeholderStyles = {
    color: semanticColors.inputPlaceholderText,
    opacity: 1
  };
  var inputIconAlt = palette.neutralSecondary;
  var inputIconAltHovered = palette.neutralPrimary;
  var inputBorderDisabled = palette.neutralLighter;
  var inputBackgroundHovered = palette.neutralLighter;
  var inputBackgroundDisabled = palette.neutralLighter;
  return {
    root: [classNames.root, fonts.medium, normalize, {
      color: semanticColors.inputText,
      backgroundColor: semanticColors.inputBackground,
      display: 'flex',
      flexDirection: 'row',
      flexWrap: 'nowrap',
      alignItems: 'stretch',
      // The 1px top and bottom padding ensure the input field does not overlap the border
      padding: '1px 0 1px 4px',
      borderRadius: effects.roundedCorner2,
      border: "1px solid ".concat(semanticColors.inputBorder),
      height: 32,
      selectors: (_selectors2 = {}, _defineProperty(_selectors2, HighContrastSelector, {
        borderColor: 'WindowText'
      }), _defineProperty(_selectors2, ':hover', {
        borderColor: semanticColors.inputBorderHovered,
        selectors: _defineProperty({}, HighContrastSelector, {
          borderColor: 'Highlight'
        })
      }), _defineProperty(_selectors2, ":hover .".concat(classNames.iconContainer), {
        color: semanticColors.inputIconHovered
      }), _selectors2)
    }, !hasFocus && hasInput && {
      selectors: (_selectors3 = {}, _defineProperty(_selectors3, ":hover .".concat(classNames.iconContainer), {
        width: 4
      }), _defineProperty(_selectors3, ":hover .".concat(classNames.icon), {
        opacity: 0
      }), _selectors3)
    }, hasFocus && ['is-active', {
      position: 'relative'
    }, getInputFocusStyle(semanticColors.inputFocusBorderAlt, underlined ? 0 : effects.roundedCorner2, underlined ? 'borderBottom' : 'border')], disabled && ['is-disabled', {
      borderColor: inputBorderDisabled,
      backgroundColor: inputBackgroundDisabled,
      pointerEvents: 'none',
      cursor: 'default',
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'GrayText'
      })
    }], underlined && ['is-underlined', {
      borderWidth: '0 0 1px 0',
      borderRadius: 0,
      // Underlined SearchBox has a larger padding left to vertically align with the waffle in product
      padding: '1px 0 1px 8px'
    }], underlined && disabled && {
      backgroundColor: 'transparent'
    }, hasInput && 'can-clear', className],
    iconContainer: [classNames.iconContainer, {
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'center',
      flexShrink: 0,
      fontSize: 16,
      width: 32,
      textAlign: 'center',
      color: semanticColors.inputIcon,
      cursor: 'text'
    }, hasFocus && {
      width: 4
    }, disabled && {
      color: semanticColors.inputIconDisabled
    }, !disableAnimation && {
      transition: "width ".concat(AnimationVariables.durationValue1)
    }],
    icon: [classNames.icon, {
      opacity: 1
    }, hasFocus && {
      opacity: 0
    }, !disableAnimation && {
      transition: "opacity ".concat(AnimationVariables.durationValue1, " 0s")
    }],
    clearButton: [classNames.clearButton, {
      display: 'flex',
      flexDirection: 'row',
      alignItems: 'stretch',
      cursor: 'pointer',
      flexBasis: '32px',
      flexShrink: 0,
      padding: 0,
      margin: '-1px 0px',
      selectors: {
        '&:hover .ms-Button': {
          backgroundColor: inputBackgroundHovered
        },
        '&:hover .ms-Button-icon': {
          color: inputIconAltHovered
        },
        '.ms-Button': {
          borderRadius: getRTL(theme) ? '1px 0 0 1px' : '0 1px 1px 0'
        },
        '.ms-Button-icon': {
          color: inputIconAlt
        }
      }
    }],
    field: [classNames.field, normalize, getPlaceholderStyles(placeholderStyles), {
      backgroundColor: 'transparent',
      border: 'none',
      outline: 'none',
      fontWeight: 'inherit',
      fontFamily: 'inherit',
      fontSize: 'inherit',
      color: semanticColors.inputText,
      flex: '1 1 0px',
      // The default implicit value of 'auto' prevents the input from shrinking. Setting min-width to
      // 0px allows the input element to shrink to fit the container.
      minWidth: '0px',
      overflow: 'hidden',
      textOverflow: 'ellipsis',
      // This padding forces the text placement to round up.
      paddingBottom: 0.5,
      // This removes the IE specific clear button in the input since we implimented our own
      selectors: {
        '::-ms-clear': {
          display: 'none'
        }
      }
    }, disabled && {
      color: semanticColors.disabledText
    }]
  };
}

var SearchBox = styled(SearchBoxBase, getStyles$M, undefined, {
  scope: 'SearchBox'
});

var getClassNames$G = classNamesFunction();

var SeparatorBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(SeparatorBase, _StatelessComponent);

  var _super = _createSuper(SeparatorBase);

  function SeparatorBase() {
    _classCallCheck(this, SeparatorBase);

    return _super.apply(this, arguments);
  }

  _createClass(SeparatorBase, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          styles = _context$props.styles,
          theme = _context$props.theme,
          className = _context$props.className,
          vertical = _context$props.vertical,
          alignContent = _context$props.alignContent;
      var classNames = getClassNames$G(styles, {
        theme: theme,
        className: className,
        alignContent: alignContent,
        vertical: vertical
      });
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.content,
        "attrs": {
          "role": "separator",
          "aria-orientation": vertical ? 'vertical' : 'horizontal'
        }
      }, [context.children])]);
    }
  }]);

  return SeparatorBase;
}(StatelessComponent$1);

__decorate([Prop({
  type: String,
  default: 'center'
}), __metadata("design:type", String)], SeparatorBase.prototype, "alignContent", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SeparatorBase.prototype, "vertical", void 0);

SeparatorBase = __decorate([Component], SeparatorBase);

var getStyles$N = function getStyles(props) {
  var theme = props.theme,
      alignContent = props.alignContent,
      vertical = props.vertical,
      className = props.className;
  var alignStart = alignContent === 'start';
  var alignCenter = alignContent === 'center';
  var alignEnd = alignContent === 'end';
  return {
    root: [theme.fonts.medium, {
      position: 'relative'
    }, alignContent && {
      textAlign: alignContent
    }, !alignContent && {
      textAlign: 'center'
    }, vertical && (alignCenter || !alignContent) && {
      verticalAlign: 'middle'
    }, vertical && alignStart && {
      verticalAlign: 'top'
    }, vertical && alignEnd && {
      verticalAlign: 'bottom'
    }, vertical && {
      padding: '0 4px',
      height: 'inherit',
      display: 'table-cell',
      zIndex: 1,
      selectors: {
        ':after': {
          backgroundColor: theme.palette.neutralLighter,
          width: '1px',
          content: '""',
          position: 'absolute',
          top: '0',
          bottom: '0',
          left: '50%',
          right: '0',
          zIndex: -1
        }
      }
    }, !vertical && {
      padding: '4px 0',
      selectors: {
        ':before': {
          backgroundColor: theme.palette.neutralLighter,
          height: '1px',
          content: '""',
          display: 'block',
          position: 'absolute',
          top: '50%',
          bottom: '0',
          left: '0',
          right: '0'
        }
      }
    }, className],
    content: [{
      position: 'relative',
      display: 'inline-block',
      padding: '0 12px',
      color: theme.semanticColors.bodyText,
      background: theme.semanticColors.bodyBackground
    }, vertical && {
      padding: '12px 0'
    }]
  };
};

var Separator = styled(SeparatorBase, getStyles$N, undefined, {
  scope: 'Separator'
});

var getClassNames$H = classNamesFunction();
var ONKEYDOWN_TIMEOUT_DURATION = 1000;

var SliderBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(SliderBase, _BaseComponent);

  var _super = _createSuper(SliderBase);

  function SliderBase() {
    var _this;

    _classCallCheck(this, SliderBase);

    _this = _super.apply(this, arguments);
    _this.internalValue = _this.value || _this.defaultValue || _this.min;
    _this.renderedValue = _this.value || _this.defaultValue || _this.min;
    _this.onKeyDownTimer = -1;
    return _this;
  }

  _createClass(SliderBase, [{
    key: "onMouseDown",
    value: function onMouseDown(event) {
      if (this.disabled) return;

      if (event.type === 'mousedown') {
        window.addEventListener('mousemove', this.onMove, true);
        window.addEventListener('mouseup', this.onMouseUp, true);
      } else if (event.type === 'touchstart') {
        window.addEventListener('touchmove', this.onMove, true);
        window.addEventListener('touchend', this.onMouseUp, true);
      }

      this.onMove(event);
    }
  }, {
    key: "onMouseUp",
    value: function onMouseUp(event) {
      if (this.disabled) return;
      this.renderedValue = this.internalValue;
      window.removeEventListener('mousemove', this.onMove, true);
      window.removeEventListener('mouseup', this.onMouseUp, true);
      window.removeEventListener('touchmove', this.onMove, true);
      window.removeEventListener('touchend', this.onMouseUp, true);
    }
  }, {
    key: "onMove",
    value: function onMove(event) {
      var _this2 = this;

      window.requestAnimationFrame(function () {
        var max = _this2.max,
            min = _this2.min,
            step = _this2.step,
            vertical = _this2.vertical;
        var steps = (max - min) / step;

        var sliderPositionRect = _this2.$refs.sliderLine.getBoundingClientRect();

        var sliderLength = !vertical ? sliderPositionRect.width : sliderPositionRect.height;
        var stepLength = sliderLength / steps;
        var currentSteps;
        var distance;

        if (!vertical) {
          var left = _this2.getPosition(event, vertical);

          distance = left - sliderPositionRect.left;
          currentSteps = distance / stepLength;
        } else {
          var bottom = _this2.getPosition(event, vertical);

          distance = sliderPositionRect.bottom - bottom;
          currentSteps = distance / stepLength;
        }

        var internalValue;
        var renderedValue; // The value shouldn't be bigger than max or be smaller than min.

        if (currentSteps > Math.floor(steps)) {
          renderedValue = internalValue = max;
        } else if (currentSteps < 0) {
          renderedValue = internalValue = min;
        } else {
          renderedValue = min + step * currentSteps;
          internalValue = min + step * Math.round(currentSteps);
        }

        _this2.updateValue(internalValue, renderedValue);
      });
    }
  }, {
    key: "getPosition",
    value: function getPosition(event, vertical) {
      var currentPosition;

      switch (event.type) {
        case 'mousedown':
        case 'mousemove':
          currentPosition = !vertical ? event.clientX : event.clientY;
          break;

        case 'touchstart':
        case 'touchmove':
          currentPosition = !vertical ? event.touches[0].clientX : event.touches[0].clientY;
          break;
      }

      return currentPosition;
    }
  }, {
    key: "updateValue",
    value: function updateValue(value, renderedValue) {
      var step = this.step,
          snapToStep = this.snapToStep;
      var numDec = 0;

      if (isFinite(step)) {
        while (Math.round(step * Math.pow(10, numDec)) / Math.pow(10, numDec) !== step) {
          numDec++;
        }
      } // Make sure value has correct number of decimal places based on number of decimals in step


      var roundedValue = parseFloat(value.toFixed(numDec));
      var valueChanged = roundedValue !== this.internalValue;

      if (snapToStep) {
        renderedValue = roundedValue;
      }

      this.internalValue = roundedValue;
      this.renderedValue = renderedValue;
      this.$emit('input', roundedValue);
    }
  }, {
    key: "onKeyDown",
    value: function onKeyDown(event) {
      var value = this.internalValue;
      var max = this.max,
          min = this.min,
          step = this.step;
      var diff = 0;

      switch (event.which) {
        case KeyCodes.left:
        case KeyCodes.down:
          diff = -step;
          this.clearOnKeyDownTimer();
          this.setOnKeyDownTimer(event);
          break;

        case KeyCodes.right:
        case KeyCodes.up:
          diff = step;
          this.clearOnKeyDownTimer();
          this.setOnKeyDownTimer(event);
          break;

        case KeyCodes.home:
          value = min;
          break;

        case KeyCodes.end:
          value = max;
          break;

        default:
          return;
      }

      var newValue = Math.min(max, Math.max(min, value + diff));
      this.updateValue(newValue, newValue);
      event.preventDefault();
      event.stopPropagation();
    }
  }, {
    key: "clearOnKeyDownTimer",
    value: function clearOnKeyDownTimer() {
      clearTimeout(this.onKeyDownTimer);
    }
  }, {
    key: "setOnKeyDownTimer",
    value: function setOnKeyDownTimer(event) {
      this.onKeyDownTimer = setTimeout(function () {}, ONKEYDOWN_TIMEOUT_DURATION);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          disabled = this.disabled,
          originFromZero = this.originFromZero,
          vertical = this.vertical,
          zeroOffsetPercent = this.zeroOffsetPercent,
          thumbOffsetPercent = this.thumbOffsetPercent,
          lengthString = this.lengthString,
          internalValue = this.internalValue,
          css = this.css,
          label = this.label; // TODO(code) `originFromZero` fragments/spans look ugly; maybe could be improved

      return h("div", {
        "class": classNames.root
      }, [h(Label, {
        "class": classNames.titleLabel
      }, [label]), h("div", {
        "class": classNames.container
      }, [h("div", {
        "class": classNames.slideBox,
        "attrs": {
          "tabindex": disabled ? void 0 : 0
        },
        "on": {
          "mousedown": this.onMouseDown,
          "keydown": this.onKeyDown
        }
      }, [h("div", {
        "ref": "sliderLine",
        "class": classNames.line
      }, [originFromZero && h("span", {
        "class": classNames.zeroTick,
        "style": _defineProperty({}, vertical ? 'bottom' : 'left', "".concat(zeroOffsetPercent, "%"))
      }), h("span", {
        "class": classNames.thumb,
        "style": _defineProperty({}, vertical ? 'bottom' : 'left', "".concat(thumbOffsetPercent, "%"))
      }), originFromZero && h("span", {
        "class": css(classNames.lineContainer, classNames.inactiveSection),
        "style": _defineProperty({}, lengthString, "".concat(Math.min(thumbOffsetPercent, zeroOffsetPercent), "%"))
      }), originFromZero && h("span", {
        "class": css(classNames.lineContainer, classNames.activeSection),
        "style": _defineProperty({}, lengthString, "".concat(Math.abs(zeroOffsetPercent - thumbOffsetPercent), "%"))
      }), originFromZero && h("span", {
        "class": css(classNames.lineContainer, classNames.inactiveSection),
        "style": _defineProperty({}, lengthString, "".concat(Math.min(100 - thumbOffsetPercent, 100 - zeroOffsetPercent), "%"))
      }), !originFromZero && h("span", {
        "class": css(classNames.lineContainer, classNames.activeSection),
        "style": _defineProperty({}, lengthString, "".concat(thumbOffsetPercent, "%"))
      }), !originFromZero && h("span", {
        "class": css(classNames.lineContainer, classNames.inactiveSection),
        "style": _defineProperty({}, lengthString, "".concat(100 - thumbOffsetPercent, "%"))
      })])]), h(Label, {
        "class": classNames.valueLabel
      }, [this.$scopedSlots.value ? this.$scopedSlots.value({
        value: internalValue
      }) : internalValue])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var className = this.className,
          disabled = this.disabled,
          vertical = this.vertical,
          renderedValue = this.renderedValue,
          internalValue = this.internalValue,
          showValue = this.showValue,
          theme = this.theme;
      return getClassNames$H(this.styles, {
        className: className,
        disabled: disabled,
        vertical: vertical,
        showTransitions: renderedValue === internalValue,
        showValue: showValue,
        theme: theme
      });
    }
  }, {
    key: "thumbOffsetPercent",
    get: function get() {
      var min = this.min,
          max = this.max,
          renderedValue = this.renderedValue;
      return min === max ? 0 : (renderedValue - min) / (max - min) * 100;
    }
  }, {
    key: "zeroOffsetPercent",
    get: function get() {
      var min = this.min,
          max = this.max;
      return min >= 0 ? 0 : -min / (max - min) * 100;
    }
  }, {
    key: "lengthString",
    get: function get() {
      return this.vertical ? 'height' : 'width';
    }
  }]);

  return SliderBase;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], SliderBase.prototype, "label", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SliderBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SliderBase.prototype, "vertical", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SliderBase.prototype, "snapToStep", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], SliderBase.prototype, "min", void 0);

__decorate([Prop({
  type: Number,
  default: 10
}), __metadata("design:type", Number)], SliderBase.prototype, "max", void 0);

__decorate([Prop({
  type: Number,
  default: 1
}), __metadata("design:type", Number)], SliderBase.prototype, "step", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], SliderBase.prototype, "value", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], SliderBase.prototype, "defaultValue", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SliderBase.prototype, "showValue", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], SliderBase.prototype, "originFromZero", void 0);

SliderBase = __decorate([Component({
  components: {
    Label: Label
  }
})], SliderBase);

var GlobalClassNames$w = {
  root: 'ms-Slider',
  enabled: 'ms-Slider-enabled',
  disabled: 'ms-Slider-disabled',
  row: 'ms-Slider-row',
  column: 'ms-Slider-column',
  container: 'ms-Slider-container',
  slideBox: 'ms-Slider-slideBox',
  line: 'ms-Slider-line',
  thumb: 'ms-Slider-thumb',
  activeSection: 'ms-Slider-active',
  inactiveSection: 'ms-Slider-inactive',
  valueLabel: 'ms-Slider-value',
  showValue: 'ms-Slider-showValue',
  showTransitions: 'ms-Slider-showTransitions',
  zeroTick: 'ms-Slider-zeroTick'
};
var getStyles$O = function getStyles(props) {
  var _selectors6;

  var className = props.className,
      titleLabelClassName = props.titleLabelClassName,
      theme = props.theme,
      vertical = props.vertical,
      disabled = props.disabled,
      showTransitions = props.showTransitions,
      showValue = props.showValue;
  var semanticColors = theme.semanticColors;
  var classNames = getGlobalClassNames(GlobalClassNames$w, theme);
  /** Tokens:
   *   The word "active" in the token refers to the selected section of the slider
   *   The word "inactive" in the token refers to the unselected section of the slider */

  var pressedActiveSectionColor = semanticColors.inputBackgroundCheckedHovered;
  var hoveredActiveSectionColor = semanticColors.inputBackgroundChecked;
  var hoveredPressedinactiveSectionColor = semanticColors.inputPlaceholderBackgroundChecked;
  var restActiveSectionColor = semanticColors.smallInputBorder;
  var restInactiveSectionColor = semanticColors.disabledBorder;
  var disabledActiveSectionColor = semanticColors.disabledText;
  var disabledInactiveSectionColor = semanticColors.disabledBackground;
  var thumbBackgroundColor = semanticColors.inputBackground;
  var thumbBorderColor = semanticColors.smallInputBorder;
  var thumbDisabledBorderColor = semanticColors.disabledBorder;
  var slideBoxActiveSectionStyles = !disabled && {
    backgroundColor: pressedActiveSectionColor,
    selectors: _defineProperty({}, HighContrastSelector, {
      backgroundColor: 'Highlight'
    })
  };
  var slideBoxInactiveSectionStyles = !disabled && {
    backgroundColor: hoveredPressedinactiveSectionColor,
    selectors: _defineProperty({}, HighContrastSelector, {
      borderColor: 'Highlight'
    })
  };
  var slideHoverSectionStyles = !disabled && {
    backgroundColor: hoveredActiveSectionColor,
    selectors: _defineProperty({}, HighContrastSelector, {
      backgroundColor: 'Highlight'
    })
  };
  var slideBoxActiveThumbStyles = !disabled && {
    border: "2px solid ".concat(pressedActiveSectionColor),
    selectors: _defineProperty({}, HighContrastSelector, {
      borderColor: 'Highlight'
    })
  };
  var slideBoxActiveZeroTickStyles = !props.disabled && {
    backgroundColor: semanticColors.inputPlaceholderBackgroundChecked,
    selectors: _defineProperty({}, HighContrastSelector, {
      backgroundColor: 'Highlight'
    })
  };
  return {
    root: [classNames.root, // theme.fonts.medium,
    {
      userSelect: 'none'
    }, vertical && {
      marginRight: 8
    }].concat([!disabled ? classNames.enabled : undefined], [disabled ? classNames.disabled : undefined], [!vertical ? classNames.row : undefined], [vertical ? classNames.column : undefined], [className]),
    titleLabel: [{
      padding: 0
    }, titleLabelClassName],
    container: [classNames.container, {
      display: 'flex',
      flexWrap: 'nowrap',
      alignItems: 'center'
    }, vertical && {
      flexDirection: 'column',
      height: '100%',
      textAlign: 'center',
      margin: '8px 0'
    }],
    slideBox: [classNames.slideBox, getFocusStyle(theme), {
      background: 'transparent',
      border: 'none',
      flexGrow: 1,
      lineHeight: 28,
      display: 'flex',
      alignItems: 'center',
      selectors: (_selectors6 = {}, _defineProperty(_selectors6, ":active .".concat(classNames.activeSection), slideBoxActiveSectionStyles), _defineProperty(_selectors6, ":hover .".concat(classNames.activeSection), slideHoverSectionStyles), _defineProperty(_selectors6, ":active .".concat(classNames.inactiveSection), slideBoxInactiveSectionStyles), _defineProperty(_selectors6, ":hover .".concat(classNames.inactiveSection), slideBoxInactiveSectionStyles), _defineProperty(_selectors6, ":active .".concat(classNames.thumb), slideBoxActiveThumbStyles), _defineProperty(_selectors6, ":hover .".concat(classNames.thumb), slideBoxActiveThumbStyles), _defineProperty(_selectors6, ":active .".concat(classNames.zeroTick), slideBoxActiveZeroTickStyles), _defineProperty(_selectors6, ":hover .".concat(classNames.zeroTick), slideBoxActiveZeroTickStyles), _selectors6)
    }, vertical ? {
      height: '100%',
      width: 28,
      padding: '8px 0'
    } : {
      height: 28,
      width: 'auto',
      padding: '0 8px'
    }].concat([showValue ? classNames.showValue : undefined], [showTransitions ? classNames.showTransitions : undefined]),
    thumb: [classNames.thumb, {
      borderWidth: 2,
      borderStyle: 'solid',
      borderColor: thumbBorderColor,
      borderRadius: 10,
      boxSizing: 'border-box',
      background: thumbBackgroundColor,
      display: 'block',
      width: 16,
      height: 16,
      position: 'absolute'
    }, vertical ? {
      left: -6,
      margin: '0 auto',
      transform: 'translateY(8px)'
    } : {
      top: -6,
      transform: getRTL() ? 'translateX(50%)' : 'translateX(-50%)'
    }, showTransitions && {
      transition: "left ".concat(AnimationVariables.durationValue3, " ").concat(AnimationVariables.easeFunction1)
    }, disabled && {
      borderColor: thumbDisabledBorderColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'GrayText'
      })
    }],
    line: [classNames.line, {
      display: 'flex',
      position: 'relative'
    }, vertical ? {
      height: '100%',
      width: 4,
      margin: '0 auto',
      flexDirection: 'column-reverse'
    } : {
      width: '100%'
    }],
    lineContainer: [{
      borderRadius: 4,
      boxSizing: 'border-box'
    }, vertical ? {
      width: 4,
      height: '100%'
    } : {
      height: 4,
      width: '100%'
    }],
    activeSection: [classNames.activeSection, {
      background: restActiveSectionColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'WindowText'
      })
    }, showTransitions && {
      transition: "width ".concat(AnimationVariables.durationValue3, " ").concat(AnimationVariables.easeFunction1)
    }, disabled && {
      background: disabledActiveSectionColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'GrayText',
        borderColor: 'GrayText'
      })
    }],
    inactiveSection: [classNames.inactiveSection, {
      background: restInactiveSectionColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        border: '1px solid WindowText'
      })
    }, showTransitions && {
      transition: "width ".concat(AnimationVariables.durationValue3, " ").concat(AnimationVariables.easeFunction1)
    }, disabled && {
      background: disabledInactiveSectionColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'GrayText'
      })
    }],
    zeroTick: [classNames.zeroTick, {
      position: 'absolute',
      background: semanticColors.disabledBorder,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'WindowText'
      })
    }, props.disabled && {
      background: semanticColors.disabledBackground,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'GrayText'
      })
    }, props.vertical ? {
      width: '16px',
      height: '1px',
      transform: getRTL() ? 'translateX(6px)' : 'translateX(-6px)'
    } : {
      width: '1px',
      height: '16px',
      transform: 'translateY(-6px)'
    }],
    valueLabel: [classNames.valueLabel, {
      flexShrink: 1,
      width: 30,
      lineHeight: '1'
    }, vertical ? {
      margin: '0 auto',
      whiteSpace: 'nowrap',
      width: 40
    } : {
      margin: '0 8px',
      whiteSpace: 'nowrap',
      width: 40
    }]
  };
};

var Slider = styled(SliderBase, getStyles$O, undefined, {
  scope: 'Slider'
});

var getClassNames$I = classNamesFunction();

var Spinner = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Spinner, _StatelessComponent);

  var _super = _createSuper(Spinner);

  function Spinner() {
    _classCallCheck(this, Spinner);

    return _super.apply(this, arguments);
  }

  _createClass(Spinner, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          styles = _context$props.styles,
          className = _context$props.className,
          ariaLabel = _context$props.ariaLabel,
          ariaLive = _context$props.ariaLive,
          size = _context$props.size,
          label = _context$props.label,
          labelPosition = _context$props.labelPosition;
      var statusMessage = ariaLabel;
      var classNames = getClassNames$I(styles, {
        theme: theme,
        size: size,
        className: className,
        labelPosition: labelPosition
      });
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.circle
      }), (context.scopedSlots.default || label) && h("div", {
        "class": classNames.label
      }, [context.scopedSlots.default ? context.scopedSlots.default({}) : label]), statusMessage && h("div", {
        "attrs": {
          "role": "status",
          "aria-live": ariaLive
        }
      }, [h(DelayedRender, [h("div", {
        "class": classNames.screenReaderText
      }, [statusMessage])])])]);
    }
  }]);

  return Spinner;
}(StatelessComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], Spinner.prototype, "label", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], Spinner.prototype, "ariaLabel", void 0);

__decorate([Prop({
  type: String,
  default: 'polite',
  validator: function validator(v) {
    return ['assertive', 'polite', 'off'].indexOf(v) > -1;
  }
}), __metadata("design:type", String)], Spinner.prototype, "ariaLive", void 0);

__decorate([Prop({
  type: String,
  default: 'bottom'
}), __metadata("design:type", String)], Spinner.prototype, "labelPosition", void 0);

__decorate([Prop({
  type: Number,
  default: 20
}), __metadata("design:type", Number)], Spinner.prototype, "size", void 0);

Spinner = __decorate([Component], Spinner);
var SpinnerBase = Spinner;

var GlobalClassNames$x = {
  root: 'ms-Spinner',
  circle: 'ms-Spinner-circle',
  label: 'ms-Spinner-label'
};
var spinAnimation = keyframes({
  '0%': {
    transform: 'rotate(0deg)'
  },
  '100%': {
    transform: 'rotate(360deg)'
  }
});
var getStyles$P = function getStyles(props) {
  var theme = props.theme,
      size = props.size,
      className = props.className,
      labelPosition = props.labelPosition;
  var palette = theme.palette;
  var classNames = getGlobalClassNames(GlobalClassNames$x, theme);
  return {
    root: [classNames.root, {
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center'
    }, labelPosition === 'top' && {
      flexDirection: 'column-reverse'
    }, labelPosition === 'right' && {
      flexDirection: 'row'
    }, labelPosition === 'left' && {
      flexDirection: 'row-reverse'
    }, className],
    circle: [classNames.circle, {
      boxSizing: 'border-box',
      borderRadius: '50%',
      border: '1.5px solid ' + palette.themeLight,
      borderTopColor: palette.themePrimary,
      animationName: spinAnimation,
      animationDuration: '1.3s',
      animationIterationCount: 'infinite',
      animationTimingFunction: 'cubic-bezier(.53,.21,.29,.67)',
      selectors: _defineProperty({}, HighContrastSelector, {
        borderTopColor: 'Highlight'
      })
    }, {
      width: size,
      height: size
    }],
    label: [classNames.label, theme.fonts.small, {
      color: palette.themePrimary,
      margin: '8px 0 0',
      textAlign: 'center'
    }, labelPosition === 'top' && {
      margin: '0 0 8px'
    }, labelPosition === 'right' && {
      margin: '0 0 0 8px'
    }, labelPosition === 'left' && {
      margin: '0 8px 0 0'
    }],
    screenReaderText: hiddenContentStyle
  };
};

var Spinner$1 = styled(SpinnerBase, getStyles$P, undefined, {
  scope: 'Spinner'
});

var getClassNames$J = classNamesFunction();

var Text = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Text, _StatelessComponent);

  var _super = _createSuper(Text);

  function Text() {
    _classCallCheck(this, Text);

    return _super.apply(this, arguments);
  }

  _createClass(Text, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          styles = _context$props.styles,
          block = _context$props.block,
          nowrap = _context$props.nowrap,
          variant = _context$props.variant;
      var classNames = getClassNames$J(styles, {
        theme: theme,
        block: block,
        nowrap: nowrap,
        variant: variant
      });
      return h("span", _mergeJSXProps([{}, context.data, {
        "class": classNames.root
      }]), [context.children]);
    }
  }]);

  return Text;
}(StatelessComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Text.prototype, "nowrap", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Text.prototype, "block", void 0);

__decorate([Prop({
  type: String,
  default: 'medium'
}), __metadata("design:type", String)], Text.prototype, "variant", void 0);

Text = __decorate([Component], Text);
var TextView = Text;

var getStyles$Q = function getStyles(props) {
  var theme = props.theme,
      as = props.as,
      className = props.className,
      block = props.block,
      nowrap = props.nowrap,
      variant = props.variant,
      fontSize = props.fontSize;
  var fonts = theme.fonts;
  var variantObject = fonts[variant || 'medium'];
  return {
    root: [theme.fonts.medium, {
      display: block || nowrap ? as === 'td' ? 'table-cell' : 'block' : 'inline',
      fontFamily: variantObject && variantObject.fontFamily || 'inherit',
      fontSize: fontSize || variantObject && variantObject.fontSize || 'inherit',
      fontWeight: variantObject && variantObject.fontWeight || 'inherit',
      color: variantObject && variantObject.color || 'inherit',
      mozOsxFontSmoothing: variantObject && variantObject.MozOsxFontSmoothing,
      webkitFontSmoothing: variantObject && variantObject.WebkitFontSmoothing
    }, nowrap && {
      whiteSpace: 'nowrap',
      overflow: 'hidden',
      textOverflow: 'ellipsis'
    }, className]
  };
};

var Text$1 = styled(TextView, getStyles$Q, undefined, {
  scope: 'Text'
});

var runtime_1 = createCommonjsModule(function (module) {
/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var runtime = (function (exports) {

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined$1; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  exports.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  IteratorPrototype[iteratorSymbol] = function () {
    return this;
  };

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
  GeneratorFunctionPrototype.constructor = GeneratorFunction;
  GeneratorFunctionPrototype[toStringTagSymbol] =
    GeneratorFunction.displayName = "GeneratorFunction";

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      prototype[method] = function(arg) {
        return this._invoke(method, arg);
      };
    });
  }

  exports.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  exports.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      if (!(toStringTagSymbol in genFun)) {
        genFun[toStringTagSymbol] = "GeneratorFunction";
      }
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  exports.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return PromiseImpl.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return PromiseImpl.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration.
          result.value = unwrapped;
          resolve(result);
        }, function(error) {
          // If a rejected Promise was yielded, throw the rejection back
          // into the async generator function so it can be handled there.
          return invoke("throw", error, resolve, reject);
        });
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  AsyncIterator.prototype[asyncIteratorSymbol] = function () {
    return this;
  };
  exports.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  exports.async = function(innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    if (PromiseImpl === void 0) PromiseImpl = Promise;

    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList),
      PromiseImpl
    );

    return exports.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined$1) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        // Note: ["return"] must be used for ES3 parsing compatibility.
        if (delegate.iterator["return"]) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined$1;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined$1;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  Gp[toStringTagSymbol] = "Generator";

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  Gp[iteratorSymbol] = function() {
    return this;
  };

  Gp.toString = function() {
    return "[object Generator]";
  };

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  exports.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined$1;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  exports.values = values;

  function doneResult() {
    return { value: undefined$1, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined$1;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined$1;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined$1;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined$1;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined$1;
      }

      return ContinueSentinel;
    }
  };

  // Regardless of whether this script is executing as a CommonJS module
  // or not, return the runtime object so that we can declare the variable
  // regeneratorRuntime in the outer scope, which allows this module to be
  // injected easily by `bin/regenerator --include-runtime script.js`.
  return exports;

}(
  // If this script is executing as a CommonJS module, use module.exports
  // as the regeneratorRuntime namespace. Otherwise create a new empty
  // object. Either way, the resulting object will be used to initialize
  // the regeneratorRuntime variable at the top of this file.
   module.exports 
));

try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  // This module should not be running in strict mode, so the above
  // assignment should always work unless something is misconfigured. Just
  // in case runtime.js accidentally runs in strict mode, we can escape
  // strict mode using a global Function call. This could conceivably fail
  // if a Content Security Policy forbids using Function, but in that case
  // the proper solution is to fix the accidental strict mode problem. If
  // you've misconfigured your bundler to force strict mode and applied a
  // CSP to forbid Function, and you're not willing to fix either of those
  // problems, please detail your unique predicament in a GitHub issue.
  Function("r", "regeneratorRuntime = r")(runtime);
}
});

var regenerator = runtime_1;

var getClassNames$K = classNamesFunction();

var TextFieldBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(TextFieldBase, _BaseComponent);

  var _super = _createSuper(TextFieldBase);

  function TextFieldBase() {
    var _this;

    _classCallCheck(this, TextFieldBase);

    _this = _super.apply(this, arguments);
    _this.isActive = false;
    _this.internalValue = _this.value;
    return _this;
  }

  _createClass(TextFieldBase, [{
    key: "mounted",
    value: function mounted() {
      this.adjustInputHeight();
    }
  }, {
    key: "updated",
    value: function updated() {
      this.adjustInputHeight();
    }
  }, {
    key: "onPropValueChanged",
    value: function onPropValueChanged(newValue) {
      this.internalValue = newValue;
    }
  }, {
    key: "onMultilineChanged",
    value: function () {
      var _onMultilineChanged = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee(newValue, oldValue) {
        var textElement, start, end;
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                textElement = this.$refs.textElement;
                start = textElement.selectionStart || 0;
                end = textElement.selectionEnd || 0;

                if (!(newValue !== oldValue && this.isActive)) {
                  _context.next = 8;
                  break;
                }

                _context.next = 6;
                return this.$nextTick();

              case 6:
                this.$refs.textElement.focus();
                this.$refs.textElement.setSelectionRange(start, end);

              case 8:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function onMultilineChanged(_x, _x2) {
        return _onMultilineChanged.apply(this, arguments);
      }

      return onMultilineChanged;
    }()
  }, {
    key: "adjustInputHeight",
    value: function adjustInputHeight() {
      if (this.$refs.textElement && this.autoAdjustHeight && this.multiline) {
        var textField = this.$refs.textElement;
        textField.style.height = '';
        textField.style.height = textField.scrollHeight + 'px';
      }
    }
  }, {
    key: "onFocus",
    value: function () {
      var _onFocus = _asyncToGenerator( /*#__PURE__*/regenerator.mark(function _callee2() {
        return regenerator.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                this.isActive = true;
                this.$refs.textElement.setSelectionRange(this.internalValue.length, this.internalValue.length);

              case 2:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function onFocus() {
        return _onFocus.apply(this, arguments);
      }

      return onFocus;
    }()
  }, {
    key: "onInput",
    value: function onInput(ev, value) {
      this.internalValue = value;
      this.$emit('input', value);
      this.$emit('change', ev, value);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var h = arguments[0];
      var classNames = this.classNames,
          required = this.required,
          label = this.label,
          errorMessage = this.errorMessage,
          disabled = this.disabled,
          multiline = this.multiline,
          internalValue = this.internalValue,
          readonly = this.readonly,
          placeholder = this.placeholder,
          resizable = this.resizable;
      var Component = multiline ? 'textarea' : 'input';
      var labelStyles = classNames.subComponentStyles ? classNames.subComponentStyles.label : undefined;
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "class": classNames.wrapper
      }, [label && h(Label, {
        "attrs": {
          "styles": labelStyles,
          "for": "TextField".concat(this.uid),
          "required": required
        }
      }, [label]), h("div", {
        "class": classNames.fieldGroup
      }, [h(Component, {
        "attrs": _objectSpread2(_objectSpread2({
          "id": this.$attrs.id || "TextField".concat(this.uid),
          "value": internalValue
        }, this.$attrs), {}, {
          "disabled": disabled,
          "readonly": readonly,
          "required": required,
          "placeholder": placeholder,
          "rows": +this.$attrs.rows || 1,
          "type": "text",
          "autocomplete": "off"
        }),
        "ref": "textElement",
        "class": classNames.field,
        "style": {
          resize: resizable === false && 'none'
        },
        "on": {
          "focus": this.onFocus,
          "blur": function blur() {
            return _this2.isActive = false;
          },
          "input": function input(ev) {
            return _this2.onInput(ev, ev.target.value);
          }
        }
      }, [internalValue])])]), errorMessage && h("div", {
        "class": classNames.description
      }, [h("div", {
        "attrs": {
          "role": "alert"
        }
      }, [h("p", {
        "class": classNames.errorMessage
      }, [h("span", [errorMessage])])])])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          disabled = this.disabled,
          focused = this.isActive,
          required = this.required,
          multiline = this.multiline,
          label = this.label,
          borderless = this.borderless,
          underlined = this.underlined,
          resizable = this.resizable,
          autoAdjustHeight = this.autoAdjustHeight;
      return getClassNames$K(this.styles, {
        theme: theme,
        className: className,
        disabled: disabled,
        focused: focused,
        required: required,
        multiline: multiline,
        hasLabel: !!label,
        borderless: borderless,
        underlined: underlined,
        hasIcon: false,
        resizable: resizable !== false,
        hasErrorMessage: !!this.errorMessage,
        inputClassName: '',
        autoAdjustHeight: autoAdjustHeight
      });
    }
  }]);

  return TextFieldBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "multiline", void 0);

__decorate([Prop({
  type: Boolean,
  default: null
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "resizable", void 0);

__decorate([Prop({
  type: Boolean,
  default: null
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "autoAdjustHeight", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "borderless", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "underlined", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "readonly", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], TextFieldBase.prototype, "required", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], TextFieldBase.prototype, "label", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], TextFieldBase.prototype, "value", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], TextFieldBase.prototype, "errorMessage", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], TextFieldBase.prototype, "placeholder", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], TextFieldBase.prototype, "description", void 0);

__decorate([Watch('value'), __metadata("design:type", Function), __metadata("design:paramtypes", [String]), __metadata("design:returntype", void 0)], TextFieldBase.prototype, "onPropValueChanged", null);

__decorate([Watch('multiline'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", Promise)], TextFieldBase.prototype, "onMultilineChanged", null);

TextFieldBase = __decorate([Component({
  components: {
    Label: Label
  },
  inheritAttrs: false
})], TextFieldBase);

var globalClassNames$1 = {
  root: 'ms-TextField',
  description: 'ms-TextField-description',
  errorMessage: 'ms-TextField-errorMessage',
  field: 'ms-TextField-field',
  fieldGroup: 'ms-TextField-fieldGroup',
  prefix: 'ms-TextField-prefix',
  suffix: 'ms-TextField-suffix',
  wrapper: 'ms-TextField-wrapper',
  multiline: 'ms-TextField--multiline',
  borderless: 'ms-TextField--borderless',
  underlined: 'ms-TextField--underlined',
  unresizable: 'ms-TextField--unresizable',
  required: 'is-required',
  disabled: 'is-disabled',
  active: 'is-active'
};

function getLabelStyles(props) {
  var underlined = props.underlined,
      disabled = props.disabled,
      focused = props.focused,
      theme = props.theme;
  var palette = theme.palette,
      fonts = theme.fonts;
  return function () {
    return {
      root: [underlined && disabled && {
        color: palette.neutralTertiary
      }, underlined && {
        fontSize: fonts.medium.fontSize,
        marginRight: 8,
        paddingLeft: 12,
        paddingRight: 0,
        lineHeight: '22px',
        height: 32
      }, underlined && focused && {
        selectors: _defineProperty({}, HighContrastSelector, {
          height: 31
        })
      }]
    };
  };
}

function getStyles$R(props) {
  var theme = props.theme,
      className = props.className,
      disabled = props.disabled,
      focused = props.focused,
      required = props.required,
      multiline = props.multiline,
      hasLabel = props.hasLabel,
      borderless = props.borderless,
      underlined = props.underlined,
      hasIcon = props.hasIcon,
      resizable = props.resizable,
      hasErrorMessage = props.hasErrorMessage,
      inputClassName = props.inputClassName,
      autoAdjustHeight = props.autoAdjustHeight;
  var semanticColors = theme.semanticColors,
      effects = theme.effects,
      fonts = theme.fonts;
  var classNames = getGlobalClassNames(globalClassNames$1, theme);
  var fieldPrefixSuffix = {
    background: semanticColors.disabledBackground,
    color: !disabled ? semanticColors.inputPlaceholderText : semanticColors.disabledText,
    display: 'flex',
    alignItems: 'center',
    padding: '0 10px',
    lineHeight: 1,
    whiteSpace: 'nowrap',
    flexShrink: 0
  }; // placeholder style constants

  var placeholderStyles = [fonts.medium, {
    color: semanticColors.inputPlaceholderText,
    opacity: 1
  }];
  var disabledPlaceholderStyles = {
    color: semanticColors.disabledText
  };

  var getFocusBorder = function getFocusBorder(color) {
    var _after;

    var borderType = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'border';
    return {
      borderColor: color,
      selectors: {
        ':after': (_after = {
          pointerEvents: 'none',
          content: "''",
          position: 'absolute',
          left: -1,
          top: -1,
          bottom: -1,
          right: -1
        }, _defineProperty(_after, borderType, '2px solid ' + color), _defineProperty(_after, "borderRadius", effects.roundedCorner2), _defineProperty(_after, "width", borderType === 'borderBottom' ? '100%' : undefined), _defineProperty(_after, "selectors", _defineProperty({}, HighContrastSelector, _defineProperty({}, borderType === 'border' ? 'borderColor' : 'borderBottomColor', 'Highlight'))), _after)
      }
    };
  };

  return {
    root: [classNames.root, fonts.medium, required && classNames.required, disabled && classNames.disabled, focused && classNames.active, multiline && classNames.multiline, borderless && classNames.borderless, underlined && classNames.underlined, normalize, {
      position: 'relative'
    }, className],
    wrapper: [classNames.wrapper, underlined && [{
      display: 'flex',
      borderBottom: "1px solid ".concat(!hasErrorMessage ? semanticColors.inputBorder : semanticColors.errorText),
      width: '100%'
    }, disabled && {
      borderBottomColor: semanticColors.disabledBackground,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'GrayText'
      })
    }, !disabled && {
      selectors: {
        ':hover': {
          borderBottomColor: !hasErrorMessage ? semanticColors.inputBorderHovered : semanticColors.errorText,
          selectors: _defineProperty({}, HighContrastSelector, {
            borderBottomColor: 'Highlight'
          })
        }
      }
    }, focused && getFocusBorder(!hasErrorMessage ? semanticColors.inputFocusBorderAlt : semanticColors.errorText, 'borderBottom')]],
    fieldGroup: [classNames.fieldGroup, normalize, {
      border: "1px solid ".concat(semanticColors.inputBorder),
      borderRadius: effects.roundedCorner2,
      background: semanticColors.inputBackground,
      cursor: 'text',
      height: 32,
      display: 'flex',
      flexDirection: 'row',
      alignItems: 'stretch',
      position: 'relative'
    }, multiline && {
      minHeight: '60px',
      height: 'auto',
      display: 'flex'
    }, !focused && !disabled && {
      selectors: {
        ':hover': {
          borderColor: semanticColors.inputBorderHovered,
          selectors: _defineProperty({}, HighContrastSelector, {
            borderColor: 'Highlight'
          })
        }
      }
    }, focused && !underlined && getFocusBorder(!hasErrorMessage ? semanticColors.inputFocusBorderAlt : semanticColors.errorText), disabled && {
      borderColor: semanticColors.disabledBackground,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'GrayText'
      }),
      cursor: 'default'
    }, borderless && {
      border: 'none'
    }, borderless && focused && {
      border: 'none',
      selectors: {
        ':after': {
          border: 'none'
        }
      }
    }, underlined && {
      flex: '1 1 0px',
      border: 'none',
      textAlign: 'left'
    }, underlined && disabled && {
      backgroundColor: 'transparent'
    }, hasErrorMessage && !underlined && {
      borderColor: semanticColors.errorText,
      selectors: {
        '&:hover': {
          borderColor: semanticColors.errorText
        }
      }
    }, !hasLabel && required && {
      selectors: _defineProperty({
        ':before': {
          content: "'*'",
          color: semanticColors.errorText,
          position: 'absolute',
          top: -5,
          right: -10
        }
      }, HighContrastSelector, {
        selectors: {
          ':before': {
            right: -14
          }
        }
      })
    }],
    field: [fonts.medium, classNames.field, normalize, {
      borderRadius: 0,
      border: 'none',
      background: 'none',
      backgroundColor: 'transparent',
      color: semanticColors.inputText,
      padding: '0 8px',
      width: '100%',
      minWidth: 0,
      textOverflow: 'ellipsis',
      outline: 0,
      selectors: {
        '&:active, &:focus, &:hover': {
          outline: 0
        },
        '::-ms-clear': {
          display: 'none'
        }
      }
    }, getPlaceholderStyles(placeholderStyles), multiline && !resizable && [classNames.unresizable, {
      resize: 'none'
    }], multiline && {
      minHeight: 'inherit',
      lineHeight: 17,
      flexGrow: 1,
      paddingTop: 6,
      paddingBottom: 6,
      overflow: 'auto',
      width: '100%'
    }, multiline && autoAdjustHeight && {
      overflow: 'hidden'
    }, hasIcon && {
      paddingRight: 24
    }, multiline && hasIcon && {
      paddingRight: 40
    }, disabled && [{
      backgroundColor: semanticColors.disabledBackground,
      color: semanticColors.disabledText,
      borderColor: semanticColors.disabledBackground
    }, getPlaceholderStyles(disabledPlaceholderStyles)], underlined && {
      textAlign: 'left'
    }, focused && !borderless && {
      selectors: _defineProperty({}, HighContrastSelector, {
        paddingLeft: 11,
        paddingRight: 11
      })
    }, focused && multiline && !borderless && {
      selectors: _defineProperty({}, HighContrastSelector, {
        paddingTop: 4
      })
    }, inputClassName],
    icon: [multiline && {
      paddingRight: 24,
      alignItems: 'flex-end'
    }, {
      pointerEvents: 'none',
      position: 'absolute',
      bottom: 6,
      right: 8,
      top: 'auto',
      fontSize: IconFontSizes.medium,
      lineHeight: 18
    }, disabled && {
      color: semanticColors.disabledText
    }],
    description: [classNames.description, {
      color: semanticColors.bodySubtext,
      fontSize: fonts.xSmall.fontSize
    }],
    errorMessage: [classNames.errorMessage, AnimationClassNames.slideDownIn20, fonts.small, {
      color: semanticColors.errorText,
      margin: 0,
      paddingTop: 5,
      display: 'flex',
      alignItems: 'center'
    }],
    prefix: [classNames.prefix, fieldPrefixSuffix],
    suffix: [classNames.suffix, fieldPrefixSuffix],
    // @ts-ignore
    subComponentStyles: {
      label: getLabelStyles(props)
    }
  };
}

var TextField = styled(TextFieldBase, getStyles$R, undefined, {
  scope: 'TextField'
});

var getClassNames$L = classNamesFunction();

var ToggleBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ToggleBase, _BaseComponent);

  var _super = _createSuper(ToggleBase);

  function ToggleBase() {
    var _this;

    _classCallCheck(this, ToggleBase);

    _this = _super.apply(this, arguments);
    _this.internalChecked = _this.defaultChecked || _this.checked;
    return _this;
  }

  _createClass(ToggleBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          internalChecked = this.internalChecked,
          disabled = this.disabled,
          label = this.label,
          onText = this.onText,
          offText = this.offText;
      return h("div", {
        "class": classNames.root
      }, [this.$scopedSlots.label ? this.$scopedSlots.label({
        checked: internalChecked,
        disabled: disabled,
        label: label
      }) : h(Label, {
        "class": classNames.label,
        "attrs": {
          "for": "Toggle".concat(this.uid)
        }
      }, [label]), h("div", {
        "class": classNames.container
      }, [h("button", {
        "attrs": {
          "id": "Toggle".concat(this.uid)
        },
        "ref": "toggleButton",
        "class": classNames.pill,
        "on": {
          "click": this.onClick
        }
      }, [h("div", {
        "class": classNames.thumb
      })]), (internalChecked && onText || !internalChecked && offText) && h(Label, {
        "class": classNames.text,
        "attrs": {
          "for": "Toggle".concat(this.uid)
        }
      }, [internalChecked ? onText : offText])])]);
    }
  }, {
    key: "focus",
    value: function focus() {
      this.$refs.toggleButton.focus();
    }
  }, {
    key: "onCheckedChanged",
    value: function onCheckedChanged(checked, prevVal) {
      this.$emit('input', checked);
    }
  }, {
    key: "onClick",
    value: function onClick() {
      if (this.disabled) return;
      this.internalChecked = !this.internalChecked;
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          disabled = this.disabled,
          internalChecked = this.internalChecked,
          inlineLabel = this.inlineLabel,
          onText = this.onText,
          offText = this.offText;
      return getClassNames$L(this.styles, {
        theme: theme,
        className: className,
        disabled: disabled,
        checked: internalChecked,
        inlineLabel: inlineLabel,
        onOffMissing: !onText && !offText
      });
    }
  }]);

  return ToggleBase;
}(BaseComponent$1);

__decorate([Model('input', {
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ToggleBase.prototype, "checked", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ToggleBase.prototype, "label", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ToggleBase.prototype, "defaultChecked", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ToggleBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ToggleBase.prototype, "inlineLabel", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ToggleBase.prototype, "onText", void 0);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], ToggleBase.prototype, "offText", void 0);

__decorate([Watch('internalChecked'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", void 0)], ToggleBase.prototype, "onCheckedChanged", null);

ToggleBase = __decorate([Component], ToggleBase);

var DEFAULT_PILL_WIDTH = 40;
var DEFAULT_PILL_HEIGHT = 20;
var DEFAULT_THUMB_SIZE = 12;
var getStyles$S = function getStyles(props) {
  var theme = props.theme,
      className = props.className,
      disabled = props.disabled,
      checked = props.checked,
      inlineLabel = props.inlineLabel,
      onOffMissing = props.onOffMissing;
  var semanticColors = theme.semanticColors,
      palette = theme.palette; // Tokens

  var pillUncheckedBackground = semanticColors.bodyBackground;
  var pillCheckedBackground = semanticColors.inputBackgroundChecked; // TODO: after updating the semanticColors slots mapping this needs to be semanticColors.inputBackgroundCheckedHovered

  var pillCheckedHoveredBackground = palette.themeDark;
  var thumbUncheckedHoveredBackground = palette.neutralDark;
  var pillCheckedDisabledBackground = semanticColors.disabledBodySubtext;
  var thumbBackground = semanticColors.smallInputBorder;
  var thumbCheckedBackground = semanticColors.inputForegroundChecked;
  var thumbDisabledBackground = semanticColors.disabledBodySubtext;
  var thumbCheckedDisabledBackground = semanticColors.disabledBackground;
  var pillBorderColor = semanticColors.smallInputBorder;
  var pillBorderHoveredColor = semanticColors.inputBorderHovered;
  var pillBorderDisabledColor = semanticColors.disabledBodySubtext;
  var textDisabledColor = semanticColors.disabledText;
  return {
    root: ['ms-Toggle', checked && 'is-checked', !disabled && 'is-enabled', disabled && 'is-disabled', theme.fonts.medium, {
      marginBottom: '8px'
    }, inlineLabel && {
      display: 'flex',
      alignItems: 'center'
    }, className],
    label: ['ms-Toggle-label', disabled && {
      color: textDisabledColor,
      selectors: _defineProperty({}, HighContrastSelector, {
        color: 'GrayText'
      })
    }, inlineLabel && !onOffMissing && {
      marginRight: 16
    }, onOffMissing && inlineLabel && {
      order: 1,
      marginLeft: 16
    }, inlineLabel && {
      wordBreak: 'break-all'
    }],
    container: ['ms-Toggle-innerContainer', {
      display: 'inline-flex',
      position: 'relative'
    }],
    pill: ['ms-Toggle-background', getFocusStyle(theme, {
      inset: -3
    }), {
      fontSize: '20px',
      boxSizing: 'border-box',
      width: DEFAULT_PILL_WIDTH,
      height: DEFAULT_PILL_HEIGHT,
      borderRadius: DEFAULT_PILL_HEIGHT / 2,
      transition: 'all 0.1s ease',
      border: "1px solid ".concat(pillBorderColor),
      background: pillUncheckedBackground,
      cursor: 'pointer',
      display: 'flex',
      alignItems: 'center',
      padding: '0 3px'
    }, !disabled && [!checked && {
      selectors: {
        ':hover': [{
          borderColor: pillBorderHoveredColor
        }],
        ':hover .ms-Toggle-thumb': [{
          backgroundColor: thumbUncheckedHoveredBackground,
          selectors: _defineProperty({}, HighContrastSelector, {
            borderColor: 'Highlight'
          })
        }]
      }
    }, checked && [{
      background: pillCheckedBackground,
      borderColor: 'transparent',
      justifyContent: 'flex-end'
    }, {
      selectors: _defineProperty({
        ':hover': [{
          backgroundColor: pillCheckedHoveredBackground,
          borderColor: 'transparent',
          selectors: _defineProperty({}, HighContrastSelector, {
            backgroundColor: 'Highlight'
          })
        }]
      }, HighContrastSelector, {
        backgroundColor: 'WindowText'
      })
    }]], disabled && [{
      cursor: 'default'
    }, !checked && [{
      borderColor: pillBorderDisabledColor
    }], checked && [{
      backgroundColor: pillCheckedDisabledBackground,
      borderColor: 'transparent',
      justifyContent: 'flex-end'
    }]], !disabled && {
      selectors: {
        '&:hover': {
          selectors: _defineProperty({}, HighContrastSelector, {
            borderColor: 'Highlight'
          })
        }
      }
    }],
    thumb: ['ms-Toggle-thumb', {
      width: DEFAULT_THUMB_SIZE,
      height: DEFAULT_THUMB_SIZE,
      borderRadius: '50%',
      transition: 'all 0.1s ease',
      backgroundColor: thumbBackground,

      /* Border is added to handle high contrast mode for Firefox */
      borderColor: 'transparent',
      borderWidth: '.28em',
      borderStyle: 'solid',
      boxSizing: 'border-box'
    }, !disabled && checked && [{
      backgroundColor: thumbCheckedBackground,
      selectors: _defineProperty({}, HighContrastSelector, {
        backgroundColor: 'Window',
        borderColor: 'Window'
      })
    }], disabled && [!checked && [{
      backgroundColor: thumbDisabledBackground
    }], checked && [{
      backgroundColor: thumbCheckedDisabledBackground
    }]]],
    // @ts-ignore
    text: ['ms-Toggle-stateText', {
      selectors: {
        // Workaround: make rules more specific than Label rules.
        '&&': {
          padding: '0',
          margin: '0 8px',
          userSelect: 'none',
          fontWeight: FontWeights.regular
        }
      }
    }, disabled && {
      selectors: {
        '&&': {
          color: textDisabledColor,
          selectors: _defineProperty({}, HighContrastSelector, {
            color: 'GrayText'
          })
        }
      }
    }]
  };
};

var Toggle = styled(ToggleBase, getStyles$S, undefined, {
  scope: 'Toggle'
});

var GlobalClassNames$y = {
  root: 'ms-Shimmer-container',
  shimmerWrapper: 'ms-Shimmer-shimmerWrapper',
  shimmerGradient: 'ms-Shimmer-shimmerGradient',
  dataWrapper: 'ms-Shimmer-dataWrapper'
};
var BACKGROUND_OFF_SCREEN_POSITION = '100%';
var shimmerAnimation = keyframes({
  '0%': {
    transform: "translateX(-".concat(BACKGROUND_OFF_SCREEN_POSITION, ")")
  },
  '100%': {
    transform: "translateX(".concat(BACKGROUND_OFF_SCREEN_POSITION, ")")
  }
});
var shimmerAnimationRTL = keyframes({
  '100%': {
    transform: "translateX(-".concat(BACKGROUND_OFF_SCREEN_POSITION, ")")
  },
  '0%': {
    transform: "translateX(".concat(BACKGROUND_OFF_SCREEN_POSITION, ")")
  }
});
function getStyles$T(props) {
  var isDataLoaded = props.isDataLoaded,
      className = props.className,
      theme = props.theme,
      transitionAnimationInterval = props.transitionAnimationInterval,
      shimmerColor = props.shimmerColor,
      shimmerWaveColor = props.shimmerWaveColor;
  var semanticColors = theme.semanticColors;
  var classNames = getGlobalClassNames(GlobalClassNames$y, theme);
  var isRTL = getRTL();
  return {
    root: [classNames.root, theme.fonts.medium, {
      position: 'relative',
      height: 'auto'
    }, className],
    shimmerWrapper: [classNames.shimmerWrapper, {
      position: 'relative',
      overflow: 'hidden',
      transform: 'translateZ(0)',
      backgroundColor: shimmerColor || semanticColors.disabledBackground,
      transition: "opacity ".concat(transitionAnimationInterval, "ms"),
      selectors: _defineProperty({
        '> *': {
          transform: 'translateZ(0)'
        }
      }, HighContrastSelector, {
        background: "WindowText\n                        linear-gradient(\n                          to right,\n                          transparent 0%,\n                          Window 50%,\n                          transparent 100%)\n                        0 0 / 90% 100%\n                        no-repeat"
      })
    }, isDataLoaded && {
      opacity: '0',
      position: 'absolute',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0'
    }],
    shimmerGradient: [classNames.shimmerGradient, {
      position: 'absolute',
      top: 0,
      left: 0,
      width: '100%',
      height: '100%',
      background: "".concat(shimmerColor || semanticColors.disabledBackground, "\n                      linear-gradient(\n                        to right,\n                        ").concat(shimmerColor || semanticColors.disabledBackground, " 0%,\n                        ").concat(shimmerWaveColor || semanticColors.bodyDivider, " 50%,\n                        ").concat(shimmerColor || semanticColors.disabledBackground, " 100%)\n                      0 0 / 90% 100%\n                      no-repeat"),
      transform: "translateX(-".concat(BACKGROUND_OFF_SCREEN_POSITION, ")"),
      animationDuration: '2s',
      animationTimingFunction: 'ease-in-out',
      animationDirection: 'normal',
      animationIterationCount: 'infinite',
      animationName: isRTL ? shimmerAnimationRTL : shimmerAnimation
    }],
    dataWrapper: [classNames.dataWrapper, {
      position: 'absolute',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      opacity: '0',
      background: 'none',
      backgroundColor: 'transparent',
      border: 'none',
      transition: "opacity ".concat(transitionAnimationInterval, "ms")
    }, isDataLoaded && {
      opacity: '1',
      position: 'static'
    }],
    screenReaderText: hiddenContentStyle
  };
}

/**
 * Describes the possible types for shimmer elements used.
 * {@docCategory Shimmer}
 */
var ShimmerElementType;

(function (ShimmerElementType) {
  /**
   * Line element type
   */
  ShimmerElementType[ShimmerElementType["line"] = 1] = "line";
  /**
   * Circle element type
   */

  ShimmerElementType[ShimmerElementType["circle"] = 2] = "circle";
  /**
   * Gap element type
   */

  ShimmerElementType[ShimmerElementType["gap"] = 3] = "gap";
})(ShimmerElementType || (ShimmerElementType = {}));
/**
 * Describes the default heights for shimmer elements when omitted in implementation.
 * {@docCategory Shimmer}
 */


var ShimmerElementsDefaultHeights;

(function (ShimmerElementsDefaultHeights) {
  /**
   * Default height of the line element when not provided by user: 16px
   */
  ShimmerElementsDefaultHeights[ShimmerElementsDefaultHeights["line"] = 16] = "line";
  /**
   * Default height of the gap element when not provided by user: 16px
   */

  ShimmerElementsDefaultHeights[ShimmerElementsDefaultHeights["gap"] = 16] = "gap";
  /**
   * Default height of the circle element when not provided by user: 24px
   */

  ShimmerElementsDefaultHeights[ShimmerElementsDefaultHeights["circle"] = 24] = "circle";
})(ShimmerElementsDefaultHeights || (ShimmerElementsDefaultHeights = {}));

var getClassNames$M = classNamesFunction();

var ShimmerLineBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(ShimmerLineBase, _StatelessComponent);

  var _super = _createSuper(ShimmerLineBase);

  function ShimmerLineBase() {
    _classCallCheck(this, ShimmerLineBase);

    return _super.apply(this, arguments);
  }

  _createClass(ShimmerLineBase, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          height = _ctx$props.height,
          styles = _ctx$props.styles,
          _ctx$props$width = _ctx$props.width,
          width = _ctx$props$width === void 0 ? '100%' : _ctx$props$width,
          borderStyle = _ctx$props.borderStyle,
          theme = _ctx$props.theme;
      var classNames = getClassNames$M(styles, {
        theme: theme,
        height: height,
        borderStyle: borderStyle
      });
      return h("div", {
        "style": {
          width: width,
          minWidth: typeof width === 'number' ? "".concat(width, "px") : 'auto'
        },
        "class": classNames.root
      }, [h("svg", {
        "attrs": {
          "width": "2",
          "height": "2"
        },
        "class": classNames.topLeftCorner
      }, [h("path", {
        "attrs": {
          "d": "M0 2 A 2 2, 0, 0, 1, 2 0 L 0 0 Z"
        }
      })]), h("svg", {
        "attrs": {
          "width": "2",
          "height": "2"
        },
        "class": classNames.topRightCorner
      }, [h("path", {
        "attrs": {
          "d": "M0 0 A 2 2, 0, 0, 1, 2 2 L 2 0 Z"
        }
      })]), h("svg", {
        "attrs": {
          "width": "2",
          "height": "2"
        },
        "class": classNames.bottomRightCorner
      }, [h("path", {
        "attrs": {
          "d": "M2 0 A 2 2, 0, 0, 1, 0 2 L 2 2 Z"
        }
      })]), h("svg", {
        "attrs": {
          "width": "2",
          "height": "2"
        },
        "class": classNames.bottomLeftCorner
      }, [h("path", {
        "attrs": {
          "d": "M2 2 A 2 2, 0, 0, 1, 0 0 L 0 2 Z"
        }
      })])]);
    }
  }]);

  return ShimmerLineBase;
}(StatelessComponent$1);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], ShimmerLineBase.prototype, "height", void 0);

ShimmerLineBase = __decorate([Component], ShimmerLineBase);
var ShimmerLineBase$1 = ShimmerLineBase;

var GlobalClassNames$z = {
  root: 'ms-ShimmerLine-root',
  topLeftCorner: 'ms-ShimmerLine-topLeftCorner',
  topRightCorner: 'ms-ShimmerLine-topRightCorner',
  bottomLeftCorner: 'ms-ShimmerLine-bottomLeftCorner',
  bottomRightCorner: 'ms-ShimmerLine-bottomRightCorner'
};
function getStyles$U(props) {
  // tslint:disable-next-line:deprecation
  var height = props.height,
      borderStyle = props.borderStyle,
      theme = props.theme;
  var semanticColors = theme.semanticColors;
  var globalClassNames = getGlobalClassNames(GlobalClassNames$z, theme);
  var borderStyles = borderStyle || {};
  var sharedCornerStyles = {
    position: 'absolute',
    fill: semanticColors.bodyBackground
  };
  return {
    root: [globalClassNames.root, theme.fonts.medium, {
      height: "".concat(height, "px"),
      boxSizing: 'content-box',
      position: 'relative',
      borderTopStyle: 'solid',
      borderBottomStyle: 'solid',
      borderColor: semanticColors.bodyBackground,
      borderWidth: 0,
      selectors: _defineProperty({}, HighContrastSelector, {
        borderColor: 'Window',
        selectors: {
          '> *': {
            fill: 'Window'
          }
        }
      })
    }, borderStyles],
    topLeftCorner: [globalClassNames.topLeftCorner, {
      top: '0',
      left: '0'
    }, sharedCornerStyles],
    topRightCorner: [globalClassNames.topRightCorner, {
      top: '0',
      right: '0'
    }, sharedCornerStyles],
    bottomRightCorner: [globalClassNames.bottomRightCorner, {
      bottom: '0',
      right: '0'
    }, sharedCornerStyles],
    bottomLeftCorner: [globalClassNames.bottomLeftCorner, {
      bottom: '0',
      left: '0'
    }, sharedCornerStyles]
  };
}

var ShimmerLine = styled(ShimmerLineBase$1, getStyles$U, undefined, {
  scope: 'ShimmerLine'
});

var getClassNames$N = classNamesFunction();

var ShimmerElementsGroupBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(ShimmerElementsGroupBase, _StatelessComponent);

  var _super = _createSuper(ShimmerElementsGroupBase);

  function ShimmerElementsGroupBase() {
    _classCallCheck(this, ShimmerElementsGroupBase);

    return _super.apply(this, arguments);
  }

  _createClass(ShimmerElementsGroupBase, [{
    key: "render",
    // @Prop()
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          styles = _ctx$props.styles,
          theme = _ctx$props.theme;
      var classNames = getClassNames$N(styles, {
        theme: theme
      });
      return h("div", {
        "class": classNames.root
      }, [h("shimmer-line", {
        "attrs": {
          "height": ShimmerElementsDefaultHeights.line
        }
      })]);
    }
  }]);

  return ShimmerElementsGroupBase;
}(StatelessComponent$1);

ShimmerElementsGroupBase = __decorate([Component({
  components: {
    ShimmerLine: ShimmerLine
  }
})], ShimmerElementsGroupBase);
var ShimmerElementsGroupBase$1 = ShimmerElementsGroupBase;

var GlobalClassNames$A = {
  root: 'ms-ShimmerElementsGroup-root'
};
function getStyles$V(props) {
  var flexWrap = props.flexWrap,
      theme = props.theme;
  var classNames = getGlobalClassNames(GlobalClassNames$A, theme);
  return {
    root: [classNames.root, theme.fonts.medium, {
      display: 'flex',
      alignItems: 'center',
      flexWrap: flexWrap ? 'wrap' : 'nowrap',
      position: 'relative'
    }]
  };
}

var ShimmerElementsGroup = styled(ShimmerElementsGroupBase$1, getStyles$V, undefined, {
  scope: 'ShimmerElementsGroup'
});

var getClassNames$O = classNamesFunction();
var TRANSITION_ANIMATION_INTERVAL = 200;
/* ms */

var ShimmerBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ShimmerBase, _BaseComponent);

  var _super = _createSuper(ShimmerBase);

  function ShimmerBase() {
    var _this;

    _classCallCheck(this, ShimmerBase);

    _this = _super.apply(this, arguments);
    _this.contentLoaded = _this.isDataLoaded;
    return _this;
  }

  _createClass(ShimmerBase, [{
    key: "beforeDestroy",
    value: function beforeDestroy() {
      this._async.dispose();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(newVal, oldVal) {
      var _this2 = this;

      if (newVal === oldVal) return;

      if (this.isDataLoaded) {
        this.lastTimeoutId = this._async.setTimeout(function () {
          _this2.contentLoaded = _this2.isDataLoaded;
        }, TRANSITION_ANIMATION_INTERVAL);
      } else {
        this.contentLoaded = this.isDataLoaded;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames,
          width = this.width,
          shimmerElements = this.shimmerElements,
          shimmerColors = this.shimmerColors;
      return h("div", {
        "class": classNames.root
      }, [h("div", {
        "style": {
          width: width || '100%'
        },
        "class": classNames.shimmerWrapper
      }, [h("div", {
        "class": classNames.shimmerGradient
      }), h(ShimmerElementsGroup, {
        "attrs": {
          "shimmer-elements": shimmerElements,
          "background-color": shimmerColors && shimmerColors.background
        }
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles,
          className = this.className,
          shimmerColors = this.shimmerColors;
      return getClassNames$O(styles, {
        theme: theme,
        isDataLoaded: false,
        className: className,
        transitionAnimationInterval: TRANSITION_ANIMATION_INTERVAL,
        shimmerColor: shimmerColors && shimmerColors.shimmer,
        shimmerWaveColor: shimmerColors && shimmerColors.shimmerWave
      });
    }
  }]);

  return ShimmerBase;
}(BaseComponent$1);

__decorate([Prop({
  default: null
}), __metadata("design:type", Object)], ShimmerBase.prototype, "shimmerColors", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ShimmerBase.prototype, "isDataLoaded", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], ShimmerBase.prototype, "shimmerElements", void 0);

__decorate([Prop({
  type: [Number, String],
  default: null
}), __metadata("design:type", Object)], ShimmerBase.prototype, "width", void 0);

__decorate([Watch('isDataLoaded'), __metadata("design:type", Function), __metadata("design:paramtypes", [Boolean, Boolean]), __metadata("design:returntype", void 0)], ShimmerBase.prototype, "componentDidUpdate", null);

ShimmerBase = __decorate([Component({
  components: {
    ShimmerElementsGroup: ShimmerElementsGroup
  }
})], ShimmerBase);

var Shimmer = styled(ShimmerBase, getStyles$T, undefined, {
  scope: 'Shimmer'
});

var Components = /*#__PURE__*/Object.freeze({
    __proto__: null,
    VNodes: VNodes,
    get Autofill () { return Autofill; },
    VerticalDivider: VerticalDivider,
    ScrollToMode: ScrollToMode,
    get List () { return List; },
    DetailsList: DetailsList,
    get ColumnActionsMode () { return ColumnActionsMode; },
    get ConstrainMode () { return ConstrainMode; },
    get ColumnDragEndLocation () { return ColumnDragEndLocation; },
    get DetailsListLayoutMode () { return DetailsListLayoutMode; },
    get CheckboxVisibility () { return CheckboxVisibility; },
    DetailsColumn: DetailsColumn,
    get DetailsColumnBase () { return DetailsColumnBase; },
    DetailsHeader: DetailsHeader,
    get DetailsHeaderBase () { return DetailsHeaderBase; },
    get SelectAllVisibility () { return SelectAllVisibility; },
    DetailsRow: DetailsRow,
    get DetailsRowBase () { return DetailsRowBase; },
    get DetailsRowFields () { return DetailsRowFields; },
    DetailsRowCheck: DetailsRowCheck,
    ScrollbarVisibility: ScrollbarVisibility,
    ScrollablePane: ScrollablePane,
    get Sticky () { return Sticky; },
    get StickyPositionType () { return StickyPositionType; },
    get DelayedRender () { return DelayedRender; },
    ContextualMenu: ContextualMenu,
    get ContextualMenuItemType () { return ContextualMenuItemType; },
    Overlay: Overlay,
    OverflowSet: OverflowSet,
    get OverflowSetBase () { return OverflowSetBase; },
    ResizeGroup: ResizeGroup,
    getMeasurementCache: getMeasurementCache,
    getNextResizeGroupStateProvider: getNextResizeGroupStateProvider,
    get ResizeGroupBase () { return ResizeGroupBase; },
    get ResizeGroupDirection () { return ResizeGroupDirection; },
    SwatchColorPicker: SwatchColorPicker,
    get SwatchColorPickerBase () { return SwatchColorPickerBase; },
    ColorPickerGridCell: ColorPickerGridCell,
    get ColorPickerGridCellBase () { return ColorPickerGridCellBase; },
    get ActivityItem () { return ActivityItem; },
    get BaseButton () { return BaseButton; },
    get ActionButton () { return ActionButton; },
    get DefaultButton () { return DefaultButton; },
    get PrimaryButton () { return PrimaryButton; },
    get CommandBarButton () { return CommandBarButton; },
    get CompoundButton () { return CompoundButton; },
    get IconButton () { return IconButton; },
    get MessageBarButton () { return MessageBarButton; },
    Breadcrumb: Breadcrumb,
    Modal: Modal,
    Dialog: Dialog,
    get DialogBase () { return DialogBase; },
    DialogContent: DialogContent,
    get DialogContentBase () { return DialogContentBase; },
    get ResponsiveMode () { return ResponsiveMode; },
    get DialogType () { return DialogType; },
    Nav: Nav$1,
    get ImageFit () { return ImageFit; },
    get ImageLoadState () { return ImageLoadState; },
    get ImageCoverStyle () { return ImageCoverStyle; },
    Image: Image,
    get Callout () { return Callout; },
    DirectionalHint: DirectionalHint,
    ComboBox: ComboBox,
    ChoiceGroup: ChoiceGroup,
    Dropdown: Dropdown,
    get MessageBarType () { return MessageBarType; },
    MessageBar: MessageBar,
    get Popup () { return Popup; },
    get Stack () { return Stack; },
    StackItem: StackItem$1,
    get OverflowButtonType () { return OverflowButtonType; },
    get FacepileBase () { return FacepileBase; },
    Facepile: Facepile,
    get KeyboardSpinDirection () { return KeyboardSpinDirection; },
    get SpinButton () { return SpinButton; },
    Panel: Panel,
    get PanelType () { return PanelType; },
    Checkbox: Checkbox,
    getIconContent: getIconContent,
    get FontIcon () { return FontIcon; },
    Icon: Icon$2,
    Label: Label,
    Layer: Layer,
    get LayerBase () { return LayerBase; },
    get LayerHost () { return LayerHost; },
    Link: Link,
    ProgressIndicator: ProgressIndicator,
    get RatingSize () { return RatingSize; },
    Rating: Rating,
    SearchBox: SearchBox,
    get SeparatorBase () { return SeparatorBase; },
    Separator: Separator,
    Slider: Slider,
    Spinner: Spinner$1,
    Text: Text$1,
    getStyles: getStyles$Q,
    TextField: TextField,
    Toggle: Toggle,
    getPersonaInitialsColor: getPersonaInitialsColor,
    get PersonaSize () { return PersonaSize; },
    get PersonaPresence () { return PersonaPresence; },
    get PersonaInitialsColor () { return PersonaInitialsColor; },
    get personaSize () { return personaSize; },
    get personaPresenceSize () { return personaPresenceSize; },
    sizeBoolean: sizeBoolean,
    sizeToPixels: sizeToPixels,
    presenceBoolean: presenceBoolean,
    PersonaCoin: PersonaCoin,
    Persona: Persona,
    Shimmer: Shimmer,
    get ShimmerBase () { return ShimmerBase; },
    get ShimmerElementType () { return ShimmerElementType; },
    get ShimmerElementsDefaultHeights () { return ShimmerElementsDefaultHeights; }
});

var STYLE_PREFIX = '__fabric__';
function registerCSSVars(key, obj) {
  var document = getDocument();
  if (!document) return obj;
  var id = "".concat(STYLE_PREFIX).concat(key);
  var style = document.getElementById(id);

  if (!style) {
    style = document.createElement('style');
    style.id = "".concat(STYLE_PREFIX).concat(key);
    document.head.appendChild(style);
  }

  var properties = {};
  var css = [];

  for (var _key in obj) {
    var value = obj[_key];
    properties[_key] = "var(--fabric-".concat(_key, ")");
    css.push("--fabric-".concat(_key, ": ").concat(value, ";"));
  }

  style.innerHTML = "\n  :root {\n    ".concat(css.join('\n'), "\n  }");
  return properties;
}

function loadTheme$1(theme) {
  var useCSSVars = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  var _theme = createTheme(theme);

  if (useCSSVars) {
    var palette = _theme.palette,
        semanticColors = _theme.semanticColors; // generate new css vars

    palette = registerCSSVars('palette', palette);
    semanticColors = registerCSSVars('semanticColors', semanticColors); // update theme

    loadTheme({
      palette: palette,
      semanticColors: semanticColors
    });
  }

  return _theme;
}
function install(Vue) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var theme = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  for (var componentName in Components) {
    var Component = Components[componentName];

    if (Component && Component.prototype instanceof Vue) {
      var name = "".concat(options.prefix || 'f', "-").concat(toKebabCase(componentName));
      Vue.component(name, Component);
    }
  }

  loadTheme$1(theme, options.useCSSVars);
}
/*

============================
    CSS Vars
--neutralLight: #eaeaea;
--bodyFrameBackground: var(--neutralLight)

{
  neutralLight: 'var(--neutralLight)'
}
{
  bodyFrameBackground: 'var(--neutralLight)'
}

======================================
    No CSS Vars
{
  neutralLight: '#eaeaea'
}
{
  bodyFrameBackground: '#eaeaea'
}

 */

function registerIcons$1(iconSubset, options) {
  // @ts-ignore
  registerIcons(iconSubset, options);
}

export default install;
export { ActionButton, ActivityItem, Autofill, BaseButton, Breadcrumb, Callout, Checkbox, CheckboxVisibility, ChoiceGroup, ColorPickerGridCell, ColorPickerGridCellBase, ColumnActionsMode, ColumnDragEndLocation, ComboBox, CommandBarButton, CompoundButton, ConstrainMode, ContextualMenu, ContextualMenuItemType, DefaultButton, DelayedRender, DetailsColumn, DetailsColumnBase, DetailsHeader, DetailsHeaderBase, DetailsList, DetailsListLayoutMode, DetailsRow, DetailsRowBase, DetailsRowCheck, DetailsRowFields, Dialog, DialogBase, DialogContent, DialogContentBase, DialogType, DirectionalHint, Dropdown, install as Fabric, Components as FabricComponents, Facepile, FacepileBase, FontIcon, Icon$2 as Icon, IconButton, Image, ImageCoverStyle, ImageFit, ImageLoadState, KeyboardSpinDirection, Label, Layer, LayerBase, LayerHost, Link, List, MessageBar, MessageBarButton, MessageBarType, Modal, Nav$1 as Nav, OverflowButtonType, OverflowSet, OverflowSetBase, Overlay, Panel, PanelType, Persona, PersonaCoin, PersonaInitialsColor, PersonaPresence, PersonaSize, Popup, Position, PrimaryButton, ProgressIndicator, Rating, RatingSize, Rectangle, RectangleEdge, ResizeGroup, ResizeGroupBase, ResizeGroupDirection, ResponsiveMode, ScrollToMode, ScrollablePane, ScrollbarVisibility, SearchBox, SelectAllVisibility, Separator, SeparatorBase, Shimmer, ShimmerBase, ShimmerElementType, ShimmerElementsDefaultHeights, Slider, SpinButton, Spinner$1 as Spinner, Stack, StackItem$1 as StackItem, Sticky, StickyPositionType, SwatchColorPicker, SwatchColorPickerBase, Text$1 as Text, TextField, Toggle, VNodes, VerticalDivider, __positioningTestPackage, getIconContent, getMaxHeight, getMeasurementCache, getNextResizeGroupStateProvider, getOppositeEdge, getPersonaInitialsColor, getStyles$Q as getStyles, loadTheme$1 as loadTheme, personaPresenceSize, personaSize, positionCallout, positionCard, positionElement, presenceBoolean, registerIcons$1 as registerIcons, sizeBoolean, sizeToPixels };
